<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

   Stylesheet fuer Gasetzbericht

   Version 1.0.0.6
	
	 2.08.09 Brozio  1.0.0.0	
	12.08.09 Brozio  1.0.0.1 Dokumente
	30.11.09 Brozio  1.0.0.2 Zeitpunkt der Gefahrenabwehr
   15.11.10 Pie     1.0.0.3 VDN-Daten -> ABWASSER-Daten
   01.03.13         1.0.0.4 Bemerkungen mit URL
   04.04.13         1.0.0.5
   09.10.14         Eliminierung Prefix $XWDIR bei Bild- und Textdokumenten


   ACHTUNG Logo: Platzhalter "$LOGO2" wird vor der Anwendung des Stylesheet
                 substituiert ! (z.B. durch "./logo2.gif")
                 Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
   
-->

<!-- variable "txt_list" will be evaluted by INTERASS.
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as textfiles,
     otherwise a link will be shown
     Default: do not show
     Example: insert "log txt" (without ") below
-->
<xsl:variable name="txt_list"></xsl:variable>



<!-- variable "img_list"
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as IMG files,
     otherwise a link will be shown
     Default: do not show
     Example: insert "bmp gif jpg png" (without ") below
-->
<xsl:variable name="img_list"></xsl:variable>


<xsl:variable name="vkunden" select="ABWASSER-Daten/Stoerungsdaten/kundenversion"/>

<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="ABWASSER-Daten"/>
	</html>
</xsl:template>

<xsl:template match="ABWASSER-Daten">
	<head>
		<title>Strungsbericht</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Stoerungsdaten"/>
	</body>
</xsl:template>


<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">
	<table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td valign="TOP">
            <P align="CENTER"><img src="$LOGO2"/></P>
            <P align="CENTER">
              <nobr>InterAss</nobr>
              <br/>
              <nobr>&#169; FGH GmbH</nobr>
            </P>
         </td>
         <td valign="TOP" width="60%">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr><U>Bericht zur Strung</U></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td><nobr>Erstellt am:</nobr></td>
				   <td><nobr><xsl:value-of select="datum"/></nobr></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td></td>
				   <td><nobr><xsl:value-of select="uhrzeit"/></nobr></td>
               </tr>
             </table>
         </td>
      </tr>
      <tr bgcolor="#ffffff">
		<td colspan="3">
			<table>
				<tr bgcolor="#ffffff">
					<td><b>Netzbetreiber</b></td>
					<td colspan="1"><xsl:value-of select="AbwasserStoerung/Allgemeine_Angaben/Netzbetreibernummer"/></td>
					<td colspan="3"><xsl:value-of select="AbwasserStoerung/Allgemeine_Angaben/Netzbetreibername"/></td>
					<td></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Berichtsjahr</b></td>
					<td colspan="1"><xsl:value-of select="AbwasserStoerung/Allgemeine_Angaben/erfassungsjahr"/></td>
					<td></td>
					<td><b>Netznummer</b></td>
					<td><xsl:value-of select="AbwasserStoerung/Allgemeine_Angaben/Netznummer"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Netzname</b></td>
					<td colspan="4"><xsl:value-of select="AbwasserStoerung/Allgemeine_Angaben/netzname"/></td>
				</tr>

				<xsl:variable name="druckstufe" select="AbwasserStoerung/Allgemeine_Angaben/Druckstufe"/>
				<xsl:choose><xsl:when test="$druckstufe">
				<tr bgcolor="#ffffff">
					<td><b>Druckstufe</b></td>
					<td><xsl:value-of select="AbwasserStoerung/Allgemeine_Angaben/Druckstufe"/></td>
					<td><xsl:value-of select="AbwasserStoerung/Allgemeine_Angaben/Druckstufe/@text"/></td>
					<td align="left"><b>Nenndruck</b></td>
					<td align="left"><xsl:value-of select="AbwasserStoerung/Allgemeine_Angaben/Nenndruck"/> bar</td>
				</tr>
				</xsl:when></xsl:choose>

				<tr bgcolor="#ffffff">
					<td><b>Strungsnummer</b></td>
					<td colspan="2"><xsl:value-of select="AbwasserStoerung/Allgemeine_Angaben/nummer"/></td>
				</tr>
			</table>
		</td>
      </tr>
	</table>

	<xsl:call-template name="Admin"/>
	<xsl:call-template name="Status"/>

	<!-- Info ber Meldungen erst wenn Kriterium meldungsinhalt gefllt ist -->
	<xsl:variable name="meldinhalt" select="AbwasserStoerung/Daten/meldinhalt"/>
	<xsl:choose><xsl:when test="$meldinhalt">
	   <xsl:call-template name="Ereignis"/>
	   <xsl:call-template name="Weiterleitung"/>
	</xsl:when></xsl:choose>

	<xsl:call-template name="Bemerkungen"><xsl:with-param name="kapein" select="3"/></xsl:call-template>
	<xsl:call-template name="Dokumente"/>

</xsl:template>


<xsl:template name="Admin">
<!-- Administrative Angaben -->
<h1><U>1. Administrative Angaben</U></h1>
<table>
	<tr bgcolor="#ffffff">
		<td><b>Datum letzte nderung:</b></td>
		<td><xsl:value-of select="AbwasserStoerung/Daten/aktuelldatum"/></td>
		<td></td>
		<td><b>Sachberarbeiter:</b></td>
		<td><xsl:value-of select="AbwasserStoerung/Daten/lastedit_name"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><b>Datum erste nderung:</b></td>
		<td><xsl:value-of select="AbwasserStoerung/Daten/erstelldatum"/></td>
		<td></td>
		<td><b>Sachberarbeiter:</b></td>
		<td><xsl:value-of select="AbwasserStoerung/Daten/ersteller"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><b>Datenbank ID Strung:</b></td>
		<td><xsl:value-of select="AbwasserStoerung/Daten/stid"/></td>
	</tr>
  <tr bgcolor="#ffffff">
    <td>
      <b>Datenbank ID Netz:</b>
    </td>
    <td>
      <xsl:value-of select="AbwasserStoerung/Daten/netzid"/>
    </td>
  </tr>
</table>

</xsl:template>


<xsl:template name="Status">
<!-- Status der Strung -->
<h1><U>2. Status der Strung</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Status der Prfung:</b></td>
            <xsl:variable name="pstatus" select="AbwasserStoerung/Daten/pstatus"/>
            <xsl:if test="$pstatus='0'"><td>Nein</td></xsl:if>
            <xsl:if test="$pstatus='1'"><td>Ja</td></xsl:if>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Bearbeitung abgeschlossen:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/abgeschlossen/@text"/></td>
		</tr>
	</table>
</xsl:template>



<xsl:template name="Ereignis">
<!-- Ereignis der Strung -->
<h1><U>3. Ereignis</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Meldungszeitpunkt:</b></td>
            <td colspan="3"><xsl:value-of select="AbwasserStoerung/Daten/meldzeit"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Meldung erfasst von:</b></td>
		    <td colspan="4"><xsl:value-of select="AbwasserStoerung/Daten/melderfasser"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td colspan="2"><b>Anrufer:</b></td>
			<td>&#160;</td>	
			<td colspan="2"><b>Strungsort:</b></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Name/Firma:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/meldname"/></td>
			<td>&#160;</td>	
			<td><b>Name/Firma:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/stoername"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Telefon:</b></td>
		    <td colspan="3"><xsl:value-of select="AbwasserStoerung/Daten/meldtelefon"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Strasse:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/meldstrasse"/></td>
			<td>&#160;</td>	
			<td><b>Strasse:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/stoerstrasse"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Hausnummer:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/meldhausnr"/></td>
			<td>&#160;</td>	
			<td><b>Hausnummer:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/stoerhausnr"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>PLZ:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/meldplz"/></td>
			<td>&#160;</td>	
			<td><b>PLZ:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/stoerplz"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Ort:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/meldort"/></td>
			<td>&#160;</td>	
			<td><b>Ort:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/stoerort"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Ortsteil:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/meldortsteil"/></td>
			<td>&#160;</td>	
			<td><b>Ortsteil:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/stoerortsteil"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Meldungsinhalt:</b></td>
         <td colspan="3"><xsl:value-of select="AbwasserStoerung/Daten/meldinhalt"/></td>
		</tr>
		<tr bgcolor="#ffffff">
            <td><b>Meldungstext:</b></td>
      </tr>
      <xsl:for-each select="AbwasserStoerung/Meldetext/item">
	        <tr bgcolor="#ffffff"><td colspan="4">
             <!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
            </xsl:for-each>  
	</table>
</xsl:template>


<xsl:template name="Weiterleitung">
<!-- Weiterleitung der Strung -->
<h1><U>4. Weiterleitung</U></h1>
	<table>
	<xsl:variable name="wl_an1" select="AbwasserStoerung/Daten/wl_an1"/>
	<xsl:variable name="wl_an2" select="AbwasserStoerung/Daten/wl_an2"/>
	<xsl:variable name="wl_an3" select="AbwasserStoerung/Daten/wl_an3"/>
	<xsl:variable name="wl_an4" select="AbwasserStoerung/Daten/wl_an4"/>
	<xsl:variable name="wl_an5" select="AbwasserStoerung/Daten/wl_an5"/>
	<xsl:variable name="wl_an6" select="AbwasserStoerung/Daten/wl_an6"/>
	<xsl:variable name="wl_an7" select="AbwasserStoerung/Daten/wl_an7"/>
	<xsl:variable name="wl_an8" select="AbwasserStoerung/Daten/wl_an8"/>
	<xsl:variable name="wl_an9" select="AbwasserStoerung/Daten/wl_an9"/>
	<xsl:choose><xsl:when test="$wl_an1">
		<tr bgcolor="#ffffff">
			<td><b>Weiterl. Ersteinsatz an:</b></td>
		    <td><xsl:value-of select="$wl_an1"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um1"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an2">
		<tr bgcolor="#ffffff">
			<td><b>Ankunft vor Ort von:</b></td>
		    <td><xsl:value-of select="$wl_an2"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um2"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an3">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Strungsbehebung:</b></td>
		    <td><xsl:value-of select="$wl_an3"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um3"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an4">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Koordination:</b></td>
		    <td><xsl:value-of select="$wl_an4"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um4"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an5">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Polizei:</b></td>
		    <td><xsl:value-of select="$wl_an5"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um5"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an6">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Feuerwehr:</b></td>
		    <td><xsl:value-of select="$wl_an6"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um6"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an7">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Notarzt:</b></td>
		    <td><xsl:value-of select="$wl_an7"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um7"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an8">
		<tr bgcolor="#ffffff">
			<td><b>Verst. zus. Person1:</b></td>
		    <td><xsl:value-of select="$wl_an8"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um8"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an9">
		<tr bgcolor="#ffffff">
			<td><b>Verst. zus. Person2:</b></td>
		    <td><xsl:value-of select="$wl_an9"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um9"/></td>
		</tr>
	</xsl:when></xsl:choose>
	</table>
	<table>
	    <xsl:variable name="wl_um11" select="AbwasserStoerung/Daten/wl_um11"/>
		<xsl:choose><xsl:when test="$wl_um11">
			<tr bgcolor="#ffffff">
				<td><b>Zeitpunkt der Gefahrenabwehr:</b></td>
			    <td><xsl:value-of select="$wl_um11"/></td>
			</tr>
		</xsl:when></xsl:choose>
		<tr bgcolor="#ffffff">
			<td><b>Strung abgeschlossen um:</b></td>
		    <td><xsl:value-of select="AbwasserStoerung/Daten/wl_um10"/></td>
		</tr>
	</table>
</xsl:template>


<xsl:template name="Bemerkungen">
<xsl:variable name="gefunden" select="AbwasserStoerung/Bemerkung/item"/>
<xsl:choose><xsl:when test="$gefunden">
<h1><U>5. Bemerkungen</U></h1>
<table>
  <xsl:for-each select="AbwasserStoerung/Bemerkung/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:when></xsl:choose>
   <xsl:variable name="gefundenz" select="AbwasserStoerung/Bemerkung/zeile"/>
   <xsl:choose>
      <xsl:when test="$gefundenz">
         <h1>
            <U>5. Bemerkungen</U>
         </h1>
         <table>
            <xsl:for-each select="AbwasserStoerung/Bemerkung/zeile">
               <xsl:call-template name="ZEILE"/>
            </xsl:for-each>
         </table>
      </xsl:when>
   </xsl:choose>
</xsl:template>



<xsl:template name="Dokumente">
<h1><U>6. Dokumente:</U></h1>
<table>
  <xsl:for-each select="AbwasserStoerung/Dokumente/doc">
    <xsl:variable name="vopt" select="./@type"/>
    <xsl:call-template name="test_txt_filetypes">
        <xsl:with-param name="list">
            <xsl:value-of select="$txt_list" /> 
        </xsl:with-param>
        <xsl:with-param name="ist_typ">
            <xsl:value-of select="$vopt" /> 
        </xsl:with-param>
        <xsl:with-param name="cur_name" select="." /> 
        <xsl:with-param name="cur_desc" select="./@desc" /> 
    </xsl:call-template>
    <tr bgcolor="#ffffff"><td>&#160;</td></tr>
  </xsl:for-each>  
</table>		
</xsl:template>

<xsl:template name="test_txt_filetypes">
    <xsl:param name="list" /> 
    <xsl:param name="ist_typ" /> 
    <xsl:param name="cur_name" /> 
    <xsl:param name="cur_desc" /> 

    <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" /> 
    <xsl:variable name="first" select="substring-before($newlist, ' ')" /> 
    <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
    <xsl:variable name="vreftyp" select="$first"/>
    <xsl:choose>
        <xsl:when test="$vreftyp=$ist_typ">

            <!-- txt Filetype gefunden -->
            <xsl:call-template name="mtext"/>

        </xsl:when> 
        <xsl:otherwise>
            <xsl:choose>
                <xsl:when test="$remaining">
                    <!-- weiteres Listenelement vorhanden, also weitersuchen -->

                    <xsl:call-template name="test_txt_filetypes">
                        <xsl:with-param name="list" select="$remaining" /> 
                        <xsl:with-param name="ist_typ" select="$ist_typ" /> 
                        <xsl:with-param name="cur_name" select="$cur_name" /> 
                        <xsl:with-param name="cur_desc" select="$cur_desc" /> 
                    </xsl:call-template>
                </xsl:when> 
                <xsl:otherwise>

                    <!-- Dateityp nicht in der Liste   img_list -->

                    <xsl:call-template name="test_img_filetypes">
                        <xsl:with-param name="list">
                            <xsl:value-of select="$img_list" /> 
                        </xsl:with-param>
                        <xsl:with-param name="ist_typ"  select="$ist_typ" /> 
                        <xsl:with-param name="cur_name" select="$cur_name" /> 
                        <xsl:with-param name="cur_desc" select="$cur_desc" /> 
                    </xsl:call-template>

                </xsl:otherwise>
            </xsl:choose>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>


<xsl:template name="test_img_filetypes">
    <xsl:param name="list" /> 
    <xsl:param name="ist_typ" /> 
    <xsl:param name="cur_name" /> 
    <xsl:param name="cur_desc" /> 

    <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" /> 
    <xsl:variable name="first" select="substring-before($newlist, ' ')" /> 
    <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
    <xsl:variable name="vreftyp" select="$first"/>
    <xsl:choose>
        <xsl:when test="$vreftyp=$ist_typ">

            <!-- IMG Filetype gefunden -->
            <xsl:call-template name="mimage"/>

        </xsl:when> 
        <xsl:otherwise>
            <xsl:choose>
                <xsl:when test="$remaining">
                    <!-- weiteres Listenelement vorhanden, also weitersuchen -->

                    <xsl:call-template name="test_img_filetypes">
                        <xsl:with-param name="list" select="$remaining" /> 
                        <xsl:with-param name="ist_typ" select="$ist_typ" /> 
                        <xsl:with-param name="cur_name" select="$cur_name" /> 
                        <xsl:with-param name="cur_desc" select="$cur_desc" /> 
                    </xsl:call-template>
                </xsl:when> 
                <xsl:otherwise>

                    <!-- Dateityp nicht in der Liste   img_list -->

                    <tr bgcolor="#ffffff"><td><a><xsl:attribute name="href">
                      <!-- $XWDIR -->
                      <xsl:value-of select="$cur_name"/></xsl:attribute><xsl:value-of select="$cur_desc"/></a></td></tr>

                </xsl:otherwise>
            </xsl:choose>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>


<xsl:template name="mimage">
        <tr bgcolor="#ffffff"><td>Bilddokument "<xsl:value-of select="./@desc"/>"</td></tr>
        <tr bgcolor="#ffffff"><td>
        <xsl:element name="IMG">
            <xsl:attribute name="SRC">
              <!-- $XWDIR -->
              <xsl:value-of select="."/></xsl:attribute>
        </xsl:element>
        </td></tr>
</xsl:template>

<xsl:template name="mtext">
        <tr bgcolor="#ffffff"><td>Textdokument "<xsl:value-of select="./@desc"/>"</td></tr>
        <tr bgcolor="#ffffff"><td>
        <table>
            <xsl:for-each select="./item">
	            <tr bgcolor="#ffffff"><td>&#160;</td><td><xsl:value-of select="."/></td></tr>
            </xsl:for-each>  
        </table>
        </td></tr>
</xsl:template>

   <xsl:template name="ZEILE">
      <tr>
         <td>
            <xsl:for-each select="part">
               <xsl:value-of select="itemp"/>
               <xsl:apply-templates select="url"/>
            </xsl:for-each>
         </td>
      </tr>
   </xsl:template>
   <xsl:template match="url">
      <a>
         <xsl:attribute name="href">
            <xsl:value-of select="." />
         </xsl:attribute>
         <xsl:value-of select="." />
      </a>
   </xsl:template>


</xsl:stylesheet>
