﻿<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Arbeitsbericht Gas

    Version 1.0.0.1


    ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
	
	15.07.09 Brozio FGH Version 1.0.0.0	
    15.11.10 Pietsch 1.0.0.1: VDN-Daten -> GAS-Daten	
-->

<xsl:variable name="vkunden" select="GAS-Daten/Stoerungsdaten/kundenversion"/>

<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="GAS-Daten"/>
	</html>
</xsl:template>

<xsl:template match="GAS-Daten">
	<head>
		<title>Arbeitsnachweis Gas Netz</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Stoerungsdaten"/>
	</body>
</xsl:template>


<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">

	<table border="0" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td valign="TOP">
            <P align="CENTER"><img src="$LOGO"/></P>
         </td>
         <td valign="TOP" width="60%">
            <P align="CENTER"><FONT size="4" style="font-size: 20pt">
				<nobr><U>Störungsmeldung</U></nobr></FONT></P>
            <P align="CENTER"><FONT size="4" style="font-size: 20pt">
				<nobr><U>Gasnetz</U></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td align="right"><FONT size="4"><nobr>lfd. Nr.:</nobr></FONT></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td align="right"><FONT size="4"><nobr><xsl:value-of select="GasStoerung/Allgemeine_Angaben/nummer"/></nobr></FONT></td>
               </tr>
             </table>
         </td>
		<tr bgcolor="#ffffff">
			<tr bgcolor="#ffffff">
				<td><FONT size="4">&#160;</FONT></td>
			</tr>
		</tr>
      </tr>
	</table>

    <xsl:call-template name="Meldung"/>

</xsl:template>


<xsl:template name="Meldung">
<!-- Meldung der Störung -->
<table cellpadding="4" cellspacing="0">
	<xsl:variable name="meldzeit" select="GasStoerung/Daten/meldzeit"/>
   <xsl:variable name="tag" select="substring-before($meldzeit,' ')" /> 
   <xsl:variable name="zeit" select="substring-after($meldzeit,' ')" /> 
	<tr bgcolor="#ffffff">
		<td width="15%"><FONT size="4"><b>Tag der Meldung:</b></FONT></td>
      <td width="40%"><FONT size="4"><xsl:value-of select="$tag"/></FONT></td>
		<td width="30%" align="right"><FONT size="4"><b>Zeit:</b></FONT></td>
      <td width="15%" align="left"><FONT size="4"><xsl:value-of select="$zeit"/></FONT></td>

	</tr>
	<tr bgcolor="#ffffff">
		<td><b><FONT size="1">&#160;</FONT></b></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="15%"><FONT size="4">&#160;</FONT></td>
		<td width="40%"><b><FONT size="4">Anrufer:</FONT></b></td>
		<td width="45%" colspan="2"><b><FONT size="4">Störungsort:</FONT></b></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="15%"><b><FONT size="4">Name/Firma:</FONT></b></td>
	   <td width="40%"><FONT size="4"><xsl:value-of select="GasStoerung/Daten/meldname"/></FONT></td>
	   <td width="45%" colspan="2"><FONT size="4"><xsl:value-of select="GasStoerung/Daten/stoername"/></FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="15%"><b><FONT size="4">Telefon:</FONT></b></td>
	   <td width="85%" colspan="3"><FONT size="4"><xsl:value-of select="GasStoerung/Daten/meldtelefon"/></FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="15%"><b><FONT size="4">Strasse/Nr.:</FONT></b></td>
	   <td width="40%"><FONT size="4"><xsl:value-of select="GasStoerung/Daten/meldstrasse"/>&#160;<xsl:value-of select="GasStoerung/Daten/meldhausnr"/></FONT></td>
	   <td width="45%" colspan="2"><FONT size="4"><xsl:value-of select="GasStoerung/Daten/stoerstrasse"/>&#160;<xsl:value-of select="GasStoerung/Daten/stoerhausnr"/></FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="15%"><b><FONT size="4">PLZ/Ort:</FONT></b></td>
	   <td width="40%"><FONT size="4"><xsl:value-of select="GasStoerung/Daten/meldplz"/>&#160;<xsl:value-of select="GasStoerung/Daten/meldort"/></FONT></td>
	   <td width="45%" colspan="2"><FONT size="4"><xsl:value-of select="GasStoerung/Daten/stoerplz"/>&#160;<xsl:value-of select="GasStoerung/Daten/stoerort"/></FONT></td>
	</tr>
	<xsl:variable name="meldortsteil" select="GasStoerung/Daten/meldortsteil"/>
	<xsl:variable name="stoerortsteil" select="GasStoerung/Daten/stoerortsteil"/>
	<xsl:choose><xsl:when test="$meldortsteil">
	<xsl:choose><xsl:when test="$stoerortsteil">
	<tr bgcolor="#ffffff">
		<td width="15%"><b><FONT size="4">Ortsteil:</FONT></b></td>
	   <td width="40%"><FONT size="4"><xsl:value-of select="$meldortsteil"/></FONT></td>
	   <td width="45%" colspan="2"><FONT size="4"><xsl:value-of select="$stoerortsteil"/></FONT></td>
	</tr>
    </xsl:when></xsl:choose>
    </xsl:when></xsl:choose>
	<tr bgcolor="#ffffff">
		<td><b><FONT size="1">&#160;</FONT></b></td>
	</tr>

	<tr bgcolor="#ffffff">
		<td width="15%"><b><FONT size="4">Meldungsinhalt:</FONT></b></td>
	   <td width="85%" colspan="3"><FONT size="4"><xsl:value-of select="GasStoerung/Daten/meldinhalt/@text"/></FONT></td>
	</tr>

	<tr bgcolor="#ffffff">
        <xsl:for-each select="GasStoerung/Meldetext/item">
			<xsl:choose><xsl:when test="position()=1">
				<tr bgcolor="#ffffff"><td><b><FONT size="4">Meldungstext:</FONT></b></td><td colspan="3"><FONT size="4"><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></FONT></td></tr>
			</xsl:when><xsl:otherwise>
				<tr bgcolor="#ffffff"><td><FONT size="4">&#160;</FONT></td><td colspan="3"><FONT size="4"><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></FONT></td></tr>
			</xsl:otherwise></xsl:choose>
        </xsl:for-each>  
	</tr>

	<tr bgcolor="#ffffff">
		<td width="15%"><b><FONT size="4">Entgegengenommen:</FONT></b></td>
	   <td width="85%" colspan="3"><FONT size="4"><xsl:value-of select="GasStoerung/Daten/melderfasser"/></FONT></td>
	</tr>
	<xsl:variable name="wl_um1" select="GasStoerung/Daten/wl_um1"/>
    <xsl:variable name="zeit1" select="substring-after($wl_um1,' ')" /> 
	<tr bgcolor="#ffffff">
		<td><b><FONT size="4">Weitergegeben an:</FONT></b></td>
	   <td><FONT size="4"><xsl:value-of select="GasStoerung/Daten/wl_an1"/></FONT></td>
		<td align="right"><b><FONT size="4">Zeit:</FONT></b></td>
	   <td align="left"><FONT size="4"><xsl:value-of select="$zeit1"/></FONT></td>
	</tr>
	<xsl:variable name="wl_um2" select="GasStoerung/Daten/wl_um2"/>
    <xsl:variable name="zeit2" select="substring-after($wl_um2,' ')" /> 
	<tr bgcolor="#ffffff">
		<td><b><FONT size="4">Ankunft vor Ort:</FONT></b></td>
	   <td><FONT size="4"><xsl:value-of select="GasStoerung/Daten/wl_an2"/></FONT></td>
		<td align="right"><b><FONT size="4">Zeit:</FONT></b></td>
	   <td align="left"><FONT size="4"><xsl:value-of select="$zeit2"/></FONT></td>
	</tr>
	<xsl:variable name="wl_an8" select="GasStoerung/Daten/wl_an8"/>
	<xsl:choose><xsl:when test="$wl_an8">
		<xsl:variable name="wl_um8" select="GasStoerung/Daten/wl_um8"/>
      <xsl:variable name="zeit8" select="substring-after($wl_um8,' ')" /> 
		<tr bgcolor="#ffffff">
			<td><b><FONT size="4">Zusätzlich Verständigt:</FONT></b></td>
		   <td><FONT size="4"><xsl:value-of select="GasStoerung/Daten/wl_an8"/></FONT></td>
			<td align="right"><b><FONT size="4">Zeit:</FONT></b></td>
		   <td align="left"><FONT size="4"><xsl:value-of select="$zeit8"/></FONT></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:variable name="wl_an9" select="GasStoerung/Daten/wl_an9"/>
	<xsl:choose><xsl:when test="$wl_an9">
		<xsl:variable name="wl_um9" select="GasStoerung/Daten/wl_um9"/>
        <xsl:variable name="zeit9" select="substring-after($wl_um9,' ')" /> 
		<tr bgcolor="#ffffff">
			<td><b><FONT size="4">Zusätzlich Verständigt:</FONT></b></td>
		   <td><FONT size="4"><xsl:value-of select="GasStoerung/Daten/wl_an9"/></FONT></td>
			<td align="right"><b><FONT size="4">Zeit:</FONT></b></td>
		   <td align="left"><FONT size="4"><xsl:value-of select="$zeit9"/></FONT></td>
		</tr>
	</xsl:when></xsl:choose>

	<tr bgcolor="#ffffff">
        <xsl:for-each select="GasStoerung/Bemerkung/item">
			<xsl:choose><xsl:when test="position()=1">
				<tr bgcolor="#ffffff"><td><b><FONT size="4">Erste Festst./Maßn.:</FONT></b></td><td colspan="3"><FONT size="4"><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></FONT></td></tr>
			</xsl:when><xsl:otherwise>
				<tr bgcolor="#ffffff"><td><FONT size="4">&#160;</FONT></td><td colspan="3"><FONT size="4"><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></FONT></td></tr>
			</xsl:otherwise></xsl:choose>
        </xsl:for-each>  
	</tr>

	<xsl:variable name="wl_um11" select="GasStoerung/Daten/wl_um11"/>
	<xsl:choose><xsl:when test="$wl_um11">
    <xsl:variable name="zeit11" select="substring-after($wl_um11,' ')" /> 
	<tr bgcolor="#ffffff">
		<td><b><FONT size="4">Gefahrenabwehr um:</FONT></b></td>
	    <td colspan="3"><FONT size="4"><xsl:value-of select="$zeit11"/></FONT></td>
	</tr>
    </xsl:when></xsl:choose>

	<xsl:variable name="wl_um10" select="GasStoerung/Daten/wl_um10"/>
	<xsl:choose><xsl:when test="$wl_um10">
    <xsl:variable name="zeit10" select="substring-after($wl_um10,' ')" /> 
	<xsl:variable name="wl_um12" select="GasStoerung/Daten/wl_um12"/>
    <xsl:variable name="zeit12" select="substring-after($wl_um12,' ')" /> 
	<tr bgcolor="#ffffff">
		<td><b><FONT size="4"><nobr>Arbeiten beendet um:</nobr></FONT></b></td>
	   <td><FONT size="4"><xsl:value-of select="$zeit10"/></FONT></td>
		<xsl:if test="$wl_um12">
			<td><b><FONT size="4"><nobr>Arbeiten erledigt um:</nobr></FONT></b></td>
			<td><FONT size="4"><xsl:value-of select="$zeit12"/></FONT></td>
		</xsl:if>
	</tr>
    </xsl:when><xsl:otherwise>
		<tr bgcolor="#ffffff">
			<td><b><FONT size="4"><nobr>Arbeiten beendet um:</nobr></FONT></b></td>
		</tr>
    </xsl:otherwise></xsl:choose>

    <tr bgcolor="#ffffff">
       <td colspan="4"><img  width="15" height="15" src="./checkbox_aus.jpg"/><FONT size="4">&#160;&#160;Störungsmeldung <U>ohne</U> Schadensfolge</FONT></td>
    </tr>
    <tr bgcolor="#ffffff">
       <td colspan="4"><img  width="15" height="15" src="./checkbox_aus.jpg"/><FONT size="4">&#160;&#160;Störungsmeldung <U>mit</U> Schadensfolge.</FONT><FONT size="2">Bitte DVGW-Schadenserfassungsbogen ausfüllen und an die NLS schicken.</FONT></td>
    </tr>
</table>

<table cellpadding="4" cellspacing="0">
	<tr bgcolor="#ffffff">
		<td><b><nobr><FONT size="4">Ausgeführte Arbeiten:</FONT></nobr></b></td>
		<td ><FONT size="4">...................................................................................</FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT size="4">&#160;</FONT></td>
		<td><FONT size="4">...................................................................................</FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT size="4">&#160;</FONT></td>
		<td><FONT size="4">...................................................................................</FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>
			<FONT size="4">&#160;</FONT>
		</td>
		<td>
			<FONT size="4">...................................................................................</FONT>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT size="4">&#160;</FONT></td>
		<td><FONT size="4">...................................................................................</FONT></td>
	</tr>
</table>
	
<table cellpadding="4" cellspacing="0">
	<tr bgcolor="#ffffff">
		<td width="22%">
			<b>
				<nobr>
					<FONT size="4">Erledigt durch:</FONT>
				</nobr>				
			</b>
		</td>
		<td width="78%">
			<FONT size="4">..............................................................................................</FONT>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="22%">
			<b>
				<nobr>
					<FONT size="4">Bemerkungen:</FONT>
				</nobr>
			</b>
		</td>
		<td width="78%">
			<FONT size="4">..............................................................................................</FONT>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="22%">
			<FONT size="4">&#160;</FONT>
		</td>
		<td width="78%">
			<FONT size="4">..............................................................................................</FONT>
		</td>
	</tr>
</table>
	
<table cellpadding="4" cellspacing="0">
	<tr bgcolor="#ffffff">
		<td width="40%">
			<b>
				<FONT size="4">Monteur:&#160;&#160;...................................</FONT>
			</b>
		</td>
		<td width="30%">
			<b>
				<FONT size="4">Datum:&#160;&#160;...................</FONT>
			</b>
		</td>
		<td width="30%">
			<b>
				<FONT size="4">Zeit:&#160;&#160;...................</FONT>
			</b>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="40%">
			<b>
				<FONT size="4">Meister:&#160;&#160;&#160;&#160;...................................</FONT>
			</b>
		</td>
		<td width="30%">
			<b>
				<FONT size="4">Datum:&#160;&#160;...................</FONT>
			</b>
		</td>
		<td width="30%">
			<b>
				<FONT size="4">Zeit:&#160;&#160;...................</FONT>
			</b>
		</td>
	</tr>
	
</table>
</xsl:template>

</xsl:stylesheet>
