﻿<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Arbeitsbericht Strom Störung

    Version 1.0.0.2

    WICHTIG : Nur EINE Seite

    ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
	
	04.08.09 Brozio FGH Version 1.0.0.0	
  15.11.10 Pietsch 1.0.0.1: VDN-Daten -> GAS-Daten
  10.11.16         1.0.0.2: css bei Versorgungsunterbrechungen
  
-->

<xsl:variable name="vkunden" select="GAS-Daten/Stoerungsdaten/kundenversion"/>

<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="GAS-Daten"/>
	</html>
</xsl:template>

<xsl:template match="GAS-Daten">
	<head>
		<title>Arbeitsnachweis Strom Störung</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Stoerungsdaten"/>
	</body>
</xsl:template>


<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">
    <xsl:call-template name="Kopf"/>
    <xsl:call-template name="Meldung"/>
    <xsl:call-template name="Versorgungsunterbrechungen"/>
    <xsl:call-template name="Unterschrift"/>

</xsl:template>


<xsl:template name="Kopf">
<!-- Kopf -->
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
     <td valign="TOP" width="62%">
        <P align="right"><FONT size="3" style="font-size: 14pt">
			<nobr><b>Gas-Störung</b></nobr></FONT></P>
     </td>
     <td align="right" valign="TOP">
         <table border="0">
           <tr>
			   <td align="right"><FONT size="3"><nobr>lfd. Nr.:</nobr></FONT></td>
           </tr>
           <tr>
			   <td align="right"><FONT size="3"><nobr><xsl:value-of select="GasStoerung/Allgemeine_Angaben/nummer"/></nobr></FONT></td>
           </tr>
         </table>
     </td>
  </tr>
</table>

</xsl:template>


<xsl:template name="Meldung">
<!-- Meldung der Störung -->
<p><center><b>  <FONT size="4">Störungsanlass</FONT></b></center></p>
<p><left><FONT size="3">Zustängigkeitsbereich des Netzbetreibers</FONT></left></p>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Kein erkennbarer Anlass</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Fehlbedienung</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Sonstiges im Zuständigkeitsbereich des Netzbetreibers</FONT></td>
  </tr>
  <tr>
     <td align="left" width="5%" ><FONT style="font-size: 5pt">&#160;</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Fremde Einwirkung</FONT></td>
  </tr>
  <tr>
     <td align="left" width="5%" ><FONT style="font-size: 5pt">&#160;</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Sonstiges</FONT></td>
  </tr>
</table>

<p><left><FONT size="3">Folgestörung</FONT></left></p>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Folgestörung aus eigenem Netz</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Folgestörung aus fremdem Netz der alggemeinen Versorgung</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Folgestörung aus Letztverbraucheranlage</FONT></td>
  </tr>
</table>

<p><left><FONT size="3">Geplante Ausschaltung mit Versorgungsunterbrechung</FONT></left></p>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Zähler- und Hausdruckreglerwechsel (Tu>1h)</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Instandhaltung an Gasdruch-Regel- und -Messeinrichtungen</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Instandhaltung an Gasleitungen und Anschlüssen</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Sonstige geplante Unterbrechung</FONT></td>
  </tr>
  <tr>
     <td align="left" width="5%" ><FONT style="font-size: 5pt">&#160;</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Fehlmeldung</FONT></td>
  </tr>
  <tr>
     <td align="right" valign="middle" width="5%"><img  width="15" height="15" src="./checkbox_aus.jpg"/></td>
     <td align="left" width="95%" ><FONT size="3">Fehler in eigener Anlage</FONT></td>
  </tr>
</table>

</xsl:template>

<xsl:template name="Versorgungsunterbrechungen">
<!-- Versorgungsunterbrechungen -->
<p><center><b><FONT size="4">Versorgungsunterbrechungen</FONT></b></center></p>
<table cellpadding="1" cellspacing="0" style="border: 1px solid; width: 100%">
	<tr>
    <td style="border: 1px solid;"><FONT size="3">&#160;</FONT></td>
		<td colspan="2" style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">Beginn</FONT></td>
		<td colspan="2" style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">Ende</FONT></td>
		<td width="29%" rowspan="2"  style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">Anzahl Verbraucher/Vertragsleistung</FONT></td>
	</tr>
	<tr>
		<td width="1%" style="border: 1px solid;"><FONT size="4">&#160;</FONT></td>
		<td width="15%" style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">Datum</FONT></td>
		<td width="20%" style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">Uhrzeit</FONT></td>
		<td width="15%" style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">Datum</FONT></td>
		<td width="20%" style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">Uhrzeit</FONT></td>
	</tr>
	<tr>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">1</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
	</tr>
	<tr>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">2</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
	</tr>
	<tr>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">3</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
	</tr>
	<tr>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">4</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
	</tr>
	<tr>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">5</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
	</tr>
	<tr>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">6</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
	</tr>
	<tr>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">7</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
	</tr>
	<tr>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">8</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
		<td style="border: 1px solid; text-align: center; vertical-align: middle;"><FONT size="3">&#160;</FONT></td>
	</tr>

</table>
</xsl:template>

<xsl:template name="Unterschrift">
<!-- Unterschrift -->
<table width="100%">
	<tr>
		<td><FONT size="2">&#160;</FONT></td>
	</tr>
	<tr>
		<td width="47%" style="text-align:center"><FONT size="4">.............................................</FONT></td>
		<td width="6%"><FONT size="4">&#160;&#160;&#160;</FONT></td>
		<td width="47%" style="text-align:center"><FONT size="4">.............................................</FONT></td>
	</tr>
	<tr>
		<td><center>Name</center></td>
		<td>&#160;</td>
		<td><center>Unterschrift</center></td>
	</tr>
	<tr>
		<td colspan="3" style="text-align:center"><b><FONT size="4">Nach Beendigung der Arbeiten unverzüglich der Netzleitstelle schicken !</FONT></b></td>
	</tr>
	<tr>
		<td><FONT size="2">&#160;</FONT></td>
	</tr>
	<tr>
		<td width="47%" style="text-align:center"><FONT size="4">.............................................</FONT></td>
		<td width="6%"><FONT size="4">&#160;&#160;&#160;</FONT></td>
		<td width="47%" style="text-align:center"><FONT size="4">.............................................</FONT></td>
	</tr>
	<tr>
		<td style="text-align:center">Eingegeben Netzleitstelle Name, Datum</td>
		<td>&#160;</td>
		<td style="text-align:center">Unterschrift</td>
	</tr>

</table>
</xsl:template>


</xsl:stylesheet>
