<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Arbeitsbericht Wasser

    Version 1.0.0.1


    ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
	
	15.07.09 Brozio FGH Version 1.0.0.0	
    16.11.10 Pietsch 1.0.0.1 VDN-Daten -> WASSER-Daten	
-->

<xsl:variable name="vkunden" select="WASSER-Daten/Stoerungsdaten/kundenversion"/>

<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="WASSER_Daten"/>
	</html>
</xsl:template>

<xsl:template match="WASSER_Daten">
	<head>
		<title>Arbeitsnachweis Wasser</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Stoerungsdaten"/>
	</body>
</xsl:template>


<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">

	<table border="0" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td valign="TOP">
            <P align="CENTER"><img src="$LOGO"/></P>
         </td>
         <td valign="TOP" width="60%">
            <P align="CENTER"><FONT size="3" style="font-size: 20pt">
				<nobr><U>Strungsmeldung</U></nobr></FONT></P>
            <P align="CENTER"><FONT size="3" style="font-size: 20pt">
				<nobr><U>Wassernetz</U></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td align="right"><FONT size="3"><nobr>lfd. Nr.:</nobr></FONT></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td align="right"><FONT size="3"><nobr><xsl:value-of select="WasserStoerung/Allgemeine_Angaben/nummer"/></nobr></FONT></td>
               </tr>
             </table>
         </td>

      </tr>
	</table>

    <xsl:call-template name="Meldung"/>

</xsl:template>


<xsl:template name="Meldung">
<!-- Meldung der Strung -->
<table cellpadding="3" cellspacing="0">
	<xsl:variable name="meldzeit" select="WasserStoerung/Daten/meldzeit"/>
   <xsl:variable name="tag" select="substring-before($meldzeit,' ')" /> 
   <xsl:variable name="zeit" select="substring-after($meldzeit,' ')" /> 
	<tr bgcolor="#ffffff">
		<td width="20%"><FONT size="3"><b>Tag der Meldung:</b></FONT></td>
      <td width="35%"><FONT size="3"><xsl:value-of select="$tag"/></FONT></td>
		<td width="30%" align="right"><FONT size="3"><b>Zeit:</b></FONT></td>
      <td width="15%" align="left"><FONT size="3"><xsl:value-of select="$zeit"/></FONT></td>

	</tr>
	<tr bgcolor="#ffffff">
		<td><b><FONT size="1">&#160;</FONT></b></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="20%"><FONT size="3">&#160;</FONT></td>
		<td width="35%"><b><FONT size="3">Anrufer:</FONT></b></td>
		<td width="45%" colspan="2"><b><FONT size="3">Strungsort:</FONT></b></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="20%"><b><FONT size="3">Name/Firma:</FONT></b></td>
	   <td width="35%"><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/meldname"/></FONT></td>
	   <td width="45%" colspan="2"><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/stoername"/></FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="20%"><b><FONT size="3">Telefon:</FONT></b></td>
	   <td width="80%" colspan="3"><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/meldtelefon"/></FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="20%"><b><FONT size="3">Strasse/Nr.:</FONT></b></td>
	   <td width="35%"><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/meldstrasse"/>&#160;<xsl:value-of select="WasserStoerung/Daten/meldhausnr"/></FONT></td>
	   <td width="45%" colspan="2"><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/stoerstrasse"/>&#160;<xsl:value-of select="WasserStoerung/Daten/stoerhausnr"/></FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="20%"><b><FONT size="3">PLZ/Ort:</FONT></b></td>
	   <td width="35%"><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/meldplz"/>&#160;<xsl:value-of select="WasserStoerung/Daten/meldort"/></FONT></td>
	   <td width="45%" colspan="2"><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/stoerplz"/>&#160;<xsl:value-of select="WasserStoerung/Daten/stoerort"/></FONT></td>
	</tr>
	<xsl:variable name="meldortsteil" select="WasserStoerung/Daten/meldortsteil"/>
	<xsl:variable name="stoerortsteil" select="WasserStoerung/Daten/stoerortsteil"/>
	<xsl:choose><xsl:when test="$meldortsteil">
		<tr bgcolor="#ffffff">
			<td width="20%"><b><FONT size="3">Ortsteil:</FONT></b></td>
		   <td width="35%"><FONT size="3"><xsl:value-of select="$meldortsteil"/></FONT></td>
		   <td width="45%" colspan="2"><FONT size="3"><xsl:value-of select="$stoerortsteil"/></FONT></td>
		</tr>
	</xsl:when><xsl:otherwise>
		<xsl:choose><xsl:when test="$stoerortsteil">
			<tr bgcolor="#ffffff">
				<td width="20%"><b><FONT size="3">Ortsteil:</FONT></b></td>
				<td width="35%"><FONT size="3"><xsl:value-of select="$meldortsteil"/></FONT></td>
				<td width="45%" colspan="2"><FONT size="3"><xsl:value-of select="$stoerortsteil"/></FONT></td>
			</tr>
		</xsl:when></xsl:choose>
    </xsl:otherwise></xsl:choose>
	<tr bgcolor="#ffffff">
		<td><b><FONT size="1">&#160;</FONT></b></td>
	</tr>

	<tr bgcolor="#ffffff">
		<td><b><FONT size="3">Meldungsinhalt:</FONT></b></td>
	   <td colspan="3"><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/meldinhalt"/></FONT></td>
	</tr>

	<tr bgcolor="#ffffff">
        <xsl:for-each select="WasserStoerung/Meldetext/item">
			<xsl:choose><xsl:when test="position()=1">
				<tr bgcolor="#ffffff"><td><b><FONT size="3">Meldungstext:</FONT></b></td><td colspan="3"><FONT size="3"><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></FONT></td></tr>
			</xsl:when><xsl:otherwise>
				<tr bgcolor="#ffffff"><td><FONT size="3">&#160;</FONT></td><td colspan="3"><FONT size="3"><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></FONT></td></tr>
			</xsl:otherwise></xsl:choose>
        </xsl:for-each>  
	</tr>

	<tr bgcolor="#ffffff">
		<td><b><FONT size="3">Entgegengenommen:</FONT></b></td>
	   <td colspan="3"><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/melderfasser"/></FONT></td>
	</tr>
	<xsl:variable name="wl_um1" select="WasserStoerung/Daten/wl_um1"/>
    <xsl:variable name="zeit1" select="substring-after($wl_um1,' ')" /> 
	<tr bgcolor="#ffffff">
		<td><b><FONT size="3">Weitergegeben an:</FONT></b></td>
	   <td><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/wl_an1"/></FONT></td>
		<td align="right"><b><FONT size="3">Zeit:</FONT></b></td>
	   <td align="left"><FONT size="3"><xsl:value-of select="$zeit1"/></FONT></td>
	</tr>
	<xsl:variable name="wl_um2" select="WasserStoerung/Daten/wl_um2"/>
    <xsl:variable name="zeit2" select="substring-after($wl_um2,' ')" /> 
	<tr bgcolor="#ffffff">
		<td><b><FONT size="3">Ankunft vor Ort:</FONT></b></td>
	   <td><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/wl_an2"/></FONT></td>
		<td align="right"><b><FONT size="3">Zeit:</FONT></b></td>
	   <td align="left"><FONT size="3"><xsl:value-of select="$zeit2"/></FONT></td>
	</tr>

  <xsl:variable name="wl_an3" select="WasserStoerung/Daten/wl_an3"/>
  <xsl:choose>
    <xsl:when test="$wl_an3">
      <xsl:variable name="wl_um3" select="WasserStoerung/Daten/wl_um3"/>
      <xsl:variable name="zeit3" select="substring-after($wl_um3,' ')" />
      <tr bgcolor="#ffffff">
        <td width="20%">
          <b>
            <FONT size="3">Behebung:</FONT>
          </b>
        </td>
        <td width="35%">
          <FONT size="3">
            <xsl:value-of select="WasserStoerung/Daten/wl_an3"/>
          </FONT>
        </td>
        <td width="30%" align="right">
          <b>
            <FONT size="3">Zeit:</FONT>
          </b>
        </td>
        <td width="15%" align="left">
          <FONT size="3">
            <xsl:value-of select="$zeit3"/>
          </FONT>
        </td>
      </tr>
    </xsl:when>
  </xsl:choose>
  <xsl:variable name="wl_an4" select="WasserStoerung/Daten/wl_an4"/>
  <xsl:choose>
    <xsl:when test="$wl_an4">
      <xsl:variable name="wl_um4" select="WasserStoerung/Daten/wl_um4"/>
      <xsl:variable name="zeit4" select="substring-after($wl_um4,' ')" />
      <tr bgcolor="#ffffff">
        <td width="20%">
          <b>
            <FONT size="3">Koordination:</FONT>
          </b>
        </td>
        <td width="35%">
          <FONT size="3">
            <xsl:value-of select="WasserStoerung/Daten/wl_an4"/>
          </FONT>
        </td>
        <td width="30%" align="right">
          <b>
            <FONT size="3">Zeit:</FONT>
          </b>
        </td>
        <td width="15%" align="left">
          <FONT size="3">
            <xsl:value-of select="$zeit4"/>
          </FONT>
        </td>
      </tr>
    </xsl:when>
  </xsl:choose>
  <xsl:variable name="wl_an5" select="WasserStoerung/Daten/wl_an5"/>
  <xsl:choose>
    <xsl:when test="$wl_an5">
      <xsl:variable name="wl_um5" select="WasserStoerung/Daten/wl_um5"/>
      <xsl:variable name="zeit5" select="substring-after($wl_um5,' ')" />
      <tr bgcolor="#ffffff">
        <td width="20%">
          <b>
            <FONT size="3">Polizei:</FONT>
          </b>
        </td>
        <td width="35%">
          <FONT size="3">
            <xsl:value-of select="WasserStoerung/Daten/wl_an5"/>
          </FONT>
        </td>
        <td width="30%" align="right">
          <b>
            <FONT size="3">Zeit:</FONT>
          </b>
        </td>
        <td width="15%" align="left">
          <FONT size="3">
            <xsl:value-of select="$zeit5"/>
          </FONT>
        </td>
      </tr>
    </xsl:when>
  </xsl:choose>
  <xsl:variable name="wl_an6" select="WasserStoerung/Daten/wl_an6"/>
  <xsl:choose>
    <xsl:when test="$wl_an6">
      <xsl:variable name="wl_um6" select="WasserStoerung/Daten/wl_um6"/>
      <xsl:variable name="zeit6" select="substring-after($wl_um6,' ')" />
      <tr bgcolor="#ffffff">
        <td width="20%">
          <b>
            <FONT size="3">Feuerwehr:</FONT>
          </b>
        </td>
        <td width="35%">
          <FONT size="3">
            <xsl:value-of select="WasserStoerung/Daten/wl_an6"/>
          </FONT>
        </td>
        <td width="30%" align="right">
          <b>
            <FONT size="3">Zeit:</FONT>
          </b>
        </td>
        <td width="15%" align="left">
          <FONT size="3">
            <xsl:value-of select="$zeit6"/>
          </FONT>
        </td>
      </tr>
    </xsl:when>
  </xsl:choose>
  <xsl:variable name="wl_an7" select="WasserStoerung/Daten/wl_an7"/>
  <xsl:choose>
    <xsl:when test="$wl_an7">
      <xsl:variable name="wl_um7" select="WasserStoerung/Daten/wl_um7"/>
      <xsl:variable name="zeit7" select="substring-after($wl_um7,' ')" />
      <tr bgcolor="#ffffff">
        <td width="20%">
          <b>
            <FONT size="3">Notarzt:</FONT>
          </b>
        </td>
        <td width="35%">
          <FONT size="3">
            <xsl:value-of select="WasserStoerung/Daten/wl_an7"/>
          </FONT>
        </td>
        <td width="30%" align="right">
          <b>
            <FONT size="3">Zeit:</FONT>
          </b>
        </td>
        <td width="15%" align="left">
          <FONT size="3">
            <xsl:value-of select="$zeit7"/>
          </FONT>
        </td>
      </tr>
    </xsl:when>
  </xsl:choose>


  <xsl:variable name="wl_an8" select="WasserStoerung/Daten/wl_an8"/>
	<xsl:choose><xsl:when test="$wl_an8">
		<xsl:variable name="wl_um8" select="WasserStoerung/Daten/wl_um8"/>
        <xsl:variable name="zeit8" select="substring-after($wl_um8,' ')" /> 
		<tr bgcolor="#ffffff">
			<td><b><nobr><FONT size="3">Zustzlich Verstndigt:</FONT></nobr></b></td>
		   <td><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/wl_an8"/></FONT></td>
			<td align="right"><b><FONT size="3">Zeit:</FONT></b></td>
		   <td align="left"><FONT size="3"><xsl:value-of select="$zeit8"/></FONT></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:variable name="wl_an9" select="WasserStoerung/Daten/wl_an9"/>
	<xsl:choose><xsl:when test="$wl_an9">
		<xsl:variable name="wl_um9" select="WasserStoerung/Daten/wl_um9"/>
        <xsl:variable name="zeit9" select="substring-after($wl_um9,' ')" /> 
		<tr bgcolor="#ffffff">
			<td><b><nobr><FONT size="3">Zustzlich Verstndigt:</FONT></nobr></b></td>
		   <td><FONT size="3"><xsl:value-of select="WasserStoerung/Daten/wl_an9"/></FONT></td>
			<td align="right"><b><FONT size="3">Zeit:</FONT></b></td>
		   <td align="left"><FONT size="3"><xsl:value-of select="$zeit9"/></FONT></td>
		</tr>
	</xsl:when></xsl:choose>

	<tr bgcolor="#ffffff">
        <xsl:for-each select="WasserStoerung/Bemerkung/item">
			<xsl:choose><xsl:when test="position()=1">
				<tr bgcolor="#ffffff"><td><b><FONT size="3">Erste Festst./Man.:</FONT></b></td><td colspan="3"><FONT size="3"><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></FONT></td></tr>
			</xsl:when><xsl:otherwise>
				<tr bgcolor="#ffffff"><td><FONT size="3">&#160;</FONT></td><td colspan="3"><FONT size="3"><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></FONT></td></tr>
			</xsl:otherwise></xsl:choose>
        </xsl:for-each>  
	</tr>


	<xsl:variable name="wl_um11" select="WasserStoerung/Daten/wl_um11"/>
	<xsl:choose><xsl:when test="$wl_um11">
    <xsl:variable name="zeit11" select="substring-after($wl_um11,' ')" /> 
	<tr bgcolor="#ffffff">
		<td><b><FONT size="3">Gefahrenabwehr um:</FONT></b></td>
	   <td colspan="3"><FONT size="3"><xsl:value-of select="$zeit11"/></FONT></td>
	</tr>
    </xsl:when></xsl:choose>

	<xsl:variable name="wl_um10" select="WasserStoerung/Daten/wl_um10"/>
	<xsl:choose><xsl:when test="$wl_um10">
    <xsl:variable name="zeit10" select="substring-after($wl_um10,' ')" /> 
	 <xsl:variable name="wl_um12" select="WasserStoerung/Daten/wl_um12"/>
    <xsl:variable name="zeit12" select="substring-after($wl_um12,' ')" /> 
	 <tr bgcolor="#ffffff">
		<td><b><FONT size="3"><nobr>Arbeiten beendet:</nobr></FONT></b></td>
	   <td><FONT size="3"><xsl:value-of select="$zeit10"/></FONT></td>
		<xsl:if test="$wl_um12">
			<td><b><FONT size="3"><nobr>Arbeiten erledigt:</nobr></FONT></b></td>
			<td><FONT size="3"><xsl:value-of select="$zeit12"/></FONT></td>
		</xsl:if>
	 </tr>
   </xsl:when><xsl:otherwise>
	 <xsl:variable name="wl_um12" select="WasserStoerung/Daten/wl_um12"/>
    <xsl:variable name="zeit12" select="substring-after($wl_um12,' ')" /> 
	 <tr bgcolor="#ffffff">
		<xsl:if test="$wl_um12">
			<td><b><FONT size="3"><nobr>Arbeiten erledigt:</nobr></FONT></b></td>
			<td><FONT size="3"><xsl:value-of select="$zeit12"/></FONT></td>
		</xsl:if>
	 </tr>
   </xsl:otherwise></xsl:choose>

</table>

<table cellpadding="4" cellspacing="0">
	<tr bgcolor="#ffffff">
		<td><b><nobr><FONT size="3">Ausgefhrte Arbeiten:</FONT></nobr></b></td>
		<td ><FONT size="3">...................................................................................</FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT size="3">&#160;</FONT></td>
		<td><FONT size="3">...................................................................................</FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT size="3">&#160;</FONT></td>
		<td><FONT size="3">...................................................................................</FONT></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>
			<FONT size="3">&#160;</FONT>
		</td>
		<td>
			<FONT size="3">...................................................................................</FONT>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT size="3">&#160;</FONT></td>
		<td><FONT size="3">...................................................................................</FONT></td>
	</tr>
</table>

<table cellpadding="4" cellspacing="0">
	<tr bgcolor="#ffffff">
		<td width="22%">
			<b>
				<nobr>
					<FONT size="3">Erledigt durch:</FONT>
				</nobr>				
			</b>
		</td>
		<td width="78%">
			<FONT size="3">..............................................................................................</FONT>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="22%">
			<b>
				<nobr>
					<FONT size="3">Bemerkungen:</FONT>
				</nobr>
			</b>
		</td>
		<td width="78%">
			<FONT size="3">..............................................................................................</FONT>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="22%">
			<FONT size="3">&#160;</FONT>
		</td>
		<td width="78%">
			<FONT size="3">..............................................................................................</FONT>
		</td>
	</tr>
</table>

<table cellpadding="4" cellspacing="0">
	<tr bgcolor="#ffffff">
		<td width="40%">
			<b>
				<FONT size="3">Monteur:&#160;&#160;...................................</FONT>
			</b>
		</td>
		<td width="30%">
			<b>
				<FONT size="3">Datum:&#160;&#160;...................</FONT>
			</b>
		</td>
		<td width="30%">
			<b>
				<FONT size="3">Zeit:&#160;&#160;...................</FONT>
			</b>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td width="40%">
			<b>
				<FONT size="3">Meister:&#160;&#160;&#160;&#160;...................................</FONT>
			</b>
		</td>
		<td width="30%">
			<b>
				<FONT size="3">Datum:&#160;&#160;...................</FONT>
			</b>
		</td>
		<td width="30%">
			<b>
				<FONT size="3">Zeit:&#160;&#160;...................</FONT>
			</b>
		</td>
	</tr>
	
</table>
</xsl:template>

</xsl:stylesheet>
