<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:fo="http://www.w3.org/1999/XSL/Format"
                              xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
   <!--root-->
   <!--

    Stylesheet fuer Protokoll Datenuebertragung / Statusabfrage BNA Webclient 2008

    Dateiname im INTERASS support: bna_webclient.xsl
    Dateiname in INTERASS NMS resources: resources\fgh\bna_webclient.xsl

    Version 1.0.1.6
	

    erzwungenes Leerzeichen: &#160;


	
   14.07.08 Pietsch FGH Version 1.0.0.0
   15.07.08         Qu statt Tu
   17.07.08         BNA-Status
   25.02.09         BeginnTransaktionResponse
   07.01.10         soap:Envelope : konvertierte Daten
   21.04.10         1.0.0.5 soap:Fault
                    GAS BNetzA Daten
   30.04.10
   30.06.10         GAS BNetzA Daten
   07.07.10         GAS BNetzA Status
   14.07.10         GAS BNetzA Status akzeptiert mit Fehlermeldungen
   16.07.10         Legende GAS
   26.07.10         fehler Datenübertragung Gas
   19.04.11         Strom Anzeige VSU_1_36 (Text höhere Gewalt)
   28.04.11         Strom Betriebsnummer / Netznummer bei "Zeige BNA-Daten" (DummyHeaderStrom)
   30.05.11         GAS Anmerkung zu Qu KG1
   14.06.11         Berichtsjahr aus XML, Info zu Dopplung
   24.07.12         1.0.1.4 UnterbrechungsArt
   30.11.12         1.0.1.5 vudaten
   20.11.13         1.0.1.6 Info zu Qu

-->

   <xsl:variable name="fehler_vorpruefung" select="ErgebnisVorPruefung/ErgebnisVorPruefungResponse/ErgebnisVorPruefungResult/Vorpruefliste/DatenVorpruefEintrag"/>
   <xsl:variable name="fehler_gaspruefung" select="ErgebnisPruefung/ErgebnisPruefungResponse/ErgebnisPruefungResult/Fehlerliste/Fehler"/>
   <xsl:variable name="gaspruefung_bestanden" select="ErgebnisPruefung/ErgebnisPruefungResponse/ErgebnisPruefungResult/Meldungscode"/>
   <xsl:variable name="gasdaten" select="TransaktionDaten/TransaktionStoerungen/RueckgabeUnterbrechungenResponse/RueckgabeUnterbrechungenResult/StatusWS"/>
   <xsl:variable name="gassenden" select="TransaktionDaten/RueckgabeNetzdatenResponse"/>
   <xsl:variable name="fehler_ablauf_gas" select="TransaktionDaten/fehler_ablauf_gas"/>
   <xsl:variable name="vudaten1" select="soap:Envelope/Unterbrechungen/Unterbrechung"/>


  <xsl:template match="*|/">
      <html>
         <head>
            <title>BNetzA Daten / Datenübertragung Senden/Statusabfrage</title>
         </head>
         <body>
            <xsl:if test="$fehler_ablauf_gas">
               <div class="errorMacro">
                  Fehler bei der Datenübertragung!<br/>
               </div>
            </xsl:if>
            <xsl:apply-templates select="BeginnTransaktionResponse"/>
            <xsl:apply-templates select="TransaktionDaten"/>
            <xsl:apply-templates select="ErgebnisVorPruefung"/>
            <xsl:apply-templates select="ErgebnisPruefung"/>
            <xsl:apply-templates select="DatenInvalidieren"/>
            <xsl:apply-templates select="soap:Envelope"/>
            <xsl:apply-templates select="fehler_ablauf_gas"/>
         </body>
      </html>
   </xsl:template>

   <xsl:template match="soap:Envelope">
      <xsl:apply-templates select="DummyHeaderStrom"/>
      <xsl:apply-templates select="soap:Body"/>
      <xsl:apply-templates select="Unterbrechungen"/>
      <xsl:apply-templates select="udaten"/>
   </xsl:template>


   <xsl:template match="DummyHeaderStrom">
      <H2>Daten Strom für die Meldung an BNetzA</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#E4EEFF">Betriebsnummer:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="betriebsNummerBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Netzbereich:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="netznummerBT"/>
            </td>
         </tr>
      </table>
   </xsl:template>


   <xsl:template match="TransaktionDaten">
      <xsl:choose>
         <xsl:when test="$gassenden">
            <H2>Datenmeldung Gas an die BNetzA</H2>
         </xsl:when>
         <xsl:otherwise>
            <H2>Datenmeldung Strom an die BNetzA</H2>
         </xsl:otherwise>
      </xsl:choose>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#E4EEFF">Datum der Datenübertragung:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="Datum"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Berichtsjahr:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="berichtsJahrBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Betriebsnummer:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="betriebsNummerBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Netzbereich:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="netznummerBT"/>
            </td>
         </tr>
         <tr>
            <xsl:choose>
               <xsl:when test="$gassenden">
                  <td bgcolor="#E4EEFF">Anzahl Versorgungsunterbrechungen:</td>
               </xsl:when>
               <xsl:otherwise>
                  <td bgcolor="#E4EEFF">Anzahl Störungen:</td>
               </xsl:otherwise>
            </xsl:choose>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="anzahlUntGesamtBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Transaktionsnummer:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="Transaktionsnummer"/>
            </td>
         </tr>
         <xsl:choose>
            <xsl:when test="tranArtBT">
               <tr>
                  <td>&#160;</td>
                  <td>&#160;</td>
               </tr>
               <tr>
                  <td bgcolor="#FF5555">ACHTUNG:</td>
                  <td bgcolor="#FF9999">
                     Testoption ist aktiviert (<xsl:value-of select="tranArtBT"/>)!
                  </td>
               </tr>
            </xsl:when>
         </xsl:choose>


      </table>

      <H2>Übertragene Netzdaten</H2>
      <xsl:apply-templates select="RueckgabeEinmaligResponse/RueckgabeEinmaligResult/EinmalDaten"/>
      <xsl:apply-templates select="RueckgabeNetzdatenResponse/RueckgabeNetzdatenResult/Netzdaten"/>
      <xsl:apply-templates select="TransaktionStoerungen"/>

   </xsl:template>


   <!--Status Transaktion-->
   <xsl:template match="ErgebnisVorPruefung">
      <H2>Status der an die BNetzA übertragenen Daten</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <tr>
            <td bgcolor="#E4EEFF">Datum der Statusabfrage:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="Datum"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Berichtsjahr:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="berichtsJahrBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Betriebsnummer:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="betriebsNummerBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Netzbereich:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="netznummerBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Transaktionsnummer:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="Transaktionsnummer"/>
            </td>
         </tr>
         <tr>
            <xsl:choose>
               <xsl:when test="$fehler_vorpruefung">
                  <td bgcolor="#FF9980">Status:</td>
                  <td bgcolor="#FF9999">
                     <xsl:value-of select="ErgebnisVorPruefungResponse/ErgebnisVorPruefungResult/StatusWs"/>
                  </td>
               </xsl:when>
               <xsl:otherwise>
                  <xsl:choose>
                     <xsl:when test="ErgebnisVorPruefungResponse/ErgebnisVorPruefungResult/StatusWs='NichtAkzeptiert'">
                        <td bgcolor="#FF9980">Status:</td>
                        <td bgcolor="#FF9999">
                           <xsl:value-of select="ErgebnisVorPruefungResponse/ErgebnisVorPruefungResult/StatusWs"/>
                        </td>
                     </xsl:when>
                     <xsl:otherwise>
                        <td bgcolor="#FFFFE0">Status:</td>
                        <td bgcolor="#FFFFE0">
                           <xsl:value-of select="ErgebnisVorPruefungResponse/ErgebnisVorPruefungResult/StatusWs"/>
                        </td>
                     </xsl:otherwise>
                  </xsl:choose>
               </xsl:otherwise>
            </xsl:choose>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Meldung:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="ErgebnisVorPruefungResponse/ErgebnisVorPruefungResult/Meldung"/>
            </td>
         </tr>
      </table>
      <xsl:if test="$fehler_vorpruefung">
         <xsl:call-template name="Vorpruefliste"/>
      </xsl:if>

   </xsl:template>


   <!--Status Transaktion-->
   <xsl:template match="ErgebnisPruefung">
      <H2>Status der an die BNetzA übertragenen Daten (GAS)</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <tr>
            <td bgcolor="#E4EEFF">Datum der Statusabfrage:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="Datum"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Berichtsjahr:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="berichtsJahrBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Betriebsnummer:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="betriebsNummerBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Netzbereich:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="netznummerBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Transaktionsnummer:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="Transaktionsnummer"/>
            </td>
         </tr>
         <xsl:choose>
            <xsl:when test="$gaspruefung_bestanden='108'">
               <tr>
                  <td bgcolor="#FFFFE0">Status:</td>
                  <td bgcolor="#FFFFE0">
                     <xsl:value-of select="ErgebnisPruefungResponse/ErgebnisPruefungResult/StatusWS"/>
                  </td>
               </tr>
               <tr>
                  <td bgcolor="#E4EEFF">Meldung:</td>
                  <td bgcolor="#E4EEFF">
                     <xsl:value-of select="ErgebnisPruefungResponse/ErgebnisPruefungResult/Meldung"/>
                  </td>
               </tr>
            </xsl:when>
            <xsl:otherwise>
               <tr>
                  <td bgcolor="#FF9980">Status:</td>
                  <td bgcolor="#FF9999">
                     <xsl:value-of select="ErgebnisPruefungResponse/ErgebnisPruefungResult/StatusWS"/>
                  </td>
               </tr>
               <tr>
                  <td bgcolor="#FF9980">Meldung:</td>
                  <td bgcolor="#FF9999">
                     <xsl:value-of select="ErgebnisPruefungResponse/ErgebnisPruefungResult/Meldung"/>
                  </td>
               </tr>
            </xsl:otherwise>
         </xsl:choose>
      </table>
      <xsl:if test="$fehler_gaspruefung">
         <xsl:call-template name="Gaspruefliste"/>
      </xsl:if>

   </xsl:template>


   <!--Vorpruefung liefert Fehler-->
   <xsl:template name="Vorpruefliste">
      <H3>Fehlerliste</H3>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FF9980">Nummer</td>
            <td bgcolor="#FF9999">Fehler-</td>
            <td bgcolor="#FF9980">Feldbezeichnung</td>
            <td bgcolor="#FF9999">Beschreibung</td>
            <td bgcolor="#FF9980">Fehlergruppe</td>
            <td bgcolor="#FF9999">Netz-</td>
         </tr>
         <tr>
            <td bgcolor="#FF9980"></td>
            <td bgcolor="#FF9999">nummer</td>
            <td bgcolor="#FF9980"></td>
            <td bgcolor="#FF9999"></td>
            <td bgcolor="#FF9980"></td>
            <td bgcolor="#FF9999">ebene</td>
         </tr>
         <xsl:for-each select="ErgebnisPruefungResponse/ErgebnisPruefungResult/Vorpruefliste">
            <xsl:apply-templates select="DatenVorpruefEintrag"/>
         </xsl:for-each>
      </table>

   </xsl:template>

   <xsl:template match="DatenVorpruefEintrag">
      <tr>
         <td bgcolor="#FF9980">
            <xsl:value-of select="LfdNr"/>
         </td>
         <td bgcolor="#FF9999">
            <xsl:value-of select="FehlerNummer"/>
         </td>
         <td bgcolor="#FF9980">
            <xsl:value-of select="FeldBezeichnung"/>
         </td>
         <td bgcolor="#FF9999">
            <xsl:value-of select="Beschreibung"/>
         </td>
         <td bgcolor="#FF9980">
            <xsl:value-of select="FehlerGruppe"/>
         </td>
         <td bgcolor="#FF9999">
            <xsl:value-of select="NetzebeneID"/>
         </td>
      </tr>
   </xsl:template>



   <!--Gaspruefung liefert Fehler-->
   <xsl:template name="Gaspruefliste">
      <xsl:choose>
         <xsl:when test="$gaspruefung_bestanden='108'">
            <H3>Liste Warnungen</H3>
         </xsl:when>
         <xsl:otherwise>
            <H3>Fehlerliste</H3>
         </xsl:otherwise>
      </xsl:choose>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <xsl:choose>
            <xsl:when test="$gaspruefung_bestanden='Akzeptiert'">
               <tr>
                  <td bgcolor="#FFFFE0">Laufende</td>
                  <td bgcolor="#E4EEFF">Warnungs-</td>
                  <td bgcolor="#FFFFE0">Bezeichnung</td>
                  <td bgcolor="#E4EEFF">Beschreibung</td>
                  <td bgcolor="#FFFFE0">Art</td>
                  <td bgcolor="#E4EEFF">NNr</td>
               </tr>
               <tr>
                  <td bgcolor="#FFFFE0">nummer</td>
                  <td bgcolor="#E4EEFF">nummer</td>
                  <td bgcolor="#FFFFE0"></td>
                  <td bgcolor="#E4EEFF"></td>
                  <td bgcolor="#FFFFE0"></td>
                  <td bgcolor="#E4EEFF"></td>
               </tr>
            </xsl:when>
            <xsl:otherwise>
               <tr>
                  <td bgcolor="#FF9980">Laufende</td>
                  <td bgcolor="#FF9999">Fehler-</td>
                  <td bgcolor="#FF9980">Bezeichnung</td>
                  <td bgcolor="#FF9999">Beschreibung</td>
                  <td bgcolor="#FF9980">Art</td>
                  <td bgcolor="#FF9999">NNr</td>
               </tr>
               <tr>
                  <td bgcolor="#FF9980">nummer</td>
                  <td bgcolor="#FF9999">nummer</td>
                  <td bgcolor="#FF9980"></td>
                  <td bgcolor="#FF9999"></td>
                  <td bgcolor="#FF9980"></td>
                  <td bgcolor="#FF9999"></td>
               </tr>
            </xsl:otherwise>
         </xsl:choose>
         <xsl:for-each select="ErgebnisPruefungResponse/ErgebnisPruefungResult/Fehlerliste">
            <xsl:apply-templates select="Fehler"/>
         </xsl:for-each>
      </table>
   </xsl:template>

   <xsl:template match="Fehler">
      <tr>
         <xsl:choose>
            <xsl:when test="$gaspruefung_bestanden='Akzeptiert'">
               <td bgcolor="#FFFFE0">
                  <xsl:value-of select="Laufendenummer"/>
               </td>
               <td bgcolor="#E4EEFF">
                  <xsl:value-of select="FehlerNummer"/>
               </td>
               <td bgcolor="#FFFFE0">
                  <xsl:value-of select="Bezeichnung"/>
               </td>
               <td bgcolor="#E4EEFF">
                  <xsl:value-of select="Beschreibung"/>
               </td>
               <td bgcolor="#FFFFE0">
                  <xsl:value-of select="FehlerArt"/>
               </td>
               <td bgcolor="#E4EEFF">
                  <xsl:value-of select="NNr"/>
               </td>
            </xsl:when>
            <xsl:otherwise>
               <td bgcolor="#FF9980">
                  <xsl:value-of select="Laufendenummer"/>
               </td>
               <td bgcolor="#FF9999">
                  <xsl:value-of select="FehlerNummer"/>
               </td>
               <td bgcolor="#FF9980">
                  <xsl:value-of select="Bezeichnung"/>
               </td>
               <td bgcolor="#FF9999">
                  <xsl:value-of select="Beschreibung"/>
               </td>
               <td bgcolor="#FF9980">
                  <xsl:value-of select="FehlerArt"/>
               </td>
               <td bgcolor="#FF9999">
                  <xsl:value-of select="NNr"/>
               </td>
            </xsl:otherwise>
         </xsl:choose>
      </tr>
   </xsl:template>



   <!--Daten invalidieren-->
   <xsl:template match="DatenInvalidieren">
      <H2>Status der an die BNetzA übertragenen Daten</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <tr>
            <td bgcolor="#FFFFE0">Datum:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="Datum"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Betriebsnummer:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="betriebsNummerBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Netzbereich:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="netznummerBT"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FF5555">ACHTUNG:</td>
            <td bgcolor="#FF9999">Daten wurden invalidiert!</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFFF">Transaktionsnummer:</td>
            <td bgcolor="#FFFFFF">
               <xsl:value-of select="Transaktionsnummer"/>
            </td>
         </tr>
      </table>
   </xsl:template>



   <!--Keine Transaktionsnummer erhalten-->
   <xsl:template match="BeginnTransaktionResponse">
      <H2>Verbindung zum Server der Bundesnetzagentur fehlgeschlagen</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <tr>
            <td bgcolor="#FF9980">StatusWs:</td>
            <td bgcolor="#FF9999">
               <xsl:value-of select="StatusWs"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">MeldungsCode:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="MeldungsCode"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Meldung:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="Meldung"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FF9980">Transaktionsnummer:</td>
            <td bgcolor="#FF9999">NICHT zugeteilt</td>
         </tr>
      </table>
   </xsl:template>


   <!--SOAP Fehler-->
   <xsl:template match="soap:Fault">

      <H2>SOAP Fehler</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FF9980">Fehlercode:</td>
            <td bgcolor="#FF9999">
               <xsl:value-of select="faultcode"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Fehlertext:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="faultstring"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FF9980">Detail:</td>
            <td bgcolor="#FF9999">
               <xsl:value-of select="detail"/>
            </td>
         </tr>
      </table>

   </xsl:template>


   <!--Netzdaten-->
   <xsl:template match="soap:Body">

      <xsl:apply-templates select="soap:Fault"/>
      <xsl:apply-templates select="TransEinmalig/einmaligTE"/>
      <xsl:apply-templates select="TransNetzdaten/ndaten"/>

   </xsl:template>

   <xsl:template match="einmaligTE">
      <H2>Netzdaten</H2>
      <xsl:call-template name="netzdaten_liste"/>
   </xsl:template>

   <xsl:template match="EinmalDaten">
      <xsl:call-template name="netzdaten_liste"/>
   </xsl:template>



   <xsl:template name="netzdaten_liste">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">NS: Anzahl Entnahmestellen / Letztverbraucher:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="VSU_1_2"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">MS: Installierte Bemessungsscheinleistung der Ortsnetztrafos:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="VSU_1_3"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">MS: Installierte Bemessungsscheinleistung der Letzverbrauchertrafos:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="VSU_1_4"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">HS: Installierte Bemessungsscheinleistung der Netzkuppeltrafos:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="VSU_1_5"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">HS: Installierte Bemessungsscheinleistung der Letzverbrauchertrafos:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="VSU_1_6"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">HöS: Installierte Bemessungsscheinleistung der Netzkuppeltrafos:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="VSU_1_7"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">HöS: Installierte Bemessungsscheinleistung der Letzverbrauchertrafos:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="VSU_1_8"/>
            </td>
         </tr>
         <tr>
            <td>&#160;</td>
            <td>&#160;</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Bericht nach § 52 EnWG S.3:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="VSU_1_11_1"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Kommentar:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="VSU_1_9"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Qu Letzverbraucher (mit HG und GVU) [min/a]:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="VSU_1_11_2"/>
            </td>
         </tr>
      </table>

   </xsl:template>


   <xsl:template match="ndaten">
      <H2>Grunddaten</H2>
      <xsl:call-template name="netzdaten_liste_gas"/>
   </xsl:template>

   <xsl:template match="Netzdaten">
      <xsl:call-template name="netzdaten_liste_gas"/>
   </xsl:template>


   <xsl:template name="netzdaten_liste_gas">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">Ansprechpartner</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="vug_ANSPRECH"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Kontakt</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_Kontakt"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Art des Netzbetreibers (NB)</td>
            <!--<td bgcolor="#FFFFE0"><xsl:value-of select="Vug_NB_Art"/></td>-->
            <xsl:choose>
               <xsl:when test="Vug_NB_Art='1'">
                  <td bgcolor="#FFFFE0">Verteiler-NB</td>
               </xsl:when>
               <xsl:otherwise>
                  <td bgcolor="#FFFFE0">Fernleitungs-NB</td>
               </xsl:otherwise>
            </xsl:choose>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Dopplung</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_dopplung"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Anzahl Letztverbraucher (LV) &#60;=100mbar</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="vug_ANZ_LV"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Summe LV Leistungswerte &#62;100mbar [kWh/h]</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_SUM_LST"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Summe der bestellten Kapazitäten vorgelagert [kWh/h]</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="vug_SUM_KAP_VOR"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Summe der bestellten Kapazitäten nachgelagert [kWh/h]</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_SUM_KAP_NACH"/>
            </td>
         </tr>
         <tr>
            <td>&#160;</td>
            <td>&#160;</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Bericht nach § 52 EnWG S.3:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="vug_Bericht_Text"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Kommentar:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_kommentar_text"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Qu KG1 [min/a]</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="A_qu_kg1"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Qu KG2 [min/a]</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="A_qu_kg2"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#ffffFF">Anmerkung</td>
            <td bgcolor="#ffffFF">Bei Qu (KG1/KG2) werden nur die Anlässe 'VD','VN','HG' und 'US' berücksichtigt</td>
         </tr>
         <tr>
            <td bgcolor="#ffffFF">Anmerkung zu Dopplung</td>
            <td bgcolor="#ffffFF">
               Es können an einem Tag zur selben Uhrzeit verschiedene (doppelte) Versorgungsunterbrechungen aufgetreten sein.<BR/>
               Die BNetzA prüft bei "DopplungVorhanden" keine doppelten Datensätze,<BR/>
               bei "KeineDopplung" wird auf dopplete Datensätze geprüft und ggf. eine Fehlermeldung generiert.
            </td>
         </tr>
         <!--		<tr>     -->
         <!--			<td bgcolor="#FFFFE0">Leckrate</td>     -->
         <!--			<td bgcolor="#FFFFE0"><xsl:value-of select="a_Optional"/></td>     -->
         <!--		</tr>     -->
      </table>

   </xsl:template>


   <!--Stoerungsdaten-->
   <xsl:template match="Unterbrechungen">
     <xsl:choose>
       <xsl:when test="$vudaten1">
       <H2>Störungsdaten</H2>
      <xsl:call-template name="Stoerungsdaten_kopf"/>
      <xsl:call-template name="unterbrechungs_liste">
         <xsl:with-param name="schlussel" select="Unterbrechung"/>
      </xsl:call-template>
     </xsl:when>
     <xsl:otherwise>
       <H2>Leermeldung</H2>
     </xsl:otherwise>
     </xsl:choose>

   </xsl:template>

   <xsl:template match="udaten">

      <H2>Störungsdaten</H2>
      <xsl:call-template name="Stoerungsdaten_Gas_kopf"/>
      <xsl:call-template name="unterbrechungs_liste_gas"/>

   </xsl:template>

   <xsl:template name="Stoerungsdaten_kopf">
      <p>Legende P/K</p>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">Netz-</td>
            <td bgcolor="#E4EEFF">Netz-</td>
            <td bgcolor="#FFFFE0">P/K</td>
            <td bgcolor="#E4EEFF">Einheit</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">ebene</td>
            <td bgcolor="#E4EEFF">ebene</td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF"></td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">NS</td>
            <td bgcolor="#E4EEFF">Niederspannung</td>
            <td bgcolor="#FFFFE0">unterbochene Letzverbraucher</td>
            <td bgcolor="#E4EEFF"></td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">MS</td>
            <td bgcolor="#E4EEFF">Mittelspannung</td>
            <td bgcolor="#FFFFE0">unterbochene Ortsnetz-/Letztverbrauchertrafos</td>
            <td bgcolor="#E4EEFF">MVA</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">HS</td>
            <td bgcolor="#E4EEFF">Hochspannung</td>
            <td bgcolor="#FFFFE0">unterbochene Netzkuppel-/Letztverbrauchertrafos</td>
            <td bgcolor="#E4EEFF">MW</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">HöS</td>
            <td bgcolor="#E4EEFF">Höchstspannung</td>
            <td bgcolor="#FFFFE0">unterbochene Netzkuppel-/Letztverbrauchertrafos</td>
            <td bgcolor="#E4EEFF">MW</td>
         </tr>
      </table>
      <p>Legende Unterbrechungsart</p>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">G</td>
            <td bgcolor="#E4EEFF">Geplant</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">U</td>
            <td bgcolor="#E4EEFF">Ungeplant</td>
         </tr>
      </table>
      <p>Legende Störungsanlass</p>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">AE</td>
            <td bgcolor="#E4EEFF">Atmosphärische Einwirkung</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">ED</td>
            <td bgcolor="#E4EEFF">Einwirkung Dritter                      </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">ZBN</td>
            <td bgcolor="#E4EEFF">Zuständigkeitsbereich des Netzbetreibers</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">RWS</td>
            <td bgcolor="#E4EEFF">Rückwirkungsstörung                     </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">HG</td>
            <td bgcolor="#E4EEFF">Höhere Gewalt                           </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">ZW</td>
            <td bgcolor="#E4EEFF">geplant Zählerwechsel                   </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">S</td>
            <td bgcolor="#E4EEFF">geplant Sonstige                        </td>
         </tr>
      </table>
      <p>&#160;</p>

   </xsl:template>


   <xsl:template name="Stoerungsdaten_Gas_kopf">
      <p>Legende Anlass (Störungsanlass)</p>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">VD</td>
            <td bgcolor="#E4EEFF">Verantwortungsbereich Dritter</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">VN</td>
            <td bgcolor="#E4EEFF">Verantwortungsbereich des Netzbetreibers</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">FS</td>
            <td bgcolor="#E4EEFF">Folgestörung - (aus einem vorgelagerten Netz)</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">HG</td>
            <td bgcolor="#E4EEFF">Höhere Gewalt/kriminelle Handlung</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">US</td>
            <td bgcolor="#E4EEFF">sonstige, nicht 1.-4. / Kein erkennbarer Anlass; bitte inhaltlich erläutern</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">ZW</td>
            <td bgcolor="#E4EEFF">geplante Unterbrechung, Zähler- und Hausdruckreglerwechsel grösser 1 Stunde</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">IM</td>
            <td bgcolor="#E4EEFF">geplante Unterbrechung, Instandhaltung an Gasdruck Regel und Messanlagen </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">IA</td>
            <td bgcolor="#E4EEFF">geplante Unterbrechung, Instandhaltung an Gasleitungen und Anschlüssen </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">GS</td>
            <td bgcolor="#E4EEFF">geplante sonstige Unterbrechung </td>
         </tr>
      </table>
      <p>&#160;</p>
      <p>Legende Datenfelder</p>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td>
               <b>Spalte</b>
            </td>
            <td>
               <b>Bezeichnung</b>
            </td>
            <td>
               <b>Einheit</b>
            </td>
            <td>
               <b>Bedeutung</b>
            </td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Nummer</td>
            <td>LfdNr</td>
            <td></td>
            <td>fortlaufende Nummer der Versorgungsunterbrechung (VU)</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Datum Beginn</td>
            <td>vug_Beginndatum</td>
            <td></td>
            <td>Datum und Uhrzeit des Beginns der VU</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Dauer</td>
            <td>vug_Dauer</td>
            <td>Minuten</td>
            <td>Dauer der VU</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Anlass</td>
            <td>stAnlassID</td>
            <td></td>
            <td>Störungsanlass</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Art</td>
            <td>UnterbrechungsArt</td>
            <td></td>
            <td>Art der Störung (ungeplant/geplant)</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Erfassungsgruppe</td>
            <td>vug_EG</td>
            <td></td>
            <td>1 (EG1: &#60;=100mbar) / 2 (EG2: &#62;100mbar)</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Ausmass EG1</td>
            <td>vug_AUSM_EG1</td>
            <td>Anzahl</td>
            <td>Anzahl der unversorgten Letzverbaucher</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Ausmass EG2</td>
            <td>vug_AUSM_EG2</td>
            <td>kWh/h</td>
            <td>ausgefallene Leistung</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Kundenminuten EG1</td>
            <td>vug_KMIN_EG1</td>
            <td>Kundenmin</td>
            <td></td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Kundenminuten EG2</td>
            <td>vug_KMIN_EG2</td>
            <td>kWh/h*min</td>
            <td></td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Anmerkung</td>
            <td>vug_ANM</td>
            <td></td>
            <td>Erläuterungen zum Anlass</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>ETCode</td>
            <td>vug_ETSO</td>
            <td></td>
            <td>ETSO/EIC-Code des Kopplungspunktes</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>NB betroffen</td>
            <td>vug_NB_betroffen</td>
            <td></td>
            <td>Letztverbraucher / nachgelagerterNetzbetreiber</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>NB Name</td>
            <td>vug_nb_name</td>
            <td></td>
            <td>betroffener Netzbetreiber Name</td>
         </tr>
      </table>
      <p>&#160;</p>

   </xsl:template>


   <xsl:template name="unterbrechungs_liste">
      <xsl:param name="schlussel" />

      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">Nummer</td>
            <td bgcolor="#E4EEFF">Netz-</td>
            <td bgcolor="#FFFFE0">P/K</td>
            <td bgcolor="#E4EEFF">P/K</td>
            <td bgcolor="#FFFFE0">P/K</td>
            <td bgcolor="#E4EEFF">P/K</td>
            <td bgcolor="#FFFFE0">Beginn VU</td>
            <td bgcolor="#E4EEFF">Dauer der VU</td>
            <td bgcolor="#FFFFE0">Unterbr.-</td>
            <td bgcolor="#E4EEFF">Störungs-</td>
            <td bgcolor="#FFFFE0">Letztv.</td>
            <td bgcolor="#E4EEFF">Letztv.</td>
            <td bgcolor="#FFFFE0">Letztv.</td>
            <td bgcolor="#E4EEFF">Letztv.</td>
            <td bgcolor="#FFFFE0">Text</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF">ebene</td>
            <td bgcolor="#FFFFE0">Netz</td>
            <td bgcolor="#E4EEFF">Netzmin.</td>
            <td bgcolor="#FFFFE0">Kunde</td>
            <td bgcolor="#E4EEFF">Kundenmin.</td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF">[min]</td>
            <td bgcolor="#FFFFE0">art</td>
            <td bgcolor="#E4EEFF">anlass</td>
            <td bgcolor="#FFFFE0">HöS betr.</td>
            <td bgcolor="#E4EEFF">HS betr.</td>
            <td bgcolor="#FFFFE0">MS betr.</td>
            <td bgcolor="#E4EEFF">NS betr.</td>
            <td bgcolor="#FFFFE0">höhere Gewalt</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">LfdNr</td>
            <td bgcolor="#E4EEFF">NetzebeneID</td>
            <td bgcolor="#FFFFE0">NTrafo</td>
            <td bgcolor="#E4EEFF">NTrafo_Produkt</td>
            <td bgcolor="#FFFFE0">KTrafo</td>
            <td bgcolor="#E4EEFF">KTrafo_Produkt</td>
            <td bgcolor="#FFFFE0">VSU_1_18</td>
            <td bgcolor="#E4EEFF">VSU_1_19</td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF"></td>
            <td bgcolor="#FFFFE0">VSU_1_14</td>
            <td bgcolor="#E4EEFF">VSU_1_15</td>
            <td bgcolor="#FFFFE0">VSU_1_16</td>
            <td bgcolor="#E4EEFF">VSU_1_17</td>
            <td bgcolor="#FFFFE0">VSU_1_36</td>
         </tr>
         <xsl:apply-templates select="$schlussel"/>
      </table>

   </xsl:template>



   <xsl:template match="TransaktionStoerungen">

      <xsl:choose>
         <xsl:when test="$gasdaten">
            <H2>Übertragene Gas-Versorgungsunterbrechungen</H2>
            <xsl:call-template name="Stoerungsdaten_Gas_kopf"/>
            <xsl:call-template name="unterbrechungs_liste_gas"/>
         </xsl:when>
         <xsl:otherwise>
            <H2>Übertragene Störungsdaten</H2>
            <xsl:call-template name="Stoerungsdaten_kopf"/>
            <xsl:call-template name="unterbrechungs_liste">
               <xsl:with-param name="schlussel" select="RueckgabeUnterbrechungenResponse/RueckgabeUnterbrechungenResult/Unterbrechungen/Unterbrechung"/>
            </xsl:call-template>
         </xsl:otherwise>
      </xsl:choose>


   </xsl:template>


   <xsl:template match="Unterbrechung">
      <tr>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="LfdNr"/>
         </td>
         <xsl:for-each select="Details">
            <xsl:apply-templates select="UnterbrechungDetail"/>
         </xsl:for-each>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="VSU_1_18"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="VSU_1_19"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="Unterbrechungsart"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="StoerungsAnlass"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="VSU_1_14"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="VSU_1_15"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="VSU_1_16"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="VSU_1_17"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="VSU_1_36"/>
         </td>
      </tr>

   </xsl:template>


   <xsl:template match="UnterbrechungDetail">
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="NetzebeneID"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="NTrafo"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="NTrafo_Produkt"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="KTrafo"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="KTrafo_Produkt"/>
      </td>
   </xsl:template>



   <xsl:template name="unterbrechungs_liste_gas">

      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">Nummer</td>
            <td bgcolor="#E4EEFF">Datum</td>
            <td bgcolor="#FFFFE0">Dauer</td>
            <td bgcolor="#E4EEFF">Anlass</td>
            <td bgcolor="#FFFFE0">Art</td>
            <td bgcolor="#E4EEFF">Erfassungs-</td>
            <td bgcolor="#FFFFE0">Ausmass</td>
            <td bgcolor="#E4EEFF">Kunden-</td>
            <td bgcolor="#FFFFE0">Anmerkung</td>
            <td bgcolor="#E4EEFF">ETCode</td>
            <td bgcolor="#FFFFE0">NB</td>
            <td bgcolor="#E4EEFF">NB</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF">Beginn</td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF"></td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF">gruppe</td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF">minuten</td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF"></td>
            <td bgcolor="#FFFFE0">betroffen</td>
            <td bgcolor="#E4EEFF">Name</td>
         </tr>
         <xsl:choose>
            <xsl:when test="$gasdaten">
               <xsl:for-each select="RueckgabeUnterbrechungenResponse/RueckgabeUnterbrechungenResult/Unterbrechungen/Unterbrechung">
                  <xsl:call-template name="Unterbrechung_Gas"/>
               </xsl:for-each>
            </xsl:when>
            <xsl:otherwise>
               <xsl:for-each select="Unterbrechung">
                  <xsl:call-template name="Unterbrechung_Gas"/>
               </xsl:for-each>
            </xsl:otherwise>
         </xsl:choose>
      </table>

   </xsl:template>


   <xsl:template name="Unterbrechung_Gas">
      <tr>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="LfdNr"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="vug_Beginndatum"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="vug_Dauer"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="stAnlassID"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="UnterbrechungsArt"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="vug_EG"/>
         </td>
         <xsl:choose>
            <xsl:when test="vug_EG='1'">
               <td bgcolor="#FFFFE0">
                  <xsl:value-of select="vug_AUSM_EG1"/>
               </td>
               <td bgcolor="#E4EEFF">
                  <xsl:value-of select="vug_KMIN_EG1"/>
               </td>
            </xsl:when>
            <xsl:otherwise>
               <td bgcolor="#FFFFE0">
                  <xsl:value-of select="vug_AUSM_EG2"/>
               </td>
               <td bgcolor="#E4EEFF">
                  <xsl:value-of select="vug_KMIN_EG2"/>
               </td>
            </xsl:otherwise>
         </xsl:choose>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="vug_ANM"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="vug_ETSO"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="vug_NB_betroffen"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="vug_nb_name"/>
         </td>
      </tr>

   </xsl:template>


</xsl:stylesheet>
