<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:fo="http://www.w3.org/1999/XSL/Format"
                              xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
                              xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"
                              xmlns:ns1="https://app.bundesnetzagentur.de/WS_VersorgUnterbrGas" >
   <xsl:output method="html" version="4.0" encoding="UTF-8" media-type="text/html"/>
   <!--root-->
   <!--

    Stylesheet fuer Protokoll Datenuebertragung / Statusabfrage DVGW

    Dateiname im INTERASS support: dvgw_webclient.xsl

    Version 1.0.0.8
	

    erzwungenes Leerzeichen: &#160;

   29.06.12 Pietsch FGH GmbH Version 1.0.0.0
   04.07.12         1.0.0.1
   20.07.12         1.0.0.2
   23.07.12         1.0.0.3
   25.07.12         1.0.0.4 LeseHausanschlussResponse
   26.07.12         LeseGasTechnischeAnlageResponse, LeseKundenanlageResponse
   30.10.12         LeseGasTechnischeAnlageResponse
   02.11.12         1.0.0.5 LeseKundenanlageResponse
   06.11.12         1.0.0.6 Anzeigen VUGas (ns1:RueckgabeUnterbrechungenResponse)
   08.11.12         1.0.0.7
   12.11.12         1.0.0.8 EHA_LA_WD_OPT, EHA_LA_WUS_OPT obsolete
                            EGA_ESS_SA ergaenzt
-->
   <xsl:variable name="gasdaten" select="SOAP-ENV:Envelope/SOAP-ENV:Body/ns1:RueckgabeUnterbrechungenResponse/ns1:RueckgabeUnterbrechungenResult/ns1:StatusWS"/>
   <xsl:variable name="gassedaten" select="SOAP-ENV:Envelope/SOAP-ENV:Body/DatenUnterbrechungen/TransUnterbrechungen"/>

   <xsl:template match="*|/">
      <html>
         <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>    
            <title>DVGW BNetzA Daten / Datenbertragung Senden/Statusabfrage</title>
         </head>
         <body>
            <xsl:apply-templates select="SOAP-ENV:Envelope"/>
         </body>
      </html>
   </xsl:template>

   <xsl:template match="SOAP-ENV:Envelope">
      <xsl:apply-templates select="SOAP-ENV:Body"/>
   </xsl:template>

   <xsl:template match="SOAP-ENV:Body">
      <xsl:apply-templates select="BeginnTransaktion"/>
      <xsl:apply-templates select="TransNetzdaten"/>
      <xsl:apply-templates select="ns1:RueckgabeNetzdatenResponse"/>
      <xsl:apply-templates select="DatenUnterbrechungen"/>
      <xsl:apply-templates select="ns1:RueckgabeUnterbrechungenResponse"/>
      <xsl:apply-templates select="ns1:ErgebnisPruefungResponse"/>
      <xsl:apply-templates select="LeseHausanschlussResponse"/>
      <xsl:apply-templates select="LeseGasTechnischeAnlageResponse"/>
      <xsl:apply-templates select="LeseKundenanlageResponse"/>
   </xsl:template>

   <xsl:template match="BeginnTransaktion">
      <H2>DVGW BNetzA Datenmeldung</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#E4EEFF">Datum der Datenbertragung:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="Datum"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Berichtsjahr:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="berichtsJahr"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Betriebsnummer:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="bNR"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Netzbereich:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="nNr"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Anzahl Versorgungsunterbrechungen:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="anzahlUntGesamt"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Transaktionsnummer:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="TransNr"/>
            </td>
         </tr>
      </table>
      <br />
   </xsl:template>

   <xsl:template match="DatenUnterbrechungen">
      <H2>Gas-Versorgungsunterbrechungen</H2>
      <xsl:call-template name="Stoerungsdaten_Gas_kopf"/>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
		<xsl:call-template name="VU_header"/>
         <xsl:choose>
            <xsl:when test="$gasdaten or $gassedaten">
               <xsl:apply-templates select="ns1:RueckgabeUnterbrechungenResponse/ns1:RueckgabeUnterbrechungenResult/ns1:Unterbrechungen/ns1:Unterbrechung" />
               <xsl:apply-templates select="TransUnterbrechungen" />
            </xsl:when>
         </xsl:choose>
      </table>

   </xsl:template>


   <xsl:template match="ns1:ErgebnisPruefungResponse">
      <xsl:apply-templates select="ns1:ErgebnisPruefungResult"/>
   </xsl:template>
   <xsl:template match="ns1:RueckgabeNetzdatenResponse">
      <xsl:apply-templates select="ns1:RueckgabeNetzdatenResult/ns1:Netzdaten"/>
   </xsl:template>
   <xsl:template match="ns1:RueckgabeUnterbrechungenResponse">
      <xsl:apply-templates select="ns1:RueckgabeUnterbrechungenResult/ns1:Unterbrechungen"/>
      <H2>Gas-Versorgungsunterbrechungen</H2>
      <xsl:call-template name="Stoerungsdaten_Gas_kopf"/>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
		<xsl:call-template name="VU_header"/>
        <xsl:apply-templates select="ns1:RueckgabeUnterbrechungenResult/ns1:Unterbrechungen/ns1:Unterbrechung" />
      </table>



	  </xsl:template>
   <xsl:template match="TransNetzdaten">
      <xsl:apply-templates select="ndaten"/>
   </xsl:template>

   <xsl:template match="ns1:ErgebnisPruefungResult">
      <H2>Ergebnis Pruefung</H2>
      <xsl:call-template name="PruefungResult"/>

      <xsl:call-template name="Gaspruefliste">
         <xsl:with-param name="gas_meldungscode">
            <xsl:value-of select="ns1:Meldungscode" />
         </xsl:with-param>
         <xsl:with-param name="gas_status">
            <xsl:value-of select="ns1:StatusWS" />
         </xsl:with-param>
      </xsl:call-template>
   </xsl:template>

   <xsl:template match="ns1:Netzdaten">
      <H2>Netzdaten</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">Ansprechpartner</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="ns1:vug_ANSPRECH"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Kontakt</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="ns1:vug_Kontakt"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Art des Netzbetreibers (NB)</td>
            <xsl:choose>
               <xsl:when test="ns1:Vug_NB_Art='1'">
                  <td bgcolor="#FFFFE0">Verteiler-NB</td>
               </xsl:when>
               <xsl:otherwise>
                  <td bgcolor="#FFFFE0">Fernleitungs-NB</td>
               </xsl:otherwise>
            </xsl:choose>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Dopplung</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="ns1:vug_dopplung"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Anzahl Letztverbraucher (LV) &#60;=100mbar</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="ns1:vug_ANZ_LV"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Summe LV Leistungswerte &#62;100mbar [kWh/h]</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="ns1:vug_SUM_LST"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Summe der bestellten Kapazitten vorgelagert [kWh/h]</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="ns1:vug_SUM_KAP_VOR"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Summe der bestellten Kapazitten nachgelagert [kWh/h]</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="ns1:vug_SUM_KAP_NACH"/>
            </td>
         </tr>
         <tr>
            <td>&#160;</td>
            <td>&#160;</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Bericht nach  52 EnWG S.3:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="ns1:vug_Bericht_Text"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Kommentar:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="ns1:vug_kommentar_text"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Qu KG1 [min/a]</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="ns1:A_qu_kg1"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Qu KG2 [min/a]</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="ns1:A_qu_kg2"/>
            </td>
         </tr>
      </table>
      <br />
   </xsl:template>

   <xsl:template match="ndaten">
      <H2>Netzdaten</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">Ansprechpartner</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="vug_ANSPRECH"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Kontakt</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_Kontakt"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Art des Netzbetreibers (NB)</td>
            <xsl:choose>
               <xsl:when test="Vug_NB_Art='1'">
                  <td bgcolor="#FFFFE0">Verteiler-NB</td>
               </xsl:when>
               <xsl:otherwise>
                  <td bgcolor="#FFFFE0">Fernleitungs-NB</td>
               </xsl:otherwise>
            </xsl:choose>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Dopplung</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_dopplung"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Anzahl Letztverbraucher (LV) &#60;=100mbar</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="vug_ANZ_LV"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Summe LV Leistungswerte &#62;100mbar [kWh/h]</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_SUM_LST"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Summe der bestellten Kapazitten vorgelagert [kWh/h]</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="vug_SUM_KAP_VOR"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Summe der bestellten Kapazitten nachgelagert [kWh/h]</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_SUM_KAP_NACH"/>
            </td>
         </tr>
         <tr>
            <td>&#160;</td>
            <td>&#160;</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Bericht nach  52 EnWG S.3:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="vug_Bericht_Text"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Kommentar:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="vug_kommentar_text"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Qu KG1 [min/a]</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="A_qu_kg1"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Qu KG2 [min/a]</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="A_qu_kg2"/>
            </td>
         </tr>
      </table>
      <br />
   </xsl:template>

   <xsl:template name="PruefungResult">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#E4EEFF">StatusWS:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="ns1:StatusWS"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">Meldungscode:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="ns1:Meldungscode"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#E4EEFF">Meldung:</td>
            <td bgcolor="#E4EEFF">
               <xsl:value-of select="ns1:Meldung"/>
            </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">IstTest:</td>
            <td bgcolor="#FFFFE0">
               <xsl:value-of select="ns1:IstTest"/>
            </td>
         </tr>
      </table>
   </xsl:template>

   <!--Gaspruefung liefert Fehler-->
   <xsl:template name="Gaspruefliste">
      <xsl:param name="gas_meldungscode" />
      <xsl:param name="gas_status" />

      <xsl:choose>
         <xsl:when test="$gas_meldungscode='108'">
            <H3>Liste Warnungen</H3>
         </xsl:when>
         <xsl:otherwise>
            <H3>Fehlerliste</H3>
         </xsl:otherwise>
      </xsl:choose>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <xsl:choose>
            <xsl:when test="$gas_status='Akzeptiert'">
               <tr>
                  <td bgcolor="#FFFFE0">Laufende</td>
                  <td bgcolor="#E4EEFF">Warnungs-</td>
                  <td bgcolor="#FFFFE0">Bezeichnung</td>
                  <td bgcolor="#E4EEFF">Beschreibung</td>
                  <td bgcolor="#FFFFE0">Art</td>
                  <td bgcolor="#E4EEFF">NNr</td>
               </tr>
               <tr>
                  <td bgcolor="#FFFFE0">nummer</td>
                  <td bgcolor="#E4EEFF">nummer</td>
                  <td bgcolor="#FFFFE0"></td>
                  <td bgcolor="#E4EEFF"></td>
                  <td bgcolor="#FFFFE0"></td>
                  <td bgcolor="#E4EEFF"></td>
               </tr>
            </xsl:when>
            <xsl:otherwise>
               <tr>
                  <td bgcolor="#FF9980">Laufende</td>
                  <td bgcolor="#FF9999">Fehler-</td>
                  <td bgcolor="#FF9980">Bezeichnung</td>
                  <td bgcolor="#FF9999">Beschreibung</td>
                  <td bgcolor="#FF9980">Art</td>
                  <td bgcolor="#FF9999">NNr</td>
               </tr>
               <tr>
                  <td bgcolor="#FF9980">nummer</td>
                  <td bgcolor="#FF9999">nummer</td>
                  <td bgcolor="#FF9980"></td>
                  <td bgcolor="#FF9999"></td>
                  <td bgcolor="#FF9980"></td>
                  <td bgcolor="#FF9999"></td>
               </tr>
            </xsl:otherwise>
         </xsl:choose>
         <xsl:for-each select="ns1:Fehlerliste">
            <xsl:apply-templates select="ns1:Fehler"/>
         </xsl:for-each>
      </table>
   </xsl:template>

   <xsl:template match="ns1:Fehler">
      <tr>
         <td bgcolor="#FF9980">
            <xsl:value-of select="ns1:Laufendenummer"/>
         </td>
         <td bgcolor="#FF9999">
            <xsl:value-of select="ns1:FehlerNummer"/>
         </td>
         <td bgcolor="#FF9980">
            <xsl:value-of select="ns1:Bezeichnung"/>
         </td>
         <td bgcolor="#FF9999">
            <xsl:value-of select="ns1:Beschreibung"/>
         </td>
         <td bgcolor="#FF9980">
            <xsl:value-of select="ns1:FehlerArt"/>
         </td>
         <td bgcolor="#FF9999">
            <xsl:value-of select="ns1:NNr"/>
         </td>
      </tr>
   </xsl:template>


   <xsl:template name="Stoerungsdaten_Gas_kopf">
      <p>Legende Anlass (Strungsanlass)</p>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#FFFFE0">VD</td>
            <td bgcolor="#E4EEFF">Verantwortungsbereich Dritter</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">VN</td>
            <td bgcolor="#E4EEFF">Verantwortungsbereich des Netzbetreibers</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">FS</td>
            <td bgcolor="#E4EEFF">Folgestrung - (aus einem vorgelagerten Netz)</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">HG</td>
            <td bgcolor="#E4EEFF">Hhere Gewalt/kriminelle Handlung</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">US</td>
            <td bgcolor="#E4EEFF">sonstige, nicht 1.-4. / Kein erkennbarer Anlass; bitte inhaltlich erlutern</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">ZW</td>
            <td bgcolor="#E4EEFF">geplante Unterbrechung, Zhler- und Hausdruckreglerwechsel grsser 1 Stunde</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">IM</td>
            <td bgcolor="#E4EEFF">geplante Unterbrechung, Instandhaltung an Gasdruck Regel und Messanlagen </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">IA</td>
            <td bgcolor="#E4EEFF">geplante Unterbrechung, Instandhaltung an Gasleitungen und Anschlssen </td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0">GS</td>
            <td bgcolor="#E4EEFF">geplante sonstige Unterbrechung </td>
         </tr>
      </table>
      <p>Legende Datenfelder</p>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td>
               <b>Spalte</b>
            </td>
            <td>
               <b>Bezeichnung</b>
            </td>
            <td>
               <b>Einheit</b>
            </td>
            <td>
               <b>Bedeutung</b>
            </td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Nummer</td>
            <td>LfdNr</td>
            <td></td>
            <td>fortlaufende Nummer der Versorgungsunterbrechung (VU)</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Datum Beginn</td>
            <td>vug_Beginndatum</td>
            <td></td>
            <td>Datum und Uhrzeit des Beginns der VU</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Dauer</td>
            <td>vug_Dauer</td>
            <td>Minuten</td>
            <td>Dauer der VU</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Anlass</td>
            <td>stAnlassID</td>
            <td></td>
            <td>Strungsanlass</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Art</td>
            <td>UnterbrechungsArt</td>
            <td></td>
            <td>Art der Strung (ungeplant/geplant)</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Erfassungsgruppe</td>
            <td>vug_EG</td>
            <td></td>
            <td>1 (EG1: &#60;=100mbar) / 2 (EG2: &#62;100mbar)</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Ausmass EG1</td>
            <td>vug_AUSM_EG1</td>
            <td>Anzahl</td>
            <td>Anzahl der unversorgten Letzverbaucher</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Ausmass EG2</td>
            <td>vug_AUSM_EG2</td>
            <td>kWh/h</td>
            <td>ausgefallene Leistung</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Kundenminuten EG1</td>
            <td>vug_KMIN_EG1</td>
            <td>Kundenmin</td>
            <td></td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>Kundenminuten EG2</td>
            <td>vug_KMIN_EG2</td>
            <td>kWh/h*min</td>
            <td></td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>Anmerkung</td>
            <td>vug_ANM</td>
            <td></td>
            <td>Erluterungen zum Anlass</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>ETCode</td>
            <td>vug_ETSO</td>
            <td></td>
            <td>ETSO/EIC-Code des Kopplungspunktes</td>
         </tr>
         <tr bgcolor="#FFFFE0">
            <td>NB betroffen</td>
            <td>vug_NB_betroffen</td>
            <td></td>
            <td>Letztverbraucher / nachgelagerterNetzbetreiber</td>
         </tr>
         <tr bgcolor="#E4EEFF">
            <td>NB Name</td>
            <td>vug_nb_name</td>
            <td></td>
            <td>betroffener Netzbetreiber Name</td>
         </tr>
      </table>
      <p>&#160;</p>
   </xsl:template>

   <xsl:template name="VU_header">
         <tr>
            <td bgcolor="#FFFFE0">Nummer</td>
            <td bgcolor="#E4EEFF">Datum Beginn</td>
            <td bgcolor="#FFFFE0">Dauer</td>
            <td bgcolor="#E4EEFF">Anlass</td>
            <td bgcolor="#FFFFE0">Art</td>
            <td bgcolor="#E4EEFF">Erfassungs-</td>
            <td bgcolor="#FFFFE0">Ausmass</td>
            <td bgcolor="#E4EEFF">Kunden-</td>
            <td bgcolor="#FFFFE0">Anmerkung</td>
            <td bgcolor="#E4EEFF">ETCode</td>
            <td bgcolor="#FFFFE0">NB</td>
            <td bgcolor="#E4EEFF">NB</td>
         </tr>
         <tr>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF"></td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF"></td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF">gruppe</td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF">minuten</td>
            <td bgcolor="#FFFFE0"></td>
            <td bgcolor="#E4EEFF"></td>
            <td bgcolor="#FFFFE0">betroffen</td>
            <td bgcolor="#E4EEFF">Name</td>
         </tr>
   </xsl:template>


   <xsl:template match="ns1:Unterbrechungen/ns1:Unterbrechung">
      <tr>
         <td bgcolor="#FFFFE0">
            <!-- Hochzaehlen ueber die ganze Datei -->
            <xsl:number level="any" format="0001" />
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="ns1:vug_Beginndatum"/>&#160;
            <xsl:value-of select="ns1:vug_BeginnZeit"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="ns1:vug_Dauer"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="ns1:stAnlassID"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="ns1:UnterbrechungsArt"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="ns1:vug_EG"/>
         </td>
         <xsl:choose>
            <xsl:when test="ns1:vug_EG='1'">
               <td bgcolor="#FFFFE0">
                  <xsl:value-of select="ns1:vug_AUSM_EG1"/>
               </td>
               <td bgcolor="#E4EEFF">
                  <xsl:value-of select="ns1:vug_KMIN_EG1"/>
               </td>
            </xsl:when>
            <xsl:otherwise>
               <td bgcolor="#FFFFE0">
                  <xsl:value-of select="ns1:vug_AUSM_EG2"/>
               </td>
               <td bgcolor="#E4EEFF">
                  <xsl:value-of select="ns1:vug_KMIN_EG2"/>
               </td>
            </xsl:otherwise>
         </xsl:choose>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="ns1:vug_ANM"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="ns1:vug_ETSO"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="ns1:vug_NB_betroffen"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="ns1:vug_nb_name"/>
         </td>
      </tr>

      <xsl:apply-templates/>
   </xsl:template>
   <xsl:template match="TransUnterbrechungen">
      <xsl:apply-templates select="udaten/Unterbrechung" />
   </xsl:template>
   <xsl:template match="udaten/Unterbrechung">
      <tr>
         <td bgcolor="#FFFFE0">
            <!-- Hochzaehlen ueber die ganze Datei -->
            <xsl:number level="any" format="0001" />
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="vug_Beginndatum"/>&#160;
            <xsl:value-of select="vug_BeginnZeit"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="vug_Dauer"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="stAnlassID"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="UnterbrechungsArt"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="vug_EG"/>
         </td>
         <xsl:choose>
            <xsl:when test="vug_EG='1'">
               <td bgcolor="#FFFFE0">
                  <xsl:value-of select="vug_AUSM_EG1"/>
               </td>
               <td bgcolor="#E4EEFF">
                  <xsl:value-of select="vug_KMIN_EG1"/>
               </td>
            </xsl:when>
            <xsl:otherwise>
               <td bgcolor="#FFFFE0">
                  <xsl:value-of select="vug_AUSM_EG2"/>
               </td>
               <td bgcolor="#E4EEFF">
                  <xsl:value-of select="vug_KMIN_EG2"/>
               </td>
            </xsl:otherwise>
         </xsl:choose>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="vug_ANM"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="vug_ETSO"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="vug_NB_betroffen"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="vug_nb_name"/>
         </td>
      </tr>

      <xsl:apply-templates/>
   </xsl:template>


   <xsl:template match="LeseHausanschlussResponse">
      <H2>Ereignisdaten fr Leitungen und Hausanschlussleitungen</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <td bgcolor="#E0E0E0" width="40">Jahr</td>
            <td bgcolor="#F0F0F0" width="50">Corpid</td>
            <td bgcolor="#E0E0E0" width="60">Name</td>
            <td bgcolor="#F0F0F0" width="100">Refernznr</td>
            <td bgcolor="#E0E0E0" width="100">Datum</td>
            <td bgcolor="#F0F0F0" width="50">Zeit</td>
            <td bgcolor="#E0E0E0" width="100">LA_MOP</td>
            <td bgcolor="#F0F0F0" width="100">LA_DN</td>
            <td bgcolor="#E0E0E0" width="100">LA_MA_Codeid</td>
            <td bgcolor="#F0F0F0" width="100">LA_BJ</td>
            <td bgcolor="#E0E0E0" width="100">EU_Codeid</td>
            <td bgcolor="#F0F0F0" width="100">Leckgroesse</td>
            <td bgcolor="#E0E0E0" width="100">Ereig_Art</td>
            <td bgcolor="#F0F0F0" width="100">LART</td>
            <td bgcolor="#E0E0E0" width="100">Ansp_Name</td>
            <td bgcolor="#F0F0F0" width="100">Ansp_Tel</td>
            <td bgcolor="#E0E0E0" width="50">PLZ</td>
            <td bgcolor="#F0F0F0" width="100">Ort</td>
            <td bgcolor="#E0E0E0" width="100">Strasse</td>
            <td bgcolor="#F0F0F0" width="100">Ortsbez</td>
            <td bgcolor="#E0E0E0" width="50">MOP opt</td>
            <td bgcolor="#F0F0F0" width="50">DN opt</td>
            <td bgcolor="#E0E0E0" width="50">MA opt</td>
            <td bgcolor="#F0F0F0" width="50">BJ opt</td>
            <!-- <td bgcolor="#E0E0E0" width="50">WD opt</td> -->
            <!-- <td bgcolor="#F0F0F0" width="50">WUS opt</td> -->
            <td bgcolor="#E0E0E0" width="50">BD</td>
            <td bgcolor="#F0F0F0" width="100">Eu_sonstige</td>
            <td bgcolor="#E0E0E0" width="50">EM</td>
            <td bgcolor="#F0F0F0" width="50">Bauteil</td>
            <td bgcolor="#E0E0E0" width="60">Sachschad</td>
            <td bgcolor="#F0F0F0" width="60">Verletzte</td>
            <td bgcolor="#E0E0E0" width="50">Tote</td>
            <td bgcolor="#F0F0F0" width="70">Tote_Erstick</td>
            <td bgcolor="#E0E0E0" width="250">ZUS_INFO</td>
         </tr>
         <!-- Tabellenzeilen alternierend einfrben -->
         <xsl:for-each select="LeseHausanschlussResult/item">
            <xsl:if test="position() mod 2 = 1">
               <xsl:call-template name="LeseHausanschlussResult_item">
                  <xsl:with-param name="col_1">#FFFFE0</xsl:with-param>
                  <xsl:with-param name="col_2">#E4EEFF</xsl:with-param>
               </xsl:call-template>
            </xsl:if>
            <xsl:if test="position() mod 2 = 0">
               <xsl:call-template name="LeseHausanschlussResult_item">
                  <xsl:with-param name="col_1">#FFDDE0</xsl:with-param>
                  <xsl:with-param name="col_2">#E4DDCC</xsl:with-param>
               </xsl:call-template>
            </xsl:if>
         </xsl:for-each>
      </table>
   </xsl:template>
   <xsl:template name="LeseHausanschlussResult_item">
      <xsl:param name="col_1" />
      <xsl:param name="col_2" />
      <tr>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_JAHR"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_SUS_CORPID"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_NAME"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_REFERNZNR"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_DATUM"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_ZEIT"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LA_MOP"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LA_DN"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LA_MA_CODEID"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LA_BJ"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_EU_CODEID"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LECKGROESSE"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_EREIG_ART"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LART"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_ANSP_NAME"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_ANSP_TEL"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_HAL_PLZ"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_HAL_ORT"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_HAL_STRASSE"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_ORTSBEZ"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LA_MOP_OPT"/>
         </td>
            <td>
               <xsl:attribute name="bgcolor">
                  <xsl:value-of select="$col_2"/>
               </xsl:attribute>
               <xsl:value-of select="EHA_LA_DN_OPT"/>
            </td>
            <td>
               <xsl:attribute name="bgcolor">
                  <xsl:value-of select="$col_1"/>
               </xsl:attribute>
               <xsl:value-of select="EHA_LA_MA_OPT"/>
            </td>
            <td>
               <xsl:attribute name="bgcolor">
                  <xsl:value-of select="$col_2"/>
               </xsl:attribute>
               <xsl:value-of select="EHA_LA_BJ_OPT"/>
            </td>
         <!-- <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LA_WD_OPT"/>
         </td> -->
         <!-- <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LA_WUS_OPT"/>
         </td> -->
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_LA_BD"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_EU_SONSTIGE"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_EM"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_BAUTEIL"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_EF_SACHSCHAD"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_EF_VERLETZTE"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_EF_TOTE"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_2"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_EF_TOTE_ERSTICK"/>
         </td>
         <td>
            <xsl:attribute name="bgcolor">
               <xsl:value-of select="$col_1"/>
            </xsl:attribute>
            <xsl:value-of select="EHA_ZUS_INFO"/>
         </td>
      </tr>
      <xsl:apply-templates/>
   </xsl:template>


   <xsl:template match="LeseGasTechnischeAnlageResponse">
      <H2>Ereignisdaten fr Gastechnische Anlagen</H2>

      <H3>Schden Gas-Druckregelanlage</H3>
      <xsl:call-template name="GTA_GDRA"/>
      <H3>Schden Gas-Messanlage</H3>
      <xsl:call-template name="EGA_GMA"/>
      <H3>Schden Gas-Druckregel- und -Messanlage (kombiniert)</H3>
      <xsl:call-template name="EGA_GDRA_KOMBI"/>
      <H3>Schden Armaturengruppe</H3>
      <xsl:call-template name="EGA_AG"/>
      <H3>Schden Molchstation</H3>
      <xsl:call-template name="EGA_MS"/>
      <H3>Schden Biogas-Konditionierungs- und Einspeiseanlage</H3>
      <xsl:call-template name="EGA_BIOG"/>
      <H3>Schden Erdgastankstelle</H3>
      <xsl:call-template name="EGA_EGT"/>
      <H3>Schden Verdichteranlage</H3>
      <xsl:call-template name="EGA_VA"/>
      <H3>Schden Erdgasspeicher</H3>
      <xsl:call-template name="EGA_ESS"/>
   </xsl:template>

   <xsl:template name="EGA_header">
      <td width= "40" bgcolor="#FFFFE0">Jahr</td>
      <td width= "50" bgcolor="#E4EEFF">Corpid</td>
      <td width= "60" bgcolor="#FFFFE0">Name</td>
      <td width="100" bgcolor="#E4EEFF">RefernzNr</td>
      <td width="100" bgcolor="#FFFFE0">Datum</td>
      <td width= "50" bgcolor="#E4EEFF">Zeit</td>
      <td width="110" bgcolor="#FFFFE0">SCHAD_HKOMP</td>
      <td width="110" bgcolor="#E4EEFF">Ereignisursache</td>
      <td width="100" bgcolor="#FFFFE0">Ereig_Art</td>
      <td width= "50" bgcolor="#E4EEFF">PLZ</td>
      <td width="100" bgcolor="#FFFFE0">Ort</td>
      <td width="100" bgcolor="#E4EEFF">Strasse</td>
      <td width="100" bgcolor="#FFFFE0">Ortsbez</td>
      <td width="100" bgcolor="#E4EEFF">Ansp_Name</td>
      <td width="100" bgcolor="#FFFFE0">Ansp_Tel</td>
      <td width="100" bgcolor="#E4EEFF">Eu_sonstige</td>
      <td width= "70" bgcolor="#FFFFE0">Austritt EG</td>
      <td width= "70" bgcolor="#E4EEFF">Unkontr Entz</td>
      <td width= "60" bgcolor="#FFFFE0">Sachschad</td>
      <td width= "60" bgcolor="#E4EEFF">Verletzte</td>
      <td width= "50" bgcolor="#FFFFE0">Tote</td>
      <td width= "70" bgcolor="#E4EEFF">Tote_Erstick</td>
   </xsl:template>
   <xsl:template name="EGA_header2">
      <td rowspan="2" width= "40" bgcolor="#FFFFE0">Jahr</td>
      <td rowspan="2" width= "50" bgcolor="#E4EEFF">Corpid</td>
      <td rowspan="2" width= "60" bgcolor="#FFFFE0">Name</td>
      <td rowspan="2" width="100" bgcolor="#E4EEFF">RefernzNr</td>
      <td rowspan="2" width= "70" bgcolor="#FFFFE0">Datum</td>
      <td rowspan="2" width= "50" bgcolor="#E4EEFF">Zeit</td>
      <td rowspan="2" width="110" bgcolor="#FFFFE0">SCHAD_HKOMP</td>
      <td rowspan="2" width="110" bgcolor="#E4EEFF">Ereignisursache</td>
      <td rowspan="2" width="100" bgcolor="#FFFFE0">Ereig_Art</td>
      <td rowspan="2" width= "50" bgcolor="#E4EEFF">PLZ</td>
      <td rowspan="2" width="100" bgcolor="#FFFFE0">Ort</td>
      <td rowspan="2" width="100" bgcolor="#E4EEFF">Strasse</td>
      <td rowspan="2" width="100" bgcolor="#FFFFE0">Ortsbez</td>
      <td rowspan="2" width="100" bgcolor="#E4EEFF">Ansp_Name</td>
      <td rowspan="2" width="100" bgcolor="#FFFFE0">Ansp_Tel</td>
      <td rowspan="2" width="100" bgcolor="#E4EEFF">Eu_sonstige</td>
      <td rowspan="2" width= "70" bgcolor="#FFFFE0">Austritt EG</td>
      <td rowspan="2" width= "70" bgcolor="#E4EEFF">Unkontr Entz</td>
      <td rowspan="2" width= "60" bgcolor="#FFFFE0">Sachschad</td>
      <td rowspan="2" width= "60" bgcolor="#E4EEFF">Verletzte</td>
      <td rowspan="2" width= "50" bgcolor="#FFFFE0">Tote</td>
      <td rowspan="2" width= "70" bgcolor="#E4EEFF">Tote_Erstick</td>
   </xsl:template>

   <xsl:template name="EGA_zinfo">
      <td width="150" bgcolor="#EFFFFF">ZUS_INFOS</td>
   </xsl:template>
   <xsl:template name="EGA_zinfo2">
      <td rowspan="2" width="150" bgcolor="#EFFFFF">ZUS_INFOS</td>
   </xsl:template>


   <xsl:template name="GTA_GDRA">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <xsl:call-template name="EGA_header2"/>

            <td bgcolor="#FFFFE0" colspan="3" align="CENTER">Haus-Druckregler&#228;t MOP</td>

            <td bgcolor="#E4EEFF" colspan="7" align="CENTER">MOP &#8804;5bar</td>
            <td bgcolor="#FFFFE0" colspan="7" align="CENTER">MOP &#62;5bar bis &#8804;16bar</td>
            <td bgcolor="#E4EEFF" colspan="7" align="CENTER">MOP &#62;16bar</td>
            <xsl:call-template name="EGA_zinfo2"/>
         </tr>
         <tr>
            <td width= "40" bgcolor="#FFFFE0">&#8804;100mbar</td>
            <td width= "40" bgcolor="#E4EEFF">&#62;100mbar &#8804;1bar</td>
            <td width= "40" bgcolor="#FFFFE0">&#62;1bar &#8804;5bar</td>
            <td width= "40" bgcolor="#E4EEFF">GDRG</td>
            <td width= "40" bgcolor="#FFFFE0">FA</td>
            <td width= "40" bgcolor="#E4EEFF">GVA</td>
            <td width= "40" bgcolor="#FFFFE0">SE</td>
            <td width= "40" bgcolor="#E4EEFF">AE</td>
            <td width= "40" bgcolor="#FFFFE0">EL</td>
            <td width= "40" bgcolor="#E4EEFF">AB</td>
            <td width= "40" bgcolor="#FFFFE0">GDRG</td>
            <td width= "40" bgcolor="#E4EEFF">FA</td>
            <td width= "40" bgcolor="#FFFFE0">GVA</td>
            <td width= "40" bgcolor="#E4EEFF">SE</td>
            <td width= "40" bgcolor="#FFFFE0">AE</td>
            <td width= "40" bgcolor="#E4EEFF">EL</td>
            <td width= "40" bgcolor="#FFFFE0">AB</td>
            <td width= "40" bgcolor="#E4EEFF">GDRG</td>
            <td width= "40" bgcolor="#FFFFE0">FA</td>
            <td width= "40" bgcolor="#E4EEFF">GVA</td>
            <td width= "40" bgcolor="#FFFFE0">SE</td>
            <td width= "40" bgcolor="#E4EEFF">AE</td>
            <td width= "40" bgcolor="#FFFFE0">EL</td>
            <td width= "40" bgcolor="#E4EEFF">AB</td>

         </tr>
         <xsl:apply-templates select="LeseGasTechnischeAnlageResult/item">
            <xsl:with-param name="mod">EGA_GDRA</xsl:with-param>
         </xsl:apply-templates>
      </table>

   </xsl:template>

   <xsl:template name="EGA_GMA">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <xsl:call-template name="EGA_header2"/>
            <td width= "40" bgcolor="#FFFFE0">Gas-</td>
            <td bgcolor="#E4EEFF" colspan="6" align="CENTER">MOP &#8804;5bar</td>
            <td bgcolor="#FFFFE0" colspan="6" align="CENTER">MOP &#62;5bar bis &#8804;16bar</td>
            <td bgcolor="#E4EEFF" colspan="6" align="CENTER">MOP &#62;16bar</td>
            <xsl:call-template name="EGA_zinfo2"/>
         </tr>
         <tr>
            <td width= "40" bgcolor="#FFFFE0">z&#228;hler</td>
            <td width= "40" bgcolor="#E4EEFF">MESS</td>
            <td width= "40" bgcolor="#FFFFE0">FA</td>
            <td width= "40" bgcolor="#E4EEFF">SE</td>
            <td width= "40" bgcolor="#FFFFE0">AE</td>
            <td width= "40" bgcolor="#E4EEFF">EL</td>
            <td width= "40" bgcolor="#FFFFE0">AB</td>
            <td width= "40" bgcolor="#E4EEFF">MESS</td>
            <td width= "40" bgcolor="#FFFFE0">FA</td>
            <td width= "40" bgcolor="#E4EEFF">SE</td>
            <td width= "40" bgcolor="#FFFFE0">AE</td>
            <td width= "40" bgcolor="#E4EEFF">EL</td>
            <td width= "40" bgcolor="#FFFFE0">AB</td>
            <td width= "40" bgcolor="#E4EEFF">MESS</td>
            <td width= "40" bgcolor="#FFFFE0">FA</td>
            <td width= "40" bgcolor="#E4EEFF">SE</td>
            <td width= "40" bgcolor="#FFFFE0">AE</td>
            <td width= "40" bgcolor="#E4EEFF">EL</td>
            <td width= "40" bgcolor="#FFFFE0">AB</td>
         </tr>
         <xsl:apply-templates select="LeseGasTechnischeAnlageResult/item">
            <xsl:with-param name="mod">EGA_GMA</xsl:with-param>
         </xsl:apply-templates>
      </table>

   </xsl:template>

   <xsl:template name="EGA_GDRA_KOMBI">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <xsl:call-template name="EGA_header2"/>
            <td bgcolor="#FFFFE0" colspan="8" align="CENTER">MOP &#8804;5bar</td>
            <td bgcolor="#E4EEFF" colspan="8" align="CENTER">MOP &#62;5bar bis &#8804;16bar</td>
            <td bgcolor="#FFFFE0" colspan="8" align="CENTER">MOP &#62;16bar</td>
            <xsl:call-template name="EGA_zinfo2"/>
         </tr>
         <tr>
            <td width= "40" bgcolor="#FFFFE0">GDRG</td>
            <td width= "40" bgcolor="#E4EEFF">MESS</td>
            <td width= "40" bgcolor="#FFFFE0">FA</td>
            <td width= "40" bgcolor="#E4EEFF">GVA</td>
            <td width= "40" bgcolor="#FFFFE0">SE</td>
            <td width= "40" bgcolor="#E4EEFF">AE</td>
            <td width= "40" bgcolor="#FFFFE0">EL</td>
            <td width= "40" bgcolor="#E4EEFF">AB</td>
            <td width= "40" bgcolor="#FFFFE0">GDRG</td>
            <td width= "40" bgcolor="#E4EEFF">MESS</td>
            <td width= "40" bgcolor="#FFFFE0">FA</td>
            <td width= "40" bgcolor="#E4EEFF">GVA</td>
            <td width= "40" bgcolor="#FFFFE0">SE</td>
            <td width= "40" bgcolor="#E4EEFF">AE</td>
            <td width= "40" bgcolor="#FFFFE0">EL</td>
            <td width= "40" bgcolor="#E4EEFF">AB</td>
            <td width= "40" bgcolor="#FFFFE0">GDRG</td>
            <td width= "40" bgcolor="#E4EEFF">MESS</td>
            <td width= "40" bgcolor="#FFFFE0">FA</td>
            <td width= "40" bgcolor="#E4EEFF">GVA</td>
            <td width= "40" bgcolor="#FFFFE0">SE</td>
            <td width= "40" bgcolor="#E4EEFF">AE</td>
            <td width= "40" bgcolor="#FFFFE0">EL</td>
            <td width= "40" bgcolor="#E4EEFF">AB</td>
         </tr>

         <xsl:apply-templates select="LeseGasTechnischeAnlageResult/item">
            <xsl:with-param name="mod">EGA_GDRA_KOMBI</xsl:with-param>
         </xsl:apply-templates>
      </table>

   </xsl:template>

   <xsl:template name="EGA_AG">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <xsl:call-template name="EGA_header"/>

            <td width= "20" bgcolor="#FFFFE0">FS</td>

            <xsl:call-template name="EGA_zinfo"/>
         </tr>
         <xsl:apply-templates select="LeseGasTechnischeAnlageResult/item">
            <xsl:with-param name="mod">EGA_AG</xsl:with-param>
         </xsl:apply-templates>
      </table>

   </xsl:template>

   <xsl:template name="EGA_MS">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <xsl:call-template name="EGA_header"/>

            <td width= "20" bgcolor="#FFFFE0">MS</td>

            <xsl:call-template name="EGA_zinfo"/>
         </tr>
         <xsl:apply-templates select="LeseGasTechnischeAnlageResult/item">
            <xsl:with-param name="mod">EGA_MS</xsl:with-param>
         </xsl:apply-templates>
      </table>

   </xsl:template>

   <xsl:template name="EGA_BIOG">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <xsl:call-template name="EGA_header"/>

            <td width= "70" bgcolor="#FFFFE0">Erstinbetr</td>
            <td width= "30" bgcolor="#E4EEFF">MOP</td>
            <td width= "30" bgcolor="#FFFFE0">EAA</td>
            <td width= "40" bgcolor="#E4EEFF">KOND</td>
            <td width= "40" bgcolor="#FFFFE0">VERD</td>
            <td width= "50" bgcolor="#E4EEFF">Mengenmess</td>
            <td width= "30" bgcolor="#FFFFE0">GB</td>
            <td width= "30" bgcolor="#E4EEFF">GDR</td>
            <td width= "30" bgcolor="#FFFFE0">GR</td>
            <td width= "30" bgcolor="#E4EEFF">SAV</td>
            <td width= "30" bgcolor="#FFFFE0">EL</td>
            <td width= "30" bgcolor="#E4EEFF">SE</td>
            <td width= "40" bgcolor="#FFFFE0">Sonst</td>

            <xsl:call-template name="EGA_zinfo"/>
         </tr>
         <xsl:apply-templates select="LeseGasTechnischeAnlageResult/item">
            <xsl:with-param name="mod">EGA_BIOG</xsl:with-param>
         </xsl:apply-templates>
      </table>

   </xsl:template>

   <xsl:template name="EGA_EGT">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <xsl:call-template name="EGA_header"/>

            <td width= "70" bgcolor="#FFFFE0">Erstinbetr</td>
            <td width= "30" bgcolor="#E4EEFF">SO</td>
            <td width= "30" bgcolor="#FFFFE0">AS</td>
            <td width= "30" bgcolor="#E4EEFF">BL</td>
            <td width= "30" bgcolor="#FFFFE0">BD</td>
            <td width= "30" bgcolor="#E4EEFF">TG</td>
            <td width= "30" bgcolor="#FFFFE0">SA</td>
            <td width= "30" bgcolor="#E4EEFF">DFK</td>
            <td width= "30" bgcolor="#FFFFE0">DZK</td>
            <td width= "30" bgcolor="#E4EEFF">UND</td>
            <td width= "40" bgcolor="#FFFFE0">GAUAT</td>

            <xsl:call-template name="EGA_zinfo"/>
         </tr>
         <xsl:apply-templates select="LeseGasTechnischeAnlageResult/item">
            <xsl:with-param name="mod">EGA_EGT</xsl:with-param>
         </xsl:apply-templates>
      </table>

   </xsl:template>

   <xsl:template name="EGA_VA">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <xsl:call-template name="EGA_header"/>

            <td width= "30" bgcolor="#FFFFE0">SRLS</td>
            <td width= "30" bgcolor="#E4EEFF">VE</td>
            <td width= "30" bgcolor="#FFFFE0">ZE</td>
            <td width= "30" bgcolor="#E4EEFF">IG</td>
            <td width= "50" bgcolor="#FFFFE0">Leist_VE</td>

            <xsl:call-template name="EGA_zinfo"/>
         </tr>
         <xsl:apply-templates select="LeseGasTechnischeAnlageResult/item">
            <xsl:with-param name="mod">EGA_VA</xsl:with-param>
         </xsl:apply-templates>
      </table>

   </xsl:template>

   <xsl:template name="EGA_ESS">
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
            <xsl:call-template name="EGA_header"/>

            <td width="110" bgcolor="#FFFFE0">Typ</td>
            <td width= "30" bgcolor="#E4EEFF">MAV</td>
            <td width= "30" bgcolor="#FFFFE0">PB</td>
            <td width= "30" bgcolor="#E4EEFF">GFBB</td>
            <td width= "30" bgcolor="#FFFFE0">KGV</td>
            <td width= "30" bgcolor="#E4EEFF">MEE</td>
            <td width= "30" bgcolor="#FFFFE0">MEA</td>
            <td width= "30" bgcolor="#E4EEFF">EMV</td>
            <td width= "30" bgcolor="#FFFFE0">AMV</td>
            <td width= "30" bgcolor="#E4EEFF">MAXP</td>
            <td width= "30" bgcolor="#FFFFE0">TL</td>

            <xsl:call-template name="EGA_zinfo"/>
         </tr>
         <xsl:apply-templates select="LeseGasTechnischeAnlageResult/item">
            <xsl:with-param name="mod">EGA_ESS</xsl:with-param>
         </xsl:apply-templates>
      </table>

   </xsl:template>

   <xsl:template match="LeseGasTechnischeAnlageResult/item">
      <xsl:param name="mod" />
      <xsl:variable name="typ" select="EGA_SCHAD_HKOMP"/>

      <xsl:if test="$mod='EGA_GDRA'">
         <xsl:if test="$typ='GAS_DRUCKREG'">
            <xsl:call-template name="EGA_GDRA_item"/>
         </xsl:if>
      </xsl:if>

      <xsl:if test="$mod='EGA_GMA'">
         <xsl:if test="$typ='GAS_MESSANL'">
            <xsl:call-template name="EGA_GMA_item"/>
         </xsl:if>
      </xsl:if>

      <xsl:if test="$mod='EGA_GDRA_KOMBI'">
         <xsl:if test="$typ='GAS_DRUCKREG_MESSANL_KOMB'">
            <xsl:call-template name="EGA_GDRA_KOMBI_item"/>
         </xsl:if>
      </xsl:if>

      <xsl:if test="$mod='EGA_AG'">
         <xsl:if test="$typ='ARMATURENGRUPPE'">
            <xsl:call-template name="EGA_AG_item"/>
         </xsl:if>
      </xsl:if>

      <xsl:if test="$mod='EGA_MS'">
         <xsl:if test="$typ='MOLCHSTATION'">
            <xsl:call-template name="EGA_MS_item"/>
         </xsl:if>
      </xsl:if>

      <xsl:if test="$mod='EGA_BIOG'">
         <xsl:if test="$typ='BIOGAS_KONDI_UND_EINSPEIS'">
            <xsl:call-template name="EGA_BIOG_item"/>
         </xsl:if>
      </xsl:if>

      <xsl:if test="$mod='EGA_EGT'">
         <xsl:if test="$typ='ERDGASTANKSTELLE'">
            <xsl:call-template name="EGA_EGT_item"/>
         </xsl:if>
      </xsl:if>

      <xsl:if test="$mod='EGA_VA'">
         <xsl:if test="$typ='VERDICHTERANLAGE'">
            <xsl:call-template name="EGA_VA_item"/>
         </xsl:if>
      </xsl:if>

      <xsl:if test="$mod='EGA_ESS'">
         <xsl:if test="$typ='ERDGASSPEICHER'">
            <xsl:call-template name="EGA_ESS_item"/>
         </xsl:if>
      </xsl:if>

      <xsl:apply-templates/>
   </xsl:template>

   <xsl:template name="EGA_item_header">
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_JAHR"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_SUS_CORPID"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_NAME"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_REFERNZNR"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_DATUM"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_ZEIT"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_SCHAD_HKOMP"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_EU_CODEID"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_EREIG_ART"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_GTA_PLZ"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_GTA_ORT"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_GTA_STRASSE"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_ORTSBEZ"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_ANSP_NAME"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_ANSP_TEL"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_EU_SONSTIGE"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_AUSTRITT_EG"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_UNKONTR_ENTZ"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_EF_SACHSCHAD"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_EF_VERLETZTE"/>
      </td>
      <td bgcolor="#FFFFE0">
         <xsl:value-of select="EGA_EF_TOTE"/>
      </td>
      <td bgcolor="#E4EEFF">
         <xsl:value-of select="EGA_EF_TOTE_ERSTICK"/>
      </td>
   </xsl:template>

   <xsl:template name="EGA_item_zinfo">
      <td bgcolor="#FFFFFF">
         <xsl:value-of select="EGA_EGT_ZUS_INFOS"/>
      </td>
   </xsl:template>


   <xsl:template name="EGA_GDRA_item">
      <tr>
         <xsl:call-template name="EGA_item_header"/>

         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRMA_HDRMG_LE_100MBAR"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRMA_HDRMG_GT_100MBAR_LE_1BAR"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRMA_HDRMG_GT_1BAR_LE_5BAR"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_LE_5BAR_GDRG"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_LE_5BAR_FA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_LE_5BAR_GVA"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_LE_5BAR_SE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_LE_5BAR_AE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_LE_5BAR_EL"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_LE_5BAR_AB"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_5BAR_LE_16BAR_GDRG"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_5BAR_LE_16BAR_FA"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_5BAR_LE_16BAR_GVA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_5BAR_LE_16BAR_SE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_5BAR_LE_16BAR_AE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_5BAR_LE_16BAR_EL"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_5BAR_LE_16BAR_AB"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_16BAR_GDRG"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_16BAR_FA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_16BAR_GVA"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_16BAR_SE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_16BAR_AE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_16BAR_EL"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_OV_MOP_GT_16BAR_AB"/>
         </td>

         <xsl:call-template name="EGA_item_zinfo"/>
      </tr>

   </xsl:template>

   <xsl:template name="EGA_GMA_item">
      <tr>
         <xsl:call-template name="EGA_item_header"/>

         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRMA_HDRMG_LE_GZ"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GMA_OV_MOP_LE_5BAR_MESS"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GMA_OV_MOP_LE_5BAR_FA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GMA_OV_MOP_LE_5BAR_SE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GMA_OV_MOP_LE_5BAR_AE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GMA_OV_MOP_LE_5BAR_EL"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GMA_OV_MOP_LE_5BAR_AB"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_5BAR_LE_16BAR_MESS"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_5BAR_LE_16BAR_FA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_5BAR_LE_16BAR_SE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_5BAR_LE_16BAR_AE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_5BAR_LE_16BAR_EL"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_5BAR_LE_16BAR_AB"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_16BAR_MESS"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_16BAR_FA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_16BAR_SE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_16BAR_AE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_16BAR_EL"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GMA_OV_MOP_GT_16BAR_AB"/>
         </td>

         <xsl:call-template name="EGA_item_zinfo"/>
      </tr>

   </xsl:template>

   <xsl:template name="EGA_GDRA_KOMBI_item">
      <tr>
         <xsl:call-template name="EGA_item_header"/>

         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_LE_5BAR_GDRG"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_LE_5BAR_MESS"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_LE_5BAR_FA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_LE_5BAR_GVA"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_LE_5BAR_SE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_LE_5BAR_AE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_LE_5BAR_EL"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_LE_5BAR_AB"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_5BAR_LE_16BAR_GDRG"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_5BAR_LE_16BAR_MESS"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_5BAR_LE_16BAR_FA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_5BAR_LE_16BAR_GVA"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_5BAR_LE_16BAR_SE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_5BAR_LE_16BAR_AE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_5BAR_LE_16BAR_EL"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_5BAR_LE_16BAR_AB"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_16BAR_GDRG"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_16BAR_MESS"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_16BAR_FA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_16BAR_GVA"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_16BAR_SE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_16BAR_AE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_16BAR_EL"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_GDRA_KOMBI_MOP_GT_16BAR_AB"/>
         </td>

         <xsl:call-template name="EGA_item_zinfo"/>
      </tr>

   </xsl:template>

   <xsl:template name="EGA_AG_item">
      <tr>
         <xsl:call-template name="EGA_item_header"/>

         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_AG_FS"/>
         </td>

         <xsl:call-template name="EGA_item_zinfo"/>
      </tr>

   </xsl:template>

   <xsl:template name="EGA_MS_item">
      <tr>
         <xsl:call-template name="EGA_item_header"/>

         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_MS"/>
         </td>

         <xsl:call-template name="EGA_item_zinfo"/>
      </tr>

   </xsl:template>

   <xsl:template name="EGA_BIOG_item">
      <tr>
         <xsl:call-template name="EGA_item_header"/>

         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_BIOG_ERSTINBETR"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_BIOG_MOP"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_BIOG_EAA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_BIOG_KOND"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_BIOG_VERD"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_BIOG_MENGENMESS"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_BIOG_GB"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_BIOG_GDR"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_BIOG_GR"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_BIOG_SAV"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_BIOG_EL"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_BIOG_SE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_BIOG_SONST"/>
         </td>

         <xsl:call-template name="EGA_item_zinfo"/>
      </tr>

   </xsl:template>

   <xsl:template name="EGA_EGT_item">
      <tr>
         <xsl:call-template name="EGA_item_header"/>

         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_EGT_ERSTINBETR"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_EGT_SO"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_EGT_AS"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_EGT_BL"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_EGT_BD"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_EGT_TG"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_EGT_SA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_EGT_DFK"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_EGT_DZK"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_EGT_UND"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_EGT_GAUAT"/>
         </td>

         <xsl:call-template name="EGA_item_zinfo"/>
      </tr>

   </xsl:template>

   <xsl:template name="EGA_VA_item">
      <tr>
         <xsl:call-template name="EGA_item_header"/>

         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_VA_SRLS"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_VA_VE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_VA_ZE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_VA_IG"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_VA_LEIST_VE"/>
         </td>

         <xsl:call-template name="EGA_item_zinfo"/>
      </tr>

   </xsl:template>

   <xsl:template name="EGA_ESS_item">
      <tr>
         <xsl:call-template name="EGA_item_header"/>

         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_ESS_SA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_ESS_MAV"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_ESS_PB"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_ESS_GFBB"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_ESS_KGV"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_ESS_MEE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_ESS_MEA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_ESS_EMV"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_ESS_AMV"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EGA_ESS_MAXP"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EGA_ESS_TL"/>
         </td>

         <xsl:call-template name="EGA_item_zinfo"/>
      </tr>

   </xsl:template>


   <xsl:template match="LeseKundenanlageResponse">
      <H2>Ereignisdaten fr Kundenanlagen</H2>
      <table class="margin" cellpadding="3" cellspacing="1" border="0">
         <tr>
		    <td width= "40" bgcolor="#FFFFE0">Jahr</td>
            <td width= "50" bgcolor="#E4EEFF">Corpid</td>
            <td width="100" bgcolor="#FFFFE0">RefernzNr</td>
            <td width="100" bgcolor="#E4EEFF">Datum</td>
            <td width= "50" bgcolor="#FFFFE0">Zeit</td>
            <td width="100" bgcolor="#E4EEFF">G-Art</td>          <!-- Gebudeart  -->
            <td width="100" bgcolor="#FFFFE0">Ereignis</td>
            <td width="100" bgcolor="#E4EEFF">Ursache</td>
            <td width="100" bgcolor="#FFFFE0">BA_RV</td>          <!-- betroffener Anlageteil  -->
            <td width= "40" bgcolor="#E4EEFF">HA/IA</td>          <!-- Husliche oder Gewerbliche/industrielle Anwendung -->
            <td width="100" bgcolor="#FFFFE0">Ansp_Name</td>
            <td width="100" bgcolor="#E4EEFF">Ansp_Tel</td>
            <td width= "50" bgcolor="#FFFFE0">Baujahr</td>
            <td width="100" bgcolor="#E4EEFF">Ort</td>
            <td width= "40" bgcolor="#FFFFE0">GAS</td>            <!-- Gasart -->
            <td width= "50" bgcolor="#E4EEFF">Verletzte</td>
            <td width= "40" bgcolor="#FFFFE0">Tote</td>
            <td width= "40" bgcolor="#E4EEFF">GSS</td>            <!-- Geschtzter Sachschaden EURO -->
            <td width="150" bgcolor="#FFFFE0">Erlaeut.</td>
         </tr>
         <xsl:apply-templates select="LeseKundenanlageResult/item" />
      </table>
   </xsl:template>

   <xsl:template match="LeseKundenanlageResult/item">
      <tr>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_JAHR"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EKA_SUS_CORPID"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_REFERNZNR"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EKA_DATUM"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_ZEIT"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EKA_GA"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_EAKA"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EKA_EU"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_BA_RV"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EKA_HA_IA"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_ANSP_NAME"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EKA_ANSP_TEL"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_BJ"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EKA_ORT"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_GAS"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EKA_VERLETZTE"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_TOTE"/>
         </td>
         <td bgcolor="#E4EEFF">
            <xsl:value-of select="EKA_GSS"/>
         </td>
         <td bgcolor="#FFFFE0">
            <xsl:value-of select="EKA_ERLAEUT"/>
         </td>
      </tr>
      <xsl:apply-templates/>
   </xsl:template>

</xsl:stylesheet>
