<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:fo="http://www.w3.org/1999/XSL/Format"
                              xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
                              xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" >
  <xsl:output method="html" version="4.0" encoding="UTF-8" media-type="text/html"/>
  <!--root-->
  <!--

    Stylesheet fuer Protokoll Datenuebertragung / Statusabfrage DVGW Wasser

    Dateiname im INTERASS support: dvgw_webclient.xsl

    Version 1.0.0.1
	

    erzwungenes Leerzeichen: &#160;

	
   31.08.12 Pietsch FGH GmbH Version 1.0.0.0
   04.09.12         1.0.0.1
   04.10.12         DIESE DATEI wird NICHT MEHR vwerwendet
                    Die Funktion wird durch "wassernetz.xsl" uebernommen

-->

  <xsl:template match="*|/">
    <html>
      <head>
        <title>DVGW Wasser Daten / Datenbertragung Senden/Statusabfrage</title>
      </head>
      <body>
        <xsl:apply-templates select="SOAP-ENV:Envelope"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="SOAP-ENV:Envelope">
    <xsl:apply-templates select="SOAP-ENV:Body"/>
  </xsl:template>

  <xsl:template match="SOAP-ENV:Body">
    <xsl:apply-templates select="LeseAWSTResponse"/>
    <xsl:apply-templates select="LeseAWST1Response/LeseAWST1Result"/>
    <xsl:apply-templates select="LeseAWST2Response/LeseAWST2Result"/>
    <xsl:apply-templates select="LeseAWResponse/LeseAWResult"/>
    <xsl:apply-templates select="LeseW1Response/LeseW1Result"/>
    <xsl:apply-templates select="LeseW2Response/LeseW2Result"/>
    <xsl:apply-templates select="LeseW3Response/LeseW3Result"/>
  </xsl:template>

  <xsl:template match="LeseAWSTResponse">
    <H2>Netzstatistik Wasser Unternehmensdaten</H2>
    <table class="margin" cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="LeseAWSTResult/AWST_JAHR"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="LeseAWSTResult/AWST_SUS_CORP_ID"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="LeseAWSTResult/AWST_SACHBEARBEITER"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="LeseAWSTResult/AWST_TELEFON"/>
        </td>
      </tr>
      <tr>
        <td>Mittleres Alter in a [Jahre]</td>
        <td>
          <xsl:value-of select="LeseAWSTResult/AWST_MITL_ALTER"/>
        </td>
      </tr>
      <tr>
        <td>Spezifische reale Wasserverluste [m&#179;]</td>
        <td>
          <xsl:value-of select="LeseAWSTResult/AWST_VERLUST_M3"/>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="LeseAWST1Response/LeseAWST1Result">
    <H2>Daten Leitungsnetz mit Fern- und Zubringerleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="SACHG_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="TELG_AWST1"/>
        </td>
      </tr>
    </table>
    <H3>Grauguss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="GGG_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GGG_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="GGG_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="GGG_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>Stahl</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>PE</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>PVC</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PVC_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PVC_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PVC_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PVC_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>Faserzement</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="FZ_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="FZ_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="FZ_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="FZ_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>GFK</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="GFK_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GFK_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="GFK_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="GFK_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>Spannbeton/Stahlbeton</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SB_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SB_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SB_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SB_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name="wst1_header">
      <tr>
        <td colspan="2" rowspan="2">
          <b>Leitungsl&#228;nge in km (aus Schadenstatistik)</b>
        </td>
        <td colspan="3">
          <b>&#196;nderungen des Leitungsbestandes in km</b>
        </td>
        <td colspan="2">
          <b>Bei Erneuerung/Erweiterung bevorzugter Werkstoff in km</b>
        </td>
      </tr>
      <tr>
        <td>
          <b>Stilllegung</b>
        </td>
        <td>
          <b>Erneuerung</b>
        </td>
        <td>
          <b>Erweiterung</b>
        </td>
        <td>
          <b>offen</b>
        </td>
        <td>
          <b>grabenlos</b>
        </td>
      </tr>
  </xsl:template>


  <xsl:template match="LeseAWST2Response/LeseAWST2Result">
    <H2>Daten Anschlussleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="SACHG_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="TELG_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>Graugruss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="GG_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="GGG_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>Stahl</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="SL_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>PE-LD</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PELD_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_GL_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>PE-HD (einschl. PE 80 und PE 100)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PEHD_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_GL_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>PE-X</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PEX_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_GL_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>PVC</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PVC_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>Blei</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PB_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_GL_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>Sonstiges</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="SO_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_GL_AWST2"/>
        </td>
      </tr>
    </table>

    <H3>Gesamt</H3>
    <table cellpadding="3" cellspacing="1" border="1">
	  <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <xsl:value-of select="GS_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_GL_AWST2"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name="wst2_header">
      <tr>
        <td rowspan="2">
          <b>Anschlussleitungen (aus Schadensstatistik)</b>
        </td>
        <td colspan="3">
          <b>Anzahl &#196;nderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2">
          <b>Bei Erneuerung/Erweiterung bevorzugter Werkstoff in km</b>
        </td>
      </tr>
      <tr>
        <td>
          <b>Stilllegung</b>
        </td>
        <td>
          <b>Erneuerung</b>
        </td>
        <td>
          <b>Erweiterung</b>
        </td>
        <td>
          <b>offen</b>
        </td>
        <td>
          <b>grabenlos</b>
        </td>
      </tr>  
  </xsl:template>
  
  <xsl:template match="LeseAWResponse/LeseAWResult">
    <H2>Schadensstatistik Wasser Unternehmensdaten</H2>
    <table class="margin" cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="SACHG_AW"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="TELG_AW"/>
        </td>
      </tr>
      <tr>
        <td>Lnge der Fern- und Zubringerleitungen [km]</td>
        <td>
          <xsl:value-of select="LAENG_ZL_AW"/>
        </td>
      </tr>
      <tr>
        <td>Lnge Leitungsnetz ohne Anschlussleitungen [km]</td>
        <td>
          <xsl:value-of select="LAENG_NL_AW"/>
        </td>
      </tr>
      <tr>
        <td>Anzahl der Hausanschlsse/Abgabestellen [Anzahl]</td>
        <td>
          <xsl:value-of select="ANZ_HAUSA_AW"/>
        </td>
      </tr>
      <tr>
        <td>Anzahl Zhler [Anzahl]</td>
        <td>
          <xsl:value-of select="ANZ_ZAEHLER_AW"/>
        </td>
      </tr>
      <tr>
        <td>Wasserabgabe an Endversorgung oder -verbraucher [m&#179;]</td>
        <td>
          <xsl:value-of select="WA_ENDV_AW"/>
        </td>
      </tr>
      <tr>
        <td>Wasserabgabe am Weiterverteiler [m&#179;]</td>
        <td>
          <xsl:value-of select="WA_WEITERV_AW"/>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="LeseW1Response/LeseW1Result">
    <H2>W1-Formular: Schden Leitungsnetz mit Fern- und Zubringerleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="SACHG_W1"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="TELG_W1"/>
        </td>
      </tr>
    </table>
    <H3>Grauguss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Graugussrohre 1. Generation - Sandgussrohre (wenn nicht bekannt, GG vor 1930)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_1_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_2_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_3_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_4_OPT1_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Graugussrohre 2. Generation - Schleudergussrohre (wenn nicht bekannt, GG von 1930 bis 1960)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_1_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_2_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_3_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_4_OPT2_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Graugussrohre mit nachtrglicher Zementmrtelauskleidung (wenn nicht bekannt, ab Dez 1981 nach DVGW W 343 (A))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_1_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_2_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_3_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_4_OPT3_W1"/>
        </td>
      </tr>
    </table>


    <H3>Duktiler Guss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DG_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DG_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DG_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="DG_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Duktiler Guss 1. Generation - mit einfachem Korrosionsschutz z.B. aus Bitumen (wenn nicht bekannt, GGG von 1960-1970 (alte BL) und bis 1990 (neue BL))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DG_LE_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_1_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DG_LE_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_2_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DG_LE_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_3_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="DG_LE_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_4_OPT1_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Duktiler Guss 2. Generation - mit hochwertigem Korrosionsschutz aus PE/ZM-Umhllung (wenn nicht bekannt, GGG von 1970 (alte BL) und ab 1990 (neue BL))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DG_LE_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_1_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DG_LE_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_2_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DG_LE_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_3_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="DG_LE_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_4_OPT2_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Duktiler Guss mit nachtrglicher Zementmrtelauskleidung, ab Dez. 1981 nach DVGW W 343 (A)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DG_LE_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_1_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DG_LE_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_2_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DG_LE_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_3_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="DG_LE_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_4_OPT3_W1"/>
        </td>
      </tr>
    </table>


    <H3>Stahl</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Stahl 1. Generation - mit einfachem Korrosionsschutz, z.B. aus Bitumen (wenn nicht bekannt, Stahlrohre bis 1940) - mit einfachem Korrosionsschutz, z.B. aus Bitumen (wenn nicht bekannt, Stahlrohre bis 1940)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_OPT1_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Stahl 2. Generation - mit besserem Korrosionsschutz - ohne PE/ZM-Umhllung (wenn nicht bekannt, Stahlrohre von 1940-1980 (alte BL) / bis 1990 (neue Bundeslnder))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_OPT2_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Stahl 3. Generation - mit besserem Korrosionsschutz - mit PE/ZM-Umhllung (wenn nicht bekannt, Stahlrohre ab 1980 (alte BL) / ab 1990 (neue Bundeslnder))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_OPT3_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Stahl mit nachtrglicher Zementmrtelauskleidung, ab Dez. 1981 nach DVGW W 343 (A)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_OPT4_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_OPT4_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_OPT4_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_OPT4_W1"/>
        </td>
      </tr>
    </table>


    <H3>PE</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: PE LD, PE HD und PE 63 bis 1980 (alte BL) und bis 1990 (neue BL))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_1_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_2_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_3_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_4_OPT1_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: PE 80, PE 100 ab 1980 (alte BL) und ab 1990 (neue BL))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_1_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_2_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_3_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_4_OPT2_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: PE weitere Werkstoffe und Werkstoffkombinationen nach 1990</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_1_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_2_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_3_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_4_OPT3_W1"/>
        </td>
      </tr>
    </table>


    <H3>PVC</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PV_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PV_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PV_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PV_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Faserzement</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="FZ_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="FZ_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="FZ_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="FZ_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>GFK</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="GFK_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GFK_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="GFK_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="GFK_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Spannbeton/Stahlbeton</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SB_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SB_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SB_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SB_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name="w1_header">
    <tr>
      <td colspan="2">
        <b>Leitungsl&#228;ngen in km</b>
      </td>
      <td colspan="7">
        <b>Anzahl der Sch&#228;den je Schadenskategorie</b>
      </td>
    </tr>
    <tr>
      <td colspan="2">&#160;</td>
      <td>
        <b>Mechanische und thermische Fremdein- wirkungen</b>
      </td>
      <td>
        <b>Boden- bewegungen</b>
      </td>
      <td>
        <b>Korrosion oder Werksstoff- alterung</b>
      </td>
      <td>
        <b>Verlege- und Einbaufehler</b>
      </td>
      <td>
        <b>Werkstofffehler</b>
      </td>
      <td>
        <b>Sonstiges</b>
      </td>
      <td>
        <b>Summe</b>
      </td>
    </tr>
  </xsl:template>


  <xsl:template match="LeseW2Response/LeseW2Result">
    <H2>W2-Formular: Schden Anschlussleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="SACHG_W2"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="TELG_W2"/>
        </td>
      </tr>
    </table>
    <H3>Grauguss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <xsl:value-of select="GG_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <xsl:value-of select="GGG_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

    <H3>Stahl</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <xsl:value-of select="STHL_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

    <H3>PE-LD</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PELD_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

    <H3>PE-HD (einschl. PE 80 und PE 100)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PEHD_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

    <H3>PE-X</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PEX_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

    <H3>PVC</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PVC_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

    <H3>Blei</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <xsl:value-of select="PLUM_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

    <H3>Sonstiges</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <xsl:value-of select="SONS_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name="w2_header">
    <tr>
      <td>
        <b>Anzahl Anschluss-leitungen</b>
      </td>
      <td colspan="7">
        <b>Anzahl der Sch&#228;den je Schadenskategorie</b>
      </td>
    </tr>
    <tr>
      <td>&#160;</td>
      <td>
        <b>Mechanische und thermische Fremdein- wirkungen</b>
      </td>
      <td>
        <b>Boden- bewegungen</b>
      </td>
      <td>
        <b>Korrosion oder Werksstoff- alterung</b>
      </td>
      <td>
        <b>Verlege- und Einbaufehler</b>
      </td>
      <td>
        <b>Werkstofffehler</b>
      </td>
      <td>
        <b>Sonstiges</b>
      </td>
      <td>
        <b>Summe</b>
      </td>
    </tr>
  </xsl:template>


  <xsl:template match="LeseW3Response/LeseW3Result">
    <H2>W3-Formular: Schden Bauteile</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="SACHG_W3"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="TELG_W3"/>
        </td>
      </tr>
    </table>
    <H3>Schieber</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="SCH_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SCH_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SCH_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SCH_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SCH_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SCH_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>Klappen</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="KLA_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KLA_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KLA_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KLA_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KLA_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KLA_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>Regelarmaturen (Durchflussregelung)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="RA_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="RA_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="RA_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="RA_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="RA_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="RA_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>Anbohramaturen</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="ANB_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="ANB_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="ANB_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="ANB_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="ANB_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="ANB_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>Be- und Entlfter</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="BEEN_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BEEN_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BEEN_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BEEN_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BEEN_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BEEN_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>Druckminderer</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="DMA_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="DMA_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="DMA_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="DMA_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="DMA_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="DMA_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>berflurhydranten</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="OBE_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="OBE_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="OBE_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="OBE_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="OBE_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="OBE_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>Unterflurhydranten</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="UNT_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="UNT_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="UNT_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="UNT_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="UNT_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="UNT_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>Bleimantel-Kabel (Fern- und Zubringerleitungen)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="BMK_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BMK_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BMK_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BMK_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BMK_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="BMK_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>Kunststoffmantel-Kabel (Fern- und Zubringerleitungen)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="KMK_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KMK_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KMK_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KMK_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KMK_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="KMK_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

    <H3>Sonstiges</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <xsl:value-of select="SO_AN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SO_FR_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SO_UN_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SO_FU_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SO_SO_1_W3"/>
        </td>
        <td>
          <xsl:value-of select="SO_SUMME_1_W3"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name="w3_header">
    <tr>
      <td>
        <b>Anzahl Bauteile, Kabellngen</b>
      </td>
      <td colspan="5">
        <b>Anzahl der Sch&#228;den je Schadenskategorie</b>
      </td>
    </tr>
    <tr>
      <td>&#160;</td>
      <td>
        <b>Mechanische und thermische Fremdein- wirkungen</b>
      </td>
      <td>
        <b>Undichtigkeit</b>
      </td>
      <td>
        <b>Funktions- untchtigkeit</b>
      </td>
      <td>
        <b>Sonstiges</b>
      </td>
      <td>
        <b>Summe</b>
      </td>
    </tr>
  </xsl:template>


</xsl:stylesheet>
