<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

   Stylesheet fuer Gasetzbericht

   Version 1.0.0.3
	
	21.08.08 Brozio FGH 1.0.0.0	
   16.11.10 Pietsch 1.0.0.1: VDN-Daten -> FERNWAERME-Daten
   09.10.12         1.0.0.2 ohne Numerierung
   04.04.13         1.0.0.3


   ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                 substituiert ! (z.B. durch "./logo.gif")
                 Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
-->

<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="FERNWAERME-Daten"/>
	</html>
</xsl:template>

<xsl:template match="FERNWAERME-Daten">
	<head>
		<title>Netzbericht</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Netzdaten"/>
	</body>
</xsl:template>


<!--Netzdaten-->
<xsl:template match="Netzdaten">
	<table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td valign="TOP">
           <P align="CENTER"><img src="$LOGO"/></P>
           <P align="CENTER">
             <nobr>InterAss</nobr>
            <br/>
            <nobr>&#169; FGH GmbH</nobr>
           </P>
         </td>
         <td valign="TOP" width="60%">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr><U>Bericht zum Netz</U></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td><nobr>Erstellt am:</nobr></td>
				   <td><nobr><xsl:value-of select="datum"/></nobr></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td></td>
				   <td><nobr><xsl:value-of select="uhrzeit"/></nobr></td>
               </tr>
             </table>
         </td>
      </tr>
      <tr bgcolor="#ffffff">
		<td colspan="3">
			<table>
				<tr bgcolor="#ffffff">
					<td><b>Netzbetreiber</b></td>
					<td colspan="1"><xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibernummer"/></td>
					<td colspan="3"><xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibername"/></td>
					<td></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Berichtsjahr</b></td>
					<td colspan="1"><xsl:value-of select="Netz/Allgemeine_Angaben/erfassungsjahr"/></td>
					<td></td>
					<td><b>Netznummer</b></td>
					<td><xsl:value-of select="Netz/Allgemeine_Angaben/Netznummer"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Netzname</b></td>
					<td colspan="1"><xsl:value-of select="Netz/Allgemeine_Angaben/netzname"/></td>
					<td></td>
				</tr>
			</table>
		</td>
      </tr>
	</table>
	<h1><U>Administrative Angaben</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Datum letzte nderung:</b></td>
			<td><xsl:value-of select="Netz/Daten/aktuelldatum"/></td>
			<td></td>
			<td><b>Sachberarbeiter:</b></td>
			<td><xsl:value-of select="Netz/Daten/lastedit_name"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Datum erste nderung:</b></td>
			<td><xsl:value-of select="Netz/Daten/erstelldatum"/></td>
			<td></td>
			<td><b>Sachberarbeiter:</b></td>
			<td><xsl:value-of select="Netz/Daten/ersteller"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Datenbank ID</b></td>
			<td><xsl:value-of select="Netz/Daten/netzid"/></td>
		</tr>
	</table>

	<xsl:call-template name="Bemerkungen"><xsl:with-param name="kapein" select="3"/></xsl:call-template>

</xsl:template>


<xsl:template name="Bemerkungen">
<h1><U>Bemerkungen</U></h1>
<table>
  <xsl:for-each select="Netz/kommentar/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:template>




</xsl:stylesheet>
