<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:fo="http://www.w3.org/1999/XSL/Format">
   <xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
   <!--root-->
   <!--

    Stylesheet fuer Pruefprotokoll FGH Datenpruefung

    Version 2.0.0.5
	
	
   15.12.09   Pietsch FGH Version 2.0.0.0
   22.02.10   Pietsch 2.0.0.1
   07.05.10   Pietsch 2.0.0.2 GAS
   19.11.10           2.0.0.3 GAS
   15.12.10           2.0.0.4 Statistik, Zuvkenn, Kunde
   20.11.12           2.0.0.5 Fehler DB-Lock
   19.10.15           2.0.0.6 Typ Information

   Farben          aktiv
   Farbe 1 #FFFFE0 #A9B6E0
   Farbe 2 #E4EEFF #CFD4EB
   Farbtest: http://colorschemedesigner.com/

-->

   <xsl:variable name="SPARTE" select="FGH_PRUEF/sparte"/>
   <xsl:variable name="Fehler_alg" select="FGH_PRUEF/Zusammenfassung/Fehler_alg"/>
   <xsl:variable name="Fehler_DB_Netze" select="FGH_PRUEF/Zusammenfassung/Fehler_DB_Netze"/>
   <xsl:variable name="Fehler_Import_Netze" select="FGH_PRUEF/Zusammenfassung/Fehler_Import_Netze"/>
   <xsl:variable name="Fehler_Import_Stoerungen" select="FGH_PRUEF/Zusammenfassung/Fehler_Import_Stoerungen"/>
   <xsl:variable name="Fehler_Import" select="FGH_PRUEF/Zusammenfassung/Fehler_Import"/>
   <xsl:variable name="Fehler_Pruefe_Netze" select="FGH_PRUEF/Zusammenfassung/Fehler_Pruefe_Netze"/>
   <xsl:variable name="Fehler_Pruefe_Stoerungen" select="FGH_PRUEF/Zusammenfassung/Fehler_Pruefe_Stoerungen"/>
   <xsl:variable name="Fehler_Pruefen" select="FGH_PRUEF/Zusammenfassung/Fehler_Pruefen"/>
   <xsl:variable name="Fehler_Export_Netze" select="FGH_PRUEF/Zusammenfassung/Fehler_Export_Netze"/>
   <xsl:variable name="Fehler_Export_Stoerungen" select="FGH_PRUEF/Zusammenfassung/Fehler_Export_Stoerungen"/>
   <xsl:variable name="FehWarn_Export_Stoerungen" select="FGH_PRUEF/Zusammenfassung/FehWarn_Export_Stoerungen"/>
   <xsl:variable name="Fehler_Export" select="FGH_PRUEF/Zusammenfassung/Fehler_Export"/>
   <xsl:variable name="FehWarn_Export" select="FGH_PRUEF/Zusammenfassung/FehWarn_Export"/>
   <xsl:variable name="Fehler_Convert_BNA" select="FGH_PRUEF/Zusammenfassung/Fehler_Convert_BNA"/>
   <xsl:variable name="Fehler_Export_BNA" select="FGH_PRUEF/Zusammenfassung/Fehler_BNA"/>
   <xsl:variable name="Zahl_Netze" select="FGH_PRUEF/Zusammenfassung/Zahl_Netze"/>
   <xsl:variable name="Zahl_Stoerungen" select="FGH_PRUEF/Zusammenfassung/Zahl_Stoerungen"/>
   <xsl:variable name="Pruefe_Netze" select="FGH_PRUEF/Zusammenfassung/Pruefe_Netze"/>
   <xsl:variable name="Export_DB" select="FGH_PRUEF/Zusammenfassung/Export_DB"/>

   <xsl:template match="*|/">
      <html>
         <head>
            <xsl:choose>
               <xsl:when test="$SPARTE='GAS'">
                  <title>Prüfprotokoll GAS Netz- und Störungdaten</title>
               </xsl:when>
               <xsl:otherwise>
                  <title>Prüfprotokoll FNN Netz- und Störungdaten</title>
               </xsl:otherwise>
            </xsl:choose>
            <link rel="stylesheet" type="text/css" href="/acosNms/css/acos/global.css"/>
            <link rel="stylesheet" type="text/css" href="/acosNms/css/omforms.css"/>
         </head>
         <body class="vdnerrors">
            <xsl:apply-templates select="FGH_PRUEF"/>
         </body>
      </html>
   </xsl:template>

   <xsl:template match="FGH_PRUEF">

      <xsl:choose>
         <xsl:when test="$SPARTE='GAS'">
            <b>Prüfung GAS Netz- und Störungdaten</b>
         </xsl:when>
      </xsl:choose>
      <xsl:if test="$Fehler_DB_Netze>0">
         <div class="errorMacro">
            Fehler/Warnungen beim Einlesen der Netzdaten aus Datenbank!<br/>
         </div>
      </xsl:if>
      <xsl:if test="$Fehler_Import>0">
         <xsl:if test="$Fehler_Import_Netze>0">
            <div class="errorMacro">
               Fehler/Warnungen beim Einlesen der Netzdaten!<br/>
            </div>
         </xsl:if>
         <xsl:if test="$Fehler_Import_Stoerungen>0">
            <div class="errorMacro">
               Fehler/Warnungen beim Einlesen der Störungsdaten!<br/>
            </div>
         </xsl:if>
      </xsl:if>
      <xsl:choose>
         <xsl:when test="$Fehler_Import_Netze>0">
            <div class="errorMacro">
               Netzdatenimport fehlerhaft!<br/>
            </div>
         </xsl:when>
      </xsl:choose>

      <xsl:if test="$Pruefe_Netze>0">
         <xsl:choose>
            <xsl:when test="$Fehler_Pruefe_Netze>0">
               <div class="errorMacro">
                  <xsl:if test="$Fehler_Pruefe_Netze=1">Netz fehlerhaft!</xsl:if>
                  <xsl:if test="$Fehler_Pruefe_Netze>1">
                     <xsl:value-of select="$Fehler_Pruefe_Netze"/> Netze fehlerhaft!
                  </xsl:if>
                  <br/>
               </div>
            </xsl:when>
            <xsl:otherwise>
               <xsl:if test="$Zahl_Netze>0">
                  <div class="msgMacro">
                     <xsl:if test="$Zahl_Netze=1">Netz fehlerfrei!</xsl:if>
                     <xsl:if test="$Zahl_Netze>1">
                        <xsl:value-of select="$Zahl_Netze"/> Netze fehlerfrei!
                     </xsl:if>
                     <br/>
                  </div>
               </xsl:if>
            </xsl:otherwise>
         </xsl:choose>
      </xsl:if>

      <xsl:choose>
         <xsl:when test="$Fehler_Import_Stoerungen>0">
            <div class="errorMacro">
               Störungsimport fehlerhaft!<br/>
            </div>
         </xsl:when>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="$Fehler_Pruefe_Stoerungen>0">
            <div class="errorMacro">
               <xsl:if test="$Fehler_Pruefe_Stoerungen=1">Störung fehlerhaft!</xsl:if>
               <xsl:if test="$Fehler_Pruefe_Stoerungen>1">
                  <xsl:value-of select="$Fehler_Pruefe_Stoerungen"/> Störungen fehlerhaft!
               </xsl:if>
               <br/>
            </div>
         </xsl:when>
         <xsl:otherwise>
            <xsl:if test="$Zahl_Stoerungen>0">
               <div class="msgMacro">
                  <xsl:if test="$Zahl_Stoerungen=1">Störung fehlerfrei!</xsl:if>
                  <xsl:if test="$Zahl_Stoerungen>1">
                     <xsl:value-of select="$Zahl_Stoerungen"/> Störungen fehlerfrei!
                  </xsl:if>
                  <br/>
               </div>
            </xsl:if>
         </xsl:otherwise>
      </xsl:choose>

      <xsl:if test="$Export_DB>0">
         <xsl:choose>
            <xsl:when test="$Fehler_Export>0">
               <xsl:if test="$Fehler_Export_Netze>0">
                  <div class="errorMacro">
                     Fehler beim Netzdatenexport in die Datenbank!<br/>
                  </div>
               </xsl:if>
               <xsl:if test="$Fehler_Export_Stoerungen>0">
                  <div class="errorMacro">
                     Fehler beim Störungsdatenexport in die Datenbank!<br/>
                  </div>
               </xsl:if>
            </xsl:when>
            <xsl:otherwise>
               <div class="msgMacro">
                  Export in Datenbank fehlerfrei!<br/>
               </div>
            </xsl:otherwise>
         </xsl:choose>
      </xsl:if>

      <xsl:if test="$Fehler_alg>0">
         <div class="errorMacro">
            Ablauf-Fehler!<br/>
         </div>
      </xsl:if>

      <xsl:if test="$Fehler_Convert_BNA>0">
         <div class="errorMacro">
            Fehler bei der Datenumsetzung in BNetzA Format!<br/>
         </div>
      </xsl:if>

      <xsl:if test="$Fehler_Export_BNA>0">
         <div class="errorMacro">
            Fehler bei der Datenübertragung an die BNetzA!<br/>
         </div>
      </xsl:if>
      <BR/>
      <xsl:if test="$Fehler_alg>0">
         <xsl:apply-templates select="Ablauffehler"/>
         <BR/>
      </xsl:if>

      <xsl:apply-templates select="Import/Netz_aus_Datenbank"/>
      <BR/>

      <xsl:if test="$Fehler_Import>0">
         <xsl:if test="$Fehler_Import_Netze>0">
            <xsl:apply-templates select="Import/Netzdaten"/>
            <BR/>
         </xsl:if>
         <xsl:if test="$Fehler_Import_Stoerungen>0">
            <xsl:apply-templates select="Import/Stoerungsdaten"/>
            <BR/>
            <BR/>
         </xsl:if>
      </xsl:if>

      <xsl:apply-templates select="Result"/>
      <BR/>

      <xsl:if test="$FehWarn_Export>0">
         <xsl:apply-templates select="Export"/>
      </xsl:if>
      <xsl:if test="$Fehler_Convert_BNA>0">
         <xsl:apply-templates select="ConvertBNA"/>
         <BR/>
      </xsl:if>
      <xsl:if test="$Fehler_Export_BNA>0">
         <xsl:apply-templates select="ExportBNA"/>
         <BR/>
      </xsl:if>
      <BR/>
      <b>Datenprüfung</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Datum</th>
               <th bgcolor="#CFD4EB">Uhrzeit</th>
               <th bgcolor="#A9B6E0">Version</th>
            </tr>
         </thead>
         <tbody>
            <tr>
               <td bgcolor="#A9B6E0">
                  <xsl:value-of select="datum"/>
               </td>
               <td bgcolor="#CFD4EB">
                  <xsl:value-of select="uhrzeit"/>
               </td>
               <td bgcolor="#A9B6E0">
                  <xsl:value-of select="Version"/>&#160;<xsl:value-of select="Version_info"/>
               </td>
            </tr>
         </tbody>
      </table>

      <xsl:apply-templates select="Steuerdaten"/>

   </xsl:template>


   <xsl:template match="Result">
      <xsl:if test="$Fehler_Pruefen>0">
         <xsl:if test="$Fehler_Pruefe_Netze>0">
            <xsl:apply-templates select="prNetzdaten"/>
         </xsl:if>
         <xsl:if test="$Fehler_Pruefe_Stoerungen>0">
            <xsl:apply-templates select="prStoerungsdaten"/>
         </xsl:if>
      </xsl:if>
   </xsl:template>


   <!--Netzdaten-->
   <xsl:template match="prNetzdaten">
      <b>Prüfung Netzdaten</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <thead>
            <tr>
               <xsl:choose>
                  <xsl:when test="$SPARTE='GAS'">
                     <th bgcolor="#CFD4EB">Jahr</th>
                     <th bgcolor="#A9B6E0">EVU</th>
                     <th bgcolor="#CFD4EB">NNr</th>
                     <th bgcolor="#A9B6E0">Schema</th>
                     <th bgcolor="#CFD4EB">Stat. BNA</th>
                     <th bgcolor="#A9B6E0">Stat. DVGW</th>
                     <th bgcolor="#CFD4EB">Stat. Statistik</th>
                     <th bgcolor="#FF9999">Fehlercode: Fehlertext</th>
                  </xsl:when>
                  <xsl:otherwise>
                     <th bgcolor="#CFD4EB">Jahr</th>
                     <th bgcolor="#A9B6E0">EVU</th>
                     <th bgcolor="#CFD4EB">NNr</th>
                     <th bgcolor="#A9B6E0">Schema</th>
                     <th bgcolor="#CFD4EB">Stat. FNN</th>
                     <th bgcolor="#A9B6E0">Stat. Statistik</th>
                     <th bgcolor="#FF9999">Fehlercode: Fehlertext</th>
                  </xsl:otherwise>
               </xsl:choose>
            </tr>
         </thead>
         <tbody>
            <xsl:for-each select="Netz">
               <xsl:choose>
                  <xsl:when test="$SPARTE='GAS'">
                     <xsl:variable name="Stat0" select="Status"/>
                     <xsl:variable name="Stat1" select="plausi_dvgw"/>
                     <xsl:variable name="Stat3" select="plausi_statistik"/>
                     <xsl:if test="$Stat0='Fehlerhaft' or $Stat1='Fehlerhaft' or $Stat3='Fehlerhaft'">
                        <tr>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Jahr"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Netzbetreibernummer"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Netznummer"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Schema"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Status"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="plausi_dvgw"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="plausi_statistik"/>
                           </td>
                           <td bgcolor="#FF9999">
                              <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
                                <!-- neues Format -->
                                <xsl:apply-templates select="Information"/>
                                <xsl:apply-templates select="Warning"/>
                                <xsl:apply-templates select="Error"/>
                                <xsl:apply-templates select="Meldung"/>
                                <xsl:apply-templates select="DVGW"/>
                                <xsl:apply-templates select="Statistik"/>
                                <xsl:apply-templates select="Kunde"/>
                              </table>
                           </td>
                        </tr>
                     </xsl:if>
                  </xsl:when>
                  <xsl:otherwise>
                     <xsl:variable name="Stat0" select="Status"/>
                     <xsl:variable name="Stat1" select="plausi_kunde"/>
                     <xsl:variable name="Stat2" select="plausi_statistik"/>
                     <xsl:variable name="Stat3" select="plausi_zuvkenn"/>
                     <xsl:if test="$Stat0='Fehlerhaft' or $Stat1='Fehlerhaft' or $Stat2='Fehlerhaft' or $Stat3='Fehlerhaft'">
                        <tr>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Jahr"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Netzbetreibernummer"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Netznummer"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Schema"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Status"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="plausi_statistik"/>
                           </td>
                           <td bgcolor="#FF9999">
                              <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
                                <!-- neues Format -->
                                <xsl:apply-templates select="Information"/>
                                <xsl:apply-templates select="Warning"/>
                                <xsl:apply-templates select="Error"/>
                                <xsl:apply-templates select="Statistik"/>
                                <xsl:apply-templates select="Zuvkenn"/>
                                <xsl:apply-templates select="Kunde"/>
                              </table>
                           </td>
                        </tr>
                     </xsl:if>
                  </xsl:otherwise>
               </xsl:choose>
            </xsl:for-each>
         </tbody>
      </table>
      <BR/>
   </xsl:template>



   <!--Stoerungsdaten-->
   <xsl:template match="prStoerungsdaten">
      <b>Prüfung Störungsdaten</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <xsl:choose>
                  <xsl:when test="$SPARTE='GAS'">
                     <th bgcolor="#CFD4EB">Jahr</th>
                     <th bgcolor="#A9B6E0">EVU</th>
                     <th bgcolor="#CFD4EB">NNr</th>
                     <th bgcolor="#A9B6E0">SNr</th>
                     <th bgcolor="#CFD4EB">Schema</th>
                     <th bgcolor="#A9B6E0">Stat. BNA</th>
                     <th bgcolor="#CFD4EB">Stat. DVGW</th>
                     <th bgcolor="#A9B6E0">Stat. Meldung</th>
                     <th bgcolor="#CFD4EB">Stat. Statistik</th>
                     <th bgcolor="#FF9999">Fehlercode: Fehlertext</th>
                  </xsl:when>
                  <xsl:otherwise>
                     <th bgcolor="#CFD4EB">Jahr</th>
                     <th bgcolor="#A9B6E0">EVU</th>
                     <th bgcolor="#CFD4EB">NNr</th>
                     <th bgcolor="#A9B6E0">SNr</th>
                     <th bgcolor="#CFD4EB">Schema</th>
                     <th bgcolor="#A9B6E0">Stat. FNN</th>
                     <th bgcolor="#CFD4EB">Stat. Statistik</th>
                     <th bgcolor="#FF9999">Fehlercode: Fehlertext</th>
                  </xsl:otherwise>
               </xsl:choose>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
            <xsl:for-each select="Stoerung">
               <xsl:choose>
                  <xsl:when test="$SPARTE='GAS'">
                     <xsl:variable name="Stat0" select="Status"/>
                     <xsl:variable name="Stat1" select="plausi_dvgw"/>
                     <xsl:variable name="Stat2" select="plausi_meldung"/>
                     <xsl:variable name="Stat3" select="plausi_statistik"/>
                     <xsl:if test="$Stat0='Fehlerhaft' or $Stat1='Fehlerhaft' or $Stat2='Fehlerhaft' or $Stat3='Fehlerhaft'">
                        <tr>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Jahr"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Netzbetreibernummer_XN"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Netznummer_N"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Stoerungsnummer_O"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Schema"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Status"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="plausi_dvgw"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="plausi_meldung"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="plausi_statistik"/>
                           </td>
                           <td bgcolor="#FF9999">
                              <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
                                <!-- neues Format -->
                                <xsl:apply-templates select="Information"/>
                                <xsl:apply-templates select="Warning"/>
                                <xsl:apply-templates select="Error"/>
                                <xsl:apply-templates select="Meldung"/>
                                <xsl:apply-templates select="DVGW"/>
                                <xsl:apply-templates select="Statistik"/>
                                <xsl:apply-templates select="Kunde"/>
                              </table>
                           </td>
                        </tr>
                     </xsl:if>
                  </xsl:when>
                  <xsl:otherwise>
                     <xsl:variable name="Status" select="Status"/>
                     <xsl:variable name="Stat0" select="Status"/>
                     <xsl:variable name="Stat1" select="plausi_kunde"/>
                     <xsl:variable name="Stat2" select="plausi_statistik"/>
                     <xsl:variable name="Stat3" select="plausi_zuvkenn"/>
                     <xsl:if test="$Stat0='Fehlerhaft' or $Stat1='Fehlerhaft' or $Stat2='Fehlerhaft' or $Stat3='Fehlerhaft'">
                        <tr>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Jahr"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Netzbetreibernummer_XN"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Netznummer_N"/>
                           </td>
                           <xsl:variable name="typ" select="Stoerungsnummer_O/@typ"/>
                           <xsl:variable name="no" select="Stoerungsnummer_O/@no"/>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Stoerungsnummer_O"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="Schema"/>
                           </td>
                           <td bgcolor="#A9B6E0">
                              <xsl:value-of select="Status"/>
                           </td>
                           <td bgcolor="#CFD4EB">
                              <xsl:value-of select="plausi_statistik"/>
                           </td>
                           <td bgcolor="#FF9999">
                              <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
                                <!-- neues Format -->
                                <xsl:apply-templates select="Information"/>
                                <xsl:apply-templates select="Warning"/>
                                <xsl:apply-templates select="Error"/>
                                <xsl:apply-templates select="Statistik"/>
                                <xsl:apply-templates select="Zuvkenn"/>
                                <xsl:apply-templates select="Kunde"/>
                              </table>
                           </td>
                        </tr>
                     </xsl:if>
                  </xsl:otherwise>
               </xsl:choose>
            </xsl:for-each>
         </tbody>
      </table>
   </xsl:template>

  <!-- Ausgabe der Informationen -->
  <xsl:template match="Info">
    <xsl:call-template name="Information1">
      <xsl:with-param name="vtype">Warning</xsl:with-param>
      <xsl:with-param name="farbe1">#A9B6E0</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="Warning">
    <xsl:call-template name="Information1">
      <xsl:with-param name="vtype">Warning</xsl:with-param>
      <xsl:with-param name="farbe1">#A9B6E0</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="Error">
    <xsl:call-template name="Information1">
      <xsl:with-param name="vtype">Error</xsl:with-param>
      <xsl:with-param name="farbe1">#A9B6E0</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="Statistik">
    <xsl:call-template name="Information1">
      <xsl:with-param name="vtype">Statistik</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="Zuvkenn">
    <xsl:call-template name="Information1">
      <xsl:with-param name="vtype">Zuvkenn</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="Kunde">
    <xsl:call-template name="Information1">
      <xsl:with-param name="vtype">Kunde</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="Meldung">
    <xsl:call-template name="Information1">
      <xsl:with-param name="vtype">Meldung</xsl:with-param>
    </xsl:call-template>
  </xsl:template>
  <xsl:template match="DVGW">
    <xsl:call-template name="Information1">
      <xsl:with-param name="vtype">DVGW</xsl:with-param>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="Information">
    <xsl:variable name="vtype" select="type"/>
    <xsl:call-template name="Information1">
      <xsl:with-param name="vtype">
        <xsl:value-of select="$vtype"/>
      </xsl:with-param>
      <xsl:with-param name="farbe1"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="Information1">
    <xsl:param name="vtype" />
    <xsl:param name="farbe1" />
    <xsl:choose>
      <xsl:when test="$vtype='Info'">
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe">#FFFFFF</xsl:with-param>
          <xsl:with-param name="farbe1">
            <xsl:value-of select="$farbe1"/>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vtype='DEBUG'">
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe">#CDEBFE</xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vtype='Warning'">
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe">#FFEE73</xsl:with-param>
          <xsl:with-param name="farbe1">
            <xsl:value-of select="$farbe1"/>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vtype='Error'">
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe">#FF9999</xsl:with-param>
          <xsl:with-param name="farbe1">
            <xsl:value-of select="$farbe1"/>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vtype='Statistik'">
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe">#FFEE73</xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vtype='Zuvkenn'">
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe">#FFB673</xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vtype='Kunde'">
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe">#FFBBBB</xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vtype='Meldung'">
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe">#FFB673</xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vtype='DVGW'">
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe">#FFCCBB</xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="Info_Detail">
          <xsl:with-param name="farbe"></xsl:with-param>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="Info_Detail">
    <xsl:param name="farbe" />
    <xsl:param name="farbe1" />
    <xsl:variable name="vnr" select="nr"/>
    <xsl:choose>
      <xsl:when test="$vnr">
        <xsl:choose>
          <xsl:when test="$farbe1">
            <xsl:call-template name="Info_Detail1">
              <xsl:with-param name="farbe">
                <xsl:value-of select="$farbe"/>
              </xsl:with-param>
              <xsl:with-param name="farbe1">
                <xsl:value-of select="$farbe1"/>
              </xsl:with-param>
              <xsl:with-param name="nr">
                <xsl:value-of select="$vnr"/>
              </xsl:with-param>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="Info_Detail1">
              <xsl:with-param name="farbe">
                <xsl:value-of select="$farbe"/>
              </xsl:with-param>
              <xsl:with-param name="nr">
                <xsl:value-of select="$vnr"/>
              </xsl:with-param>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="$farbe1">
            <xsl:call-template name="Info_Detail1">
              <xsl:with-param name="farbe">
                <xsl:value-of select="$farbe"/>
              </xsl:with-param>
              <xsl:with-param name="farbe1">
                <xsl:value-of select="$farbe1"/>
              </xsl:with-param>
              <xsl:with-param name="nr">
                &#160;
              </xsl:with-param>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="Info_Detail1">
              <xsl:with-param name="farbe">
                <xsl:value-of select="$farbe"/>
              </xsl:with-param>
              <xsl:with-param name="nr">
                &#160;
              </xsl:with-param>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="Info_Detail1">
    <xsl:param name="farbe" />
    <xsl:param name="nr" />
    <xsl:param name="farbe1" />
    <tr>
      <xsl:choose>
        <xsl:when test="not ($farbe='')">
          <xsl:choose>
            <xsl:when test="not ($farbe1='')">
              <td bgcolor="{$farbe1}">
                <xsl:value-of select="$nr"/>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td bgcolor="{$farbe}">
                <xsl:value-of select="$nr"/>
              </td>
            </xsl:otherwise>
          </xsl:choose>
          <td bgcolor="{$farbe}">
            <xsl:value-of select="text"/>
          </td>
        </xsl:when>
        <xsl:otherwise>
          <td>
            <xsl:value-of select="$nr"/>
          </td>
          <td>
            <xsl:value-of select="text"/>
          </td>
        </xsl:otherwise>
      </xsl:choose>
    </tr>
  </xsl:template>


  <!--Import Stoerungsdaten-->
   <xsl:template match="Import/Stoerungsdaten">
      <b>Import Störungsdaten</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Code</th>
               <th bgcolor="#CFD4EB">Fehler/Warnungstext</th>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
           <xsl:apply-templates select="Warning"/>
           <xsl:apply-templates select="Error"/>
           <xsl:apply-templates select="Information"/>
         </tbody>
      </table>
   </xsl:template>

   <!--Import Netzdaten aus Datenbank-->
   <xsl:template match="Import/Netz_aus_Datenbank">
      <b>Einlesen Netzdaten aus Datenbank</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Code</th>
               <th bgcolor="#CFD4EB">Info/Warnung/Fehler</th>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
           <xsl:apply-templates select="Info"/>
           <xsl:apply-templates select="Warning"/>
           <xsl:apply-templates select="Error"/>
           <xsl:apply-templates select="Information"/>
         </tbody>
      </table>
   </xsl:template>

   <!--Import Netzdaten-->
   <xsl:template match="Import/Netzdaten">
      <b>Import Netzdaten</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Code</th>
               <th bgcolor="#CFD4EB">Fehler/Warnungstext</th>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
           <xsl:apply-templates select="Warning"/>
           <xsl:apply-templates select="Error"/>
           <xsl:apply-templates select="Information"/>
         </tbody>
      </table>
   </xsl:template>

   <!--Export in Datenbank-->
   <xsl:template match="Export">
      <b>Export in Datenbank</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <tbody>
           <xsl:apply-templates select="Warning"/>
           <xsl:apply-templates select="Error"/>
           <xsl:apply-templates select="Information"/>
         </tbody>
      </table>
      <xsl:if test="$Fehler_Export_Netze>0">
         <xsl:apply-templates select="exNetzdaten"/>
         <BR/>
      </xsl:if>
      <xsl:if test="$FehWarn_Export_Stoerungen>0">
         <xsl:apply-templates select="exStoerungsdaten"/>
         <BR/>
      </xsl:if>
   </xsl:template>


   <!--Export Stoerungsdaten-->
   <xsl:template match="exStoerungsdaten">
      <b>Export Störungsdaten</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Code</th>
               <th bgcolor="#CFD4EB">Fehler/Warnungstext</th>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
           <xsl:apply-templates select="Warning"/>
           <xsl:apply-templates select="Error"/>
           <xsl:apply-templates select="Information"/>
         </tbody>
      </table>
   </xsl:template>

   <!--Export Netzdaten-->
   <xsl:template match="exNetzdaten">
      <b>Export Netzdaten</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Code</th>
               <th bgcolor="#CFD4EB">Fehler/Warnungstext</th>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
           <xsl:apply-templates select="Warning"/>
           <xsl:apply-templates select="Error"/>
           <xsl:apply-templates select="Information"/>
         </tbody>
      </table>
   </xsl:template>


   <!--Allgemeine Fehler-->
   <xsl:template match="Ablauffehler">
      <b>Ablauffehler</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Nr.</th>
               <th bgcolor="#FF9999">Fehlertext</th>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
           <xsl:apply-templates select="Error"/>
           <xsl:apply-templates select="Information"/>
         </tbody>
      </table>

   </xsl:template>

   <!--Konvertieren in BNA Format-->
   <xsl:template match="ConvertBNA">
      <b>Datenkonvertierung in BnetzA Format</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Code</th>
               <th bgcolor="#FF9999">Fehlertext</th>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
           <xsl:apply-templates select="Error"/>
           <xsl:apply-templates select="Information"/>
         </tbody>
      </table>
   </xsl:template>

   <!--Webservice BNA-->
   <xsl:template match="ExportBNA">
      <b>Datenübertragung an die BnetzA</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Code</th>
               <th bgcolor="#FF9999">Fehlertext</th>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
           <xsl:apply-templates select="Error"/>
           <xsl:apply-templates select="Information"/>
         </tbody>
      </table>
   </xsl:template>


   <!--Protokollieren der Steuerdaten-->
   <xsl:template match="Steuerdaten">
      <BR/>
      <b>Steuerdaten</b>
      <table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
         <!--Kopfzeile-->
         <thead>
            <tr>
               <th bgcolor="#A9B6E0">Schluessel</th>
               <th bgcolor="#CFD4EB">Wert</th>
            </tr>
         </thead>
         <!--Tabellenzeilen und -spalten-->
         <tbody>
            <xsl:for-each select="Steuer">
               <tr>
                  <td bgcolor="#A9B6E0">
                     <xsl:value-of select="schluessel"/>
                  </td>
                  <td bgcolor="#CFD4EB">
                     <xsl:value-of select="wert"/>
                  </td>
               </tr>
            </xsl:for-each>
         </tbody>
      </table>
   </xsl:template>


</xsl:stylesheet>
