<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                              xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Pruefprotokoll FGH Datenpruefung - Version ACOS_NMS

    Dateiname im INTERASS support: fgh_pruef_acos_nms.xsl
    Dateiname in INTERASS NMS resources: resources\fgh\fgh_pruef.xsl

    Version 1.0.1.1
	
	
    13.03.09   Pietsch FGH Version 1.0.0.0
    18.03.09
    25.03.09
    14.12.09   Pietsch 1.0.1.0
    07.05.10   Pietsch 1.0.1.1


-->

<xsl:variable name="Fehler_alg" select="FGH_PRUEF/Zusammenfassung/Fehler_alg"/>
<xsl:variable name="Fehler_Import_Netze" select="FGH_PRUEF/Zusammenfassung/Fehler_Import_Netze"/>
<xsl:variable name="Fehler_Import_Stoerungen" select="FGH_PRUEF/Zusammenfassung/Fehler_Import_Stoerungen"/>
<xsl:variable name="Fehler_Import" select="FGH_PRUEF/Zusammenfassung/Fehler_Import"/>
<xsl:variable name="Fehler_Pruefe_Netze" select="FGH_PRUEF/Zusammenfassung/Fehler_Pruefe_Netze"/>
<xsl:variable name="Fehler_Pruefe_Stoerungen" select="FGH_PRUEF/Zusammenfassung/Fehler_Pruefe_Stoerungen"/>
<xsl:variable name="Fehler_Pruefen" select="FGH_PRUEF/Zusammenfassung/Fehler_Pruefen"/>
<xsl:variable name="Fehler_Export_Netze" select="FGH_PRUEF/Zusammenfassung/Fehler_Export_Netze"/>
<xsl:variable name="Fehler_Export_Stoerungen" select="FGH_PRUEF/Zusammenfassung/Fehler_Export_Stoerungen"/>
<xsl:variable name="Fehler_Export" select="FGH_PRUEF/Zusammenfassung/Fehler_Export"/>
<xsl:variable name="Fehler_Convert_BNA" select="FGH_PRUEF/Zusammenfassung/Fehler_Convert_BNA"/>
<xsl:variable name="Fehler_Export_BNA" select="FGH_PRUEF/Zusammenfassung/Fehler_BNA"/>
<xsl:variable name="Zahl_Netze" select="FGH_PRUEF/Zusammenfassung/Zahl_Netze"/>
<xsl:variable name="Zahl_Stoerungen" select="FGH_PRUEF/Zusammenfassung/Zahl_Stoerungen"/>
<xsl:variable name="Pruefe_Netze" select="FGH_PRUEF/Zusammenfassung/Pruefe_Netze"/>
<xsl:variable name="Export_DB" select="FGH_PRUEF/Zusammenfassung/Export_DB"/>

<xsl:template match="*|/">
	<html>
	<head>
		<title>Prfprotokoll FNN Netz- und Strungdaten</title>
        <link rel="stylesheet" type="text/css" href="/acosNms/css/acos/global.css"/>
        <link rel="stylesheet" type="text/css" href="/acosNms/css/omforms.css"/>
<script type="text/javascript">
	<!-- opens the given href of the anchor tag in the main window of ACOS -->
    function openInMainWindow(anchorTag) {
    try {
         if(anchorTag == null) {
            alert('Link nicht verfgbar.');
         } else{
         	if(opener.opener != null){
            	// for mulitple error list: 2 openers:
		        opener.opener.document.location.href = anchorTag.href;
		        opener.opener.focus();
         	}
         	else if (opener != null) {
         	  	/* for sinlge check errors: 1 opener, only focus needed 
         	  	   because single check already has got the outage loaded
         	  	*/
				//opener.document.location.href = anchorTag.href;
		        opener.focus();
         	}
         }
    } catch(e) {
   	  //alert(e.message);
    }  
}
</script>
	</head>
	<body class="vdnerrors">
		<xsl:apply-templates select="FGH_PRUEF"/>
	</body>
	</html>
</xsl:template>

<xsl:template match="FGH_PRUEF">
    <xsl:choose><xsl:when test="$Fehler_Pruefe_Stoerungen>0">
	    <div class="errorMacro">
            <xsl:if test="$Fehler_Pruefe_Stoerungen=1">Strung fehlerhaft!</xsl:if>
            <xsl:if test="$Fehler_Pruefe_Stoerungen>1"><xsl:value-of select="$Fehler_Pruefe_Stoerungen"/> Strungen fehlerhaft!</xsl:if>
	    <br/>
	    </div>
    </xsl:when><xsl:otherwise>
        <xsl:choose><xsl:when test="$Fehler_Import_Stoerungen>0">
	        <div class="errorMacro">
                Fehler/Warnungen beim Einlesen der Strungsdaten!<br/>
	        </div>
        </xsl:when><xsl:otherwise>
            <xsl:if test="$Zahl_Stoerungen>0">
	        <div class="msgMacro">
                <xsl:if test="$Zahl_Stoerungen=1">Strung fehlerfrei!</xsl:if>
                <xsl:if test="$Zahl_Stoerungen>1"><xsl:value-of select="$Zahl_Stoerungen"/> Strungen fehlerfrei!</xsl:if>
	        <br/>
	        </div>
            </xsl:if>
        </xsl:otherwise></xsl:choose>
    </xsl:otherwise></xsl:choose>

    <xsl:if test="$Pruefe_Netze>0">
        <xsl:choose><xsl:when test="$Fehler_Pruefe_Netze>0">
	        <div class="errorMacro">
                <xsl:if test="$Fehler_Pruefe_Netze=1">Netz fehlerhaft!</xsl:if>
                <xsl:if test="$Fehler_Pruefe_Netze>1"><xsl:value-of select="$Fehler_Pruefe_Netze"/> Netze fehlerhaft!</xsl:if>
	        <br/>
	        </div>
        </xsl:when><xsl:otherwise>
            <xsl:choose><xsl:when test="$Fehler_Import_Netze>0">
	            <div class="errorMacro">
                    Fehler/Warnungen beim Einlesen der Netzdaten!<br/>
	            </div>
            </xsl:when><xsl:otherwise>
                <xsl:if test="$Zahl_Netze>0">
	            <div class="msgMacro">
                    <xsl:if test="$Zahl_Netze=1">Netz fehlerfrei!</xsl:if>
                    <xsl:if test="$Zahl_Netze>1"><xsl:value-of select="$Zahl_Netze"/> Netze fehlerfrei!</xsl:if>
	            <br/>
	            </div>
                </xsl:if>
            </xsl:otherwise></xsl:choose>
        </xsl:otherwise></xsl:choose>
    </xsl:if>

    <xsl:if test="$Export_DB>0">
        <xsl:choose><xsl:when test="$Fehler_Export>0">
            <xsl:if test="$Fehler_Export_Netze>0">
	            <div class="errorMacro">
                    Fehler beim Netzdatenimport in die Datenbank!<br/>
	            </div>
            </xsl:if>
            <xsl:if test="$Fehler_Export_Stoerungen>0">
	            <div class="errorMacro">
                    Fehler beim Strungsdatenimport in die Datenbank!<br/>
	            </div>
            </xsl:if>
        </xsl:when><xsl:otherwise>
	        <div class="msgMacro">
                Export in Datenbank fehlerfrei!<br/>
	            </div>
        </xsl:otherwise></xsl:choose>
    </xsl:if>

    <xsl:if test="$Fehler_alg>0">
	    <div class="errorMacro">
            Fehler!<br/>
	    </div>
    </xsl:if>

    <xsl:if test="$Fehler_Convert_BNA>0">
	    <div class="errorMacro">
            Fehler bei der Datenumsetzung in BNetzA Format!<br/>
	    </div>
    </xsl:if>

    <xsl:if test="$Fehler_Export_BNA>0">
	    <div class="errorMacro">
            Fehler bei der Datenbertragung an die BNetzA!<br/>
	    </div>
    </xsl:if>
	<BR/>
	<xsl:apply-templates select="Result"/><BR/><BR/>
    <xsl:if test="$Fehler_Import>0">
        <xsl:if test="$Fehler_Import_Netze>0">
	        <xsl:apply-templates select="Import/Netzdaten"/><BR/>
        </xsl:if>
        <xsl:if test="$Fehler_Import_Stoerungen>0">
	        <xsl:apply-templates select="Import/Stoerungsdaten"/><BR/><BR/>
        </xsl:if>
    </xsl:if>
    <xsl:if test="$Fehler_Export>0">
        <xsl:if test="$Fehler_Export_Netze>0">
	        <xsl:apply-templates select="Export/Netzdaten"/><BR/>
        </xsl:if>
        <xsl:if test="$Fehler_Export_Stoerungen>0">
	        <xsl:apply-templates select="Export/Stoerungsdaten"/><BR/>
        </xsl:if>
    </xsl:if>
    <xsl:if test="$Fehler_alg>0">
    	<xsl:call-template name="Fehler_alg"/><BR/>
    </xsl:if>
    <xsl:if test="$Fehler_Convert_BNA>0">
	    <xsl:apply-templates select="ConvertBNA"/><BR/>
    </xsl:if>
    <xsl:if test="$Fehler_Export_BNA>0">
	    <xsl:apply-templates select="ExportBNA"/><BR/>
    </xsl:if>
	<BR/>
	<p>Datenprfung&#160;<xsl:value-of select="datum"/>&#160;<xsl:value-of select="uhrzeit"/>&#160;&#160;(<xsl:value-of select="Version"/>&#160;<xsl:value-of select="Version_info"/>)</p>
</xsl:template>


<xsl:template match="Result">
    <xsl:if test="$Fehler_Pruefen>0">
        <xsl:if test="$Fehler_Pruefe_Netze>0">
            <xsl:apply-templates select="Netzdaten"/>
        </xsl:if>
        <xsl:if test="$Fehler_Pruefe_Stoerungen>0">
            <xsl:apply-templates select="Stoerungsdaten"/>
        </xsl:if>
    </xsl:if>
</xsl:template>


<!--Netzdaten-->
<xsl:template match="Netzdaten">
	<b>Prfung Netzdaten</b>
	<xsl:for-each select="Netz">
        <xsl:variable name="Stat0" select="Status"/>
        <xsl:variable name="Stat1" select="plausi_kunde"/>
        <xsl:variable name="Stat2" select="plausi_statistik"/>
        <xsl:variable name="Stat3" select="plausi_zuvkenn"/>
        <xsl:if test="$Stat0='Fehlerhaft' or $Stat1='Fehlerhaft' or $Stat2='Fehlerhaft' or $Stat3='Fehlerhaft'">
	        <div class="vdnErrorContainer">
	            <div class="vdnErrorHeader">
                    <xsl:variable name="url">/acosNms/vdn/gotoNetdataView.do?netNumber=<xsl:value-of select="Netznummer"/></xsl:variable>
                    <xsl:variable name="url1">&amp;netYear=<xsl:value-of select="Jahr"/></xsl:variable>
                    <a>
	                <xsl:attribute name="href"><xsl:value-of select="$url"/><xsl:value-of select="$url1"/></xsl:attribute>
                    <xsl:attribute name="class">vdnErrorHeaderText</xsl:attribute>
                    <xsl:attribute name="onclick">openInMainWindow(this);return false;</xsl:attribute>
                    <xsl:value-of select="Netznummer"/>
                    &#160;(<xsl:value-of select="Netzbetreibernummer"/>)</a>		     		    
		        </div>
		        <div class="vdnErrorDescriptions">
		        <ul>
			    <xsl:for-each select="Error">			
				    <li><xsl:value-of select="nr"/> - <xsl:value-of select="text"/></li>
			    </xsl:for-each>			
		        </ul>
	        	</div>
		    </div>
        </xsl:if>
	</xsl:for-each>
	<BR/>
</xsl:template>



<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">
	<b>Prfung Strungsdaten</b>
	<xsl:for-each select="Stoerung">
        <xsl:variable name="Status" select="Status"/>
        <xsl:variable name="Stat0" select="Status"/>
        <xsl:variable name="Stat1" select="plausi_kunde"/>
        <xsl:variable name="Stat2" select="plausi_statistik"/>
        <xsl:variable name="Stat3" select="plausi_zuvkenn"/>
        <xsl:if test="$Stat0='Fehlerhaft' or $Stat1='Fehlerhaft' or $Stat2='Fehlerhaft' or $Stat3='Fehlerhaft'">
	        <div class="vdnErrorContainer">
	            <div class="vdnErrorHeader">
                    <xsl:variable name="typ" select="Stoerungsnummer_O/@typ"/>
                    <xsl:variable name="no" select="Stoerungsnummer_O/@no"/>
                    <xsl:variable name="url">/acosNms/vdn/gotoOutageView.do?outageNumber=<xsl:value-of select="Stoerungsnummer_O/@no"/></xsl:variable>
                    <xsl:variable name="url1">&amp;outageYear=<xsl:value-of select="Jahr"/></xsl:variable>
                    <a>
                    <xsl:choose><xsl:when test="$typ='GVU'">
                        <xsl:variable name="url2">&amp;outageClassId=141</xsl:variable>
	                    <xsl:attribute name="href"><xsl:value-of select="$url"/><xsl:value-of select="$url1"/><xsl:value-of select="$url2"/></xsl:attribute>
                    </xsl:when><xsl:otherwise>
                        <xsl:variable name="url2">&amp;outageClassId=160</xsl:variable>
	                    <xsl:attribute name="href"><xsl:value-of select="$url"/><xsl:value-of select="$url1"/><xsl:value-of select="$url2"/></xsl:attribute>
                    </xsl:otherwise></xsl:choose>
                    <xsl:attribute name="class">vdnErrorHeaderText</xsl:attribute>
                    <xsl:attribute name="onclick">openInMainWindow(this);return false;</xsl:attribute>
                    <xsl:value-of select="Stoerungsnummer_O"/>
                    &#160;(<xsl:value-of select="Netznummer_N"/>)</a>		     		    
		        </div>
		        <div class="vdnErrorDescriptions">
		        <ul>
			    <xsl:for-each select="Error">			
				    <li><xsl:value-of select="nr"/> - <xsl:value-of select="text"/></li>
			    </xsl:for-each>			
		        </ul>
	        	</div>
		    </div>
        </xsl:if>
	</xsl:for-each>
</xsl:template>


<!--Import Stoerungsdaten-->
<xsl:template match="Import/Stoerungsdaten">
	<div class="vdnErrorContainer">
	    <div class="vdnErrorHeader">
	        <b>Import Strungsdaten</b>
	    </div>
	    <div class="vdnErrorDescriptions">
	        <ul>
	        <xsl:for-each select="Warning">
                <xsl:variable name="Status" select="nr"/>
                <xsl:choose><xsl:when test="$Status='ImpStoe000'">
                </xsl:when><xsl:otherwise>
	                <li><xsl:value-of select="text"/></li>
                </xsl:otherwise></xsl:choose>
	        </xsl:for-each>
	        <xsl:for-each select="Error">
	            <li><xsl:value-of select="text"/></li>
	        </xsl:for-each>
	        </ul>
	    </div>
    </div>
</xsl:template>

<!--Import Netzdaten-->
<xsl:template match="Import/Netzdaten">
	<div class="vdnErrorContainer">
	<div class="vdnErrorHeader">
	    <b>Import Netzdaten</b>
	</div>
	    <div class="vdnErrorDescriptions">
	        <ul>
	        <xsl:for-each select="Warning">
	            <li><xsl:value-of select="text"/></li>
	        </xsl:for-each>
	        <xsl:for-each select="Error">
	            <li><xsl:value-of select="text"/></li>
	        </xsl:for-each>
	        </ul>
	    </div>
    </div>
</xsl:template>


<!--Export Stoerungsdaten-->
<xsl:template match="Export/Stoerungsdaten">
	<div class="vdnErrorContainer">
	    <div class="vdnErrorHeader">
	        <b>Export Strungsdaten</b>
	    </div>
	    <div class="vdnErrorDescriptions">
	        <ul>
	        <xsl:for-each select="Error">
                <xsl:variable name="Status" select="nr"/>
	            <li><xsl:value-of select="text"/></li>
	        </xsl:for-each>
	        </ul>
	    </div>
    </div>
</xsl:template>

<!--Export Netzdaten-->
<xsl:template match="Export/Netzdaten">
	<div class="vdnErrorContainer">
	    <div class="vdnErrorHeader">
	        <b>Export Netzdaten</b>
	    </div>
	    <div class="vdnErrorDescriptions">
	        <ul>
	        <xsl:for-each select="Error">
                <xsl:variable name="Status" select="nr"/>
	            <li><xsl:value-of select="text"/></li>
	        </xsl:for-each>
	        </ul>
	    </div>
    </div>
</xsl:template>

<!--Allgemeine Fehler-->
<xsl:template name="Fehler_alg">
	<div class="vdnErrorContainer">
	    <div class="vdnErrorHeader">
	        <b>Ablauffehler</b>
	    </div>
	    <div class="vdnErrorDescriptions">
	        <ul>
	        <xsl:for-each select="Error">
                <xsl:variable name="Status" select="nr"/>
	            <li><xsl:value-of select="text"/></li>
	        </xsl:for-each>
	        </ul>
	    </div>
    </div>
</xsl:template>

<!--Konvertieren in BNA Format-->
<xsl:template match="ConvertBNA">
	<div class="vdnErrorContainer">
	    <div class="vdnErrorHeader">
	        <b>Datenkonvertierung in BnetzA Format</b>
	    </div>
	    <div class="vdnErrorDescriptions">
	        <ul>
	        <xsl:for-each select="Error">
                <xsl:variable name="Status" select="nr"/>
	            <li><xsl:value-of select="text"/></li>
	        </xsl:for-each>
	        </ul>
	    </div>
    </div>
</xsl:template>

<!--Webservice BNA-->
<xsl:template match="ExportBNA">
	<div class="vdnErrorContainer">
	    <div class="vdnErrorHeader">
	        <b>Datenbertragung an die BnetzA</b>
	    </div>
	    <div class="vdnErrorDescriptions">
	        <ul>
	        <xsl:for-each select="Error">
                <xsl:variable name="Status" select="nr"/>
	            <li><xsl:value-of select="text"/></li>
	        </xsl:for-each>
	        </ul>
	    </div>
    </div>
</xsl:template>

</xsl:stylesheet>
