<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

   Stylesheet fuer Gasetzbericht

   Version 1.0.0.5
	
	21.08.08 Brozio FGH 1.0.0.0	
	30.11.09 Brozio 1.0.0.2 Zeitpunkt der Gefahrenabwehr
   16.11.10 Pie    1.0.0.3 VDN-Daten -> GAS-Daten
   09.10.12        1.0.0.4
   04.04.13        1.0.0.5


   ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                 substituiert ! (z.B. durch "./logo.gif")
                 Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	   
-->

<xsl:variable name="vkunden" select="GAS-Daten/Stoerungsdaten/kundenversion"/>

<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="GAS-Daten"/>
	</html>
</xsl:template>

<xsl:template match="GAS-Daten">
	<head>
		<title>Strungsbericht</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Stoerungsdaten"/>
	</body>
</xsl:template>


<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">
	<table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td valign="TOP">
            <P align="CENTER"><img src="$LOGO"/></P>
            <P align="CENTER">
              <nobr>InterAss</nobr>
              <br/>
              <nobr>&#169; FGH GmbH</nobr>
            </P>
         </td>
         <td valign="TOP" width="80%">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr><U>Meldung</U></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP" width="5%">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td><nobr>Erstellt am:</nobr></td>
				   <td><nobr><xsl:value-of select="datum"/></nobr></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td></td>
				   <td><nobr><xsl:value-of select="uhrzeit"/></nobr></td>
               </tr>
             </table>
         </td>
      </tr>
      <tr bgcolor="#ffffff">
		<td colspan="3">
			<table>
				<tr bgcolor="#ffffff">
					<td><b>Berichtsjahr</b></td>
					<td colspan="1"><xsl:value-of select="GasStoerung/Allgemeine_Angaben/erfassungsjahr"/></td>
				</tr>
			</table>
		</td>
      </tr>
	</table>

	<xsl:call-template name="Ereignis"/>
	<xsl:call-template name="Weiterleitung"/>
	<xsl:call-template name="Schadensmeldung"/>

	<xsl:call-template name="Bemerkungen"><xsl:with-param name="kapein" select="3"/></xsl:call-template>

</xsl:template>



<xsl:template name="Ereignis">
<!-- Ereignis der Strung -->
<h1><U>1. Ereignis</U></h1>
	<table width="100%">
		<tr bgcolor="#ffffff">
			<td><b>Meldungszeitpunkt:</b></td>
            <td colspan="3"><xsl:value-of select="GasStoerung/Daten/meldzeit"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Meldung erfasst von:</b></td>
		    <td colspan="4"><xsl:value-of select="GasStoerung/Daten/melderfasser"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td colspan="2"><b>Anrufer:</b></td>
			<td>&#160;</td>	
			<td colspan="2"><b>Strungsort:</b></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Name/Firma:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/meldname"/></td>
			<td>&#160;</td>	
			<td><b>Name/Firma:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/stoername"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Telefon:</b></td>
		    <td colspan="3"><xsl:value-of select="GasStoerung/Daten/meldtelefon"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Strasse:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/meldstrasse"/></td>
			<td>&#160;</td>	
			<td><b>Strasse:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/stoerstrasse"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Hausnummer:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/meldhausnr"/></td>
			<td>&#160;</td>	
			<td><b>Hausnummer:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/stoerhausnr"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>PLZ:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/meldplz"/></td>
			<td>&#160;</td>	
			<td><b>PLZ:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/stoerplz"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Ort:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/meldort"/></td>
			<td>&#160;</td>	
			<td><b>Ort:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/stoerort"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Ortsteil:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/meldortsteil"/></td>
			<td>&#160;</td>	
			<td><b>Ortsteil:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/stoerortsteil"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Netzbetreiber:</b></td>
        <td colspan="3"><xsl:value-of select="GasStoerung/Allgemeine_Angaben/Netzbetreibername"/></td>
		</tr>
	    <xsl:if test="$vkunden='1'">
		<tr bgcolor="#ffffff">
			<td><b>Betroffenes KC:</b></td>
        <td colspan="3"><xsl:value-of select="GasStoerung/Daten/kc"/></td>
		</tr>
		</xsl:if>
		<tr bgcolor="#ffffff">
			<td><b>Meldungsinhalt:</b></td>
        <td colspan="3"><xsl:value-of select="GasStoerung/Daten/meldinhalt/@text"/></td>
		</tr>
	    <xsl:if test="$vkunden='1'">
		<tr bgcolor="#ffffff">
			<td><b>Alarmstufe:</b></td>
        <td colspan="3"><xsl:value-of select="GasStoerung/Daten/alarmstufe"/></td>
		</tr>
		</xsl:if>
		<tr bgcolor="#ffffff">
            <td><b>Meldungstext:</b></td>
      </tr>
      <xsl:for-each select="GasStoerung/Meldetext/item">
	        <tr bgcolor="#ffffff"><td colspan="4"><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
            </xsl:for-each>  
	</table>
</xsl:template>


<xsl:template name="Weiterleitung">
<!-- Weiterleitung der Strung -->
<h1><U>2. Weiterleitung</U></h1>
	<table>
	<xsl:variable name="wl_an1" select="GasStoerung/Daten/wl_an1"/>
	<xsl:variable name="wl_an2" select="GasStoerung/Daten/wl_an2"/>
	<xsl:variable name="wl_an3" select="GasStoerung/Daten/wl_an3"/>
	<xsl:variable name="wl_an4" select="GasStoerung/Daten/wl_an4"/>
	<xsl:variable name="wl_an5" select="GasStoerung/Daten/wl_an5"/>
	<xsl:variable name="wl_an6" select="GasStoerung/Daten/wl_an6"/>
	<xsl:variable name="wl_an7" select="GasStoerung/Daten/wl_an7"/>
	<xsl:variable name="wl_an8" select="GasStoerung/Daten/wl_an8"/>
	<xsl:variable name="wl_an9" select="GasStoerung/Daten/wl_an9"/>
	<xsl:if test="$wl_an1">
		<tr bgcolor="#ffffff">
			<td><b>Weiterl. Ersteinsatz an:</b></td>
		    <td><xsl:value-of select="$wl_an1"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/wl_um1"/></td>
		</tr>
	</xsl:if>
		<xsl:if test="$wl_an2">
		<tr bgcolor="#ffffff">
			<td><b>Ankunft vor Ort von:</b></td>
		    <td><xsl:value-of select="$wl_an2"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/wl_um2"/></td>
			<xsl:if test="$vkunden='1'">
				<td>
					<b>&#160;&#160;&#160;tats. Ankunftzeit:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/wl_um12"/>
				</td>
			</xsl:if>
		</tr>
		</xsl:if>
		<xsl:if test="$wl_an3">
			<tr bgcolor="#ffffff">
				<xsl:choose>
					<xsl:when test="$vkunden='1'">
						<td>
							<b>Verst. Entstrungsdienst:</b>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td>
							<b>Verst. Strungsbehebung:</b>
						</td>
					</xsl:otherwise>
				</xsl:choose>
				<td>
					<xsl:value-of select="$wl_an3"/>
				</td>
				<td>
					<b>um:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/wl_um3"/>
				</td>
				<xsl:if test="$vkunden='1'">
					<td>
						<b>&#160;&#160;&#160;Ankunftzeit:</b>
					</td>
					<td>
						<xsl:value-of select="GasStoerung/Daten/wl_um13"/>
					</td>
				</xsl:if>
			</tr>
		</xsl:if>
		<xsl:if test="$wl_an4">
		<tr bgcolor="#ffffff">
		    <xsl:choose><xsl:when test="$vkunden='1'">
			    <td><b>Verst. Ingenieurbereitschaft Gas:</b></td>
			</xsl:when><xsl:otherwise>
			    <td><b>Verst. Koordination:</b></td>
			</xsl:otherwise></xsl:choose>
		    <td><xsl:value-of select="$wl_an4"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/wl_um4"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$wl_an5">
			<tr bgcolor="#ffffff">
				<td>
					<b>Verst. Polizei:</b>
				</td>
				<td>
					<xsl:value-of select="$wl_an5"/>
				</td>
				<td>
					<b>um:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/wl_um5"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="$wl_an6">
			<tr bgcolor="#ffffff">
				<td>
					<b>Verst. Feuerwehr:</b>
				</td>
				<td>
					<xsl:value-of select="$wl_an6"/>
				</td>
				<td>
					<b>um:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/wl_um6"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="$wl_an7">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Notarzt:</b></td>
		    <td><xsl:value-of select="$wl_an7"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/wl_um7"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$wl_an8">
			<tr bgcolor="#ffffff">
				<td>
					<b>Verst. zus. Person1:</b>
				</td>
				<td>
					<xsl:value-of select="$wl_an8"/>
				</td>
				<td>
					<b>um:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/wl_um8"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="$wl_an9">
		<tr bgcolor="#ffffff">
			<td><b>Verst. zus. Person2:</b></td>
		    <td><xsl:value-of select="$wl_an9"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/wl_um9"/></td>
		</tr>
	</xsl:if>
	</table>
	<table>
	   <xsl:variable name="wl_um11" select="GasStoerung/Daten/wl_um11"/>
		<xsl:if test="$wl_um11">
			<tr bgcolor="#ffffff">
				<td><b>Zeitpunkt der Gefahrenabwehr:</b></td>
			    <td><xsl:value-of select="$wl_um11"/></td>
			</tr>
		</xsl:if>
		<tr bgcolor="#ffffff">
			<td><b>Strung abgeschlossen um:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/wl_um10"/></td>
		</tr>
	</table>
	<table>
		<xsl:variable name="gefunden" select="GasStoerung/Bemerkung_30minuten/item"/>
		<xsl:if test="$gefunden">
			<tr bgcolor="#ffffff">
				<td>
					<b>Bemerkungstext falls 30 Minuten berschritten:</b>
				</td>
			</tr>
			<table>
				<xsl:for-each select="GasStoerung/Bemerkung_30minuten/item">
					<tr bgcolor="#ffffff">
						<td>
							<!-- xsl:value-of select="position()" / -->
							<xsl:value-of select="."/>
						</td>
					</tr>
				</xsl:for-each>
			</table>
		</xsl:if>
	</table>
</xsl:template>


<xsl:template name="Schadensmeldung">
<!-- Schadensmeldung der Strung -->
<h1><U>3. Schadensmeldung</U></h1>
	<table>
        <xsl:if test="$vkunden='1'">
		<tr bgcolor="#ffffff">
			<td><b>Strungsbeginn:</b></td>
            <td><xsl:value-of select="GasStoerung/Daten/ta"/></td>
		</tr>
		</xsl:if>
		<tr bgcolor="#ffffff">
			<td><b>Meldungsart:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/meldart"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Strung:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/stoerung"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Ursache:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/ursache"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Undichtigkeit:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/undichtigkeit"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Sprmethode:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/spuermethode"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Sprwert [%]:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/spuerwert"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Getr. Massnahme:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/massnahme"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Ergebnis:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/ergebnis"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>HAE in Betrieb:</b></td>
		    <td><xsl:value-of select="GasStoerung/Daten/hae"/></td>
		</tr>

	</table>
</xsl:template>


<xsl:template name="Bemerkungen">
<xsl:variable name="gefunden" select="GasStoerung/Bemerkung/item"/>
<xsl:choose><xsl:when test="$gefunden">
<h1><U>4. Bemerkungen</U></h1>
<table>
  <xsl:for-each select="GasStoerung/Bemerkung/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:when></xsl:choose>
</xsl:template>




</xsl:stylesheet>
