<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
	<!--root-->
	<!--

    Stylesheet fuer Gasetzbericht

    Version 1.0.0.9
	
	
	21.08.08 Brozio FGH 1.0.0.0	
	17.08.09 Brozio 1.0.0.1 Dokumente
	30.11.09 Brozio 1.0.0.2 Zeitpunkt der Gefahrenabwehr
	27.04.10 Pie    1.0.0.2 Ueberarbeitung TAG Namen
   15.11.10        1.0.0.4 VDN-Daten -> GAS-Daten
   09.10.12        1.0.0.5 formale Fehler Stoerungsbericht
   01.03.13        1.0.0.6 Bemerkungen mit URL
   04.04.13        1.0.0.8 Vorlage zum Abfragen der Referenzversion (fuer Kundenspezifische Versionen im Verzeichnis "system"
   05.03.14        1.0.0.9 $IWDIR/checkbox.. beachten - andernfalls Probleme beim Drucken: Logos werden nicht gefunden


  ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                substituiert ! (z.B. durch "./logo.gif")
                Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"

  Vorgabe der Referzversion
  Wenn beim Kunden eine Version dieser Datei im Verzeichnis "system" generiert wird
  sollte die folgende Referenzversion angepasst werden, sowie in der folgende Zeile
  "check_version" der Wert '0' in '1' geaendert werden
-->
	<xsl:variable name="check_version">0</xsl:variable>
	<!-- Interass Referenzversion 4.2.1.22 -->
	<xsl:variable name="ref_version1">4</xsl:variable>
	<xsl:variable name="ref_version2">2</xsl:variable>
	<xsl:variable name="ref_version3">1</xsl:variable>
	<xsl:variable name="ref_version4">22</xsl:variable>

	<!-- variable "txt_list" will be evaluted by INTERASS.
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as textfiles,
     otherwise a link will be shown
     Default: do not show
     Example: insert "log txt" (without ") below
-->
	<xsl:variable name="txt_list"></xsl:variable>



	<!-- variable "img_list"
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as IMG files,
     otherwise a link will be shown
     Default: do not show
     Example: insert "bmp gif jpg png" (without ") below
-->
	<xsl:variable name="img_list"></xsl:variable>


	<xsl:variable name="vkunden" select="GAS-Daten/Stoerungsdaten/kundenversion"/>
	<xsl:variable name="erfassungsjahr" select="GAS-Daten/Stoerungsdaten/GasStoerung/Allgemeine_Angaben/erfassungsjahr"/>

	<xsl:template match="*|/">
		<html>
			<xsl:apply-templates select="GAS-Daten"/>
		</html>
	</xsl:template>

	<xsl:template match="GAS-Daten">
		<head>
			<title>Strungsbericht</title>
		</head>
		<body LANG="de-DE">
			<xsl:apply-templates select="Stoerungsdaten"/>
		</body>
	</xsl:template>

	<!--Stoerungsdaten-->
	<xsl:template match="Stoerungsdaten">

	<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
  <tr>
    <td width="76%"><font face="Arial" size="5">Strfallmeldung Erdgasnetz</font></td>
    <td width="24%"><P align="CENTER"><img src="$LOGO" width="262" height="70"/></P>
	 </td>
  </tr>
</table>
<p><font face="Arial">Strfallnummer&#160;&#160;&#160; </font>
	<xsl:value-of select="GasStoerung/Allgemeine_Angaben/nummer"/>
</p>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
	<xsl:variable select="GasStoerung/Daten/meldzeit" name="meldzeit"/>
	<xsl:variable select="substring-before($meldzeit,' ')" name="tag"/>
	<xsl:variable select="substring-after($meldzeit,' ')" name="zeit"/>	
  <tr>
    <td width="33%"><font face="Arial">Meldung erfasst von&#160; </font>
    &#160;<xsl:value-of select="GasStoerung/Daten/ersteller"/></td>
    <td width="33%"><font face="Arial">Meldungeingang am&#160;&#160; </font>
    <xsl:value-of select="$tag"/></td>
    <td width="34%">um&#160;&#160; <xsl:value-of select="$zeit"/></td>
  </tr>
</table>
<br></br>
		
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
  <tr>
    <td width="49%"><font face="Arial">
    <b>Anrufer</b></font></td>
	 <td width=" 2%" height="36">&#160;</td>
    <td width="49%"><font face="Arial">
    <b>Strfallort</b></font></td>
  </tr>
  <tr>
    <td width="50%">&#160;</td>
    <td width="50%">&#160;</td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
  <tr>
    <td width="10%" height="23"><font face="Arial">Name</font><hr color="#000000" size="2"></hr></td>
    <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/meldname"/>&#160;</font><hr color="#000000" size="2"></hr></td>
	 <td width=" 2%" height="36">&#160;</td>
    <td width="10%" height="23"><font face="Arial">Name</font><hr color="#000000" size="2"></hr></td>
    <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/stoername"/>&#160;</font><hr color="#000000" size="2"></hr></td>
  </tr>
  <tr>
    <td width="10%" height="23"><font face="Arial">Firma</font><hr color="#000000" size="2"></hr></td>
    <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/meldfirma"/>&#160;</font><hr color="#000000" size="2"></hr></td>
	 <td width=" 2%" height="36">&#160;</td>
    <td width="10%" height="23"><font face="Arial">Firma</font><hr color="#000000" size="2"></hr></td>
    <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/stoerfirma"/>&#160;</font><hr color="#000000" size="2"></hr></td>
  </tr>
  <tr>
    <td width="10%" height="23"><font face="Arial">Strae</font><hr color="#000000" size="2"></hr></td>
    <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/meldstrasse"/>&#160;<xsl:value-of select="GasStoerung/Daten/meldhausnr"/>
 </font><hr color="#000000" size="2"></hr></td>
	 <td width=" 2%" height="36">&#160;</td>
    <td width="10%" height="23"><font face="Arial">Strae</font><hr color="#000000" size="2"></hr></td>
    <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/stoerstrasse"/>&#160;<xsl:value-of select="GasStoerung/Daten/stoerhausnr"/>
 </font><hr color="#000000" size="2"></hr></td>
  </tr>
  <tr>
	 <td width="10%" height="23" nowrap="nowrap"><font face="Arial">PLZ, Ort</font><hr color="#000000" size="2"></hr></td>
    <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/meldplz"/>&#160;,&#160;<xsl:value-of select="GasStoerung/Daten/meldort"/></font><hr color="#000000" size="2"></hr></td>
	 <td width=" 2%" height="36">&#160;</td>
	 <td width="10%" height="23" nowrap="nowrap"><font face="Arial">PLZ, Ort</font><hr color="#000000" size="2"></hr></td>
	 <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/stoerplz"/>&#160;,&#160;<xsl:value-of select="GasStoerung/Daten/stoerort"/></font><hr color="#000000" size="2"></hr></td>
  </tr>
  <tr>
    <td width="10%" height="23"><font face="Arial">Telefon</font><hr color="#000000" size="2"></hr></td>
    <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/meldtelefon"/>&#160;</font><hr color="#000000" size="2"></hr></td>
	 <td width=" 2%" height="36">&#160;</td>
    <td width="10%" height="23"><font face="Arial">Telefon</font><hr color="#000000" size="2"></hr></td>
    <td width="39%" height="23"><font face="Arial"><xsl:value-of select="GasStoerung/Daten/stoertelefon"/>&#160;</font><hr color="#000000" size="2"></hr></td>
  </tr>
</table>
		
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
</table>
		
<p><b><font face="Arial">Inhalt der Meldung</font></b></p>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
  <tr>
    <td width="100%"><xsl:value-of select="GasStoerung/Daten/meldinhalt/@text"/><hr color="#000000" size="2"></hr></td>
  </tr>
</table>

<p><b><font face="Arial">Meldungsbeschreibung</font></b></p>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
	<xsl:for-each select="GasStoerung/Meldetext/item">
		<tr>
			<td width="100%">
				<!-- xsl:value-of select="position()" / -->
				<xsl:value-of select="."/>
				<hr color="#000000" align="left" width="100%" size="2"></hr>
			</td>
		</tr>
	</xsl:for-each>
</table>

<p><b><font face="Arial">Weitergegeben an</font></b></p>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
	<xsl:variable select="GasStoerung/Daten/wl_um1" name="wl_um1"/>
	<xsl:variable select="substring-after($wl_um1,' ')" name="zeit1"/>
	<xsl:variable select="GasStoerung/Daten/wl_um2" name="wl_um2"/>
	<xsl:variable select="substring-after($wl_um2,' ')" name="zeit2"/>
	<xsl:variable select="GasStoerung/Daten/wl_um3" name="wl_um3"/>
	<xsl:variable select="substring-after($wl_um3,' ')" name="zeit3"/>
	<tr>
    <td width="70%" height="36"><xsl:value-of select="GasStoerung/Daten/wl_an1"/><hr color="#000000" size="2"></hr></td>
	 <td width=" 4%" height="36">&#160;</td>
	 <td width="26%" height="36"><font face="Arial">um&#160;&#160;&#160;</font><xsl:value-of select="$zeit1"/></td>
  </tr>
  <tr>
    <td width="70%" height="49"><xsl:value-of select="GasStoerung/Daten/wl_an3"/><hr color="#000000" size="2"></hr></td>
    <td width=" 4%" height="36">&#160;</td>
	 <td nowrap="nowrap" width="26%" height="49"><font face="Arial">um&#160;&#160;&#160;</font><xsl:value-of select="$zeit3"/></td>
  </tr>
  <tr>
    <td width="70%" height="49">Ankunft vor Ort</td>
    <td width=" 4%" height="36">&#160;</td>
	 <td nowrap="nowrap" width="26%" height="49"><font face="Arial">um&#160;&#160;&#160;</font><xsl:value-of select="$zeit2"/></td>
  </tr>	
</table>

<p><b><font face="Arial">Strfallbeschreibung</font></b></p>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
	<xsl:for-each select="GasStoerung/Schaeden/Schaden/SchadenKommentar/item">
		<tr>
			<td width="100%">
				<!-- xsl:value-of select="position()" / -->
				<xsl:value-of select="."/>
				<hr color="#000000" align="left" width="100%" size="2"></hr>
			</td>
		</tr>
	</xsl:for-each>
</table>

<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
	<xsl:variable select="GasStoerung/Daten/wl_um9" name="wl_um9"/>
	<xsl:variable select="substring-before($wl_um9,' ')" name="tag9"/>
	<xsl:variable select="substring-after($wl_um9,' ')" name="zeit9"/>
	<tr>
    <td width="53%"><font face="Arial">Strfall behoben von&#160;&#160;&#160;</font><xsl:value-of select="GasStoerung/Daten/wl_an9"/></td>
	 <td width="24%">am&#160;&#160;<xsl:value-of select="$tag9"/></td>
    <td width="23%">um&#160;&#160;&#160;<xsl:value-of select="$zeit9"/></td>
  </tr>
</table>

<p><b><font face="Arial">Geprft mit Gaskonzentrationsmessgert (Bezeichnung, Gertenummer)</font></b></p>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
  <tr>
    <td width="100%"><xsl:value-of select="GasStoerung/Schaeden/Schaden/messgeraet"/><hr color="#000000" size="2"></hr></td>
  </tr>
</table>
	
<xsl:variable select="GasStoerung/Schaeden/Schaden/gasaustritt" name="gasaustritt"/>
<xsl:variable select="GasStoerung/Schaeden/Schaden/bereitschaft" name="bereitschaft"/>
<xsl:variable select="GasStoerung/Schaeden/Schaden/baggerschaden" name="baggerschaden"/>
<p>&#160;</p>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
  <tr><td><font face="Arial"><b>Detailinformation</b></font></td></tr>
  <tr><td>&#160;</td></tr>
</table>
		
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
  <tr>
	  <xsl:if test="$gasaustritt='0'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Gasaustritt</font></td>
	  </xsl:if>
	  <xsl:if test="$gasaustritt='1'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Gasaustritt</font></td>
	  </xsl:if>  
  </tr>
  <tr>
	  <xsl:if test="$bereitschaft='0'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Strfalldienst</font></td>
	  </xsl:if>
	  <xsl:if test="$bereitschaft='1'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Strfalldienst</font></td>
	  </xsl:if>  
  </tr>
  <tr>
	  <xsl:if test="$baggerschaden='0'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Baggerschaden</font></td>
	  </xsl:if>
	  <xsl:if test="$baggerschaden='1'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Baggerschaden</font></td>
	  </xsl:if>  
  </tr>
</table>

<xsl:variable select="GasStoerung/Schaeden/Schaden/grund" name="grund"/>
<xsl:variable select="GasStoerung/Schaeden/Schaden/werkstoff" name="werkstoff"/>
<xsl:variable select="GasStoerung/Schaeden/Schaden/druck" name="druck"/>
		
<p>&#160;</p>
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
  <tr>
    <td width="33%"><font face="Arial"><b>Grund</b></font></td>
    <td width="33%"><font face="Arial"><b>Werkstoff/Anlage</b></font></td>
    <td width="34%"><font face="Arial"><b>Druckstufe</b></font></td>
  </tr>
  <tr>
	  <td>&#160;</td>
	  <td>&#160;</td>
	  <td>&#160;</td>
  </tr>
</table>		
<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
  <tr>
	  <xsl:if test="$grund!='2'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Technische Gebrechen</font></td>
	  </xsl:if>
	  <xsl:if test="$grund='2'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Technische Gebrechen</font></td>
	  </xsl:if>  
	  <xsl:if test="$werkstoff!='500'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> PVC</font></td>
	  </xsl:if>
	  <xsl:if test="$werkstoff='500'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> PVC</font></td>
	  </xsl:if>
	  <xsl:if test="$druck!='1'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> HA &lt; 6 bar</font></td>
	  </xsl:if>
	  <xsl:if test="$druck='1'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> HA &lt; 6 bar</font></td>
	  </xsl:if>
  </tr>
  <tr>
	  <xsl:if test="$grund!='1'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Fremdeinwirkung</font></td>
	  </xsl:if>
	  <xsl:if test="$grund='1'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Fremdeinwirkung</font></td>
	  </xsl:if>  
	  <xsl:if test="$werkstoff!='200'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> PE</font></td>
	  </xsl:if>
	  <xsl:if test="$werkstoff='200'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> PE</font></td>
	  </xsl:if>
	  <xsl:if test="$druck!='2'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Leitung &lt; 6 bar</font></td>
	  </xsl:if>
	  <xsl:if test="$druck='2'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Leitung &lt; 6 bar</font></td>
	  </xsl:if>	  
  </tr>
  <tr>
	  <xsl:if test="$grund!='3'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Naturereignis</font></td>
	  </xsl:if>
	  <xsl:if test="$grund='3'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Naturereignis</font></td>
	  </xsl:if>  
	  <xsl:if test="$werkstoff!='300'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> GGG</font></td>
	  </xsl:if>
	  <xsl:if test="$werkstoff='300'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> GGG</font></td>
	  </xsl:if>
	  <xsl:if test="$druck!='3'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> HA &gt; 6 bar</font></td>
	  </xsl:if>
	  <xsl:if test="$druck='3'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> HA &gt; 6 bar</font></td>
	  </xsl:if>	  
  </tr>
  <tr>
    <td width="33%">&#160;</td>
	  <xsl:if test="$werkstoff!='100'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Stahl</font></td>
	  </xsl:if>
	  <xsl:if test="$werkstoff='100'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Stahl</font></td>
	  </xsl:if>
	  <xsl:if test="$druck!='4'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Leitung &gt; 6 bar</font></td>
	  </xsl:if>
	  <xsl:if test="$druck='4'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Leitung &gt; 6 bar</font></td>
	  </xsl:if>	  
  </tr>
  <tr>
    <td width="33%">&#160;</td>
	  <xsl:if test="$werkstoff!='800'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_aus.jpg"/><font face="Arial"> Regel- und Messanlagen</font></td>
	  </xsl:if>
	  <xsl:if test="$werkstoff='800'">
		  <td width="33%"><img width="13" height="13" align="bottom" src="$IWDIR/checkbox_ein.jpg"/><font face="Arial"> Regel- und Messanlagen</font></td>
	  </xsl:if>
    <td width="34%">&#160;</td>
  </tr>
</table>

<p>Erledigt durch:</p>
<p>&#160;</p>
<hr color="#000000" width="50%" size="2"></hr>
<p><sup><font face="Arial">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; 
(Kurzzeichen und Unterschrift)</font></sup></p>
	</xsl:template>


</xsl:stylesheet>
