<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
  <!--root-->
  <!--

   Stylesheet fuer Gasetzbericht und Odorierung

   Version 1.0.0.5
	
	21.08.08 Brozio FGH 1.0.0.0
   27.04.10 Pie 1.0.0.1         	
   16.11.10     1.0.0.2 VDN-Daten -> GAS-Daten
   10.10.12     1.0.0.3 .. Odorierungsbericht
   04.04.13     1.0.0.4
   20.11.15 Pie 1.0.0.5 Platzhalter "$LOGO" wieder eingebaut   


  ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                substituiert ! (z.B. durch "./logo.gif")
                Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"	
-->

  <xsl:variable name="gasnetz" select="GAS-Daten/Netzdaten"/>
  <xsl:variable name="odorierung" select="GAS-Daten/Odorierungsdaten"/>

  <xsl:template match="*|/">
    <html>
      <xsl:apply-templates select="GAS-Daten"/>
    </html>
  </xsl:template>

  <xsl:template match="GAS-Daten">
    <head>
      <xsl:if test="$gasnetz">
        <title>
          Netzbericht
        </title>
      </xsl:if>
      <xsl:if test="$odorierung">
        <title>
          Bericht Odorierung
        </title>
      </xsl:if>

    </head>
    <body LANG="de-DE">
      <xsl:apply-templates select="Netzdaten"/>
      <xsl:apply-templates select="Odorierungsdaten"/>
    </body>
  </xsl:template>


  <!--Netzdaten-->
  <xsl:template match="Netzdaten">
    <table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <td valign="TOP">
          <P align="CENTER">
            <img src="$LOGO"/>
          </P>
          <P align="CENTER">
            <nobr>InterAss</nobr>
            <br/>
            <nobr>&#169; FGH GmbH</nobr>
          </P>
        </td>
        <td valign="TOP" width="80%">
          <P align="CENTER">
            <FONT size="5" style="font-size: 20pt">
              <nobr>
                <U>Bericht zum Netz</U>
              </nobr>
            </FONT>
          </P>
        </td>
        <td align="right" valign="TOP" width="5%">
          <table border="0">
            <tr bgcolor="#ffffff">
              <td>
                <nobr>Erstellt am:</nobr>
              </td>
              <td>
                <nobr>
                  <xsl:value-of select="datum"/>
                </nobr>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td></td>
              <td>
                <nobr>
                  <xsl:value-of select="uhrzeit"/>
                </nobr>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td colspan="3">
          <table>
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzbetreiber</b>
              </td>
              <td colspan="1">
                <xsl:value-of select="Netz/Allgemeine_Angaben/evunummer"/>
              </td>
              <td colspan="3">
                <xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibername"/>
              </td>
              <td></td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Berichtsjahr</b>
              </td>
              <td colspan="1">
                <xsl:value-of select="Netz/Allgemeine_Angaben/erfassungsjahr"/>
              </td>
              <td></td>
              <td>
                <b>Netznummer</b>
              </td>
              <td>
                <xsl:value-of select="Netz/Allgemeine_Angaben/netz_nr"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzname</b>
              </td>
              <td colspan="1">
                <xsl:value-of select="Netz/Allgemeine_Angaben/netzname"/>
              </td>
              <td></td>
              <td>
                <b>BNetzA-Nummer</b>
              </td>
              <td>
                <xsl:value-of select="Netz/Daten/bna_nummer"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Druckstufe</b>
              </td>
              <td>
                <xsl:value-of select="Netz/Allgemeine_Angaben/Druckstufe"/>
              </td>
              <td>
                <xsl:value-of select="Netz/Allgemeine_Angaben/Druckstufe/@text"/>
              </td>
              <td align="left">
                <b>Nenndruck</b>
              </td>
              <td align="left">
                <xsl:value-of select="Netz/Daten/nenndruck"/> bar
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
    <h1>
      <U>1. Administrative Angaben</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum letzte nderung:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/aktuelldatum"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/lastedit_name"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum erste nderung:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/erstelldatum"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/ersteller"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datenbank ID</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/netzid"/>
        </td>
      </tr>
    </table>
    <h1>
      <U>2. Allgemeine Angaben</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Nenndruck:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/nenndruck"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl angeschlossener Letztverbraucher:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/anzahl_lv"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Summe der bestellten Kapazitt bei vorgelagerten NB [kWh/h]:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/kapa_vorgel_nb"/>
        </td>
      </tr>
      <xsl:variable name="druckstufe" select="Netz/Allgemeine_Angaben/Druckstufe"/>
      <xsl:if test="$druckstufe >'1'">
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>Summe der vertraglich vereinbarten Leistung von LV [kWh/h]:</b>
          </td>
          <td align="right">
            <xsl:value-of select="Netz/Daten/leistung"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>Summe der von allen nachgelagerten NB bestellten Kapazitt [kWh/h]:</b>
          </td>
          <td align="right">
            <xsl:value-of select="Netz/Daten/kapa_nachgel_nb"/>
          </td>
        </tr>
      </xsl:if>
    </table>

    <xsl:variable name="dstufe" select="Netz/Allgemeine_Angaben/Druckstufe"/>
    <xsl:if test="$dstufe='1' or $dstufe='2' or $dstufe='3'">
      <xsl:call-template name="Hausanschluesse"/>
      <xsl:call-template name="Leitungen_kleiner_16bar"/>
      <xsl:call-template name="Technische_Anlagen_ND"/>
      <xsl:call-template name="DruckregelMessanlagen"/>
      <xsl:call-template name="Bemerkungen">
        <xsl:with-param name="kapein" select="7"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$dstufe='4'">
      <xsl:call-template name="Leitungen_kleiner_16bar"/>
      <xsl:call-template name="Technische_Anlagen_HD"/>
      <xsl:call-template name="DruckregelMessanlagen"/>
      <xsl:call-template name="Bemerkungen">
        <xsl:with-param name="kapein" select="7"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$dstufe='5'">
      <xsl:call-template name="Leitungen"/>
      <xsl:call-template name="DruckregelMessanlagen"/>
      <xsl:call-template name="Bemerkungen">
        <xsl:with-param name="kapein" select="7"/>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>


  <!--Hausanschluesse-->
  <xsl:template name="Hausanschluesse">
    <h1>
      <U>3. Hausanschluesse</U>
    </h1>
    <h2>
      <U>3.1. Durchmesser</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>DN</b>
        </td>
        <td align="left">
          <b>Aussend. dn (Kunstst.)</b>
        </td>
        <td align="left">
          <b>Lnge in km</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&lt;= 25</b>
        </td>
        <td align="left">
          <b>&lt;= 32</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lhadn25"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 25 - 50</b>
        </td>
        <td align="left">
          <b>&gt;= 32 - 63</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lhadn25_50"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 50</b>
        </td>
        <td align="left">
          <b>&gt;= 63</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lhadn50"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>unbekannt</b>
        </td>
        <td align="left">
          <b>unbekannt</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lhadnx"/>
        </td>
      </tr>
    </table>

    <h2>
        <U>3.2. Werkstoff</U>
      </h2>
      <table>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b></b>
          </td>
          <td align="left">
            <b>Lnge [km]</b>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>PVC:</b>
          </td>
          <td align="left">
            <xsl:value-of select="Netz/Daten/lhapvc"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>PE sonst.:</b>
          </td>
          <td align="left">
            <xsl:value-of select="Netz/Daten/lhape_sonst"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>PE 80:</b>
          </td>
          <td align="left">
            <xsl:value-of select="Netz/Daten/lhape80"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>PE 100:</b>
          </td>
          <td align="left">
            <xsl:value-of select="Netz/Daten/lhape100"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>PE-X:</b>
          </td>
          <td align="left">
            <xsl:value-of select="Netz/Daten/lhape_x"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>Andere Kunstst.:</b>
          </td>
          <td align="left">
            <xsl:value-of select="Netz/Daten/lhakunstst"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>Stahl:</b>
          </td>
          <td align="left">
            <xsl:value-of select="Netz/Daten/lhastahl"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>Duktilguss (GGG):</b>
          </td>
          <td align="left">
            <xsl:value-of select="Netz/Daten/lhaggg"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>unbekannt:</b>
          </td>
          <td align="left">
            <xsl:value-of select="Netz/Daten/lhawerkstoffx"/>
          </td>
        </tr>
      </table>


    <h2>
      <U>3.3. Baujahr</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <b>Lnge [km]</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>vor 1920:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha1920"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1920 - 1929:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha1920_1929"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1930 - 1939:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha1930_1939"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1940 - 1949:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha1940_1949"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1950 - 1959:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha1950_1959"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1960 - 1969:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha1960_1969"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1970 - 1979:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha1970_1979"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1980 - 1989:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha1980_1989"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1990 - 1999:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha1990_1999"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>2000 - 2009:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha2000_2009"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>2010 - 2019:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha2010_2019"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>2020 - 2029:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lha2020_2029"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>unbekannt:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lhabaujahrx"/>
        </td>
      </tr>
    </table>
  </xsl:template>


  <!--Leitungen <= 16 bar-->
  <xsl:template name="Leitungen_kleiner_16bar">
    <h1>
      <U>4. Gasleitungen &lt;= 16 bar</U>
    </h1>
    <h2>
      <U>4.1. Durchmesser</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>DN</b>
        </td>
        <td align="left">
          <b>Aussend. dn (Kunstst.)</b>
        </td>
        <td align="left">
          <b>Lnge in km</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&lt;= 100</b>
        </td>
        <td align="left">
          <b>&lt;= 110</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn100"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 100 - 200</b>
        </td>
        <td align="left">
          <b>&gt;= 110 - 225</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn100_200"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 200 - 350</b>
        </td>
        <td align="left">
          <b>&gt;= 225 - 355</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn200_350"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 350 - 500</b>
        </td>
        <td align="left">
          <b>&gt;= 355 - 500</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn350_500"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 500 - 700</b>
        </td>
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn500_700"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 700 - 1000</b>
        </td>
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn700_1000"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>unbekannt</b>
        </td>
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldnx"/>
        </td>
      </tr>
    </table>

    <h2>
      <U>4.2. Werkstoff</U>
    </h2>    
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <b>Lnge [km]</b>
        </td>
      </tr>      
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PVC:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lpvc"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE-sonstige:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lpe_sonst"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE 80:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lpe80"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE 100:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lpe100"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE-X:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lpe_x"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Andere Kunstst.:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lkunstst"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>ST (PE mit KKS):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lst_pe_m"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>ST (PE ohne KKS):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lst_pe_o"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>ST (bitumiert mit KKS):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lst_bit_m"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>ST (bitumiert ohne KKS):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lst_bit_o"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Duktilguss (GGG):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lggg"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Grauguss behandelt/saniert:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lgg_beh"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Grauguss unbehandelt:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lgg_unbeh"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>unbekannt:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lwerkstoffx"/>
        </td>
      </tr>    
    </table>
    
    <h2>
      <U>4.3. Baujahr</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <b>Lnge [km]</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>vor 1920:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1920"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1920 - 1929:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1920_1929"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1930 - 1939:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1930_1939"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1940 - 1949:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1940_1949"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1950 - 1959:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1950_1959"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1960 - 1969:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1960_1969"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1970 - 1979:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1970_1979"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1980 - 1989:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1980_1989"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1990 - 1999:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1990_1999"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>2000 - 2009:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l2000_2009"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>2010 - 2019:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l2010_2019"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>2020 - 2029:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l2020_2029"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>unbekannt:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lbaujahrx"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <!--Gastechnische Anlagen ND und MD-->
  <xsl:template name="Technische_Anlagen_ND">
    <h1>
      <U>
        5. Gastechnische Anlagen
      </U>
    </h1>
    <h2>
      <U>Verdichteranlagen</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Verdichteranlagen:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/verdanla_anz"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Gesamte installierte Wellenleistung [MW]:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/verd_leistung"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Verdichtereinheuiten:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/verdeinh_anz"/>
        </td>
      </tr>
    </table>
    <h2>
      <U>Biogas-Konditionierungs- und Einspeiseanlagen (Kapazittsklassen)</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&lt;= 350 m3/h:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/bio_350"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 350 m3/h - 700 m3/h:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/bio_350_700"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 700 m3/h:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/bio_700"/>
        </td>
      </tr>
    </table>
  </xsl:template>

  <!--Druckregel- und Messanlagen-->
  <xsl:template name="DruckregelMessanlagen">
    <h1>
      <U>
        6. Druckregel- und Messanlagen
      </U>
    </h1>
    <h2>
      <U>in Kundenanlagen, die sich im Eigentum des Vorgelagerten Netzbetreibers befinden</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Haus-Druckgerte:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/hdruck"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Gaszhler:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/zaehler"/>
        </td>
      </tr>
    </table>
    <h2>
      <U>in ffentlichen Versorgungsnetz (DVGW-Arbeitsbltter G 491/G 492)</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Gas-Druckregelanlagen:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/regelanlage"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Gas-Messanlagen:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/messanlage"/>
        </td>
      </tr>
    </table>
    <h2>
        <U>in ffentlichen Versorgungsnetz (kombiniert)</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Gas-Druckregel- und Messanlagen:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/zdruck"/>
        </td>
      </tr>
    </table>

  </xsl:template>


  <!--Gastechnische Anlagen HD-->
  <xsl:template name="Technische_Anlagen_HD">
    <h1>
      <U>
        5. Gastechnische Anlagen
      </U>
    </h1>
    <h2>
      <U>Molchstation</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl fest installiert:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/molch_fest"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl temporr installiert:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/molch_temp"/>
        </td>
      </tr>
    </table>
    <h2>
      <U>Verdichteranlagen</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Verdichteranlagen:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/verdanla_anz"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Gesamte installierte Wellenleistung [MW]:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/verd_leistung"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Verdichtereinheuiten:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/verdeinh_anz"/>
        </td>
      </tr>
    </table>
    <h2>
      <U>Erdgasspeicher</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Kavernenspeicher:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_kav"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Bergwerkspeicher/Felskavernen:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_bergk"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Aquiferspeicher:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_aquif"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>erschpfte Kohlenwasserstofflager:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_kohle"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Scheibengasbehlter:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_schei"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Kugelgasbehlter:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_kugel"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Rhrenspeicher:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_roehre"/>
        </td>
      </tr>
    </table>
    <h2>
      <U>Erdgasspeicher (allgemeine Daten)</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Maximales Arbeitsvolumen aller Speicher [Mrd. m2]:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_vol"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Produktionsbohrungen (entspricht Anzahl der Kavernen):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_bohr"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl gasfhrender Beobachtungsbohrungen:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/speich_beob"/>
        </td>
      </tr>        
    </table>
  </xsl:template>


  <!--Leitungen > 16 bar-->
  <xsl:template name="Leitungen">
    <h1>
      <U>4. Leitungen &gt; 16 bar</U>
    </h1>
    <h2>
      <U>4.1. MOP</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <b>Lnge in km</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 16 - 25 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l16_25"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 25 - 35 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l25_35"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 35 - 45 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l35_45"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 45 - 55 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l45_55"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 55 - 65 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l55_65"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 65 - 75 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l65_75"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 75 - 85 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l75_85"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 85 - 95 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l85_95"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 95 - 100 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l95_100"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 100 bar:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l100"/>
        </td>
      </tr>
    </table>
    <h2>
    <U>4.1. Durchmesser</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>DN</b>
        </td>
        <td align="left">
          <b>Aussend. dn (Kunstst.)</b>
        </td>
        <td align="left">
          <b>Lnge in km</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&lt;= 100</b>
        </td>
        <td align="left">
          <b>&lt;= 110</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn100"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 100 - 200</b>
        </td>
        <td align="left">
          <b>&gt;= 110 - 225</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn100_200"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 200 - 350</b>
        </td>
        <td align="left">
          <b>&gt;= 225 - 355</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn200_350"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 350 - 500</b>
        </td>
        <td align="left">
          <b>&gt;= 355 - 500</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn350_500"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 500 - 700</b>
        </td>
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn500_700"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 700 - 1000</b>
        </td>
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn700_1000"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&gt;= 1000</b>
        </td>
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldn1000"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>unbekannt</b>
        </td>
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/ldnx"/>
        </td>
      </tr>
    </table>
    <h2>
      <U>4.2. Werkstoff</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <b>Lnge [km]</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Andere Kunstst.:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lkunstst"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>ST (PE mit KKS):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lst_pe_m"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>ST (PE ohne KKS):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lst_pe_o"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>ST (bitumiert mit KKS):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lst_bit_m"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>ST (bitumiert ohne KKS):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lst_bit_o"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Duktilguss (GGG):</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lggg"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Grauguss behandelt/saniert:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lgg_beh"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Grauguss unbehandelt:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lgg_unbeh"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>unbekannt:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lwerkstoffx"/>
        </td>
      </tr>
    </table>

    <h2>
      <U>4.3. Baujahr</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b></b>
        </td>
        <td align="left">
          <b>Lnge [km]</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>vor 1920:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1920"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1920 - 1929:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1920_1929"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1930 - 1939:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1930_1939"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1940 - 1949:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1940_1949"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1950 - 1959:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1950_1959"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1960 - 1969:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1960_1969"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1970 - 1979:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1970_1979"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1980 - 1989:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1980_1989"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>1990 - 1999:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l1990_1999"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>2000 - 2009:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l2000_2009"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>2010 - 2019:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l2010_2019"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>2020 - 2029:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/l2020_2029"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>unbekannt:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Netz/Daten/lbaujahrx"/>
        </td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template name="Bemerkungen">
    <xsl:param name="kapein" />
    <h1>
      <U>
        <xsl:value-of select="$kapein"/>. Bemerkungen
      </U>
    </h1>
    <table>
      <xsl:for-each select="Netz/kommentar/item">
        <tr bgcolor="#ffffff">
          <td>
            <!-- xsl:value-of select="position()" / -->
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>

  <!--Odorierungsdaten-->
  <xsl:template match="Odorierungsdaten">
    <table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <td valign="TOP">
          <P align="CENTER">
            <img src="$LOGO"/>
          </P>
          <P align="CENTER">
            <nobr>InterAss</nobr>
            <br/>
            <nobr>&#169; FGH GmbH</nobr>
          </P>
        </td>
        <td valign="TOP" width="80%">
          <P align="CENTER">
            <FONT size="5" style="font-size: 20pt">
              <nobr>
                <U>Bericht zur Odorierung</U>
              </nobr>
            </FONT>
          </P>
        </td>
        <td align="right" valign="TOP" width="5%">
          <table border="0">
            <tr bgcolor="#ffffff">
              <td>
                <nobr>Erstellt am:</nobr>
              </td>
              <td>
                <nobr>
                  <xsl:value-of select="datum"/>
                </nobr>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td></td>
              <td>
                <nobr>
                  <xsl:value-of select="uhrzeit"/>
                </nobr>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
    <xsl:apply-templates select="Odorierung"/>
  </xsl:template>

  <xsl:template match="Odorierung">
    <table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <td colspan="3">
          <table>
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzbetreiber</b>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/evunummer"/>
              </td>
              <td colspan="3">
                <xsl:value-of select="Allgemeine_Angaben/Netzbetreibername"/>
              </td>
              <td></td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Berichtsjahr</b>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/erfassungsjahr"/>
              </td>
              <td></td>
              <td>
                <b>Teilnetznummer</b>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/teilnetz_nr"/>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/teilnetzname"/>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
    <h1>
      <U>Administrative Angaben</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum letzte nderung:</b>
        </td>
        <td>
          <xsl:value-of select="Allgemeine_Angaben/aktuelldatum"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Allgemeine_Angaben/lastedit_name"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum erste nderung:</b>
        </td>
        <td>
          <xsl:value-of select="Allgemeine_Angaben/erstelldatum"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Allgemeine_Angaben/ersteller"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datenbank ID</b>
        </td>
        <td>
          <xsl:value-of select="Allgemeine_Angaben/id"/>
        </td>
      </tr>
    </table>
    <h1>
      <U>Odorierung</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Hausanschlsse Teilnetz:</b>
        </td>
        <td align="left">
          <xsl:value-of select="Daten/anzahl_ha"/>
        </td>
      </tr>
    </table>

    <xsl:variable name="jahr" select="Allgemeine_Angaben/erfassungsjahr"/>

    <xsl:variable name="gasodor"  select="Daten/gasodor"/>
    <xsl:variable name="scent_e"  select="Daten/scent_e"/>
    <xsl:variable name="scent_tb" select="Daten/scent_tb"/>
    <xsl:variable name="spotl_05" select="Daten/spotl_05"/>
    <xsl:variable name="spotl_09" select="Daten/spotl_09"/>
    <xsl:variable name="spotl_z"  select="Daten/spotl_z"/>
    <xsl:variable name="tetrahyd" select="Daten/tetrahyd"/>
    <table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <td align="center" rowspan="2">
          <b>Art der Odorierung</b>
        </td>
        <td align="center" colspan="2">
          <b>Zeitraum</b>
        </td>
        <td align="center" colspan="4">
          <b>1. Kontrollmessung</b>
        </td>
        <td align="center" colspan="4">
          <b>2. Kontrollmessung</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="center">
          <b>von</b>
        </td>
        <td align="center">
          <b>bis</b>
        </td>
        <td align="center">Min.</td>
        <td align="center">Mittel</td>
        <td align="center">Max.</td>
        <xsl:if test="$jahr >'2016'">
          <td align="center">Dos.</td>
        </xsl:if>
        <td align="center">Min.</td>
        <td align="center">Mittel</td>
        <td align="center">Max.</td>
        <xsl:if test="$jahr >'2016'">
          <td align="center">Dos.</td>
        </xsl:if>
      </tr>     
      <xsl:if test="$gasodor='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Gasodor S-Free</td>
          <xsl:variable name="jahr_v"  select="Daten/gasodor_v"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_v, ' ')" />
          </td>
          <xsl:variable name="jahr_b"  select="Daten/gasodor_b"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_b, ' ')" />
          </td>          
          <td align="left">
            <xsl:value-of select="Daten/gasodor_min1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/gasodor_m1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/gasodor_max1"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/gasodor_dos1"/>
            </td>
          </xsl:if>
          <td align="left">
            <xsl:value-of select="Daten/gasodor_min2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/gasodor_m2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/gasodor_max2"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/gasodor_dos2"/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="$scent_e='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Scentinel E</td>
          <xsl:variable name="jahr_v"  select="Daten/scent_e_v"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_v, ' ')" />
          </td>
          <xsl:variable name="jahr_b"  select="Daten/scent_e_b"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_b, ' ')" />
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_e_min1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_e_m1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_e_max1"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/scent_e_dos1"/>
            </td>
          </xsl:if>

          <td align="left">
            <xsl:value-of select="Daten/scent_e_min2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_e_m2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_e_max2"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/scent_e_dos2"/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="$scent_tb='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Scentinel TB</td>
          <xsl:variable name="jahr_v"  select="Daten/scent_tb_v"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_v, ' ')" />
          </td>
          <xsl:variable name="jahr_b"  select="Daten/scent_tb_b"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_b, ' ')" />
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_min1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_m1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_max1"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/scent_tb_dos1"/>
            </td>
          </xsl:if>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_min2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_m2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_max2"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/scent_tb_dos2"/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="$spotl_05='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Spotleak 1005</td>
          <xsl:variable name="jahr_v"  select="Daten/spotl_05_v"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_v, ' ')" />
          </td>
          <xsl:variable name="jahr_b"  select="Daten/spotl_05_b"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_b, ' ')" />
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_min1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_m1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_max1"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/spotl_05_dos1"/>
            </td>
          </xsl:if>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_min2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_m2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_max2"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/spotl_05_dos2"/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="$spotl_09='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Spotleak 1009</td>
          <xsl:variable name="jahr_v"  select="Daten/spotl_09_v"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_v, ' ')" />
          </td>
          <xsl:variable name="jahr_b"  select="Daten/spotl_09_b"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_b, ' ')" />
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_min1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_m1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_max1"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/spotl_09_dos1"/>
            </td>
          </xsl:if>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_min2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_m2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_max2"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/spotl_09_dos2"/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="$spotl_z='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Spotleak Z</td>
          <xsl:variable name="jahr_v"  select="Daten/spotl_z_v"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_v, ' ')" />
          </td>
          <xsl:variable name="jahr_b"  select="Daten/spotl_z_b"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_b, ' ')" />
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_min1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_m1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_max1"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/spotl_z_dos1"/>
            </td>
          </xsl:if>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_min2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_m2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_max2"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/spotl_z_dos2"/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
      <xsl:if test="$tetrahyd='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Tetrahydrothiophen THT</td>
          <xsl:variable name="jahr_v"  select="Daten/tetrahyd_v"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_v, ' ')" />
          </td>
          <xsl:variable name="jahr_b"  select="Daten/tetrahyd_b"/>
          <td align="left">
            <xsl:value-of select="substring-before($jahr_b, ' ')" />
          </td>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_min1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_m1"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_max1"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/tetrahyd_dos1"/>
            </td>
          </xsl:if>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_min2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_m2"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_max2"/>
          </td>
          <xsl:if test="$jahr >'2016'">
            <td align="left">
              <xsl:value-of select="Daten/tetrahyd_dos2"/>
            </td>
          </xsl:if>
        </tr>
      </xsl:if>
    </table>

    <xsl:if test="$jahr >'2016'">
      <xsl:call-template name="Odorierung_ab_2016"/>
    </xsl:if>

    <xsl:apply-templates select="kommentar"/>

  </xsl:template>

  <xsl:template name="Odorierung_ab_2016">
    <h2>
      <U>Messpunkte</U>
    </h2>
    <xsl:variable name="gasodor"  select="Daten/gasodor"/>
    <xsl:variable name="scent_e"  select="Daten/scent_e"/>
    <xsl:variable name="scent_tb" select="Daten/scent_tb"/>
    <xsl:variable name="spotl_05" select="Daten/spotl_05"/>
    <xsl:variable name="spotl_09" select="Daten/spotl_09"/>
    <xsl:variable name="spotl_z"  select="Daten/spotl_z"/>
    <xsl:variable name="tetrahyd" select="Daten/tetrahyd"/>
    <table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <td align="center">
          <b>Art der Odorierung</b>
        </td>
        <td align="center">
          <b>Anzahl Messpkt.</b>
        </td>
        <td align="center">
          <b>Messungen pro Messpkt.</b>
        </td>
        <td align="center">
          <b>Eigenmessung</b>
        </td>
        <td align="center">
          <b>Fremdmessung</b>
        </td>
      </tr>
      <xsl:if test="$gasodor='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Gasodor S-Free</td>
          <td align="left">
            <xsl:value-of select="Daten/gasodor_mpunkte"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/gasodor_amess"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/gasodor_aeigenm"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/gasodor_afremdm"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$scent_e='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Scentinel E</td>
          <td align="left">
            <xsl:value-of select="Daten/scent_e_mpunkte"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_e_amess"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_e_aeigenm"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_e_afremdm"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$scent_tb='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Scentinel TB</td>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_mpunkte"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_amess"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_aeigenm"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/scent_tb_afremdm"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$spotl_05='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Spotleak 1005</td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_mpunkte"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_amess"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_aeigenm"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_05_afremdm"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$spotl_09='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Spotleak 1009</td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_mpunkte"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_amess"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_aeigenm"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_09_afremdm"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$spotl_z='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Spotleak Z</td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_mpunkte"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_amess"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_aeigenm"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/spotl_z_afremdm"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$tetrahyd='1'">
        <tr bgcolor="#ffffff">
          <td align="left">Tetrahydrothiophen THT</td>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_mpunkte"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_amess"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_aeigenm"/>
          </td>
          <td align="left">
            <xsl:value-of select="Daten/tetrahyd_afremdm"/>
          </td>
        </tr>
      </xsl:if>
    </table>

  </xsl:template>


  <xsl:template match="kommentar">
    <h1>
      <U>Bemerkungen</U>
    </h1>
    <table>
      <xsl:for-each select="item">
        <tr bgcolor="#ffffff">
          <td>
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>

</xsl:stylesheet>
