<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
  <!--root-->
  <!--

   Stylesheet fuer Gasetzbericht und Odorierung

   Version 1.0.0.5
	
	21.08.08 Brozio FGH 1.0.0.0
   27.04.10 Pie 1.0.0.1         	
   16.11.10     1.0.0.2 VDN-Daten -> GAS-Daten
   10.10.12     1.0.0.3 .. Odorierungsbericht
   04.04.13     1.0.0.4
   20.11.15 Pie 1.0.0.5 Platzhalter "$LOGO" wieder eingebaut   


  ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                substituiert ! (z.B. durch "./logo.gif")
                Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"	
-->

  <xsl:variable name="gasnetz" select="GAS_OE-Daten/Netzdaten"/>

  <xsl:template match="*|/">
    <html>
      <xsl:apply-templates select="GAS_OE-Daten"/>
    </html>
  </xsl:template>

  <xsl:template match="GAS_OE-Daten">
    <head>
      <xsl:if test="$gasnetz">
        <title>
          Netzbericht
        </title>
      </xsl:if>
    </head>
    <body LANG="de-DE">
      <xsl:apply-templates select="Netzdaten"/>
    </body>
  </xsl:template>


  <!--Netzdaten-->
  <xsl:template match="Netzdaten">
    <table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <td valign="TOP">
          <P align="CENTER">
            <img src="$LOGO"/>
          </P>
          <P align="CENTER">
            <nobr>InterAss</nobr>
            <br/>
            <nobr>&#169; FGH GmbH</nobr>
          </P>
        </td>
        <td valign="TOP" width="80%">
          <P align="CENTER">
            <FONT size="5" style="font-size: 20pt">
              <nobr>
                <U>Bericht zum Netz</U>
              </nobr>
            </FONT>
          </P>
        </td>
        <td align="right" valign="TOP" width="5%">
          <table border="0">
            <tr bgcolor="#ffffff">
              <td>
                <nobr>Erstellt am:</nobr>
              </td>
              <td>
                <nobr>
                  <xsl:value-of select="datum"/>
                </nobr>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td></td>
              <td>
                <nobr>
                  <xsl:value-of select="uhrzeit"/>
                </nobr>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td colspan="3">
          <table>
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzbetreiber</b>
              </td>
              <td colspan="1">
                <xsl:value-of select="Netz/Allgemeine_Angaben/evunummer"/>
              </td>
              <td colspan="3">
                <xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibername"/>
              </td>
              <td></td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Berichtsjahr</b>
              </td>
              <td colspan="1">
                <xsl:value-of select="Netz/Allgemeine_Angaben/erfassungsjahr"/>
              </td>
              <td></td>
              <td>
                <b>Netznummer</b>
              </td>
              <td>
                <xsl:value-of select="Netz/Allgemeine_Angaben/netz_nr"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzname</b>
              </td>
              <td colspan="1">
                <xsl:value-of select="Netz/Allgemeine_Angaben/netzname"/>
              </td>
              <td></td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
    <h1>
      <U>1. Administrative Angaben</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum letzte nderung:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/aktuelldatum"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/lastedit_name"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum erste nderung:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/erstelldatum"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/ersteller"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datenbank ID</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/netzid"/>
        </td>
      </tr>
    </table>

	  <xsl:call-template name="Stammdaten"/>
	  <xsl:call-template name="REST">
		  <xsl:with-param name="kapein" select="2"/>
	  </xsl:call-template>

  </xsl:template>


  <xsl:template name="REST">
    <xsl:param name="kapein" />
    <xsl:call-template name="Bemerkungen">
      <xsl:with-param name="kapein" select="$kapein+1"/>
    </xsl:call-template>
  </xsl:template>


  <!--Leitungen-->
  <xsl:template name="Stammdaten">
    <h1>
      <U>2. Stammdaten</U>
    </h1>
    <h2>
      <U>2.1. Hausanschlussleitungen bis zur Hauptabsperreinrichtung</U>
    </h2>
	  <table width="60%">
		 <tr bgcolor="#ffffff">
			 <td width="50%" align="left">
				 <b>&#160;</b>
			 </td>
			 <td width="25%" align="left">
				 <b>HAL 6 &lt;= bar</b>
			 </td>
			 <td width="25%" align="left">
				 <b>HAL 6 &gt; bar</b>
			 </td>
		 </tr>
		 <tr bgcolor="#ffffff">
        <td align="left">
          <b>Stahlleitungen:</b>
        </td>
			 <td align="left">
				 <xsl:value-of select="Netz/Daten/a_stahl1"/>
			 </td>
			 <td align="left">
				 <xsl:value-of select="Netz/Daten/a_stahl2"/>
			 </td>
		 </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>PE-Leitungen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/a_pe1"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/a_pe2"/>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>Duktile Gussleitungen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/a_ggg1"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/a_ggg2"/>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>Graugussleitungen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/a_gg1"/>
			  </td>
			  <td align="left">
				  <b>&#160;</b>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>PVC-Leitungen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/a_pvc1"/>
			  </td>
			  <td align="left">
				  <b>&#160;</b>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>mit nicht selbsttr. Mat. ausgekleidetete Ltg.:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/a_nselbst"/>
			  </td>
			  <td align="left">
				  <b>&#160;</b>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>Leitungen aus sonst. Materialien:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/a_sonst1"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/a_sonst2"/>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>Regel- und Messanlagen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/zdruck"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/hdruck"/>
			  </td>
		  </tr>
	  </table>
    <h2>
      <U>2.2. Leitungsanlagen ohne Anschlussleitungen</U>
    </h2>
	  <table width="60%">
		  <tr bgcolor="#ffffff">
			  <td width="50%" align="left">
				  <b>&#160;</b>
			  </td>
			  <td width="25%" align="left">
				  <b>HAL 6 &lt;= bar</b>
			  </td>
			  <td width="25%" align="left">
				  <b>HAL 6 &gt; bar</b>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>Stahlleitungen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_stahl1"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_stahl2"/>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>PE-Leitungen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_pe1"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_pe2"/>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>Duktile Gussleitungen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_guss1"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_guss2"/>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>Graugussleitungen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_grauguss1"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_grauguss2"/>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>PVC-Leitungen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_pvc1"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_pvc2"/>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>mit nicht selbsttr. Mat. ausgekleidetete Ltg.:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_nselbst"/>
			  </td>
			  <td align="left">
				  <b>&#160;</b>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>Leitungen aus sonst. Materialien:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_sonst1"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/v_sonst2"/>
			  </td>
		  </tr>
		  <tr bgcolor="#ffffff">
			  <td align="left">
				  <b>Regel- und Messanlagen:</b>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/regelanlage"/>
			  </td>
			  <td align="left">
				  <xsl:value-of select="Netz/Daten/messanlage"/>
			  </td>
		  </tr>
	  </table>
  </xsl:template>

  <xsl:template name="Bemerkungen">
    <xsl:param name="kapein" />
    <h1>
      <U>
        <xsl:value-of select="$kapein"/>. Bemerkungen
      </U>
    </h1>
    <table>
      <xsl:for-each select="Netz/kommentar/item">
        <tr bgcolor="#ffffff">
          <td>
            <!-- xsl:value-of select="position()" / -->
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>


  <xsl:template match="kommentar">
    <h1>
      <U>Bemerkungen</U>
    </h1>
    <table>
      <xsl:for-each select="item">
        <tr bgcolor="#ffffff">
          <td>
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>

</xsl:stylesheet>
