<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Gasetzbericht

    Version 1.0.0.1


    ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
	
	21.08.08 Brozio FGH 1.0.0.0	
   16.11.10            1.0.0.1 VDN-Daten -> GAS-Daten
-->

<xsl:variable name="UnfallSchaden" select="GAS-Daten/Stoerungsdaten/GasStoerung/Daten/u"/>

<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="GAS-Daten"/>
	</html>
</xsl:template>

<xsl:template match="GAS-Daten">
	<head>
		<title>Strungsbericht</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Stoerungsdaten"/>
	</body>
</xsl:template>


<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">
	<table border="0" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td align="right" valign="TOP">
               <P align="RIGHT"><img src="$IWDIR/dvgw_label.jpg"/></P>
         </td>
      </tr>
      <tr bgcolor="#ffffff">
         <td valign="TOP" width="60%">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt"
				><b>Gasunfall-und Gasschaden-</b></FONT></P>
            <P align="CENTER"><FONT size="5" style="font-size: 20pt"
				><b>Schnellinformation</b></FONT></P>
         </td>
      </tr>
	</table>
	<br></br>
	<br></br>
	<xsl:call-template name="Information"/>
	<xsl:call-template name="Anschreiben"/>
	<xsl:call-template name="Anmerkung"/>

</xsl:template>


<xsl:template name="Information">
<!-- Inforamative Angaben -->
<br></br>
<table border="0">
	<tr bgcolor="#ffffff">
		<td width="50%"><b>von:</b></td>
		<td></td>
		<td width="50%"><b>an:</b></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT style="font-size: 18pt"><u><xsl:value-of select="GasStoerung/Allgemeine_Angaben/Netzbetreibername"/></u></FONT></td>
		<td></td>
		<td valign="bottom"><b>Energieaufsicht des Landes</b></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign="top"><FONT style="font-size: 10pt">Gasversorgungsunternehmen</FONT></td>
		<td></td>
		<td valign="top"><xsl:value-of select="Fax_Energieaufsicht"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT style="font-size: 18pt"><u><xsl:value-of select="GasStoerung/Daten/unameansprech"/></u></FONT></td>
		<td></td>
		<td valign="bottom"><b>BMWA, Ref. Gaswirtschaft</b></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign="top"><FONT style="font-size: 10pt">Ansprechpartner</FONT></td>
		<td></td>
		<td valign="top">Fax: 030 2014-5405</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT style="font-size: 18pt"><u><xsl:value-of select="GasStoerung/Daten/utelefonansprech"/></u></FONT></td>
		<td></td>
		<td valign="bottom"><b>DVGW-Landesgruppe</b></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign="top"><FONT style="font-size: 10pt">Telefon</FONT></td>
		<td></td>
		<td valign="top"><xsl:value-of select="Fax_DVGW"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td><FONT style="font-size: 18pt"><u><xsl:value-of select="GasStoerung/Daten/ufaxansprech"/></u></FONT></td>
		<td></td>
		<td valign="bottom"><b>DVGW-Hauptgeschftsfhrung</b></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign="top"><FONT style="font-size: 10pt">Telefax</FONT></td>
		<td></td>
		<td valign="top">Fax: 0228 9188-994</td>
	</tr>
</table>

</xsl:template>



<xsl:template name="Anschreiben">
<!-- Anschreiben -->
<br></br>
<br></br>
<br></br>
<br></br>
<p>Sehr geehrte Damen und Herren,</p>
<p>in unserem Versorgungsgebiet hat sich am&#160;&#160;&#160;<FONT style="font-size: 18pt"><u><xsl:value-of select="GasStoerung/Daten/ta"/></u></FONT></p>
<p>ein <b>Gasunfall</b><sup><small>1</small></sup>&#160;&#160;
<xsl:if test="$UnfallSchaden='2'">
   <img align="bottom" src="$IWDIR/checkbox_aus.jpg"/>
</xsl:if>
<xsl:if test="$UnfallSchaden='3'">
   <img align="bottom" src="$IWDIR/checkbox_ein.jpg"/>
</xsl:if>
<xsl:if test="$UnfallSchaden='4'">
   <img align="bottom" src="$IWDIR/checkbox_ein.jpg"/>
</xsl:if>
 / <b>Gasschaden</b><sup><small>2</small></sup>&#160;&#160;
<xsl:if test="$UnfallSchaden='2'">
   <img align="bottom" src="$IWDIR/checkbox_ein.jpg"/>
</xsl:if>
<xsl:if test="$UnfallSchaden='3'">
   <img align="bottom" src="$IWDIR/checkbox_aus.jpg"/>
</xsl:if>
<xsl:if test="$UnfallSchaden='4'">
   <img align="bottom" src="$IWDIR/checkbox_ein.jpg"/>
</xsl:if>
&#160;&#160;ereignet.
</p>
<p>Nhere Informationen entnehmen Sie bitte dem beigefgten Unfallmeldeformular.</p> 
<p>Mit freundlichen Gren </p>

</xsl:template>



<xsl:template name="Anmerkung">
<!-- Anmerkungen -->
<br></br>
<br></br>
<br></br>
<br></br>
<p>________________________________</p>
<table border="0">
	<tr bgcolor="#ffffff">
		<td valign="top" align="left" width="10%"><FONT style="font-size: 10pt"><Sup>1</Sup></FONT></td>
		<td></td>
		<td width="90%">Ein Gasunfall im Sinne der DVGW S+U -Statistik ist ein Ereignis, das im Zusammenhang mit nachfolgend aufgefhrten Unfallarten stehen kann: Verpuffung, Explosion, Brand oder Abgasvergiftung.</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td></td>
	</tr>
	<td></td>
	<tr bgcolor="#ffffff">
		<td valign="top" align="left" width="10%"><FONT style="font-size: 10pt"><Sup>2</Sup></FONT></td>
		<td></td>
		<td width="90%">Ein Gasschaden im Sinne der DVGW S+U -Statistik ist ein Ereignis, bei dem eine grere Menge Erdgas aufgrund einer Fremdbeschdigung, Betriebsstrung oder aufgrund hnlicher Vorflle ohne Auswirkungen auf Dritte unkontrolliert ausgetreten ist.</td>
	</tr>
</table>

</xsl:template>


</xsl:stylesheet>
