<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
   <!--root-->
   <!--

    Stylesheet fuer Gasetzbericht

    Version 1.0.0.9
	
	
	21.08.08 Brozio FGH 1.0.0.0	
	17.08.09 Brozio 1.0.0.1 Dokumente
	30.11.09 Brozio 1.0.0.2 Zeitpunkt der Gefahrenabwehr
	27.04.10 Pie    1.0.0.2 Ueberarbeitung TAG Namen
   15.11.10        1.0.0.4 VDN-Daten -> GAS-Daten
   09.10.12        1.0.0.5 formale Fehler Stoerungsbericht
   01.03.13        1.0.0.6 Bemerkungen mit URL
   04.04.13        1.0.0.8 Vorlage zum Abfragen der Referenzversion (fuer Kundenspezifische Versionen im Verzeichnis "system" 
   07.10.14        1.0.0.9 wenn "txt_list" NICHT gesetzt kein $XWDIR bei Dokumentdatei


  ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                substituiert ! (z.B. durch "./logo.gif")
                Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"

  Vorgabe der Referzversion
  Wenn beim Kunden eine Version dieser Datei im Verzeichnis "system" generiert wird
  sollte die folgende Referenzversion angepasst werden, sowie in der folgende Zeile
  "check_version" der Wert '0' in '1' geaendert werden
-->
   <xsl:variable name="check_version">0</xsl:variable>
  <!-- Interass Referenzversion 4.3.0.12 -->
  <xsl:variable name="ref_version1">4</xsl:variable>
  <xsl:variable name="ref_version2">3</xsl:variable>
  <xsl:variable name="ref_version3">0</xsl:variable>
  <xsl:variable name="ref_version4">12</xsl:variable>

  <!-- variable "txt_list" will be evaluted by INTERASS.
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as textfiles,
     otherwise a link will be shown
     Default: do not show
     Example: insert "log txt" (without ") below
-->
   <xsl:variable name="txt_list"></xsl:variable>



   <!-- variable "img_list"
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as IMG files,
     otherwise a link will be shown
     Default: do not show
     Example: insert "bmp gif jpg png" (without ") below
-->
   <xsl:variable name="img_list"></xsl:variable>


   <xsl:variable name="vkunden" select="GAS-Daten/Stoerungsdaten/kundenversion"/>
	<xsl:variable name="erfassungsjahr" select="GAS-Daten/Stoerungsdaten/GasStoerung/Allgemeine_Angaben/erfassungsjahr"/>

	<xsl:template match="*|/">
      <html>
         <xsl:apply-templates select="GAS-Daten"/>
      </html>
   </xsl:template>

   <xsl:template match="GAS-Daten">
      <head>
         <title>Strungsbericht</title>
      </head>
      <body LANG="de-DE">
        <xsl:apply-templates select="InterassVersion"/>
        <xsl:apply-templates select="Stoerungsdaten"/>
      </body>
   </xsl:template>


  <!--Versionspruefung-->
  <xsl:template match="InterassVersion">
    <xsl:if test="$check_version='1'">
      <xsl:variable name="ist_version1" select="version1"/>
      <xsl:variable name="ist_version2" select="version2"/>
      <xsl:variable name="ist_version3" select="version3"/>
      <xsl:variable name="ist_version4" select="version4"/>
      <xsl:if test="$ist_version1 > $ref_version1 or $ist_version2 > $ref_version2 or $ist_version3 > $ref_version3 or $ist_version4 > $ref_version4">
        <table>
          <tr>
            <td nowrap="nowrap">
              <b>ACHTUNG die Interass Version ist </b>
            </td>
            <td>
              <xsl:value-of select="version1"/>.
              <xsl:value-of select="version2"/>.
              <xsl:value-of select="version3"/>.
              <xsl:value-of select="version4"/>
            </td>
          </tr>
          <tr>
            <td nowrap="nowrap">
              Referenzversion des Stylesheet ist
            </td>
            <td>
              <xsl:value-of select="$ref_version1"/>.
              <xsl:value-of select="$ref_version2"/>.
              <xsl:value-of select="$ref_version3"/>.
              <xsl:value-of select="$ref_version4"/>
            </td>
          </tr>
          <tr>
            <td colspan="2">
              <b>
                <font color="red">
                  ACHTUNG mglicherweise muss das Stylesheet 'stoerung.xsl' angepasst werden!
                </font>
              </b>
            </td>
          </tr>
        </table>
        <p>&#160;</p>
      </xsl:if>
    </xsl:if>
  </xsl:template>

  <!--Stoerungsdaten-->
   <xsl:template match="Stoerungsdaten">
      <table width="100%" border="1" bordercolor="#111111" cellpadding="3" cellspacing="0" >
         <tr bgcolor="#ffffff">
            <td valign="TOP">
               <P align="CENTER">
                  <img src="$LOGO"/>
               </P>
               <P align="CENTER">
                  <nobr>InterAss</nobr>
                 <br/>
                  <nobr>&#169; FGH GmbH</nobr>
               </P>
            </td>
            <td valign="TOP" width="80%">
               <P align="CENTER">
                  <FONT size="5" style="font-size: 20pt">
                     <nobr>
                        <U>Bericht zur Strung</U>
                     </nobr>
                  </FONT>
               </P>
            </td>
            <td align="right" valign="TOP" width="5%">
               <table border="0">
                  <tr bgcolor="#ffffff">
                     <td>
                        <nobr>Erstellt am:</nobr>
                     </td>
                     <td>
                        <nobr>
                           <xsl:value-of select="datum"/>
                        </nobr>
                     </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                     <td></td>
                     <td>
                        <nobr>
                           <xsl:value-of select="uhrzeit"/>
                        </nobr>
                     </td>
                  </tr>
               </table>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td colspan="3">
               <table border="0" width="100%">
                  <tr bgcolor="#ffffff">
                     <td>
                        <b>Netzbetreiber</b>
                     </td>
                     <td colspan="1">
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/evunummer"/>
                     </td>
                     <td colspan="3">
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/Netzbetreibername"/>
                     </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                     <td>
                        <b>Berichtsjahr</b>
                     </td>
                     <td>
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/erfassungsjahr"/>
                     </td>
                     <td>&#160;</td>
                     <td>
                        <b>Netznummer</b>
                     </td>
                     <td>
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/netz_nr"/>
                     </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                     <td>
                        <b>Netzname</b>
                     </td>
                     <td colspan="4">
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/netzname"/>
                     </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                     <td>
                        <b>Druckstufe</b>
                     </td>
                     <td>
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/Druckstufe"/>
                     </td>
                     <td>
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/Druckstufe/@text"/>
                     </td>
                     <td align="left">
                        <b>Nenndruck</b>
                     </td>
                     <td align="left">
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/nenndruck"/> bar
                     </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                     <td>
                        <b>Strungsnummer</b>
                     </td>
                     <td colspan="4">
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/nummer"/>
                     </td>
                  </tr>
               </table>
            </td>
         </tr>
      </table>

      <xsl:call-template name="Admin"/>
      <xsl:call-template name="Status"/>

      <!-- Info ber Meldungen erst wenn Kriterium meldungsinhalt gefllt ist -->
      <xsl:variable name="meldinhalt" select="GasStoerung/Daten/meldinhalt"/>
      <xsl:choose>
         <xsl:when test="$meldinhalt">
            <xsl:call-template name="Ereignis"/>
            <xsl:call-template name="Weiterleitung"/>
				<xsl:choose><xsl:when test="$erfassungsjahr &gt;= 2011">
               <xsl:call-template name="Art_der_Meldung"/>
				</xsl:when><xsl:otherwise>
					<xsl:call-template name="Schadensmeldung"/>
				</xsl:otherwise></xsl:choose>
         </xsl:when>
      </xsl:choose>

		<xsl:choose><xsl:when test="$erfassungsjahr &gt;= 2011">
			<xsl:variable name="stoerungsort" select="GasStoerung/Daten/stoerungsort"/>
			<xsl:if test="$stoerungsort='1'"><xsl:call-template name="Leitung_Hausanschluss"/></xsl:if>
			<xsl:if test="$stoerungsort='2'"><xsl:call-template name="Leitung_Hausanschluss"/></xsl:if>
			<xsl:if test="$stoerungsort='3'"><xsl:call-template name="Leitung_Hausanschluss"/></xsl:if>
			<xsl:if test="$stoerungsort='8'"><xsl:call-template name="Leitung_Hausanschluss"/></xsl:if>
			<xsl:if test="$stoerungsort='9'"><xsl:call-template name="Leitung_Hausanschluss"/></xsl:if>
			<xsl:if test="$stoerungsort='4'"><xsl:call-template name="Kundenanlage"/></xsl:if>
			<xsl:if test="$stoerungsort='5'"><xsl:call-template name="Kundenanlage"/></xsl:if>
			<xsl:if test="$stoerungsort='11'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='12'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='15'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='16'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='31'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='60'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='30'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='50'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='21'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='22'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='23'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='40'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='70'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:if test="$stoerungsort='80'"><xsl:call-template name="Gastechnische_Anlage"/></xsl:if>
			<xsl:variable name="ansprech" select="GasStoerung/Daten/unameansprech"/>
			<xsl:if test="$ansprech">
				<xsl:call-template name="Unfaelle"/>
			</xsl:if>
			<xsl:variable name="re" select="GasStoerung/Daten/re"/>
			<xsl:if test="$re ='1'">
				<xsl:call-template name="BNA_Daten"/>
			</xsl:if>

		</xsl:when><xsl:otherwise>
			<xsl:variable name="schema" select="GasStoerung/Allgemeine_Angaben/schemaab"/>
			<xsl:if test="$schema ='0'">
			   <xsl:call-template name="Stoerungseintritt_A"/>
			</xsl:if>
			<xsl:if test="$schema ='1'">
			   <xsl:call-template name="Stoerungseintritt_B"/>
			</xsl:if>
			<xsl:variable name="u" select="GasStoerung/Daten/u"/>
			<xsl:if test="$vkunden!='1'">
			   <xsl:if test="$u ='1'">
			      <xsl:call-template name="Schaeden"/>
			   </xsl:if>
			   <xsl:if test="$u ='2'">
			      <xsl:call-template name="Schaeden"/>
			   </xsl:if>
			   <xsl:if test="$u ='4'">
			     <xsl:call-template name="Schaeden"/>
			  </xsl:if>
			</xsl:if>

			<xsl:if test="$u ='2'">
			   <xsl:call-template name="Unfall"/>
			</xsl:if>
			<xsl:if test="$u ='3'">
			   <xsl:call-template name="Unfall"/>
			</xsl:if>
			<xsl:if test="$u ='4'">
			   <xsl:call-template name="Unfall"/>
			</xsl:if>

			<xsl:variable name="re" select="GasStoerung/Daten/re"/>
			<xsl:if test="$re ='1'">
			   <xsl:call-template name="VUS"/>
			</xsl:if>
			<xsl:if test="$schema ='0'">
			   <xsl:call-template name="VUS"/>
			</xsl:if>
		</xsl:otherwise></xsl:choose>	

      <xsl:call-template name="Bemerkungen">
         <xsl:with-param name="kapein" select="3"/>
      </xsl:call-template>
      <xsl:call-template name="Dokumente"/>

   </xsl:template>


   <xsl:template name="Admin">
      <!-- Administrative Angaben -->
      <h1>
         <U>1. Administrative Angaben</U>
      </h1>
      <table>
         <tr bgcolor="#ffffff">
            <td>
               <b>Datum letzte nderung:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/aktuelldatum"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Sachberarbeiter:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/lastedit_name"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Datum erste nderung:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/erstelldatum"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Sachberarbeiter:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ersteller"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Datenbank ID Strung:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stid"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Datenbank ID Netz:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/netzid"/>
            </td>
         </tr>
      </table>

   </xsl:template>


   <xsl:template name="Status">
      <!-- Status der Strung -->
      <h1>
         <U>2. Status der Strung</U>
      </h1>
      <table>
         <tr bgcolor="#ffffff">
            <td>
               <b>Status der Prfung:</b>
            </td>
            <xsl:variable name="pstatus" select="GasStoerung/Daten/pstatus"/>
            <xsl:if test="$pstatus='0'">
               <td>Nein</td>
            </xsl:if>
            <xsl:if test="$pstatus='1'">
               <td>Ok</td>
            </xsl:if>
            <xsl:if test="$pstatus='2'">
               <td>Fehler</td>
            </xsl:if>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Bearbeitung abgeschlossen:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/abgeschlossen/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Datensatz DVGW relevant:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/dvgw_relevant/@text"/>
            </td>
         </tr>
			<xsl:variable name="gasgeruch" select="GasStoerung/Daten/meldart"/>
			<tr bgcolor="#ffffff">
			<td>
				<b>Meldung Gasgeruch:</b>
			</td>
			<xsl:choose>
				<xsl:when test="$gasgeruch = 'Gasgeruch'">
					<td>Ja</td>
				</xsl:when><xsl:otherwise>
					<td>Nein</td>
				</xsl:otherwise>
			</xsl:choose>
			</tr>
	 <tr bgcolor="#ffffff">
            <td>
               <b>Datensatz BNetzA relevant:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/bna_relevant/@text"/>
            </td>
         </tr>
         <xsl:if test="$vkunden='1'">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Datensatz E.ON Statistik:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/statistik_relevant/@text"/>
               </td>
            </tr>
         </xsl:if>
      </table>
   </xsl:template>


   <xsl:template name="Meldung">
      <!-- Meldung der Strung -->
      <h1>
         <U>3. Meldung der Strung</U>
      </h1>
      <table>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungszeitpunkt:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldzeit"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldender:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldender"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Strasse:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldstrasse"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Hausnummer:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldhausnr"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ort:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldort"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungstext:</b>
            </td>
            <td>&#160;</td>
            <xsl:for-each select="GasStoerung/Meldetext/item">
               <tr bgcolor="#ffffff">
                  <td>&#160;</td>
                  <td colspan="2">
                     <!-- xsl:value-of select="position()" / -->
                     <xsl:value-of select="."/>
                  </td>
               </tr>
            </xsl:for-each>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Weitergeleitet an:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/weitergeleitet_an"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Weitergeleitet um:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/weitergeleitet_um"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ankunft vor Ort durch:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ankunft_von"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ankunft um:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ankunft_um"/>
            </td>
         </tr>
      </table>
   </xsl:template>


   <xsl:template name="Ereignis">
      <!-- Ereignis der Strung -->
      <h1>
         <U>3. Ereignis</U>
      </h1>
      <table width="100%">
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungszeitpunkt:</b>
            </td>
            <td colspan="3">
               <xsl:value-of select="GasStoerung/Daten/meldzeit"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldung erfasst von:</b>
            </td>
            <td colspan="3">
               <xsl:value-of select="GasStoerung/Daten/melderfasser"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td colspan="2">
               <b>Anrufer:</b>
            </td>
            <td>&#160;</td>
            <td colspan="2">
               <b>Strungsort:</b>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Name/Firma:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldname"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Name/Firma:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoername"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Telefon:</b>
            </td>
            <td colspan="4">
               <xsl:value-of select="GasStoerung/Daten/meldtelefon"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Strasse:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldstrasse"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Strasse:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerstrasse"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Hausnummer:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldhausnr"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Hausnummer:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerhausnr"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>PLZ:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldplz"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>PLZ:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerplz"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ort:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldort"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Ort:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerort"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ortsteil:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldortsteil"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Ortsteil:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerortsteil"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Netzbetreiber:</b>
            </td>
            <td colspan="3">
               <xsl:value-of select="GasStoerung/Allgemeine_Angaben/Netzbetreibername"/>
            </td>
         </tr>
         <xsl:if test="$vkunden='1'">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Betroffenes KC:</b>
               </td>
               <td colspan="3">
                  <xsl:value-of select="GasStoerung/Daten/kc"/>
               </td>
            </tr>
         </xsl:if>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungsinhalt:</b>
            </td>
            <td colspan="3">
               <xsl:value-of select="GasStoerung/Daten/meldinhalt/@text"/>
            </td>
         </tr>
         <xsl:if test="$vkunden='1'">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Alarmstufe:</b>
               </td>
               <td colspan="3">
                  <xsl:value-of select="GasStoerung/Daten/alarmstufe"/>
               </td>
            </tr>
         </xsl:if>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungstext:</b>
            </td>
         </tr>
         <xsl:for-each select="GasStoerung/Meldetext/item">
            <tr bgcolor="#ffffff">
               <td colspan="4">
                  <!-- xsl:value-of select="position()" / -->
                  <xsl:value-of select="."/>
               </td>
            </tr>
         </xsl:for-each>
      </table>
   </xsl:template>


   <xsl:template name="Weiterleitung">
      <!-- Weiterleitung der Strung -->
      <h1>
         <U>4. Weiterleitung</U>
      </h1>
      <table>
         <xsl:variable name="wl_an1" select="GasStoerung/Daten/wl_an1"/>
         <xsl:variable name="wl_an2" select="GasStoerung/Daten/wl_an2"/>
         <xsl:variable name="wl_an3" select="GasStoerung/Daten/wl_an3"/>
         <xsl:variable name="wl_an4" select="GasStoerung/Daten/wl_an4"/>
         <xsl:variable name="wl_an5" select="GasStoerung/Daten/wl_an5"/>
         <xsl:variable name="wl_an6" select="GasStoerung/Daten/wl_an6"/>
         <xsl:variable name="wl_an7" select="GasStoerung/Daten/wl_an7"/>
         <xsl:variable name="wl_an8" select="GasStoerung/Daten/wl_an8"/>
         <xsl:variable name="wl_an9" select="GasStoerung/Daten/wl_an9"/>

         <xsl:if test="$wl_an1">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Weiterl. Ersteinsatz an:</b>
               </td>
               <td>
                  <xsl:value-of select="$wl_an1"/>
               </td>
               <td>
                  <b>um:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/wl_um1"/>
               </td>
            </tr>
         </xsl:if>
			<xsl:if test="$wl_an2">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Ankunft vor Ort von:</b>
               </td>
               <td>
                  <xsl:value-of select="$wl_an2"/>
               </td>
               <td>
                  <b>um:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/wl_um2"/>
               </td>
					<xsl:if test="$vkunden='1'">
						<td>
							<b>&#160;&#160;&#160;tats. Ankunftzeit:</b>
						</td>
						<td>
							<xsl:value-of select="GasStoerung/Daten/wl_um12"/>
						</td>
					</xsl:if>
				</tr>
         </xsl:if>
			<xsl:if test="$wl_an3">
            <tr bgcolor="#ffffff">
               <xsl:choose>
                  <xsl:when test="$vkunden='1'">
                     <td>
                        <b>Verst. Entstrungsdienst:</b>
                     </td>
                  </xsl:when>
                  <xsl:otherwise>
                     <td>
                        <b>Verst. Strungsbehebung:</b>
                     </td>
                  </xsl:otherwise>
               </xsl:choose>
               <td>
                  <xsl:value-of select="$wl_an3"/>
               </td>
               <td>
                  <b>um:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/wl_um3"/>
               </td>
					<xsl:if test="$vkunden='1'">
						<td>
							<b>&#160;&#160;&#160;Ankunftzeit:</b>
						</td>
						<td>
							<xsl:value-of select="GasStoerung/Daten/wl_um13"/>
						</td>
					</xsl:if>
				</tr>
         </xsl:if>
			<xsl:if test="$wl_an4">
				<tr bgcolor="#ffffff">
					<xsl:choose>
						<xsl:when test="$vkunden='1'">
							<td>
								<b>Verst. Ingenieurbereitschaft Gas:</b>
							</td>
						</xsl:when>
						<xsl:otherwise>
							<td>
								<b>Verst. Koordination:</b>
							</td>
						</xsl:otherwise>
					</xsl:choose>
					<td>
						<xsl:value-of select="$wl_an4"/>
					</td>
					<td>
						<b>um:</b>
					</td>
					<td>
						<xsl:value-of select="GasStoerung/Daten/wl_um4"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="$wl_an5">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Verst. Polizei:</b>
               </td>
               <td>
                  <xsl:value-of select="$wl_an5"/>
               </td>
               <td>
                  <b>um:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/wl_um5"/>
               </td>
            </tr>
         </xsl:if>
			<xsl:if test="$wl_an6">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Verst. Feuerwehr:</b>
               </td>
               <td>
                  <xsl:value-of select="$wl_an6"/>
               </td>
               <td>
                  <b>um:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/wl_um6"/>
               </td>
            </tr>
         </xsl:if>
			<xsl:if test="$wl_an7">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Verst. Notarzt:</b>
               </td>
               <td>
                  <xsl:value-of select="$wl_an7"/>
               </td>
               <td>
                  <b>um:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/wl_um7"/>
               </td>
            </tr>
         </xsl:if>
			<xsl:if test="$wl_an8">
				<tr bgcolor="#ffffff">
					<td>
						<b>Verst. zus. Person1:</b>
					</td>
					<td>
						<xsl:value-of select="$wl_an8"/>
					</td>
					<td>
						<b>um:</b>
					</td>
					<td>
						<xsl:value-of select="GasStoerung/Daten/wl_um8"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="$wl_an9">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Verst. zus. Person2:</b>
               </td>
               <td>
                  <xsl:value-of select="$wl_an9"/>
               </td>
               <td>
                  <b>um:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/wl_um9"/>
               </td>
            </tr>
         </xsl:if>
	   </table>
      <table>
         <xsl:variable name="wl_um11" select="GasStoerung/Daten/wl_um11"/>
         <xsl:choose>
            <xsl:when test="$wl_um11">
               <tr bgcolor="#ffffff">
                  <td>
                     <b>Zeitpunkt der Gefahrenabwehr:</b>
                  </td>
                  <td>
                     <xsl:value-of select="$wl_um11"/>
                  </td>
               </tr>
            </xsl:when>
         </xsl:choose>
         <tr bgcolor="#ffffff">
            <td>
               <b>Strung abgeschlossen um:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/wl_um10"/>
            </td>
         </tr>
      </table>
      <table>
         <xsl:variable name="gefunden" select="GasStoerung/Bemerkung_30minuten/item"/>
         <xsl:choose>
            <xsl:when test="$gefunden">
               <tr bgcolor="#ffffff">
                  <td>
                     <b>Bemerkungstext falls 30 Minuten berschritten:</b>
                  </td>
               </tr>
               <table>
                  <xsl:for-each select="GasStoerung/Bemerkung_30minuten/item">
                     <tr bgcolor="#ffffff">
                        <td>
                           <!-- xsl:value-of select="position()" / -->
                           <xsl:value-of select="."/>
                        </td>
                     </tr>
                  </xsl:for-each>
               </table>
            </xsl:when>
         </xsl:choose>
      </table>
   </xsl:template>


   <xsl:template name="Schadensmeldung">
      <!-- Schadensmeldung der Strung -->
      <h1>
         <U>5. Schadensmeldung</U>
      </h1>
      <table>
         <xsl:if test="$vkunden='1'">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Strungsbeginn:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/ta"/>
               </td>
            </tr>
         </xsl:if>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungsart:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldart"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Strung:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerung"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ursache:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ursache"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Undichtigkeit:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/undichtigkeit"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Sprmethode:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/spuermethode"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Sprwert [%]:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/spuerwert"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Getr. Massnahme:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/massnahme"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ergebnis:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ergebnis"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>HAE in Betrieb:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/hae"/>
            </td>
         </tr>

      </table>
   </xsl:template>


   <!--Stoerungseintritt_A-->
   <xsl:template name="Stoerungseintritt_A">
      <h1>
         <U>6. Strungseintritt</U>
      </h1>
      <h2>
         <U>6.1. Allgemeine Angaben</U>
      </h2>
      <table>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Strungsanlass A:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/a"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/a/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Erluterung zu Strungsanlass A:</b>
            </td>
            <td colspan="2">
               <xsl:value-of select="GasStoerung/Daten/ae"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Hhere Gewalt HG:</b>
            </td>
            <td colspan="2">
               <xsl:value-of select="GasStoerung/Daten/hg"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Hhere Gewalt Text:</b>
            </td>
            <td colspan="2">
               <xsl:value-of select="GasStoerung/Daten/hge"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Folgestrung aus nicht betr. Netz HR:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/hr"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/hr/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Unfall/Schden US:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/u"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/u/@text"/>
            </td>
         </tr>
      </table>

   </xsl:template>


   <!--Stoerungseintritt_B-->
   <xsl:template name="Stoerungseintritt_B">
      <h1>
         <U>6. Strungseintritt</U>
      </h1>
      <h2>
         <U>6.1. Allgemeine Angaben</U>
      </h2>
      <table width="100%">
         <xsl:choose>
            <xsl:when test="$vkunden='1'">
               <tr bgcolor="#ffffff">
                  <td align="left">
                     <b>Verursacher:</b>
                  </td>
                  <td colspan="2">
                     <xsl:value-of select="GasStoerung/Daten/verursacher"/>
                  </td>
               </tr>
               <tr bgcolor="#ffffff">
                  <td align="left">
                     <b>Schadensursache SU:</b>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Schaeden/Schaden/su"/>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Schaeden/Schaden/su/@text"/>
                  </td>
               </tr>
               <tr bgcolor="#ffffff">
                  <td align="left">
                     <b>Rohrmaterial URM:</b>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Daten/urm"/>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Daten/urm/@text"/>
                  </td>
               </tr>
               <tr bgcolor="#ffffff">
                  <td align="left">
                     <b>Nennweite UNW:</b>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Daten/unw"/>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Daten/unw/@text"/>
                  </td>
               </tr>
            </xsl:when>
            <xsl:otherwise>
               <tr bgcolor="#ffffff">
                  <td>
                     <b>Strungsbeginn:</b>
                  </td>
                  <td colspan="2">
                     <xsl:value-of select="GasStoerung/Daten/ta"/>
                  </td>
               </tr>
            </xsl:otherwise>
         </xsl:choose>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Strungsanlass A:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/a"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/a/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Erluterung zu Strungsanlass A:</b>
            </td>
            <td colspan="2">
               <xsl:value-of select="GasStoerung/Daten/ae"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Hhere Gewalt HG:</b>
            </td>
            <td colspan="2">
               <xsl:value-of select="GasStoerung/Daten/hg"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Hhere Gewalt Text:</b>
            </td>
            <td colspan="2">
               <xsl:value-of select="GasStoerung/Daten/hge"/>
            </td>
         </tr>
         <xsl:if test="$vkunden!='1'">
            <tr bgcolor="#ffffff">
               <td align="left">
                  <b>Strungsauswirkung B:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/b"/>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/b/@text"/>
               </td>
            </tr>
         </xsl:if>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Versorgungsunterbrechung RE:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/re"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/re/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Folgestrung aus nicht betr. Netz HR:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/hr"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/hr/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Unfall/Schden US:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/u"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/u/@text"/>
            </td>
         </tr>
      </table>
   </xsl:template>


   <!--Schaeden-->
   <xsl:template name="Schaeden">
      <h2>
         <U>6.2. Schden</U>
      </h2>
      <xsl:for-each select="GasStoerung/Schaeden/Schaden">
         <h3>
            <U>
               Schaden Nr.: <xsl:value-of select="position()"/>
            </U>
         </h3>
         <table>
            <tr bgcolor="#ffffff">
               <td align="left">
                  <b>Schadensort SO:</b>
               </td>
               <td>
                  <xsl:value-of select="so"/>
               </td>
               <td>
                  <xsl:value-of select="so/@text"/>
               </td>
            </tr>
            <tr bgcolor="#ffffff">
               <td align="left">
                  <b>Schadensursache SU:</b>
               </td>
               <td>
                  <xsl:value-of select="su"/>
               </td>
               <td>
                  <xsl:value-of select="su/@text"/>
               </td>
            </tr>
         </table>
      </xsl:for-each>

   </xsl:template>


   <!--Unfall-->
   <xsl:template name="Unfall">
      <h2>
         <U>6.3. Unfall</U>
      </h2>
      <table>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Unfallort UO:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uo"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uo/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Anzahl Verletzte:</b>
            </td>
            <td align="left">
               <xsl:value-of select="GasStoerung/Daten/uva"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Anzahl Tote:</b>
            </td>
            <td align="left">
               <xsl:value-of select="GasStoerung/Daten/uta"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Geschtzter Sachschaden:</b>
            </td>
            <td align="left">
               <xsl:value-of select="GasStoerung/Daten/ugs"/>
            </td>
            <td>Euro</td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Unfallart UA:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ua"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ua/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Art der Versorgung UAV:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uav"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uav/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Unfallursache UUS:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uus"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uus/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Anlagenart UAR:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uar"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uar/@text"/>
            </td>
         </tr>
         <xsl:if test="$vkunden!='1'">
            <tr bgcolor="#ffffff">
               <td align="left">
                  <b>Rohrmaterial URM:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/urm"/>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/urm/@text"/>
               </td>
            </tr>
            <tr bgcolor="#ffffff">
               <td align="left">
                  <b>Nennweite UNW:</b>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/unw"/>
               </td>
               <td>
                  <xsl:value-of select="GasStoerung/Daten/unw/@text"/>
               </td>
            </tr>
         </xsl:if>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Baujahr der Anlage:</b>
            </td>
            <td align="left">
               <xsl:value-of select="GasStoerung/Daten/ubj"/>
            </td>
         </tr>
      </table>
   </xsl:template>


   <!--VUS-->
   <xsl:template name="VUS">
      <h1>
         <U>7. Versorgungsunterbrechungen</U>
      </h1>
      <table>
         <tr bgcolor="#ffffff">
            <td>
               <b>Beginn der Versorgungsunterbr.:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/vu_ausfallzeitbeginn"/>
            </td>
            <td>
               <b>Dauer [h:mm]:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/sdauer/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Berechn. Ende der Versorgungsunterbr.:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/vu_ausfallzeitende"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Unterbrochene Letztverbraucher (KG1):</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/vu_sum_lv_kg1"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Unterbrochene LetztverbraucherMinuten (KG1):</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/vu_sum_lvmin_kg1"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Unterbrochene vertaglich vereinbarte Leistung [kWh/h]:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/vu_sum_leistung"/>
            </td>
         </tr>
      </table>
      <br></br>
      <br></br>
      <table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
         <tr bgcolor="#ffffff">
            <td width=" 8%">
               <b>Relev.:</b>
            </td>
            <td width="15%">
               <b>Beginn:</b>
            </td>
            <td width="15%">
               <b>Ende:</b>
            </td>
            <td width=" 8%">
               <b>Nr.</b>
            </td>
            <td width="15%">
               <b>Unterbr. LV:</b>
            </td>
            <td width="15%">
               <b>vertr. Leistung von LV:</b>
            </td>
            <td width="15%">
               <b>vertr. Leistung an nachg. NB:</b>
            </td>
            <td width=" 8%">
               <b>KG 1/2:</b>
            </td>
         </tr>
         <xsl:for-each select="GasStoerung/Versorgungsstufen/Versorgungsstufe">
            <tr bgcolor="#ffffff">
               <td width=" 8%">
                  <xsl:value-of select="relevant/@text"/>
               </td>
               <td width="15%">
                  <xsl:value-of select="vu_beginn"/>
               </td>
               <td width="15%">
                  <xsl:value-of select="vu_ende"/>
               </td>
               <td width=" 8%">
                  <xsl:value-of select="position()"/>
               </td>
               <td width="15%">
                  <xsl:value-of select="lv"/>
               </td>
               <td width="15%">
                  <xsl:value-of select="leistung_lv"/>
               </td>
               <td width="15%">
                  <xsl:value-of select="leistung_nb"/>
               </td>
               <td width=" 8%">
                  <xsl:value-of select="kg"/>
               </td>
            </tr>
         </xsl:for-each>
      </table>

   </xsl:template>


   <xsl:template name="Bemerkungen">
      <xsl:variable name="gefunden" select="GasStoerung/Bemerkung/item"/>
      <xsl:choose>
         <xsl:when test="$gefunden">
            <h1>
               <U>8. Bemerkungen</U>
            </h1>
            <table>
               <xsl:for-each select="GasStoerung/Bemerkung/item">
                  <tr bgcolor="#ffffff">
                     <td>
                        <xsl:value-of select="."/>
                     </td>
                  </tr>
               </xsl:for-each>
            </table>
         </xsl:when>
      </xsl:choose>
      <xsl:variable name="gefundenz" select="GasStoerung/Bemerkung/zeile"/>
      <xsl:choose>
         <xsl:when test="$gefundenz">
            <h1>
               <U>8. Bemerkungen</U>
            </h1>
            <table>
               <xsl:for-each select="GasStoerung/Bemerkung/zeile">
                  <xsl:call-template name="ZEILE"/>
               </xsl:for-each>
            </table>
         </xsl:when>
      </xsl:choose>
   </xsl:template>



   <xsl:template name="Dokumente">
      <h1>
         <U>9. Dokumente:</U>
      </h1>
      <table>
         <xsl:for-each select="GasStoerung/Dokumente/doc">
            <xsl:variable name="vopt" select="./@type"/>
            <xsl:call-template name="test_txt_filetypes">
               <xsl:with-param name="list">
                  <xsl:value-of select="$txt_list" />
               </xsl:with-param>
               <xsl:with-param name="ist_typ">
                  <xsl:value-of select="$vopt" />
               </xsl:with-param>
               <xsl:with-param name="cur_name" select="." />
               <xsl:with-param name="cur_desc" select="./@desc" />
            </xsl:call-template>
            <tr bgcolor="#ffffff">
               <td>&#160;</td>
            </tr>
         </xsl:for-each>
      </table>
   </xsl:template>

   <xsl:template name="test_txt_filetypes">
      <xsl:param name="list" />
      <xsl:param name="ist_typ" />
      <xsl:param name="cur_name" />
      <xsl:param name="cur_desc" />

      <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" />
      <xsl:variable name="first" select="substring-before($newlist, ' ')" />
      <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
      <xsl:variable name="vreftyp" select="$first"/>
      <xsl:choose>
         <xsl:when test="$vreftyp=$ist_typ">

            <!-- txt Filetype gefunden -->
            <xsl:call-template name="mtext"/>

         </xsl:when>
         <xsl:otherwise>
            <xsl:choose>
               <xsl:when test="$remaining">
                  <!-- weiteres Listenelement vorhanden, also weitersuchen -->

                  <xsl:call-template name="test_txt_filetypes">
                     <xsl:with-param name="list" select="$remaining" />
                     <xsl:with-param name="ist_typ" select="$ist_typ" />
                     <xsl:with-param name="cur_name" select="$cur_name" />
                     <xsl:with-param name="cur_desc" select="$cur_desc" />
                  </xsl:call-template>
               </xsl:when>
               <xsl:otherwise>

                  <!-- Dateityp nicht in der Liste   img_list -->

                  <xsl:call-template name="test_img_filetypes">
                     <xsl:with-param name="list">
                        <xsl:value-of select="$img_list" />
                     </xsl:with-param>
                     <xsl:with-param name="ist_typ"  select="$ist_typ" />
                     <xsl:with-param name="cur_name" select="$cur_name" />
                     <xsl:with-param name="cur_desc" select="$cur_desc" />
                  </xsl:call-template>

               </xsl:otherwise>
            </xsl:choose>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>


   <xsl:template name="test_img_filetypes">
      <xsl:param name="list" />
      <xsl:param name="ist_typ" />
      <xsl:param name="cur_name" />
      <xsl:param name="cur_desc" />

      <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" />
      <xsl:variable name="first" select="substring-before($newlist, ' ')" />
      <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
      <xsl:variable name="vreftyp" select="$first"/>
      <xsl:choose>
         <xsl:when test="$vreftyp=$ist_typ">

            <!-- IMG Filetype gefunden -->
            <xsl:call-template name="mimage"/>

         </xsl:when>
         <xsl:otherwise>
            <xsl:choose>
               <xsl:when test="$remaining">
                  <!-- weiteres Listenelement vorhanden, also weitersuchen -->

                  <xsl:call-template name="test_img_filetypes">
                     <xsl:with-param name="list" select="$remaining" />
                     <xsl:with-param name="ist_typ" select="$ist_typ" />
                     <xsl:with-param name="cur_name" select="$cur_name" />
                     <xsl:with-param name="cur_desc" select="$cur_desc" />
                  </xsl:call-template>
               </xsl:when>
               <xsl:otherwise>

                  <!-- Dateityp nicht in der Liste   img_list -->

                  <tr bgcolor="#ffffff">
                     <td>
                        <a><xsl:attribute name="href">
                          <!-- $XWDIR -->
                        <xsl:value-of select="$cur_name"/>
                           </xsl:attribute>
                           <xsl:value-of select="$cur_desc"/>
                        </a>
                     </td>
                  </tr>

               </xsl:otherwise>
            </xsl:choose>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>


   <xsl:template name="mimage">
      <tr bgcolor="#ffffff">
         <td>
            Bilddokument "<xsl:value-of select="./@desc"/>"
         </td>
      </tr>
      <tr bgcolor="#ffffff">
         <td>
            <xsl:element name="IMG">
               <xsl:attribute name="SRC">
                 <!-- $XWDIR -->
                 <xsl:value-of select="."/>
               </xsl:attribute>
            </xsl:element>
         </td>
      </tr>
   </xsl:template>

   <xsl:template name="mtext">
      <tr bgcolor="#ffffff">
         <td>
            Textdokument "<xsl:value-of select="./@desc"/>"
         </td>
      </tr>
      <tr bgcolor="#ffffff">
         <td>
            <table>
               <xsl:for-each select="./item">
                  <tr bgcolor="#ffffff">
                     <td>&#160;</td>
                     <td>
                        <xsl:value-of select="."/>
                     </td>
                  </tr>
               </xsl:for-each>
            </table>
         </td>
      </tr>
   </xsl:template>

   <xsl:template name="ZEILE">
      <tr>
         <td>
            <xsl:for-each select="part">
               <xsl:value-of select="itemp"/>
               <xsl:apply-templates select="url"/>
            </xsl:for-each>
         </td>
      </tr>
   </xsl:template>
   <xsl:template match="url">
      <a>
         <xsl:attribute name="href">
            <xsl:value-of select="." />
         </xsl:attribute>
         <xsl:value-of select="." />
      </a>
   </xsl:template>


	<xsl:template name="Art_der_Meldung">
		<!-- Art der Meldung -->
		<h1>
			<U>5. Art der Meldung</U>
		</h1>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Strungsbeginn:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/ta"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Art der Meldung:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/meldart"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Ereignis:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/ua/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Strungsort:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/stoerungsort/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Undichtigkeit:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/undichtigkeit"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Sprmethode:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/spuermethode"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Sprwert [%]:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/spuerwert"/>
				</td>
			</tr>

		</table>
	</xsl:template>


	<xsl:template name="Leitung_Hausanschluss">
		<!-- Leitungen und Hausanschlsse -->
		<h1>
			<U>6. Leitungen und Hausanschlsse</U>
		</h1>
		<table>
			<tr bgcolor="#ffffff">
				<td><b>MOP [bar]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/mop/@text"/></td>
				<xsl:variable name="mop_e" select="GasStoerung/Daten/mop_e"/>
				<xsl:if test="$mop_e &gt; 0">
					<td>(<xsl:value-of select="GasStoerung/Daten/mop_e"/>)</td>
				</xsl:if>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Nominaldurchmesser [mm]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/dn/@text"/></td>
				<xsl:variable name="dn_e" select="GasStoerung/Daten/dn_e"/>
				<xsl:if test="$dn_e &gt; 0">
					<td>(<xsl:value-of select="GasStoerung/Daten/dn_e"/>)</td>
				</xsl:if>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Material:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/material/@text"/></td>
				<xsl:variable name="material_e" select="GasStoerung/Daten/material_e"/>
				<xsl:if test="$material_e">
					<td>(<xsl:value-of select="GasStoerung/Daten/material_e"/>)</td>
				</xsl:if>
			</tr>
			<xsl:variable name="bjahr" select="GasStoerung/Daten/bjahr"/>
			<xsl:if test="$bjahr &gt;= 1">
				<tr bgcolor="#ffffff">
					<td><b>Baujahr:</b></td>
					<td><xsl:value-of select="GasStoerung/Daten/bjahr/@text"/></td>
				</tr>
			</xsl:if>
			<xsl:variable name="druck" select="GasStoerung/Daten/druck"/>
			<xsl:if test="$druck &gt;= 0">
				<tr bgcolor="#ffffff">
					<td><b>Betriebsdruck [bar]:</b></td>
					<td><xsl:value-of select="GasStoerung/Daten/druck"/></td>
				</tr>
			</xsl:if>
			<tr bgcolor="#ffffff">
				<td>
					<b>Ereignisursache:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/eursache/@text"/>
				</td>
			</tr>
			<xsl:variable name="ursache" select="GasStoerung/Daten/eursache"/>
			<xsl:if test="$ursache='99'">
				<td><xsl:value-of select="GasStoerung/Daten/eursache_anm"/></td>
			</xsl:if>
			<tr bgcolor="#ffffff">
				<td>
					<b>Erstmeldung:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/erstmeldung/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Leckagegre:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/leckage/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Bauteil:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/bauteil/@text"/>
				</td>
			</tr>

		</table>
	</xsl:template>


	<xsl:template name="Gastechnische_Anlage">
		<!-- Gastechnische Anlage -->
		<h1>
			<U>6. Gastechnische Anlage</U>
		</h1>
		<xsl:variable name="stoerungsort" select="GasStoerung/Daten/stoerungsort"/>
		<xsl:if test="$stoerungsort='60'"><xsl:call-template name="Erdgastankstelle"/></xsl:if>
		<xsl:if test="$stoerungsort='30'"><xsl:call-template name="Armaturen"/></xsl:if>
		<xsl:if test="$stoerungsort='31'"><xsl:call-template name="Armaturen"/></xsl:if>
		<xsl:if test="$stoerungsort='50'"><xsl:call-template name="Biogasanlage"/></xsl:if>
		<xsl:if test="$stoerungsort='21'"><xsl:call-template name="Druckregelanlage"/></xsl:if>
		<xsl:if test="$stoerungsort='22'"><xsl:call-template name="Druckregelanlage"/></xsl:if>
		<xsl:if test="$stoerungsort='23'"><xsl:call-template name="Druckregelanlage"/></xsl:if>
		<xsl:if test="$stoerungsort='40'"><xsl:call-template name="Molchststion"/></xsl:if>
		<xsl:if test="$stoerungsort='70'"><xsl:call-template name="Verdichteranlage"/></xsl:if>
		<xsl:if test="$stoerungsort='80'"><xsl:call-template name="Erdgasspeicher"/></xsl:if>
		
		<table>
			<tr bgcolor="#ffffff">
				<td><b>&#160;</b></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Ereignisursache:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/eursache/@text"/></td>
			</tr>
			<xsl:variable name="ursache" select="GasStoerung/Daten/eursache"/>
			<xsl:if test="$ursache='99'">
				<td><xsl:value-of select="GasStoerung/Daten/eursache_anm"/></td>
			</xsl:if>
			<tr bgcolor="#ffffff">
				<td><b><U>betr. Materialien u. Substanzen:</U></b></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Austritt von Erdgas:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/austritt_erdgas/@text"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>unkontrollierte Entzndung von entflammbaren Substanzen:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/entzuendung/@text"/></td>
			</tr>

		</table>
	</xsl:template>


	<xsl:template name="Erdgastankstelle">
		<!-- Gastechnische Anlage -->
		<h2>
			<U>Erdgastankstelle</U>
		</h2>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Erstinbetriebname:</b>
				</td>
				<td>
					<xsl:variable name="inbetrieb" select="GasStoerung/Daten/komp_inbetrieb"/>
					<xsl:value-of select="substring-before($inbetrieb, ' ')" />
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Standort:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/komp_tank_ort/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b><U>Urschliche Komponente:</U></b>
				</td>
			</tr>
			<xsl:variable name="komp_tank_vent" select="GasStoerung/Daten/komp_tank_vent"/>
			<xsl:if test="$komp_tank_vent='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Ansprechen von Sicherheitsventilen</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_tank_ltg" select="GasStoerung/Daten/komp_tank_ltg"/>
			<xsl:if test="$komp_tank_ltg='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Bersten von Leitungen</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_tank_dbeh" select="GasStoerung/Daten/komp_tank_dbeh"/>
			<xsl:if test="$komp_tank_dbeh='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Bersten von Druckbehltern</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_tank_schla" select="GasStoerung/Daten/komp_tank_schla"/>
			<xsl:if test="$komp_tank_schla='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Tankschlauch abgerissen</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_tank_abreis" select="GasStoerung/Daten/komp_tank_abreis"/>
			<xsl:if test="$komp_tank_abreis='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Schlauchabriss an der Abreikupplung</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_tank_fkupp" select="GasStoerung/Daten/komp_tank_fkupp"/>
			<xsl:if test="$komp_tank_fkupp='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>defekte Fahrzeugkupplung</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_tank_zkupp" select="GasStoerung/Daten/komp_tank_zkupp"/>
			<xsl:if test="$komp_tank_zkupp='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Bedienfehler Zapfkupplung</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_tank_undi" select="GasStoerung/Daten/komp_tank_undi"/>
			<xsl:if test="$komp_tank_undi='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>undichte Verbindung an gasfhrenden Leitungsteilen</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_tank_ueberd" select="GasStoerung/Daten/komp_tank_ueberd"/>
			<xsl:if test="$komp_tank_ueberd='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Gasalarm bei berdachten Anlagenhallen</b></td>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>


	<xsl:template name="Armaturen">
		<!-- Armaturen -->
		<h2>
			<U>Armaturen</U>
		</h2>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Armaturengruppe:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/komp_armaturgr/@text"/>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="Molchststion">
		<!-- Molchststion -->
	<h2>
			<U>Molchststion</U>
		</h2>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Molchststion:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/komp_molchst/@text"/>
				</td>
			</tr>
		</table>
	</xsl:template>


	<xsl:template name="Biogasanlage">
		<!-- Biogas Anlage -->
		<h2>
			<U>Biogasanlage</U>
		</h2>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Erstinbetriebname:</b>
				</td>
				<td>
					<xsl:variable name="inbetrieb" select="GasStoerung/Daten/komp_inbetrieb"/>
					<xsl:value-of select="substring-before($inbetrieb, ' ')" />
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>MOP [bar]:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/komp_mop"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b><U>Urschliche Komponente:</U></b>
				</td>
			</tr>
			<xsl:variable name="komp_bio_armat" select="GasStoerung/Daten/komp_bio_armat"/>
			<xsl:if test="$komp_bio_armat='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Eingangs- und Ausgangsarmaturen</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_kond" select="GasStoerung/Daten/komp_bio_kond"/>
			<xsl:if test="$komp_bio_kond='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Konditionierung</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_verd" select="GasStoerung/Daten/komp_bio_verd"/>
			<xsl:if test="$komp_bio_verd='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Verdichtung</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_mengem" select="GasStoerung/Daten/komp_bio_mengem"/>
			<xsl:if test="$komp_bio_mengem='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Gas-Mengenmessung</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_beschm" select="GasStoerung/Daten/komp_bio_beschm"/>
			<xsl:if test="$komp_bio_beschm='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Gasbeschaffenheitsmessung</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_dreg" select="GasStoerung/Daten/komp_bio_dreg"/>
			<xsl:if test="$komp_bio_dreg='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Gas-Druckregelung</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_filter" select="GasStoerung/Daten/komp_bio_filter"/>
			<xsl:if test="$komp_bio_filter='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Gasreinigungssystem (Filter)</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_sav" select="GasStoerung/Daten/komp_bio_sav"/>
			<xsl:if test="$komp_bio_sav='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>SAV</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_elektrik" select="GasStoerung/Daten/komp_bio_elektrik"/>
			<xsl:if test="$komp_bio_elektrik='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Elektrik</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_steuer" select="GasStoerung/Daten/komp_bio_steuer"/>
			<xsl:if test="$komp_bio_steuer='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Steuerungstechnik</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_bio_sonst" select="GasStoerung/Daten/komp_bio_sonst"/>
			<xsl:if test="$komp_bio_sonst='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Sonstiges</b></td>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>


	<xsl:template name="Druckregelanlage">
		<!-- Gas-Druckregelanlage -->
		<h2>
			<U>Gas-Druckregelanlage</U>
		</h2>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>
						<U>Eingangsdruckstufe MOP &lt;= 5 bar:</U>
					</b>
				</td>
			</tr>
			<xsl:variable name="komp_mess" select="GasStoerung/Daten/komp_mess"/>
			<xsl:if test="$komp_mess='Ja'">
				<tr bgcolor="#ffffff"><td>
						<b>Messstrecke</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_regel" select="GasStoerung/Daten/komp_regel"/>
			<xsl:if test="$komp_regel='Ja'">
				<tr bgcolor="#ffffff"><td>
						<b>Gas-Druckregelgerte</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_filter" select="GasStoerung/Daten/komp_filter"/>
			<xsl:if test="$komp_filter='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Filter / Abscheider</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_vorw" select="GasStoerung/Daten/komp_vorw"/>
			<xsl:if test="$komp_vorw='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Gasvorwrmanlagen</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_sicher" select="GasStoerung/Daten/komp_sicher"/>
			<xsl:if test="$komp_sicher='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Sicherheitseinrichtungen</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_absperr" select="GasStoerung/Daten/komp_absperr"/>
			<xsl:if test="$komp_absperr='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Absperreinrichtungen</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_elektrik" select="GasStoerung/Daten/komp_elektrik"/>
			<xsl:if test="$komp_elektrik='Ja'">
				<tr bgcolor="#ffffff">
					<td>
						<b>Elektrik</b>
					</td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_ausbl" select="GasStoerung/Daten/komp_ausbl"/>
			<xsl:if test="$komp_ausbl='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Ausblser</b></td>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>


	<xsl:template name="Verdichteranlage">
		<!-- Verdichteranlage -->
		<h2>
			<U>Verdichteranlage</U>
		</h2>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Installierte Gesamtleistung [MW]:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/komp_verd_instleist"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Leistung der betroffenen Verdichtereinheit [MW]:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/komp_verd_leist"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>
						<U>Urschliche Komponente:</U>
					</b>
				</td>
			</tr>
			<xsl:variable name="komp_verd_rohrltg" select="GasStoerung/Daten/komp_verd_rohrltg"/>
			<xsl:if test="$komp_verd_rohrltg='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Stationsrohrleitungssysteme</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_verd_einheit" select="GasStoerung/Daten/komp_verd_einheit"/>
			<xsl:if test="$komp_verd_einheit='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Verdichtereinheit</b></td>
				</tr>
			</xsl:if>
			<xsl:variable name="komp_verd_zeinh" select="GasStoerung/Daten/komp_verd_zeinh"/>
			<xsl:if test="$komp_verd_zeinh='Ja'">
				<tr bgcolor="#ffffff">
					<td><b>Zustzliche Einrichtung</b></td>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>


	<xsl:template name="Erdgasspeicher">
		<!-- Erdgasspeicher -->
		<h2>
			<U>Erdgasspeicher</U>
		</h2>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Speichertyp:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/komp_spei_typ/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Max. zulssiges Arbeitsgasvolumen [Mio. m3]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_vol"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Anzahl Produktionsbohrungen:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_apbohr"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Anzahl gasgefhrter Beobachtungsbohrungen:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_bpbohr"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Zulssige Kissengasvolumen [Mio. m3]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_kissen"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Max. zulssige expansive Einspeisung [m3]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_einsp"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Max. zulssige expansive Ausspeisung [m3]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_aussp"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Max. zulssige Einspeisung mit Verdichter [m3]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_einmv"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Max. zulssige Ausspeisung mit Verdichter [m3]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_ausmv"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Max. zulssiger Druck [bar]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_mdruck"/></td>
			</tr>
			<tr bgcolor="#ffffff">
				<td><b>Tiefenlage [m]:</b></td>
				<td><xsl:value-of select="GasStoerung/Daten/komp_spei_tiefe"/></td>
			</tr>

		</table>
	</xsl:template>

	<xsl:template name="Kundenanlage">
		<!-- Kundenanlage -->
		<h1>
			<U>6. Kundenanlage</U>
		</h1>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Gasart:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/uav/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Gebudeart:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/komp_kunde_hausart/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Ereignisursache:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/uus/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>betroffener Anlagenteil:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/uar/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Jahr der Errichtung:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/ubj"/>
				</td>
			</tr>

		</table>
	</xsl:template>


	<!--Unfall-->
	<xsl:template name="Unfaelle">
		<h1>
			<U>7. Unfall</U>
		</h1>
		<table>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Ansprechpartner Name:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/unameansprech"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Ansprechpartner Telefon:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/utelefonansprech"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Unfallort:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/unfallort"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Anzahl Verletzte:</b>
				</td>
				<td align="left">
					<xsl:value-of select="GasStoerung/Daten/uva"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Anzahl Tote:</b>
				</td>
				<td align="left">
					<xsl:value-of select="GasStoerung/Daten/uta"/>
				</td>
			</tr>
			<xsl:variable name="stoerungsort" select="GasStoerung/Daten/stoerungsort"/>
			<xsl:choose><xsl:when test="$stoerungsort='4' or $stoerungsort='5'">
				<tr bgcolor="#ffffff">
					<td align="left"><b>Geschtzter Sachschaden:</b></td>
					<td align="left"><xsl:value-of select="GasStoerung/Daten/ugs"/></td>
					<td>Euro</td>
				</tr>
			</xsl:when><xsl:otherwise>
				<tr bgcolor="#ffffff">
					<td align="left"><b>Vorhandener Sachschaden:</b></td>
					<td align="left"><xsl:value-of select="GasStoerung/Daten/schaden_vorh"/></td>
				</tr>
			</xsl:otherwise></xsl:choose>	
		</table>
	</xsl:template>

	<!--BNA Daten-->
	<xsl:template name="BNA_Daten">
		<h1>
			<U>8. BNetzA-Daten</U>
		</h1>

		<table>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Strungsanlass A:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/a"/>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/a/@text"/>
				</td>
			</tr>
			<xsl:variable name="Anlass" select="GasStoerung/Daten/a"/>
			<xsl:if test="$Anlass = '30'"> 
				<tr bgcolor="#ffffff">
					<td align="left">
						<b>Erluterung zu Strungsanlass A:</b>
					</td>
					<td colspan="2">
						<xsl:value-of select="GasStoerung/Daten/ae"/>
					</td>
				</tr>
			</xsl:if>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Hhere Gewalt HG:</b>
				</td>
				<td colspan="2">
					<xsl:value-of select="GasStoerung/Daten/hg"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Hhere Gewalt Text:</b>
				</td>
				<td colspan="2">
					<xsl:value-of select="GasStoerung/Daten/hge"/>
				</td>
			</tr>
		</table>		
				
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Beginn der Versorgungsunterbr.:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Versorgungsstufen/vu_ausfallzeitbeginn"/>
				</td>
				<td>
					<b>Dauer [h:mm]:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Versorgungsstufen/sdauer/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Berechn. Ende der Versorgungsunterbr.:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Versorgungsstufen/vu_ausfallzeitende"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Unterbrochene Letztverbraucher (KG1):</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Versorgungsstufen/vu_sum_lv_kg1"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Unterbrochene LetztverbraucherMinuten (KG1):</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Versorgungsstufen/vu_sum_lvmin_kg1"/>
				</td>
			</tr>
			<xsl:variable name="vu_sum_leistung" select="GasStoerung/Versorgungsstufen/vu_sum_leistung"/>
			<xsl:if test="$vu_sum_leistung &gt;= 0">
				<tr bgcolor="#ffffff">
					<td>
						<b>Unterbrochene vertaglich vereinbarte Leistung [kWh/h]:</b>
					</td>
					<td>
						<xsl:value-of select="GasStoerung/Versorgungsstufen/vu_sum_leistung"/>
					</td>
				</tr>
			</xsl:if>
		</table>
		<br></br>
		<br></br>

		<xsl:variable name="VU_KG" select="GasStoerung/Versorgungsstufen/Versorgungsstufe/kg"/>
		<xsl:if test="$VU_KG='1'"><xsl:call-template name="VU_KG1"/></xsl:if>
		<xsl:if test="$VU_KG='2'"><xsl:call-template name="VU_KG2"/></xsl:if>	
		
	</xsl:template>

	<xsl:template name="VU_KG1">
	
		<table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
			<tr bgcolor="#ffffff">
				<td width="10%">
					<b>Relev.:</b>
				</td>
				<td width="20%">
					<b>Beginn:</b>
				</td>
				<td width="20%">
					<b>Ende:</b>
				</td>
				<td width="10%">
					<b>Nr.</b>
				</td>
				<td width="20%">
					<b>Unterbr. LV:</b>
				</td>
				<td width="20%">
					<b>Unterbr. LVMinuten:</b>
				</td>
			</tr>
			<xsl:for-each select="GasStoerung/Versorgungsstufen/Versorgungsstufe">
				<tr bgcolor="#ffffff">
					<td width="10%">
						<xsl:value-of select="relevant/@text"/>
					</td>
					<td width="20%">
						<xsl:value-of select="vu_beginn"/>
					</td>
					<td width="20%">
						<xsl:value-of select="vu_ende"/>
					</td>
					<td width="10%">
						<xsl:value-of select="position()"/>
					</td>
					<td width="20%">
						<xsl:value-of select="lv"/>
					</td>
					<td width="20%">
						<xsl:value-of select="lvmin"/>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>


	<xsl:template name="VU_KG2">
	
		<table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
			<tr bgcolor="#ffffff">
				<td width="10%">
					<b>Relev.:</b>
				</td>
				<td width="20%">
					<b>Beginn:</b>
				</td>
				<td width="20%">
					<b>Ende:</b>
				</td>
				<td width="10%">
					<b>Nr.</b>
				</td>
				<td width="20%">
					<b>vertr. Leistung von LV:</b>
				</td>
				<td width="20%">
					<b>vertr. Leistung an nachg. NB:</b>
				</td>
			</tr>
			<xsl:for-each select="GasStoerung/Versorgungsstufen/Versorgungsstufe">
				<tr bgcolor="#ffffff">
					<td width="10%">
						<xsl:value-of select="relevant/@text"/>
					</td>
					<td width="20%">
						<xsl:value-of select="vu_beginn"/>
					</td>
					<td width="20%">
						<xsl:value-of select="vu_ende"/>
					</td>
					<td width="10%">
						<xsl:value-of select="position()"/>
					</td>
					<td width="20%">
						<xsl:value-of select="leistung_lv"/>
					</td>
					<td width="20%">
						<xsl:value-of select="leistung_nb"/>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	
	
	</xsl:template>
	
	
	
</xsl:stylesheet>
