<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
   <!--root-->
   <!--

    Stylesheet fuer Gasetzbericht

    Version 1.0.0.8
	
	
	21.08.08 Brozio FGH 1.0.0.0	
	17.08.09 Brozio 1.0.0.1 Dokumente
	30.11.09 Brozio 1.0.0.2 Zeitpunkt der Gefahrenabwehr
	27.04.10 Pie    1.0.0.2 Ueberarbeitung TAG Namen
   15.11.10        1.0.0.4 VDN-Daten -> GAS-Daten
   09.10.12        1.0.0.5 formale Fehler Stoerungsbericht
   01.03.13        1.0.0.6 Bemerkungen mit URL
   04.04.13        1.0.0.8 Vorlage zum Abfragen der Referenzversion (fuer Kundenspezifische Versionen im Verzeichnis "system"                


  ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                substituiert ! (z.B. durch "./logo.gif")
                Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"

  Vorgabe der Referzversion
  Wenn beim Kunden eine Version dieser Datei im Verzeichnis "system" generiert wird
  sollte die folgende Referenzversion angepasst werden, sowie in der folgende Zeile
  "check_version" der Wert '0' in '1' geaendert werden
-->
   <xsl:variable name="check_version">0</xsl:variable>
   <!-- Interass Referenzversion 4.2.1.22 -->
   <xsl:variable name="ref_version1">4</xsl:variable>
   <xsl:variable name="ref_version2">2</xsl:variable>
   <xsl:variable name="ref_version3">1</xsl:variable>
   <xsl:variable name="ref_version4">22</xsl:variable>

   <!-- variable "txt_list" will be evaluted by INTERASS.
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as textfiles,
     otherwise a link will be shown
     Default: do not show
     Example: insert "log txt" (without ") below
-->
   <xsl:variable name="txt_list"></xsl:variable>



   <!-- variable "img_list"
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as IMG files,
     otherwise a link will be shown
     Default: do not show
     Example: insert "bmp gif jpg png" (without ") below
-->
   <xsl:variable name="img_list"></xsl:variable>


   <xsl:variable name="vkunden" select="GAS-Daten/Stoerungsdaten/kundenversion"/>
	<xsl:variable name="erfassungsjahr" select="GAS-Daten/Stoerungsdaten/GasStoerung/Allgemeine_Angaben/erfassungsjahr"/>

	<xsl:template match="*|/">
      <html>
         <xsl:apply-templates select="GAS-Daten"/>
      </html>
   </xsl:template>

   <xsl:template match="GAS-Daten">
      <head>
         <title>Strungsbericht</title>
      </head>
      <body LANG="de-DE">
        <xsl:apply-templates select="InterassVersion"/>
        <xsl:apply-templates select="Stoerungsdaten"/>
      </body>
   </xsl:template>


  <!--Versionspruefung-->
  <xsl:template match="InterassVersion">
    <xsl:if test="$check_version='1'">
      <xsl:variable name="ist_version1" select="version1"/>
      <xsl:variable name="ist_version2" select="version2"/>
      <xsl:variable name="ist_version3" select="version3"/>
      <xsl:variable name="ist_version4" select="version4"/>
      <xsl:if test="$ist_version1 > $ref_version1 or $ist_version2 > $ref_version2 or $ist_version3 > $ref_version3 or $ist_version4 > $ref_version4">
        <table>
          <tr>
            <td nowrap="nowrap">
              <b>ACHTUNG die Interass Version ist </b>
            </td>
            <td>
              <xsl:value-of select="version1"/>.
              <xsl:value-of select="version2"/>.
              <xsl:value-of select="version3"/>.
              <xsl:value-of select="version4"/>
            </td>
          </tr>
          <tr>
            <td nowrap="nowrap">
              Referenzversion des Stylesheet ist
            </td>
            <td>
              <xsl:value-of select="$ref_version1"/>.
              <xsl:value-of select="$ref_version2"/>.
              <xsl:value-of select="$ref_version3"/>.
              <xsl:value-of select="$ref_version4"/>
            </td>
          </tr>
          <tr>
            <td colspan="2">
              <b>
                <font color="red">
                  ACHTUNG mglicherweise muss das Stylesheet 'stoerung.xsl' angepasst werden!
                </font>
              </b>
            </td>
          </tr>
        </table>
        <p>&#160;</p>
      </xsl:if>
    </xsl:if>
  </xsl:template>

  <!--Stoerungsdaten-->
   <xsl:template match="Stoerungsdaten">
      <table width="100%" border="1" bordercolor="#111111" cellpadding="3" cellspacing="0" >
         <tr bgcolor="#ffffff">
            <td valign="TOP">
               <P align="CENTER">
                  <img src="$LOGO"/>
               </P>
               <P align="CENTER">
                  <nobr>InterAss</nobr>
                 <br/>
                  <nobr>&#169; FGH GmbH</nobr>
               </P>
            </td>
            <td valign="TOP" width="80%">
               <P align="CENTER">
                  <FONT size="5" style="font-size: 20pt">
                     <nobr>
                        <U>Bericht zur Strung</U>
                     </nobr>
                  </FONT>
               </P>
            </td>
            <td align="right" valign="TOP" width="5%">
               <table border="0">
                  <tr bgcolor="#ffffff">
                     <td>
                        <nobr>Erstellt am:</nobr>
                     </td>
                     <td>
                        <nobr>
                           <xsl:value-of select="datum"/>
                        </nobr>
                     </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                     <td></td>
                     <td>
                        <nobr>
                           <xsl:value-of select="uhrzeit"/>
                        </nobr>
                     </td>
                  </tr>
               </table>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td colspan="3">
               <table border="0" width="100%">
                  <tr bgcolor="#ffffff">
                     <td>
                        <b>Netzbetreiber</b>
                     </td>
                     <td colspan="1">
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/evunummer"/>
                     </td>
                     <td colspan="3">
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/Netzbetreibername"/>
                     </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                     <td>
                        <b>Berichtsjahr</b>
                     </td>
                     <td>
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/erfassungsjahr"/>
                     </td>
                     <td>&#160;</td>
                     <td>
                        <b>Netznummer</b>
                     </td>
                     <td>
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/netz_nr"/>
                     </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                     <td>
                        <b>Netzname</b>
                     </td>
                     <td colspan="4">
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/netzname"/>
                     </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                     <td>
                        <b>Strungsnummer</b>
                     </td>
                     <td colspan="4">
                        <xsl:value-of select="GasStoerung/Allgemeine_Angaben/nummer"/>
                     </td>
                  </tr>
               </table>
            </td>
         </tr>
      </table>

      <xsl:call-template name="Admin"/>
      <xsl:call-template name="Status"/>

      <!-- Info ber Meldungen erst wenn Kriterium meldungsinhalt gefllt ist -->
      <xsl:variable name="meldinhalt" select="GasStoerung/Daten/meldinhalt"/>
      <xsl:choose>
         <xsl:when test="$meldinhalt">
            <xsl:call-template name="Ereignis"/>
            <xsl:call-template name="Weiterleitung"/>
         </xsl:when>
      </xsl:choose>

		<xsl:call-template name="Schaeden"/>

		<xsl:variable name="unfall" select="GasStoerung/Daten/unfall"/>
		<xsl:if test="$unfall ='Ja'">
			<xsl:call-template name="Unfall"/>
		</xsl:if>

		<xsl:variable name="re" select="GasStoerung/Daten/re"/>
		<xsl:if test="$re ='1'">
		   <xsl:call-template name="VUS"/>
		</xsl:if>

      <xsl:call-template name="Bemerkungen">
         <xsl:with-param name="kapein" select="3"/>
      </xsl:call-template>
      <xsl:call-template name="Dokumente"/>

   </xsl:template>


   <xsl:template name="Admin">
      <!-- Administrative Angaben -->
      <h1>
         <U>1. Administrative Angaben</U>
      </h1>
      <table>
         <tr bgcolor="#ffffff">
            <td>
               <b>Datum letzte nderung:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/aktuelldatum"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Sachberarbeiter:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/lastedit_name"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Datum erste nderung:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/erstelldatum"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Sachberarbeiter:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ersteller"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Datenbank ID Strung:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stid"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Datenbank ID Netz:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/netzid"/>
            </td>
         </tr>
      </table>

   </xsl:template>


   <xsl:template name="Status">
      <!-- Status der Strung -->
      <h1>
         <U>2. Status der Strung</U>
      </h1>
      <table>
         <tr bgcolor="#ffffff">
            <td>
               <b>Status der Prfung:</b>
            </td>
            <xsl:variable name="pstatus" select="GasStoerung/Daten/pstatus"/>
            <xsl:if test="$pstatus='0'">
               <td>Nein</td>
            </xsl:if>
            <xsl:if test="$pstatus='1'">
               <td>Ok</td>
            </xsl:if>
            <xsl:if test="$pstatus='2'">
               <td>Fehler</td>
            </xsl:if>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Bearbeitung abgeschlossen:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/abgeschlossen/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Fehlmeldung:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/fehlmeldung/@text"/>
            </td>
         </tr>
			<tr bgcolor="#ffffff">
            <td>
               <b>Versorgungsunterbrechung:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/vu_vorhanden/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Unfall:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/unfall/@text"/>
            </td>
         </tr>
      </table>
   </xsl:template>


   <xsl:template name="Meldung">
      <!-- Meldung der Strung -->
      <h1>
         <U>3. Meldung der Strung</U>
      </h1>
      <table>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungszeitpunkt:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldzeit"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldender:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldender"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Strasse:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldstrasse"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Hausnummer:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldhausnr"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ort:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldort"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungstext:</b>
            </td>
            <td>&#160;</td>
            <xsl:for-each select="GasStoerung/Meldetext/item">
               <tr bgcolor="#ffffff">
                  <td>&#160;</td>
                  <td colspan="2">
                     <!-- xsl:value-of select="position()" / -->
                     <xsl:value-of select="."/>
                  </td>
               </tr>
            </xsl:for-each>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Weitergeleitet an:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/weitergeleitet_an"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Weitergeleitet um:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/weitergeleitet_um"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ankunft vor Ort durch:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ankunft_von"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ankunft um:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ankunft_um"/>
            </td>
         </tr>
      </table>
   </xsl:template>


   <xsl:template name="Ereignis">
      <!-- Ereignis der Strung -->
      <h1>
         <U>3. Ereignis</U>
      </h1>
		<table width="100%">
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungszeitpunkt:</b>
            </td>
            <td colspan="3">
               <xsl:value-of select="GasStoerung/Daten/meldzeit"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldung erfasst von:</b>
            </td>
            <td colspan="3">
               <xsl:value-of select="GasStoerung/Daten/melderfasser"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td colspan="2">
               <b>Anrufer:</b>
            </td>
            <td>&#160;</td>
            <td colspan="2">
               <b>Strungsort:</b>
            </td>
         </tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Name:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/meldname"/>
				</td>
				<td>&#160;</td>
				<td>
					<b>Name:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/stoername"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Firma:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/meldfirma"/>
				</td>
				<td>&#160;</td>
				<td>
					<b>Firma:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/stoerfirma"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Telefon:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/meldtelefon"/>
				</td>
				<td>&#160;</td>
				<td>
					<b>Telefon:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/stoertelefon"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
            <td>
               <b>Strasse:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldstrasse"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Strasse:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerstrasse"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Hausnummer:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldhausnr"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Hausnummer:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerhausnr"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>PLZ:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldplz"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>PLZ:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerplz"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ort:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldort"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Ort:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerort"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Ortsteil:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/meldortsteil"/>
            </td>
            <td>&#160;</td>
            <td>
               <b>Ortsteil:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/stoerortsteil"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Netzbetreiber:</b>
            </td>
            <td colspan="3">
               <xsl:value-of select="GasStoerung/Allgemeine_Angaben/Netzbetreibername"/>
            </td>
         </tr>
         <xsl:if test="$vkunden='1'">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Betroffenes NC:</b>
               </td>
               <td colspan="3">
                  <xsl:value-of select="GasStoerung/Daten/kc"/>
               </td>
            </tr>
         </xsl:if>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungsinhalt:</b>
            </td>
            <td colspan="3">
               <xsl:value-of select="GasStoerung/Daten/meldinhalt/@text"/>
            </td>
         </tr>
         <xsl:if test="$vkunden='1'">
            <tr bgcolor="#ffffff">
               <td>
                  <b>Alarmstufe:</b>
               </td>
               <td colspan="3">
                  <xsl:value-of select="GasStoerung/Daten/alarmstufe"/>
               </td>
            </tr>
         </xsl:if>
         <tr bgcolor="#ffffff">
            <td>
               <b>Meldungstext:</b>
            </td>
         </tr>
         <xsl:for-each select="GasStoerung/Meldetext/item">
            <tr bgcolor="#ffffff">
               <td colspan="4">
                  <!-- xsl:value-of select="position()" / -->
                  <xsl:value-of select="."/>
               </td>
            </tr>
         </xsl:for-each>
      </table>
   </xsl:template>


   <xsl:template name="Weiterleitung">
      <!-- Weiterleitung der Strung -->
      <h1>
         <U>4. Weiterleitung</U>
      </h1>
      <table>
         <xsl:variable name="wl_an1" select="GasStoerung/Daten/wl_an1"/>
         <xsl:variable name="wl_an2" select="GasStoerung/Daten/wl_an2"/>
         <xsl:variable name="wl_an3" select="GasStoerung/Daten/wl_an3"/>
         <xsl:variable name="wl_an9" select="GasStoerung/Daten/wl_an9"/>
         <xsl:choose>
            <xsl:when test="$wl_an1">
               <tr bgcolor="#ffffff">
                  <td>
                     <b>Weitergegeben an:</b>
                  </td>
                  <td>
                     <xsl:value-of select="$wl_an1"/>
                  </td>
                  <td>
                     <b>um:</b>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Daten/wl_um1"/>
                  </td>
               </tr>
            </xsl:when>
         </xsl:choose>
         <xsl:choose>
            <xsl:when test="$wl_an2">
               <tr bgcolor="#ffffff">
                  <td>
                     <b>Ankunft vor Ort von:</b>
                  </td>
                  <td>
                     <xsl:value-of select="$wl_an2"/>
                  </td>
                  <td>
                     <b>um:</b>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Daten/wl_um2"/>
                  </td>
               </tr>
            </xsl:when>
         </xsl:choose>
         <xsl:choose>
            <xsl:when test="$wl_an3">
               <tr bgcolor="#ffffff">
                  <td>
                     <b>Weitergegeben an (2. Person):</b>
                  </td>
                  <td>
                     <xsl:value-of select="$wl_an3"/>
                  </td>
                  <td>
                     <b>um:</b>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Daten/wl_um3"/>
                  </td>
               </tr>
            </xsl:when>
         </xsl:choose>
         <xsl:choose>
            <xsl:when test="$wl_an9">
               <tr bgcolor="#ffffff">
                  <td>
                     <b>Schaden behoben:</b>
                  </td>
                  <td>
                     <xsl:value-of select="$wl_an9"/>
                  </td>
                  <td>
                     <b>um:</b>
                  </td>
                  <td>
                     <xsl:value-of select="GasStoerung/Daten/wl_um9"/>
                  </td>
               </tr>
            </xsl:when>
         </xsl:choose>
      </table>
   </xsl:template>


   <!--Schaeden-->
   <xsl:template name="Schaeden">
   <h1>
      <U>5. Schden</U>
   </h1>
		<xsl:variable name="gasaustritt" select="GasStoerung/Schaeden/Schaden/gasaustritt"/>
		<xsl:if test="$gasaustritt ='1'">
			<P><b>Gasaustritt</b></P>
		</xsl:if>
		<xsl:variable name="bereitschaft" select="GasStoerung/Schaeden/Schaden/bereitschaft"/>
		<xsl:if test="$bereitschaft ='1'">
			<P><b>Bereitschaftsdienst</b></P>
		</xsl:if>
		<xsl:variable name="baggerschaden" select="GasStoerung/Schaeden/Schaden/baggerschaden"/>
		<xsl:if test="$baggerschaden ='1'">
			<P><b>Baggerschaden</b></P>
		</xsl:if>
		<P>&#160;</P>

		<xsl:for-each select="GasStoerung/Schaeden/Schaden">
      <table>
			<tr bgcolor="#ffffff">
            <td align="left">
               <b>Grund:</b>
            </td>
            <td>
               <xsl:value-of select="grund"/>
            </td>
            <td>
               <xsl:value-of select="grund/@text"/>
            </td>
         </tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Druck:</b>
				</td>
				<td>
					<xsl:value-of select="druck"/>
				</td>
				<td>
					<xsl:value-of select="druck/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Werkstoff / Anlage:</b>
				</td>
				<td>
					<xsl:value-of select="werkstoff"/>
				</td>
				<td>
					<xsl:value-of select="werkstoff/@text"/>
				</td>
			</tr>
		</table>
   </xsl:for-each>
	<table>
	<tr bgcolor="#ffffff">
		<td>
			<b>Schadens-/Strungsart:</b>
		</td>
		<td>&#160;</td>
		<xsl:for-each select="GasStoerung/Schaeden/Schaden/SchadenKommentar/item">
			<tr bgcolor="#ffffff">
				<td>&#160;</td>
				<td>
					<!-- xsl:value-of select="position()" / -->
					<xsl:value-of select="."/>
				</td>
			</tr>
		</xsl:for-each>
	</tr>
	</table>
	<xsl:variable name="messgeraet" select="GasStoerung/Schaeden/Schaden/messgeraet"/>
		<xsl:if test="$messgeraet">
		<P><b>Gaskonzentrationsmegert:</b><xsl:value-of select="GasStoerung/Schaeden/Schaden/messgeraet"/></P>
	</xsl:if>

   </xsl:template>


   <!--Unfall-->
   <xsl:template name="Unfall">
      <h1>
         <U>6. Unfall</U>
      </h1>
      <table>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Ansprechpartner Name:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/unameansprech"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Ansprechpartner Telefon:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/utelefonansprech"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Ansprechpartner E-Mail:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/uemailansprech"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
            <td align="left">
               <b>Unfallort:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uo"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uo/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Anzahl Verletzte:</b>
            </td>
            <td align="left">
               <xsl:value-of select="GasStoerung/Daten/uva"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Anzahl Tote:</b>
            </td>
            <td align="left">
               <xsl:value-of select="GasStoerung/Daten/uta"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Sachschaden:</b>
            </td>
            <td align="left">
               <xsl:value-of select="GasStoerung/Daten/ugs"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Unfallart:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ua"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/ua/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Unfallursache:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uus"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uus/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Anlagenart:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uar"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/uar/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td align="left">
               <b>Rohrmaterial:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/urm"/>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Daten/urm/@text"/>
            </td>
         </tr>
      </table>
		<P>&#160;</P>

	</xsl:template>


   <!--VUS-->
   <xsl:template name="VUS">
      <h1>
         <U>7. Versorgungsunterbrechungen</U>
      </h1>
      <table>
         <tr bgcolor="#ffffff">
            <td>
               <b>Beginn der Versorgungsunterbr.:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/vu_ausfallzeitbeginn"/>
            </td>
            <td>
               <b>Dauer [h:mm]:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/sdauer/@text"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Berechn. Ende der Versorgungsunterbr.:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/vu_ausfallzeitende"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Unterbrochene Letztverbraucher:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/vu_sum_lv_kg1"/>
            </td>
         </tr>
         <tr bgcolor="#ffffff">
            <td>
               <b>Unterbrochene LetztverbraucherMinuten:</b>
            </td>
            <td>
               <xsl:value-of select="GasStoerung/Versorgungsstufen/vu_sum_lvmin_kg1"/>
            </td>
         </tr>
       </table>
      <br></br>
      <br></br>
      <table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
         <tr bgcolor="#ffffff">
            <td width=" 8%">
               <b>Relev.:</b>
            </td>
            <td width="15%">
               <b>Beginn:</b>
            </td>
            <td width="15%">
               <b>Ende:</b>
            </td>
            <td width="15%">
               <b>Unterbr. LV:</b>
            </td>
            <td width="15%">
               <b>Netzebene:</b>
            </td>
            <td width="5%">
               <b>Fremdver-ursacht:</b>
            </td>
         </tr>
         <xsl:for-each select="GasStoerung/Versorgungsstufen/Versorgungsstufe">
            <tr bgcolor="#ffffff">
               <td width=" 8%">
                  <xsl:value-of select="relevant/@text"/>
               </td>
               <td width="15%">
                  <xsl:value-of select="vu_beginn"/>
               </td>
               <td width="15%">
                  <xsl:value-of select="vu_ende"/>
               </td>
               <td width="15%">
                  <xsl:value-of select="lv"/>
               </td>
               <td width="15%">
                  <xsl:value-of select="netzebene"/>
               </td>
               <td width=" 8%">
                  <xsl:value-of select="fremdverursacht"/>
               </td>
            </tr>
         </xsl:for-each>
      </table>

   </xsl:template>


   <xsl:template name="Bemerkungen">
      <xsl:variable name="gefunden" select="GasStoerung/Bemerkung/item"/>
      <xsl:choose>
         <xsl:when test="$gefunden">
            <h1>
               <U>8. Bemerkungen</U>
            </h1>
            <table>
               <xsl:for-each select="GasStoerung/Bemerkung/item">
                  <tr bgcolor="#ffffff">
                     <td>
                        <xsl:value-of select="."/>
                     </td>
                  </tr>
               </xsl:for-each>
            </table>
         </xsl:when>
      </xsl:choose>
      <xsl:variable name="gefundenz" select="GasStoerung/Bemerkung/zeile"/>
      <xsl:choose>
         <xsl:when test="$gefundenz">
            <h1>
               <U>8. Bemerkungen</U>
            </h1>
            <table>
               <xsl:for-each select="GasStoerung/Bemerkung/zeile">
                  <xsl:call-template name="ZEILE"/>
               </xsl:for-each>
            </table>
         </xsl:when>
      </xsl:choose>
   </xsl:template>



   <xsl:template name="Dokumente">
      <h1>
         <U>9. Dokumente:</U>
      </h1>
      <table>
         <xsl:for-each select="GasStoerung/Dokumente/doc">
            <xsl:variable name="vopt" select="./@type"/>
            <xsl:call-template name="test_txt_filetypes">
               <xsl:with-param name="list">
                  <xsl:value-of select="$txt_list" />
               </xsl:with-param>
               <xsl:with-param name="ist_typ">
                  <xsl:value-of select="$vopt" />
               </xsl:with-param>
               <xsl:with-param name="cur_name" select="." />
               <xsl:with-param name="cur_desc" select="./@desc" />
            </xsl:call-template>
            <tr bgcolor="#ffffff">
               <td>&#160;</td>
            </tr>
         </xsl:for-each>
      </table>
   </xsl:template>

   <xsl:template name="test_txt_filetypes">
      <xsl:param name="list" />
      <xsl:param name="ist_typ" />
      <xsl:param name="cur_name" />
      <xsl:param name="cur_desc" />

      <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" />
      <xsl:variable name="first" select="substring-before($newlist, ' ')" />
      <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
      <xsl:variable name="vreftyp" select="$first"/>
      <xsl:choose>
         <xsl:when test="$vreftyp=$ist_typ">

            <!-- txt Filetype gefunden -->
            <xsl:call-template name="mtext"/>

         </xsl:when>
         <xsl:otherwise>
            <xsl:choose>
               <xsl:when test="$remaining">
                  <!-- weiteres Listenelement vorhanden, also weitersuchen -->

                  <xsl:call-template name="test_txt_filetypes">
                     <xsl:with-param name="list" select="$remaining" />
                     <xsl:with-param name="ist_typ" select="$ist_typ" />
                     <xsl:with-param name="cur_name" select="$cur_name" />
                     <xsl:with-param name="cur_desc" select="$cur_desc" />
                  </xsl:call-template>
               </xsl:when>
               <xsl:otherwise>

                  <!-- Dateityp nicht in der Liste   img_list -->

                  <xsl:call-template name="test_img_filetypes">
                     <xsl:with-param name="list">
                        <xsl:value-of select="$img_list" />
                     </xsl:with-param>
                     <xsl:with-param name="ist_typ"  select="$ist_typ" />
                     <xsl:with-param name="cur_name" select="$cur_name" />
                     <xsl:with-param name="cur_desc" select="$cur_desc" />
                  </xsl:call-template>

               </xsl:otherwise>
            </xsl:choose>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>


   <xsl:template name="test_img_filetypes">
      <xsl:param name="list" />
      <xsl:param name="ist_typ" />
      <xsl:param name="cur_name" />
      <xsl:param name="cur_desc" />

      <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" />
      <xsl:variable name="first" select="substring-before($newlist, ' ')" />
      <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
      <xsl:variable name="vreftyp" select="$first"/>
      <xsl:choose>
         <xsl:when test="$vreftyp=$ist_typ">

            <!-- IMG Filetype gefunden -->
            <xsl:call-template name="mimage"/>

         </xsl:when>
         <xsl:otherwise>
            <xsl:choose>
               <xsl:when test="$remaining">
                  <!-- weiteres Listenelement vorhanden, also weitersuchen -->

                  <xsl:call-template name="test_img_filetypes">
                     <xsl:with-param name="list" select="$remaining" />
                     <xsl:with-param name="ist_typ" select="$ist_typ" />
                     <xsl:with-param name="cur_name" select="$cur_name" />
                     <xsl:with-param name="cur_desc" select="$cur_desc" />
                  </xsl:call-template>
               </xsl:when>
               <xsl:otherwise>

                  <!-- Dateityp nicht in der Liste   img_list -->

                  <tr bgcolor="#ffffff">
                     <td>
                        <a>
                           <xsl:attribute name="href">
                              $XWDIR<xsl:value-of select="$cur_name"/>
                           </xsl:attribute>
                           <xsl:value-of select="$cur_desc"/>
                        </a>
                     </td>
                  </tr>

               </xsl:otherwise>
            </xsl:choose>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>


   <xsl:template name="mimage">
      <tr bgcolor="#ffffff">
         <td>
            Bilddokument "<xsl:value-of select="./@desc"/>"
         </td>
      </tr>
      <tr bgcolor="#ffffff">
         <td>
            <xsl:element name="IMG">
               <xsl:attribute name="SRC">
                  $XWDIR<xsl:value-of select="."/>
               </xsl:attribute>
            </xsl:element>
         </td>
      </tr>
   </xsl:template>

   <xsl:template name="mtext">
      <tr bgcolor="#ffffff">
         <td>
            Textdokument "<xsl:value-of select="./@desc"/>"
         </td>
      </tr>
      <tr bgcolor="#ffffff">
         <td>
            <table>
               <xsl:for-each select="./item">
                  <tr bgcolor="#ffffff">
                     <td>&#160;</td>
                     <td>
                        <xsl:value-of select="."/>
                     </td>
                  </tr>
               </xsl:for-each>
            </table>
         </td>
      </tr>
   </xsl:template>

   <xsl:template name="ZEILE">
      <tr>
         <td>
            <xsl:for-each select="part">
               <xsl:value-of select="itemp"/>
               <xsl:apply-templates select="url"/>
            </xsl:for-each>
         </td>
      </tr>
   </xsl:template>
   <xsl:template match="url">
      <a>
         <xsl:attribute name="href">
            <xsl:value-of select="." />
         </xsl:attribute>
         <xsl:value-of select="." />
      </a>
   </xsl:template>


	<xsl:template name="Art_der_Meldung">
		<!-- Art der Meldung -->
		<h1>
			<U>5. Art der Meldung</U>
		</h1>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Strungsbeginn:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/ta"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Art der Meldung:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/meldart"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Ereignis:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/ua/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Strungsort:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/stoerungsort/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Undichtigkeit:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/undichtigkeit"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Sprmethode:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/spuermethode"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Sprwert [%]:</b>
				</td>
				<td>
					<xsl:value-of select="GasStoerung/Daten/spuerwert"/>
				</td>
			</tr>

		</table>
	</xsl:template>

	
</xsl:stylesheet>
