<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Strommeldung

    Version 1.0.0.1
	
	 30.07.09 Brozio FGH 1.0.0.0
    04.04.13 Pie    1.0.0.1


    ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
-->

<xsl:variable name="vkunden" select="VDN-Daten/Stoerungsdaten/kundenversion"/>

<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="VDN-Daten"/>
		<xsl:apply-templates select="VEOE-Daten"/>
	</html>
</xsl:template>

<xsl:template match="VDN-Daten">
	<head>
		<title>Strungsbericht</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Stoerungsdaten"/>
	</body>
</xsl:template>


<xsl:template match="VEOE-Daten">
	<head>
		<title>Netzbericht</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Stoerungsdaten"/>
	</body>
</xsl:template>


<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">
	<table border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td valign="TOP">
            <P align="CENTER"><img src="$LOGO"/></P>
            <P align="CENTER">
              <nobr>InterAss</nobr>
              <br/>
              <nobr>&#169; FGH GmbH</nobr>
            </P>
         </td>
         <td valign="TOP" width="60%">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr><U>Meldung</U></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td><nobr>Erstellt am:</nobr></td>
				   <td><nobr><xsl:value-of select="datum"/></nobr></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td></td>
				   <td><nobr><xsl:value-of select="uhrzeit"/></nobr></td>
               </tr>
             </table>
         </td>
      </tr>
      <tr bgcolor="#ffffff">
		<td colspan="4">
			<table>
				<tr bgcolor="#ffffff">
					<td><b>Berichtsjahr</b></td>
					<td colspan="1"><xsl:value-of select="Berichtsjahr"/></td>
				</tr>
			</table>
		</td>
      </tr>
	</table>

	<xsl:call-template name="Ereignis"/>
	<xsl:call-template name="Weiterleitung"/>

	<xsl:call-template name="Bemerkungen"><xsl:with-param name="kapein" select="3"/></xsl:call-template>

</xsl:template>



<xsl:template name="Ereignis">
<!-- Ereignis der Strung -->
<h1><U>1. Ereignis</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Meldungszeitpunkt:</b></td>
            <td colspan="4"><xsl:value-of select="Stoerung/Meldung/meldzeit"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Meldung erfasst von:</b></td>
		    <td colspan="4"><xsl:value-of select="Stoerung/Meldung/melderfasser"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td colspan="2"><b>Anrufer:</b></td>
			<td>&#160;</td>	
			<td colspan="2"><b>Strungsort:</b></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Name/Firma:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/meldname"/></td>
			<td>&#160;</td>	
			<td><b>Name/Firma:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/stoername"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Telefon:</b></td>
		    <td colspan="4"><xsl:value-of select="Stoerung/Meldung/meldtelefon"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Strasse:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/meldstrasse"/></td>
			<td>&#160;</td>	
			<td><b>Strasse:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/stoerstrasse"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Hausnummer:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/meldhausnr"/></td>
			<td>&#160;</td>	
			<td><b>Hausnummer:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/stoerhausnr"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>PLZ:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/meldplz"/></td>
			<td>&#160;</td>	
			<td><b>PLZ:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/stoerplz"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Ort:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/meldort"/></td>
			<td>&#160;</td>	
			<td><b>Ort:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/stoerort"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Ortsteil:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/meldortsteil"/></td>
			<td>&#160;</td>	
			<td><b>Ortsteil:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/stoerortsteil"/></td>
		</tr>
	</table>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Meldungsinhalt:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/meldinhalt"/></td>
		</tr>
		<tr bgcolor="#ffffff">
            <td><b>Meldungstext:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/meldtext"/></td>
		</tr>
	</table>
</xsl:template>


<xsl:template name="Weiterleitung">
<!-- Weiterleitung der Strung -->
<h1><U>2. Weiterleitung</U></h1>
	<table>
	<xsl:variable name="wl_an1" select="Stoerung/Meldung/wl_an1"/>
	<xsl:variable name="wl_an2" select="Stoerung/Meldung/wl_an2"/>
	<xsl:variable name="wl_an3" select="Stoerung/Meldung/wl_an3"/>
	<xsl:variable name="wl_an4" select="Stoerung/Meldung/wl_an4"/>
	<xsl:variable name="wl_an5" select="Stoerung/Meldung/wl_an5"/>
	<xsl:variable name="wl_an6" select="Stoerung/Meldung/wl_an6"/>
	<xsl:variable name="wl_an7" select="Stoerung/Meldung/wl_an7"/>
	<xsl:variable name="wl_an8" select="Stoerung/Meldung/wl_an8"/>
	<xsl:variable name="wl_an9" select="Stoerung/Meldung/wl_an9"/>
	<xsl:choose><xsl:when test="$wl_an1">
		<tr bgcolor="#ffffff">
			<td><b>Weiterl. Ersteinsatz an:</b></td>
		    <td><xsl:value-of select="$wl_an1"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um1"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an2">
		<tr bgcolor="#ffffff">
			<td><b>Ankunft vor Ort von:</b></td>
		    <td><xsl:value-of select="$wl_an2"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um2"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an3">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Strungsbehebung:</b></td>
		    <td><xsl:value-of select="$wl_an3"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um3"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an4">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Koordination:</b></td>
		    <td><xsl:value-of select="$wl_an4"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um4"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an5">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Polizei:</b></td>
		    <td><xsl:value-of select="$wl_an5"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um5"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an6">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Feuerwehr:</b></td>
		    <td><xsl:value-of select="$wl_an6"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um6"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an7">
		<tr bgcolor="#ffffff">
			<td><b>Verst. Notarzt:</b></td>
		    <td><xsl:value-of select="$wl_an7"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um7"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an8">
		<tr bgcolor="#ffffff">
			<td><b>Verst. zus. Person1:</b></td>
		    <td><xsl:value-of select="$wl_an8"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um8"/></td>
		</tr>
	</xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$wl_an9">
		<tr bgcolor="#ffffff">
			<td><b>Verst. zus. Person2:</b></td>
		    <td><xsl:value-of select="$wl_an9"/></td>
			<td><b>um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um9"/></td>
		</tr>
	</xsl:when></xsl:choose>
	</table>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Strung abgeschlossen um:</b></td>
		    <td><xsl:value-of select="Stoerung/Meldung/wl_um10"/></td>
		</tr>
	</table>
</xsl:template>


<xsl:template name="Bemerkungen">
<xsl:variable name="gefunden" select="Stoerung/Bemerkungen/item"/>
<xsl:choose><xsl:when test="$gefunden">
<h1><U>3. Bemerkungen</U></h1>
<table>
  <xsl:for-each select="Stoerung/Bemerkungen/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:when></xsl:choose>
</xsl:template>




</xsl:stylesheet>
