<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

   Stylesheet fuer Netzbericht

   Version 1.0.0.9
	
	
	...	
   07.02.08 Pietsch konfiguration fr Schadenserfassung
   24.02.11         DE HS/HS nach Schema A
   20.03.13         Formatierung Kopfzeilen, Ve Schema A NS
   04.04.13         1.0.0.8
   24.11.14         Komponenten OE
   28.11.14         OE einspeisendes Netz
	10.12.14	Brozio  Industrienetz
            Pietsch Komponenten OE


    ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
-->

<xsl:variable name="veoe" select="VEOE-Daten"/>
<xsl:variable name="schema_bv" select="VEOE-Daten/Netzdaten/Netz/Freileitungen_Kabel"/>
<xsl:variable name="spgv" select="VEOE-Daten/Netzdaten/Netz/Allgemeine_Angaben/Spannungsgruppe"/>
<xsl:variable name="anz_netzev" select="VEOE-Daten/Netzdaten/Netz/Allgemeine_Angaben/Anzahl_Netze"/>
<xsl:variable name="anz_kundenv" select="VEOE-Daten/Netzdaten/Netz/Allgemeine_Angaben/Netzkunden"/>
<xsl:variable name="energiev" select="VEOE-Daten/Netzdaten/Netz/Allgemeine_Angaben/Uebertragene_Energie"/>

<xsl:variable name="schema_b" select="VDN-Daten/Netzdaten/Netz/Freileitungen_Kabel"/>
<xsl:variable name="berichtsjahr" select="VDN-Daten/Netzdaten/Berichtsjahr"/>
<xsl:variable name="anz_netze" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Anzahl_Netze"/>
<xsl:variable name="anz_kunden1" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Netzkunden"/>
<xsl:variable name="anz_kunden2" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Letztverbraucher"/>
<xsl:variable name="spg" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Spannungsgruppe"/>
<xsl:variable name="energie" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Uebertragene_Energie"/>
<xsl:variable name="betriebsstuetzpunkt" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Betriebsstuetzpunkt"/>
<xsl:variable name="konfiguration" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Konfiguration"/>
<xsl:variable name="schema_i" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Industrienetz"/>


	<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="VDN-Daten"/>
		<xsl:apply-templates select="VEOE-Daten"/>
	</html>
</xsl:template>

<xsl:template match="VDN-Daten">
	<head>
		<title>Netzbericht</title>
	</head>
	<body LANG="de-DE">
	  <xsl:apply-templates select="Netzdaten"/>
      <xsl:if test="$schema_b">
	     <xsl:apply-templates select="Netzdaten/Netz/Freileitungen_Kabel"/>
        <xsl:choose><xsl:when test="$berichtsjahr >2005">
          <xsl:choose><xsl:when test="$spg &lt; 5 and $spg &gt; 0">
            <xsl:call-template name="Ortsnetzstationen"><xsl:with-param name="spgcond" select="$spg &lt; 5"/></xsl:call-template>
            <xsl:call-template name="REST"><xsl:with-param name="kapein" select="3+1"/></xsl:call-template>
          </xsl:when><xsl:otherwise>
            <xsl:call-template name="REST"><xsl:with-param name="kapein" select="3"/></xsl:call-template>
          </xsl:otherwise></xsl:choose>
        </xsl:when><xsl:otherwise>
           <xsl:call-template name="Ortsnetzstationen"><xsl:with-param name="spgcond" select="$spg &lt; 4"/></xsl:call-template>
           <xsl:call-template name="REST"><xsl:with-param name="kapein" select="3+1"/></xsl:call-template>
        </xsl:otherwise></xsl:choose>
      </xsl:if>
	</body>
</xsl:template>


<xsl:template match="VEOE-Daten">
	<head>
		<title>Netzbericht</title>
	</head>
	<body LANG="de-DE">
	  <xsl:apply-templates select="Netzdaten"/>
      <xsl:if test="$schema_bv">
	     <xsl:apply-templates select="Netzdaten/Netz/Freileitungen_Kabel"/>
        <xsl:call-template name="Ortsnetzstationen"><xsl:with-param name="spgcond" select="$spgv &lt; 4"/></xsl:call-template>
        <xsl:call-template name="REST"><xsl:with-param name="kapein" select="3+1"/></xsl:call-template>
      </xsl:if>
	</body>
</xsl:template>


<!--Netzdaten-->
<xsl:template match="Netzdaten">
	<table border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" width="100%">
      <tr bgcolor="#ffffff">
         <td valign="TOP" width="10%">
            <P align="CENTER"><img src="$LOGO"/></P>
            <P align="CENTER">
              <nobr>InterAss</nobr>
              <br/>
              <nobr>&#169; FGH GmbH</nobr>
            </P>
         </td>
         <td valign="TOP">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr><U>Bericht zum Netz</U></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP" width="10%">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td><nobr>Erstellt am:</nobr></td>
				   <td><nobr><xsl:value-of select="datum"/></nobr></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td></td>
				   <td><nobr><xsl:value-of select="uhrzeit"/></nobr></td>
               </tr>
             </table>
         </td>
      </tr>
      <tr bgcolor="#ffffff">
		<td colspan="3">
         <table width="100%">
				<tr bgcolor="#ffffff">
					<td><b>Netzbetreiber</b></td>
					<td colspan="1"><xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibernummer"/></td>
					<td colspan="3"><xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibername"/></td>
					<td></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Berichtsjahr</b></td>
					<td colspan="1"><xsl:value-of select="Berichtsjahr"/></td>
					<td></td>
					<td><b>Netznummer</b></td>
					<td><xsl:value-of select="Netz/Allgemeine_Angaben/Netznummer"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Netzname</b></td>
					<td colspan="4"><xsl:value-of select="Netz/Allgemeine_Angaben/Netzname"/></td>
				</tr>
                <xsl:choose><xsl:when test="$veoe"></xsl:when><xsl:otherwise>
				    <tr bgcolor="#ffffff">
					    <td><b>BNA-Betriebsnummer</b></td>
					    <td colspan="1"><xsl:value-of select="Netz/Allgemeine_Angaben/BNANetzbetreibernummer"/></td>
					    <td></td>
					    <td><b>BNA-Netznummer</b></td>
					    <td><xsl:value-of select="Netz/Allgemeine_Angaben/Netzgebietsnummer"/></td>
				    </tr>
                </xsl:otherwise></xsl:choose>
				<tr bgcolor="#ffffff">
					<td><b>Spgs.gruppe</b></td>
					<td><xsl:value-of select="Netz/Allgemeine_Angaben/Spannungsgruppe"/></td>
					<td><xsl:value-of select="Netz/Allgemeine_Angaben/Spannungsgruppe/@text"/></td>
               <xsl:apply-templates select="Netz/Allgemeine_Angaben/Nennspannung"/>
				</tr>
            <xsl:apply-templates select="Netz/Allgemeine_Angaben/Netzart"/>
				<xsl:variable name="stpt" select="Netz/Allgemeine_Angaben/Sternpunktbehandlung/@text"/>
				<xsl:variable name="esf"  select="Netz/Allgemeine_Angaben/ES_Erfassung"/>
				<xsl:variable name="esft" select="Netz/Allgemeine_Angaben/ES_Erfassung/@text"/>
				<xsl:for-each select="Netz/Allgemeine_Angaben/Sternpunktbehandlung">
				<tr bgcolor="#ffffff">
					<td><b>Sternpunktb.</b></td>
					<td><xsl:value-of select="."/></td>
					<td><xsl:value-of select="$stpt"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>ES-Erfassung</b></td>
					<td><xsl:value-of select="$esf"/></td>
					<td><xsl:value-of select="$esft"/></td>
				</tr>
			   </xsl:for-each>
            <xsl:if test="$konfiguration">
				   <xsl:variable name="konfigtext" select="Netz/Allgemeine_Angaben/Konfiguration/@text"/>
                   <tr bgcolor="#ffffff">
                     <td><b>Konfiguration</b></td>
                     <td><xsl:value-of select="$konfiguration"/></td>
                     <td><xsl:value-of select="$konfigtext"/></td>
                   </tr>
            </xsl:if>
				<xsl:if test="$schema_i">
					<tr bgcolor="#ffffff">
						<td colspan="3"><b><xsl:value-of select="Netz/Allgemeine_Angaben/Industrienetz/@text"/></b></td>
					</tr>
				</xsl:if>
			</table>
		</td>
      </tr>
	</table>
	<h1><U>1. Administrative Angaben</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Datum letzte nderung:</b></td>
			<td><xsl:value-of select="Netz/Allgemeine_Angaben/Zeitletzteaenderung"/></td>
			<td></td>
			<td><b>Sachberarbeiter:</b></td>
			<td><xsl:value-of select="Netz/Allgemeine_Angaben/Userletzteaenderung"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Datum erste nderung:</b></td>
			<td><xsl:value-of select="Netz/Allgemeine_Angaben/Zeitersteaenderung"/></td>
			<td></td>
			<td><b>Sachberarbeiter:</b></td>
			<td><xsl:value-of select="Netz/Allgemeine_Angaben/Userersteaenderung"/></td>
		</tr>
      <xsl:variable name="dbid" select="Netz/Allgemeine_Angaben/DatenbankID"/>
		<xsl:if test="$dbid > 0">
			<tr bgcolor="#ffffff">
				<td><b>Datenbank ID</b></td>
				<td><xsl:value-of select="$dbid"/></td>
			</tr>
		</xsl:if>
	</table>
<h1><U>2. Allgemeine Angaben</U></h1>
		<xsl:choose><xsl:when test="$veoe">
        <xsl:choose><xsl:when test="$schema_bv">
		    <xsl:call-template name="Netzdaten_B_VEOE"/>
		  </xsl:when><xsl:otherwise>
		    <xsl:call-template name="Netzdaten_A_VEOE"/>
		  </xsl:otherwise></xsl:choose>

      </xsl:when><xsl:otherwise>
		    <xsl:apply-templates select="Netz/Netzdaten_A"/>
		</xsl:otherwise></xsl:choose>
<table>
 <xsl:choose><xsl:when test="$veoe">
  <xsl:if test="$schema_bv">
  <tr bgcolor="#ffffff">
    <td align="left"><b>Anzahl galv. getrennter Netze:</b></td>
    <td align="left"><xsl:value-of select="$anz_netzev"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Anzahl Netzkunden:</b></td>
    <td align="left"><xsl:value-of select="$anz_kundenv"/></td>
  </tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Gesamtenergieabgabe:</b> [GWh]</td>
		<td align="left"><xsl:value-of select="$energiev"/></td>
		<td align="left"></td>
	</tr>
  </xsl:if>
 </xsl:when><xsl:otherwise>
   <xsl:if test="$schema_b">
  <!-- xsl:if test="$anz_netze" -->
   <tr bgcolor="#ffffff">
      <td align="left"><b>Anzahl galv. getrennter Netze:</b></td>
      <td align="left"><xsl:value-of select="$anz_netze"/></td>
   </tr>
  <xsl:choose><xsl:when test="$berichtsjahr >2005">
      <xsl:if test="$anz_kunden2">
         <tr bgcolor="#ffffff">
         <td align="left"><b>Anzahl Letztverbraucher:</b></td>
         <td align="left"><xsl:value-of select="$anz_kunden2"/></td>
         </tr>
      </xsl:if>
  </xsl:when><xsl:otherwise>
      <xsl:if test="$anz_kunden1">
         <tr bgcolor="#ffffff">
         <td align="left"><b>Anzahl Kunden:</b></td>
         <td align="left"><xsl:value-of select="$anz_kunden1"/></td>
         </tr>
      </xsl:if>
  </xsl:otherwise></xsl:choose>
  <xsl:if test="$energie">
   <tr bgcolor="#ffffff">
		<td align="left"><b>bertragene Energie:</b></td>
		<td align="left"><xsl:value-of select="$energie"/></td>
		<td align="left">[GWh]</td>
	</tr>
  </xsl:if>
 	</xsl:if>	  
</xsl:otherwise></xsl:choose>
</table>
<xsl:if test="$veoe">
  <xsl:if test="$schema_bv">
	<xsl:apply-templates select="Netz/Komponenten"/>
</xsl:if>	  
</xsl:if>	  
				
</xsl:template>

<xsl:template match="Netz/Allgemeine_Angaben/Nennspannung">
  <td align="left"><b>Nennspannung</b></td>
  <td align="left"><xsl:value-of select="."/> kV</td>
</xsl:template>

<xsl:template match="Netz/Allgemeine_Angaben/Netzart">
  <tr bgcolor="#ffffff">
    <td><b>Netzart</b></td>
    <td><xsl:value-of select="."/></td>
    <td><xsl:value-of select="./@text"/></td>
  </tr>
</xsl:template>


<!--Netzdaten_A-->
<xsl:template match="Netz/Netzdaten_A">
<table>
 <xsl:if test="$betriebsstuetzpunkt">
  <tr bgcolor="#ffffff">
    <td align="left"><b>Betriebssttzpunkt:</b></td>
    <td align="right"><xsl:value-of select="../Allgemeine_Angaben/Betriebsstuetzpunkt"/></td>
  </tr>
 </xsl:if>
 <xsl:choose><xsl:when test="$spg &lt; 5">
   <tr bgcolor="#ffffff">
     <td align="left"><b>Stromkreislnge Freileitungen:</b></td>
     <td align="right"><xsl:value-of select="SKL_Freileitung"/></td>
     <td align="left">km</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td align="left"><b>Stromkreislnge Kabel:</b></td>
     <td align="right"><xsl:value-of select="SKL_Kabel"/></td>
     <td align="left">km</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td align="left"><b>Anzahl Ortsnetzstationen:</b></td>
     <td align="right"><xsl:value-of select="Ortsnetzstationen"/></td>
   </tr>
   <xsl:variable name="kundenstationen" select="Kundenstationen"/>
   <xsl:if test="$kundenstationen">
     <tr bgcolor="#ffffff">
         <td align="left"><b>Anzahl Kundenstationen:</b></td>
         <td align="right"><xsl:value-of select="$kundenstationen"/></td>
     </tr>
   </xsl:if>
  </xsl:when></xsl:choose>
  <xsl:choose><xsl:when test="$spg ='0'">
	<tr bgcolor="#ffffff">
		<td align="left"><b>Anzahl Hausanschlsse:</b></td>
		<td align="right"><xsl:value-of select="Hausanschluesse"/></td>
	</tr>
	<xsl:choose><xsl:when test="$berichtsjahr >2005">
	   <tr bgcolor="#ffffff">
		   <td align="left"><b>Anzahl Letztverbraucher:</b></td>
		   <td align="right"><xsl:value-of select="Letztverbraucher"/></td>
	   </tr>
	   <tr bgcolor="#ffffff">
		   <td align="left"><b>Anzahl NS-Verteiler:</b></td>
		   <td align="right"><xsl:value-of select="NS-Verteiler"/></td>
	   </tr>
		<xsl:variable name="wv" select="Letztverbraucher_Weiterverteiler"/>
		<xsl:if test="$wv">
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Anzahl Letztverbraucher Weiterverteiler:</b>
				</td>
				<td align="right">
					<xsl:value-of select="$wv"/>
				</td>
			</tr>
		</xsl:if>
	</xsl:when>
   <xsl:otherwise>
	   <tr bgcolor="#ffffff">
		   <td align="left"><b>Anzahl Netzkunden:</b></td>
		   <td align="right"><xsl:value-of select="Netzkunden"/></td>
	   </tr>
   </xsl:otherwise></xsl:choose>
  </xsl:when>
  <xsl:otherwise>
    <xsl:choose><xsl:when test="$spg &lt; 5">
	  <tr bgcolor="#ffffff">
		<td align="left"><b>Anzahl Felder:</b></td>
		<td align="right"><xsl:value-of select="Felder_Umspannwerke-Schaltstationen"/></td>
	  </tr>
    </xsl:when></xsl:choose>
	<xsl:choose><xsl:when test="$berichtsjahr >2005">
      <xsl:apply-templates select="Ortsnetztransformatoren_Bemessungsscheinleistung"/>
      <xsl:apply-templates select="Netzkuppeltransformatoren_Bemessungsscheinleistung"/>
      <xsl:apply-templates select="Letztverbrauchertransformatoren_Bemessungsscheinleistung"/>
		<xsl:if test="Weiterverteiler_Bemessungsscheinleistung">
			<xsl:apply-templates select="Weiterverteiler_Bemessungsscheinleistung"/>
		</xsl:if>
    </xsl:when><xsl:otherwise>
      <xsl:apply-templates select="Netztransformatoren_Bemessungsscheinleistung"/>
      <xsl:apply-templates select="Kundentransformatoren_Bemessungsscheinleistung"/>
    </xsl:otherwise></xsl:choose>      
  </xsl:otherwise>
</xsl:choose>
</table>
<xsl:call-template name="Bemerkungen2"><xsl:with-param name="kapein" select="3"/></xsl:call-template>
</xsl:template>


<xsl:template match="Netzkuppeltransformatoren_Bemessungsscheinleistung">
  <tr bgcolor="#ffffff">
  <td align="left"><b>Leistung Netzkuppeltrafos:</b></td>
  <td align="right"><xsl:value-of select="."/></td>
  <td align="left">[MVA]</td>
  </tr>
</xsl:template>

<xsl:template match="Ortsnetztransformatoren_Bemessungsscheinleistung">
  <tr bgcolor="#ffffff">
  <td align="left"><b>Leistung Ortsnetztrafos:</b></td>
  <td align="right"><xsl:value-of select="."/></td>
  <td align="left">[MVA]</td>
  </tr>
</xsl:template>

<xsl:template match="Letztverbrauchertransformatoren_Bemessungsscheinleistung">
	<tr bgcolor="#ffffff">
		<td align="left">
			<b>Leistung Letztverbrauchertrafos:</b>
		</td>
		<td align="right">
			<xsl:value-of select="."/>
		</td>
		<td align="left">[MVA]</td>
	</tr>
</xsl:template>

<xsl:template match="Weiterverteiler_Bemessungsscheinleistung">
	<tr bgcolor="#ffffff">
		<td align="left">
			<b>Leistung Weiterverteiler Bemessungsscheinleistung:</b>
		</td>
		<td align="right">
			<xsl:value-of select="."/>
		</td>
		<td align="left">[MVA]</td>
	</tr>
</xsl:template>

<xsl:template name="Netztransformatoren_Bemessungsscheinleistung">
  <tr bgcolor="#ffffff">
  <td align="left"><b>Leistung Netztransformatoren:</b></td>
  <td align="right"><xsl:value-of select="."/></td>
  <td align="left">[MVA]</td>
  </tr>
</xsl:template>

<xsl:template name="Kundentransformatoren_Bemessungsscheinleistung">
  <tr bgcolor="#ffffff">
  <td align="left"><b>Leistung Kundentrafos:</b></td>
  <td align="right"><xsl:value-of select="."/></td>
  <td align="left">[MVA]</td>
  </tr>
</xsl:template>


<!--Netzdaten_A_VEOE-->
<xsl:template name="Netzdaten_A_VEOE">
<xsl:choose><xsl:when test="$spgv >0">
 <table>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Stromkreislnge Freileitungen:</b></td>
    <td align="right"><xsl:value-of select="Netz/Netzdaten_A/SKL_Freileitung"/></td>
    <td align="left">km</td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Stromkreislnge Kabel:</b></td>
    <td align="right"><xsl:value-of select="Netz/Netzdaten_A/SKL_Kabel"/></td>
    <td align="left">km</td>
  </tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Anzahl Umspannwerke:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Umspannwerke_Schaltstationen"/></td>
	</tr>
  <xsl:choose><xsl:when test="$spgv &lt; 4">
   <tr bgcolor="#ffffff">
    <td align="left"><b>Anzahl Ortsnetzstationen:</b></td>
    <td align="right"><xsl:value-of select="Netz/Netzdaten_A/Ortsnetzstationen"/></td>
   </tr>
  </xsl:when></xsl:choose>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Anzahl Netzkunden:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netzkunden"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Gesamtenergieabgabe:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Uebertragene_Energie"/></td>
		<td align="left">GWh</td>
	</tr>
 </table>
  <xsl:apply-templates select="Netz/Komponenten"/>
  <xsl:call-template name="Trafo_A_VEOE"/>
</xsl:when><xsl:otherwise>
   <!-- Niederspannung -->
 <table>
    <xsl:variable name="zzz" select="Netz/Allgemeine_Angaben/Netznummer"/>
    <xsl:choose><xsl:when test="$zzz = 'VEOE_NS_'">
    </xsl:when>
       <xsl:otherwise>
          <tr bgcolor="#ffffff">
             <td align="left">
                <b>Stromkreislnge Freileitungen:</b>
             </td>
             <td align="right">
                <xsl:value-of select="Netz/Netzdaten_A/SKL_Freileitung"/>
             </td>
             <td align="left">km</td>
          </tr>
          <tr bgcolor="#ffffff">
             <td align="left">
                <b>Stromkreislnge Kabel:</b>
             </td>
             <td align="right">
                <xsl:value-of select="Netz/Netzdaten_A/SKL_Kabel"/>
             </td>
             <td align="left">km</td>
          </tr>
          <tr bgcolor="#ffffff">
             <td align="left">
                <b>Anzahl Ortsnetzstationen:</b>
             </td>
             <td align="right">
                <xsl:value-of select="Netz/Netzdaten_A/Ortsnetzstationen"/>
             </td>
          </tr>
        </xsl:otherwise>
    </xsl:choose>    
	<tr bgcolor="#ffffff">
		<td align="left"><b>Anzahl Netzkunden:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netzkunden"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Gesamtenergieabgabe:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Uebertragene_Energie"/></td>
		<td align="left">GWh</td>
	</tr>
   <xsl:apply-templates select="Netz/Netzdaten_A/Einspeisendes_Netz"/>
 </table>
 <xsl:apply-templates select="Netz/Komponenten"/>

  <xsl:call-template name="Bemerkungen1"><xsl:with-param name="kapein" select="3"/></xsl:call-template>
</xsl:otherwise></xsl:choose>
<!-- /xsl:for-each -->
</xsl:template>


<!--Netzdaten_B_VEOE-->
<xsl:template name="Netzdaten_B_VEOE">
<table>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Summe Umspannwerke:</b></td>
    <td align="left"><xsl:value-of select="Netz/Allgemeine_Angaben/Umspannwerke_Schaltstationen"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <xsl:choose><xsl:when test="$spgv &lt; 4">
      <td align="left"><b>Summe Ortsnetzstationen:</b></td>
    </xsl:when><xsl:otherwise>
      <td align="left"><b>Summe Kundenstationen:</b></td>
    </xsl:otherwise></xsl:choose>
    <td align="left"><xsl:value-of select="Netz/Allgemeine_Angaben/Ortsnetzstationen"/></td>
  </tr>
</table>
</xsl:template>

<!-- VEOE Einspeisendes_Netz-->
<xsl:template match="Einspeisendes_Netz">
  <tr bgcolor="#ffffff">
    <td align="left">
      <b>Einspeisendes Netz:</b>
    </td>
    <td align="left" colspan="2">
      <xsl:value-of select="Einsp_Name"/>
    </td>
  </tr>

</xsl:template>

  <!-- VEOE Komponenten-->
  <xsl:template match="Komponenten">
    <table border="0">
      <tr bgcolor="#ffffff">
        <td align="left" colspan="4">
          <b>Klassifizierung der Netzkunden:</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>&#160;</td>
        <td align="center" colspan="3">
          <b>Regionale Klassifikation</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Komponenten der Verwendung</b>
        </td>
        <td align="center">
          <b>stdtisch</b>
        </td>
        <td align="center">
          <b>intermedir</b>
        </td>
        <td align="center">
          <b>lndlich</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>lastganggem. Endverbr.</b>
        </td>
        <td align="center">
          <xsl:value-of select="k00"/>
        </td>
        <td align="center">
          <xsl:value-of select="k01"/>
        </td>
        <td align="center">
          <xsl:value-of select="k02"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>a) Haushalte</b>
        </td>
        <td align="center">
          <xsl:value-of select="k10"/>
        </td>
        <td align="center">
          <xsl:value-of select="k11"/>
        </td>
        <td align="center">
          <xsl:value-of select="k12"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>b) Gewerbe</b>
        </td>
        <td align="center">
          <xsl:value-of select="k20"/>
        </td>
        <td align="center">
          <xsl:value-of select="k21"/>
        </td>
        <td align="center">
          <xsl:value-of select="k22"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>c) Landwirtschaft</b>
        </td>
        <td align="center">
          <xsl:value-of select="k30"/>
        </td>
        <td align="center">
          <xsl:value-of select="k31"/>
        </td>
        <td align="center">
          <xsl:value-of select="k32"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>d) sonstige</b>
        </td>
        <td align="center">
          <xsl:value-of select="k40"/>
        </td>
        <td align="center">
          <xsl:value-of select="k41"/>
        </td>
        <td align="center">
          <xsl:value-of select="k42"/>
        </td>
      </tr>
    </table>
  </xsl:template>


  <!--Freileitungen_Kabel-->
<xsl:template match="Freileitungen_Kabel">
<h1><U>3. Freileitungen+Kabel</U></h1>
<table>
  <tr bgcolor="#ffffff">
    <td align="left" width="25%"><b>Freileitungen [km]:</b></td>
    <td width="25%"></td>
    <td width="25%"></td>
    <td width="25%"></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Trassenlnge Mehrfachleitung:</td>
    <td><xsl:value-of select="Trassenlaenge_Mehrfachleitung"/></td>
    <td></td>
    <td></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Stromkreislnge Freileitungen:</td>
    <td><xsl:value-of select="SKL_Freileitung"/></td>
    <td></td>
    <td></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left" colspan ="4"><b>Stromkreislngen Kabel [km]:</b></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Papierisoliert:</td>
    <td><xsl:value-of select="SKL_Kabel_papierisoliert"/></td>
    <td align="left">lisoliert:</td>
    <td><xsl:value-of select="SKL_Kabel_Oel"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">PE:</td>
    <td><xsl:value-of select="SKL_Kabel_PE"/></td>
    <td align="left">Gasaussendruck:</td>
    <td><xsl:value-of select="SKL_Kabel_Gasaussendruck"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">VPE:</td>
    <td><xsl:value-of select="SKL_Kabel_VPE"/></td>
    <td align="left">Gasinnendruck:</td>
    <td><xsl:value-of select="SKL_Kabel_Gasinnendruck"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Kunststoff sonstige:</td>
    <td><xsl:value-of select="SKL_Kabel_Kunststoff_sonstige"/></td>
    <td align="left">Sonstige:</td>
    <td><xsl:value-of select="SKL_Kabel_sonstige"/></td>
  </tr>
  <xsl:if test="$schema_i">
	  <tr bgcolor="#ffffff">
		  <td align="left" colspan ="4">
			  <b>Anzahl [Drehstromstze]:</b>
		  </td>
	  </tr>
	  <tr bgcolor="#ffffff">
		  <td align="left">Anzahl Muffen:</td>
		  <td>
			  <xsl:value-of select="Muffen"/>
		  </td>
		  <td align="left">Anzahl Endverschlsse:</td>
		  <td>
			  <xsl:value-of select="Endverschluesse"/>
		  </td>
	  </tr> 
  </xsl:if>
</table>
</xsl:template>


<!--Ortsnetzstationen-->
<xsl:template name="Ortsnetzstationen">
<xsl:param name="spgcond" />
<h1><U>4. Ortsnetzstationen</U></h1>
<table>
  <xsl:if test="$spgcond">
  <tr bgcolor="#ffffff">
    <td align="left" width="25%"><b>Anzahl Stationen:</b></td>
    <td width="25%"></td>
    <td align="left" width="25%"><b>Anzahl Felder:</b></td>
    <td width="25%"></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Mast:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Maststationen"/></td>
    <td align="left">Mast:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Maststationen"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Kompakt luftisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Kompaktstationen_luftisoliert"/></td>
    <td>Kompakt luftisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Kompaktstationen_luftisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Kompakt gasisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Kompaktstationen_gasisoliert"/></td>
    <td>Kompakt gasisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Kompaktstationen_gasisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Gebude luftisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Gebaeudestationen_luftisoliert"/></td>
    <td>Gebude luftisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Gebaeudestationen_luftisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Gebude gasisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Gebaeudestationen_gasisoliert"/></td>
    <td>Gebude gasisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Gebaeudestationen_gasisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Einbau luftisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Einbaustationen_luftisoliert"/></td>
    <td>Einbau luftisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Einbaustationen_luftisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Einbau gasisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Einbaustationen_gasisoliert"/></td>
    <td>Einbau gasisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Einbaustationen_gasisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Ortsnetz sonstige:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Ortsnetzstationen_sonstige"/></td>
    <td>Ortsnetz sonstige:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Ortsnetzstationen_sonstige"/></td>
  </tr>
  </xsl:if>
  <xsl:if test="string(Netzdaten/Netz/Ortsnetzstationen/Kundenstationen)">
    <tr bgcolor="#ffffff">
      <td align="left" width="25%">Kundenstationen:</td>
      <td width="25%"><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Kundenstationen"/></td>
      <td width="25%"></td>
      <td width="25%"></td>
    </tr>
  </xsl:if>
</table>
</xsl:template>


<xsl:template name="REST">
<xsl:param name="kapein" />
  <xsl:call-template name="Umspannwerke"><xsl:with-param name="kapein" select="$kapein+1"/></xsl:call-template>
  <xsl:call-template name="Schaltgeraete"><xsl:with-param name="kapein" select="$kapein+2"/></xsl:call-template>
  <xsl:choose><xsl:when test="$spg &gt; 0 or $spgv &gt; 0">
     <xsl:call-template name="Transformatoren"><xsl:with-param name="kapein" select="$kapein+3"/></xsl:call-template>
  </xsl:when><xsl:otherwise>
	 <xsl:call-template name="Letztverbraucher"><xsl:with-param name="kapein" select="$kapein+3"/></xsl:call-template>
  </xsl:otherwise></xsl:choose>
  <xsl:call-template name="Bemerkungen"><xsl:with-param name="kapein" select="$kapein+4"/></xsl:call-template>
</xsl:template>


<!--Umspannwerke-->
<!--xsl:template match="Umspannwerke"-->
<xsl:template name="Umspannwerke">
<xsl:param name="kapein" />
<xsl:choose><xsl:when test="$spg &gt; 0 or $spgv &gt; 0">	
   <h1><U><xsl:value-of select="$kapein"/>. Umspannwerke</U></h1>
</xsl:when><xsl:otherwise>
   <h1><U><xsl:value-of select="$kapein"/>. NS-Schaltanlagen</U></h1>
</xsl:otherwise></xsl:choose>	
<table>
  <tr bgcolor="#ffffff">
    <td align="left" width="33%"><b>Schaltanlagen</b></td>
    <td align="left" width="33%"><b>Anzahl Anlagen:</b></td>
    <td align="left" width="33%"><b>Anzahl Felder:</b></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Freiluft luftisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Freiluft_SA_luftisoliert"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_Freiluft_SA_luftisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Innenraum luftisoliert offen:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Innenraum_SA_luftisoliert_offen"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_Innenraum_SA_luftisoliert_offen"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Innenraum luftisoliert metallgekapselt:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Innenraum_SA_luftisoliert_metallgekapselt"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_Innenraum_SA_luftisoliert_metallgekapselt"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Gasisoliert:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/SA_gasisoliert"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_SA_gasisoliert"/></td>
  </tr>
	<xsl:if test="$schema_i">
	  <tr bgcolor="#ffffff">
		  <td>Ringkabelfeld:</td>
		  <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Ringkabelfelder_sonstige"/></td>
		  <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_Ringkabelfelder_sonstige"/></td>
	  </tr>
	</xsl:if>
	<tr bgcolor="#ffffff">
    <td>Sonstige:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/SA_sonstige"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_SA_sonstige"/></td>
  </tr>
</table>
</xsl:template>

<!--Schaltgeraete-->
<xsl:template name="Schaltgeraete">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Schaltgerte</U></h1>
<table>
  <tr bgcolor="#ffffff">
    <td align="left" width="33%"><b>Anzahl Schaltgerte:</b></td>
    <td align="left" width="33%">(in Drehstromstzen)</td>
    <td width="33%"></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Leistungsschalter:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Schaltgeraete/Leistungsschalter"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Trenn/Lasttrennschalter:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Schaltgeraete/Trenn_Lasttrennschalter"/></td>
  </tr>
</table>
</xsl:template>

<!--Letztverbraucher (Schema I)-->
<xsl:template name="Letztverbraucher">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Letztverbraucher</U></h1>
<table>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Anzahl Letztverbraucherabgnge:</b></td>
    <td><xsl:value-of select="Netzdaten/Netz/Allgemeine_Angaben/Letztverbraucherabgaenge"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td></td>
    <td></td>
  </tr>
  <xsl:if test="$schema_i = '2'">
    <tr bgcolor="#ffffff">
      <td align="left"><b>Anzahl NS-Verteiler:</b></td>
      <td><xsl:value-of select="Netzdaten/Netz/Allgemeine_Angaben/NS-Verteiler"/></td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="left"><b>Anzahl Hausanschlsse:</b></td>
      <td><xsl:value-of select="Netzdaten/Netz/Allgemeine_Angaben/Hausanschluesse"/></td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="left"><b>Anzahl Letztverbraucher:</b></td>
      <td><xsl:value-of select="Netzdaten/Netz/Allgemeine_Angaben/Letztverbraucher"/></td>
    </tr>
    <tr bgcolor="#ffffff">
      <td align="left"><b>Anzahl Letztverbraucher (Weitervert.):</b></td>
      <td><xsl:value-of select="Netzdaten/Netz/Allgemeine_Angaben/Letztverbraucher_Weiterverteiler"/></td>
    </tr>
  </xsl:if>
</table>
</xsl:template>

<!--Transformatoren-->
<xsl:template name="Transformatoren">
	<xsl:param name="kapein" />
	<h1>
		<U>
			<xsl:value-of select="$kapein"/>. Transformatoren
		</U>
	</h1>
	<table>
		<tr bgcolor="#ffffff">
			<td align="left" width="33%">
				<b>Anzahl Transformatoren:</b>
			</td>
			<td align="left" width="33%">(in Drehstromstzen)</td>
			<td width="33%"></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td>Netztransformatoren:</td>
			<td>
				<xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren"/>
			</td>
		</tr>
		<xsl:if test="string(Netzdaten/Netz/Transformatoren/Kundentransformatoren)">
			<tr bgcolor="#ffffff">
				<td>Kundentransformatoren:</td>
				<td>
					<xsl:value-of select="Netzdaten/Netz/Transformatoren/Kundentransformatoren"/>
				</td>
			</tr>
		</xsl:if>
		<tr bgcolor="#ffffff">
			<td></td>
			<td></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td align="left">
				<b>Bemessungsscheinleistung:</b>
			</td>
			<td align="left">(in MVA)</td>
		</tr>
		<xsl:if test="$schema_i">
			<xsl:if test="$spg &lt; 5">
				<tr bgcolor="#ffffff">
					<td>Sonstige Letztverbraucher:</td>
					<td>
						<xsl:value-of select="Netzdaten/Netz/Transformatoren/Sonstige_Letztverbraucher_Bemessungsscheinleistung"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="$spg > 4">
				<tr bgcolor="#ffffff">
					<td>Sonstige Letztverbraucher:</td>
					<td>
						<xsl:value-of select="Netzdaten/Netz/Transformatoren/Sonstige_Letztverbraucher_Bemessungsscheinleistung"/>
					</td>
				</tr>
			</xsl:if>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="$veoe">
				<xsl:call-template name="Trafo_B_VEOE"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$berichtsjahr >2005">
						<xsl:if test="$spg &lt; 5">
							<tr bgcolor="#ffffff">
								<td>Ortsnetztransformatoren:</td>
								<td>
									<xsl:value-of select="Netzdaten/Netz/Transformatoren/Ortsnetztransformatoren_Bemessungsscheinleistung"/>
								</td>
							</tr>
						</xsl:if>
						<xsl:if test="$spg > 4">
							<tr bgcolor="#ffffff">
								<td>Sonst. Netzkuppeltransformatoren:</td>
								<td>
									<xsl:value-of select="Netzdaten/Netz/Transformatoren/Sonstige_Netzkuppeltransformatoren_Bemessungsscheinleistung"/>
								</td>
							</tr>
						</xsl:if>
						<tr bgcolor="#ffffff">
							<td>Letztverbrauchertransformatoren:</td>
							<td>
								<xsl:value-of select="Netzdaten/Netz/Transformatoren/Letztverbrauchertransformatoren_Bemessungsscheinleistung"/>
							</td>
						</tr>
						<xsl:if test="Netzdaten/Netz/Transformatoren/Weiterverteiler_Bemessungsscheinleistung">
							<tr bgcolor="#ffffff">
								<td>Weiterverteiler:</td>
								<td>
									<xsl:value-of select="Netzdaten/Netz/Transformatoren/Weiterverteiler_Bemessungsscheinleistung"/>
								</td>
							</tr>
						</xsl:if>
					</xsl:when>
					<xsl:otherwise>
						<tr bgcolor="#ffffff">
							<td>Netztransformatoren:</td>
							<td>
								<xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung"/>
							</td>
						</tr>
						<tr bgcolor="#ffffff">
							<td>Kundentransformatoren:</td>
							<td>
								<xsl:value-of select="Netzdaten/Netz/Transformatoren/Kundentransformatoren_Bemessungsscheinleistung"/>
							</td>
						</tr>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</table>
</xsl:template>

	<xsl:template name="Bemerkungen">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Bemerkungen</U></h1>
<table>
  <xsl:for-each select="Netzdaten/Netz/Bemerkungen/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:template>

<xsl:template name="Bemerkungen1">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Bemerkungen</U></h1>
<table>
  <xsl:for-each select="Netz/Bemerkungen/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:template>

<xsl:template name="Bemerkungen2">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Bemerkungen</U></h1>
<table>
  <xsl:for-each select="../Bemerkungen/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:template>


<!--Transformatoren A VEOE-->
<xsl:template name="Trafo_A_VEOE">
  <h1><U>3. Transformatoren</U></h1>
   <table>
<xsl:choose><xsl:when test="$spgv =1">
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 10 -> 0.4:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_04"/></td>
		<td align="left">[MVA]</td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =2">
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 20 -> 10:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_10"/></td>
		<td align="left">[MVA]</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 20 -> 0.4:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_04"/></td>
		<td align="left">[MVA]</td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =3">
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 30 -> 20:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_20"/></td>
		<td align="left">[MVA]</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 30 -> 10:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_10"/></td>
		<td align="left">[MVA]</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 30 -> 0.4:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_04"/></td>
		<td align="left">[MVA]</td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =4">
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 60 -> 30:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_30"/></td>
		<td align="left">[MVA]</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 60 -> 20:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_20"/></td>
		<td align="left">[MVA]</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 60 -> 10:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_10"/></td>
		<td align="left">[MVA]</td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =5">
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 110 -> 60:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_60"/></td>
		<td align="left">[MVA]</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 110 -> 30:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_30"/></td>
		<td align="left">[MVA]</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 110 -> 20:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_20"/></td>
		<td align="left">[MVA]</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 110 -> 10:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_10"/></td>
		<td align="left">[MVA]</td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =6">
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 220 -> 110:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_110"/></td>
		<td align="left">[MVA]</td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =7">
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 380 -> 220:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_220"/></td>
		<td align="left">[MVA]</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Netztransformatoren 380 -> 110:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Netztransformatoren_Bemessungsscheinleistung_110"/></td>
		<td align="left">[MVA]</td>
	</tr>
</xsl:when></xsl:choose>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Kundentransformatoren:</b></td>
		<td align="right"><xsl:value-of select="Netz/Netzdaten_A/Kundentransformatoren_Bemessungsscheinleistung"/></td>
		<td align="left">[MVA]</td>
	</tr>
   </table>
 <xsl:call-template name="Bemerkungen1"><xsl:with-param name="kapein" select="4"/></xsl:call-template>
</xsl:template>


<!--Transformatoren B VEOE-->
<xsl:template name="Trafo_B_VEOE">
<xsl:choose><xsl:when test="$spgv =1">
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 10 -> 0.4:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_04"/></td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =2">
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 20 -> 10:></td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_10"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 20 -> 0.4:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_04"/></td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =3">
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 30 -> 20:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_20"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 30 -> 10:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_10"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 30 -> 0.4:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_04"/></td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =4">
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 60 -> 30:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_30"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 60 -> 20:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_20"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 60 -> 10:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_10"/></td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =5">
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 110 -> 60:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_60"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 110 -> 30:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_30"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 110 -> 20:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_20"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 110 -> 10:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_10"/></td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =6">
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 220 -> 110:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_110"/></td>
	</tr>
</xsl:when></xsl:choose>
<xsl:choose><xsl:when test="$spgv =7">
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 380 -> 220:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_220"/></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td>Netztransformatoren 380 -> 110:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung_110"/></td>
	</tr>
</xsl:when></xsl:choose>
	<tr bgcolor="#ffffff">
		<td>Kundentransformatoren:</td>
		<td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Kundentransformatoren_Bemessungsscheinleistung"/></td>
	</tr>
</xsl:template>


</xsl:stylesheet>
