<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet for Event report

    Version 1.0.0.2


    Attention Logo: Placeholder "$LOGO" will be rplaced from the caller of the
                    style sheet! (for examle with "./logo.gif")
                    Details see Online Help capter "Creation of individual network report"
	
	
	01.04.2007 Pietsch FGH 1.0.0.0	
	06.09.2007 Pie 1.0.0.1
   04.04.13       1.0.0.2
-->

<!-- variable "txt_list" will be evaluted by INTERASS.
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as textfiles,
     otherwise a link will be shown
-->
<xsl:variable name="txt_list">log txt</xsl:variable>



<!-- variable "img_list"
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as IMG files,
     otherwise a link will be shown
-->
<xsl:variable name="img_list">bmp gif jpg png</xsl:variable>


<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="Event-Data"/>
	</html>
</xsl:template>

<xsl:template match="Event-Data">
	<head>
		<title>Daily Event Report</title>
	</head>
	<body>
	<table>
	<table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td valign="TOP">
            <P align="CENTER"><img src="$LOGO"/></P>
            <P align="CENTER"><nobr>DailyEvent</nobr>
              <br/>
            <nobr>&#169;by GmbH</nobr></P>
         </td>
         <td valign="TOP" width="60%">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr><U>Daily Event Report</U></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td><nobr>Created at:</nobr></td>
				   <td><nobr><xsl:value-of select="datum"/></nobr></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td></td>
				   <td><nobr><xsl:value-of select="uhrzeit"/></nobr></td>
               </tr>
             </table>
         </td>
      </tr>
      <tr bgcolor="#ffffff">
		<td colspan="3">
			<table width="100%">
				<tr bgcolor="#ffffff">
					<td><b><xsl:value-of select="e_d_s_controlcenter/@text"/></b></td>
					<td>&#160;&#160;</td>
					<td>&#160;&#160;</td>
					<td>&#160;&#160;</td>
					<td>&#160;&#160;</td>
					<td align="right"><b>Date</b></td>
					<td align="right"><xsl:value-of select="e_d_u_eventdate"/></td>
				</tr>
			</table>
		</td>
      </tr>
	</table>
	<xsl:apply-templates select="Event"/>
    </table>
	</body>
</xsl:template>


<!--Event-->
<xsl:template match="Event">
    <p>&#160;&#160;</p>
	<table width="100%" border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
		<td colspan="3">
			<table width="100%">
				<tr bgcolor="#ffffff">
		            <td><b>Event</b></td>
		            <td><xsl:value-of select="general/e_d_s_eventname"/></td>
					<td>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
					<td>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
					<td>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
					<td>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
		            <td align="right"><b><xsl:value-of select="general/e_d_e_kindevent/@text"/></b></td>
				</tr>
			</table>
		</td>
      </tr>
	</table>
	<h1><U>1. General data</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Date last change:</b></td>
			<td><xsl:value-of select="general/e_d_v_lastedit_date"/></td>
			<td>&#160;</td>
			<td><b>Editor:</b></td>
			<td><xsl:value-of select="general/e_d_s_lastedit_name"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Date first change:</b></td>
			<td><xsl:value-of select="general/e_d_v_firstedit_date"/></td>
			<td>&#160;</td>
			<td><b>Editor:</b></td>
			<td><xsl:value-of select="general/e_d_s_firstedit_name"/></td>
		</tr>
		<tr bgcolor="#ffffff">
            <xsl:variable name="bv" select="general/e_d_b_superior"/>
			<td><b>Report to superior:</b></td>
            <xsl:choose><xsl:when test="$bv='1'">
                <td>yes</td>
            </xsl:when><xsl:otherwise>
                <td>no</td>
            </xsl:otherwise></xsl:choose>
			<td>&#160;</td>
            <xsl:variable name="bv1" select="general/e_d_b_important"/>
			<td><b>Important:</b></td>
            <xsl:choose><xsl:when test="$bv1='1'">
                <td>yes</td>
            </xsl:when><xsl:otherwise>
                <td>no</td>
            </xsl:otherwise></xsl:choose>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Informed person:</b></td>
			<td><xsl:value-of select="general/e_d_s_informedperson"/></td>
		</tr>
	</table>
<h1><U>2. Districts</U></h1>
<table>
  <xsl:for-each select="general/e_d_l_district/item">
	<tr bgcolor="#ffffff">
    <td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td>
	<td>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
    <td><xsl:value-of select="./@text"/></td>
    </tr>
  </xsl:for-each>  
</table>		

<xsl:apply-templates select="e_ev_undef"/>
<xsl:apply-templates select="e_ev_tmline"/>
<xsl:apply-templates select="e_ev_feeder"/>
<xsl:apply-templates select="e_ev_busbar"/>
<xsl:apply-templates select="e_ev_fire"/>
<xsl:apply-templates select="e_ev_trafo"/>
<xsl:apply-templates select="e_ev_problem"/>
<xsl:apply-templates select="e_ev_work"/>
<xsl:apply-templates select="e_ev_staff"/>
<xsl:apply-templates select="e_ev_other"/>


<h1><U>4. Remarks</U></h1>
<table>
  <xsl:for-each select="e_d_x_comment/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		


<h1><U>5. Documents</U></h1>
<table>
  <xsl:for-each select="e_d_l_document/doc">
    <xsl:variable name="vopt" select="./@type"/>
    <xsl:call-template name="test_txt_filetypes">
        <xsl:with-param name="list">
            <xsl:value-of select="$txt_list" /> 
        </xsl:with-param>
        <xsl:with-param name="ist_typ">
            <xsl:value-of select="$vopt" /> 
        </xsl:with-param>
        <xsl:with-param name="cur_name" select="." /> 
        <xsl:with-param name="cur_desc" select="./@desc" /> 
    </xsl:call-template>
    <tr bgcolor="#ffffff"><td>&#160;</td></tr>
  </xsl:for-each>  
</table>		


</xsl:template>



<xsl:template name="test_txt_filetypes">
    <xsl:param name="list" /> 
    <xsl:param name="ist_typ" /> 
    <xsl:param name="cur_name" /> 
    <xsl:param name="cur_desc" /> 

    <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" /> 
    <xsl:variable name="first" select="substring-before($newlist, ' ')" /> 
    <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
    <xsl:variable name="vreftyp" select="$first"/>
    <xsl:choose>
        <xsl:when test="$vreftyp=$ist_typ">

            <!-- txt Filetype gefunden -->
            <xsl:call-template name="mtext"/>

        </xsl:when> 
        <xsl:otherwise>
            <xsl:choose>
                <xsl:when test="$remaining">
                    <!-- weiteres Listenelement vorhanden, also weitersuchen -->

                    <xsl:call-template name="test_txt_filetypes">
                        <xsl:with-param name="list" select="$remaining" /> 
                        <xsl:with-param name="ist_typ" select="$ist_typ" /> 
                        <xsl:with-param name="cur_name" select="$cur_name" /> 
                        <xsl:with-param name="cur_desc" select="$cur_desc" /> 
                    </xsl:call-template>
                </xsl:when> 
                <xsl:otherwise>

                    <!-- Dateityp nicht in der Liste   img_list -->

                    <xsl:call-template name="test_img_filetypes">
                        <xsl:with-param name="list">
                            <xsl:value-of select="$img_list" /> 
                        </xsl:with-param>
                        <xsl:with-param name="ist_typ"  select="$ist_typ" /> 
                        <xsl:with-param name="cur_name" select="$cur_name" /> 
                        <xsl:with-param name="cur_desc" select="$cur_desc" /> 
                    </xsl:call-template>

                </xsl:otherwise>
            </xsl:choose>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>


<xsl:template name="test_img_filetypes">
    <xsl:param name="list" /> 
    <xsl:param name="ist_typ" /> 
    <xsl:param name="cur_name" /> 
    <xsl:param name="cur_desc" /> 

    <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" /> 
    <xsl:variable name="first" select="substring-before($newlist, ' ')" /> 
    <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
    <xsl:variable name="vreftyp" select="$first"/>
    <xsl:choose>
        <xsl:when test="$vreftyp=$ist_typ">

            <!-- IMG Filetype gefunden -->
            <xsl:call-template name="mimage"/>

        </xsl:when> 
        <xsl:otherwise>
            <xsl:choose>
                <xsl:when test="$remaining">
                    <!-- weiteres Listenelement vorhanden, also weitersuchen -->

                    <xsl:call-template name="test_img_filetypes">
                        <xsl:with-param name="list" select="$remaining" /> 
                        <xsl:with-param name="ist_typ" select="$ist_typ" /> 
                        <xsl:with-param name="cur_name" select="$cur_name" /> 
                        <xsl:with-param name="cur_desc" select="$cur_desc" /> 
                    </xsl:call-template>
                </xsl:when> 
                <xsl:otherwise>

                    <!-- Dateityp nicht in der Liste   img_list -->

                    <tr bgcolor="#ffffff"><td><a><xsl:attribute name="href">$XWDIR<xsl:value-of select="$cur_name"/></xsl:attribute><xsl:value-of select="$cur_desc"/></a></td></tr>

                </xsl:otherwise>
            </xsl:choose>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>


<xsl:template name="mimage">
        <tr bgcolor="#ffffff"><td>Image "<xsl:value-of select="./@desc"/>"</td></tr>
        <tr bgcolor="#ffffff"><td>
        <xsl:element name="IMG">
            <xsl:attribute name="SRC">$XWDIR<xsl:value-of select="."/></xsl:attribute>
        </xsl:element>
        </td></tr>
</xsl:template>

<xsl:template name="mtext">
        <tr bgcolor="#ffffff"><td>Text "<xsl:value-of select="./@desc"/>"</td></tr>
        <tr bgcolor="#ffffff"><td>
        <table>
            <xsl:for-each select="./item">
	            <tr bgcolor="#ffffff"><td>&#160;</td><td><xsl:value-of select="."/></td></tr>
            </xsl:for-each>  
        </table>
        </td></tr>
</xsl:template>


<!--e_ev_undef-->
<xsl:template match="e_ev_undef">
<h1><U>3. Kind of event undefined</U></h1>
<table>
</table>
</xsl:template>

<!--e_ev_undef   Transmission lines-->
<xsl:template match="e_ev_tmline">
<h1><U>3. <xsl:value-of select="name"/></U></h1>
<table>
</table>
<xsl:apply-templates select="e_d_l_breaker"/>
<xsl:apply-templates select="e_d_b_relais"/>
</xsl:template>

<!--e_ev_feeder   Feeders-->
<xsl:template match="e_ev_feeder">
<h1><U>3. <xsl:value-of select="name"/></U></h1>
<h2>Feeder:</h2>
<table>
  <xsl:for-each select="e_d_l_feeder/item">
	<tr bgcolor="#ffffff">
    <td><xsl:value-of select="."/></td>
    </tr>
  </xsl:for-each>  
</table>
<xsl:apply-templates select="e_d_l_breaker"/>
<xsl:apply-templates select="e_d_b_relais"/>
</xsl:template>

<!--e_ev_busbar   Busbar-->
<xsl:template match="e_ev_busbar">
<h1><U>3. <xsl:value-of select="name"/></U></h1>
<table>
</table>
<xsl:apply-templates select="e_d_l_breaker"/>
<xsl:apply-templates select="e_d_b_relais"/>
</xsl:template>

<!--e_ev_fire   Fire-->
<xsl:template match="e_ev_fire">
<h1><U>3. <xsl:value-of select="name"/></U></h1>
<table>
</table>
</xsl:template>

<!--e_ev_trafo   Transformer-->
<xsl:template match="e_ev_trafo">
<h1><U>3. <xsl:value-of select="name"/></U></h1>
<table>
</table>
<xsl:apply-templates select="e_d_l_breaker"/>
<xsl:apply-templates select="e_d_b_relais"/>
</xsl:template>

<!--e_ev_problem   Equipment problems-->
<xsl:template match="e_ev_problem">
<h1><U>3. <xsl:value-of select="name"/></U></h1>
<table>
</table>
</xsl:template>

<!--e_ev_work   Work permit-->
<xsl:template match="e_ev_work">
<h1><U>3. <xsl:value-of select="name"/></U></h1>
<table>
</table>
</xsl:template>

<!--e_ev_staff   Non staff visit-->
<xsl:template match="e_ev_staff">
<h1><U>3. <xsl:value-of select="name"/></U></h1>
<table>
</table>
</xsl:template>

<!--e_ev_other   Other-->
<xsl:template match="e_ev_other">
<h1><U>3. <xsl:value-of select="name"/></U></h1>
<table>
</table>
</xsl:template>


<!--e_d_l_breaker   Circuit breaker-->
<xsl:template match="e_d_l_breaker">
<h2>Circuit breaker:</h2>
<table>
  <xsl:for-each select="breaker">
	<tr bgcolor="#ffffff">
      <td><xsl:value-of select="."/></td>
      <td><xsl:value-of select="./@status"/></td>
    </tr>
  </xsl:for-each>  
</table>
</xsl:template>


<!--e_d_b_relais   Relais-->
<xsl:template match="e_d_b_relais">
<h2>Relais:</h2>
<table>
<xsl:apply-templates select="e_d_b_rl_oc"/>
<xsl:apply-templates select="e_d_b_rl_ef"/>
<xsl:apply-templates select="e_d_b_rl_rr"/>
<xsl:apply-templates select="e_d_b_rl_notshown"/>
</table>
</xsl:template>

<!--e_d_b_rl_oc   OC-Relais-->
<xsl:template match="e_d_b_rl_oc">
<p>OC relais</p>
</xsl:template>

<!--e_d_b_rl_ef   EF-Relais-->
<xsl:template match="e_d_b_rl_ef">
<p>Earth fault relais</p>
</xsl:template>

<!--e_d_b_rl_rr   RR-Relais-->
<xsl:template match="e_d_b_rl_rr">
<p>RR relais</p>
</xsl:template>

<!--e_d_b_rl_notshown -->
<xsl:template match="e_d_b_rl_notshown">
<p>Relais not shown</p>
</xsl:template>


</xsl:stylesheet>
