<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Schadenbericht

    Version 1.0.0.2
    
    04.04.13 Pie    1.0.0.2


    ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
	
	05.03.07 Brozio FGH Version 1.0.0.0	
  06.04.17 Brozio Schema C wenn kein "Anlagentyp"
-->

<xsl:variable name="veoe" select="VEOE-Daten"/>

<xsl:variable name="ist_altes_Schema" select="//Anlagentyp"/>
<xsl:variable name="anlagentyp" select="//Anlagentyp"/>
<xsl:variable name="seort" select="//e_d_s_seort"/>
<xsl:variable name="stoerung" select="//e_d_s_stoerung"/>


<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="VDN-Daten"/>
		<xsl:apply-templates select="VEOE-Daten"/>
	</html>
</xsl:template>

<xsl:template match="VDN-Daten">
	<head>
		<title>Schadenbericht</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Schadensdaten/Schaden"/>
	</body>
</xsl:template>


<xsl:template match="VEOE-Daten">
	<head>
		<title>Netzbericht</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Schaden"/>
	</body>
</xsl:template>

<xsl:template match="Schadensdaten/Schaden">
	<xsl:call-template name="KOPF"/>
	<xsl:call-template name="ADMIN"/>
  <xsl:choose>
    <xsl:when test="$ist_altes_Schema">
      <xsl:call-template name="ANLAGE"/>
      <xsl:call-template name="SCHADENSORT"/>
      <xsl:if test="$stoerung='1'">
        <xsl:call-template name="STOERUNG"/>
      </xsl:if>
      <xsl:call-template name="SCHADEN"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="SCHADENSBESCHREIBUNG"/>
    </xsl:otherwise>
  </xsl:choose>
	<xsl:call-template name="BEMERKUNGEN"/>
</xsl:template>


<!--KOPF-->
<xsl:template name="KOPF">
	<table border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td valign="TOP">
            <P align="CENTER"><img src="$LOGO"/></P>
            <P align="CENTER">
              <nobr>InterAss</nobr>
              <br/>
              <nobr>&#169; FGH GmbH</nobr>
            </P>
         </td>
         <td valign="TOP" width="60%">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr>Schadenbericht</nobr></FONT></P>
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr><xsl:value-of select="Spannungsgruppe_XU/@text"/></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td><nobr>Erstellt am:</nobr></td>
				   <td><nobr><xsl:value-of select="/VDN-Daten/Schadensdaten/datum"/></nobr></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td></td>
				   <td><nobr><xsl:value-of select="/VDN-Daten/Schadensdaten/uhrzeit"/></nobr></td>
               </tr>
             </table>
         </td>
      </tr>
      <tr bgcolor="#ffffff">
		<td colspan="4">
			<table>
				<tr bgcolor="#ffffff">
					<td><b>Netzbetreiber</b></td>
					<td><xsl:value-of select="Netzbetreibernummer_XN"/></td>
					<td><xsl:value-of select="Netzbetreibername"/></td>
					<td><b>Netz</b></td>
					<td><xsl:value-of select="Netznummer_N"/></td>
					<td><xsl:value-of select="Netzname"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Berichtsjahr</b></td>
					<td colspan="2"><xsl:value-of select="e_d_i_jahr"/></td>
					<td><b>Spgs.gruppe</b></td>
					<td><xsl:value-of select="Spannungsgruppe_XU"/></td>
					<td><xsl:value-of select="Spannungsgruppe_XU/@text"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td align="left"><b>Nennspannung</b></td>
					<td align="left" colspan="2"><xsl:value-of select="Nennspannung"/> kV</td>
					<td><b>Netzart</b></td>
					<td><xsl:value-of select="Netzart_XL"/></td>
					<td><xsl:value-of select="Netzart_XL/@text"/></td>
				</tr>
				<xsl:variable name="stp"  select="Sternpunktbehandlung_XS"/>
				<xsl:variable name="stpt" select="Sternpunktbehandlung_XS/@text"/>
				<xsl:variable name="esf"  select="ES_Erfassung_XE"/>
				<xsl:variable name="esft" select="ES_Erfassung_XE/@text"/>
				<xsl:variable name="kon"  select="Konfiguration"/>
				<xsl:variable name="kont" select="Konfiguration/@text"/>
				<tr bgcolor="#ffffff">
					<td><b>Schadennummer</b></td>
					<td colspan="2"><xsl:value-of select="nr"/></td>
		         <xsl:choose><xsl:when test="$stp">
					   <td><b>Sternpunktb.</b></td>
					   <td><xsl:value-of select="$stp"/></td>
					   <td><xsl:value-of select="$stpt"/></td>
		         </xsl:when></xsl:choose>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Schadenort</b></td>
					<td colspan="2"><xsl:value-of select="seort/@text"/></td>
		         <xsl:choose><xsl:when test="$esf">
					   <td><b>ES-Erfassung</b></td>
					   <td><xsl:value-of select="$esf"/></td>
					   <td><xsl:value-of select="$esft"/></td>
		         </xsl:when></xsl:choose>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Komponente</b></td>
					<td colspan="2"><xsl:value-of select="komponente"/></td>
		         <xsl:choose><xsl:when test="$kon">
					   <td><b>Konfiguration</b></td>
					   <td><xsl:value-of select="$kon"/></td>
					   <td><xsl:value-of select="$kont"/></td>
		         </xsl:when></xsl:choose>
				</tr>
        <xsl:choose>
          <xsl:when test="$ist_altes_Schema">
            <tr bgcolor="#ffffff">
              <td>
                <b>Auftragsnummer</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="auftragsnummer"/>
              </td>
            </tr>
          </xsl:when>
          <xsl:otherwise>
            <tr bgcolor="#ffffff">
              <td>
                <b>Fehlerort Nr.</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="fo_nr"/>
              </td>
            </tr>

          </xsl:otherwise>
        </xsl:choose>

				<tr bgcolor="#ffffff">
					<td><b>Datum</b></td>
					<td colspan="2"><xsl:value-of select="datum"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Strungsnummer</b></td>
					<td colspan="2"><xsl:value-of select="stoerungsnr"/></td>
				</tr>
			</table>
		</td>
      </tr>
	</table>

</xsl:template>


<xsl:template name="ADMIN">
	<h1><U>Administrative Angaben</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Datum letzte nderung:</b></td>
			<td><xsl:value-of select="aktuelldatum"/></td>
			<td></td>
			<td><b>Sachberarbeiter:</b></td>
			<td><xsl:value-of select="lastedit_name"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Datum erste nderung:</b></td>
			<td><xsl:value-of select="erstelldatum"/></td>
			<td></td>
			<td><b>Sachberarbeiter:</b></td>
			<td><xsl:value-of select="ersteller"/></td>
		</tr>
      <xsl:variable name="dbid" select="id"/>
		<xsl:if test="$dbid > 0">
			<tr bgcolor="#ffffff">
				<td><b>Datenbank ID</b></td>
				<td><xsl:value-of select="$dbid"/></td>
			</tr>
		</xsl:if>
	</table>
</xsl:template>


<!--ANLAGE-->
<xsl:template name="ANLAGE">
	<h1><U>Anlage</U></h1>
	<xsl:if test="$anlagentyp='Umspannwerk/Schaltstation'"><xsl:call-template name="ANLAGE_UW"/></xsl:if>
	<xsl:if test="$anlagentyp='Netzstation'"><xsl:call-template name="ANLAGE_NS"/></xsl:if>
	<xsl:if test="$anlagentyp='Kabelanlage'"><xsl:call-template name="ANLAGE_KA"/></xsl:if>
	<xsl:if test="$anlagentyp='Freileitung'"><xsl:call-template name="ANLAGE_FL"/></xsl:if>
</xsl:template>

<!--ANLAGE UW-->
<xsl:template name="ANLAGE_UW">
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Anlagenname:</b></td>
			<td><xsl:value-of select="anl_name"/></td>
			<td></td>
			<td><b>Hersteller:</b></td>
			<td><xsl:value-of select="anl_hersteller"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Konstruktionstyp:</b></td>
			<td colspan="2"><xsl:value-of select="anl_konst"/></td>
			<td colspan="2"><xsl:value-of select="anl_konst/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Anzahl Sammelschienen:</b></td>
			<td colspan="2"><xsl:value-of select="anl_anzss"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Anzahl Leitungsfelder:</b></td>
			<td colspan="2"><xsl:value-of select="anl_anzltgfeld"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Anzahl Sonstige Felder:</b></td>
			<td colspan="2"><xsl:value-of select="anl_anzsonstfeld"/></td>
		</tr>
	</table>
</xsl:template>

<!--ANLAGE NS-->
<xsl:template name="ANLAGE_NS">
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Anlagenname:</b></td>
			<td><xsl:value-of select="anl_name"/></td>
			<td></td>
			<td><b>Hersteller:</b></td>
			<td><xsl:value-of select="anl_hersteller"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Funktionstyp:</b></td>
			<td colspan="2"><xsl:value-of select="anl_funktion"/></td>
			<td colspan="2"><xsl:value-of select="anl_funktion/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Konstruktionstyp:</b></td>
			<td colspan="2"><xsl:value-of select="anl_konst"/></td>
			<td colspan="2"><xsl:value-of select="anl_konst/@text"/></td>
		</tr>
	</table>
</xsl:template>

<!--ANLAGE KA-->
<xsl:template name="ANLAGE_KA">
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Anlagenname:</b></td>
			<td><xsl:value-of select="anl_name"/></td>
			<td></td>
			<td><b>Hersteller:</b></td>
			<td><xsl:value-of select="anl_hersteller"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Typ Kabelanlage:</b></td>
			<td colspan="2"><xsl:value-of select="anl_kabeltyp"/></td>
			<td colspan="2"><xsl:value-of select="anl_kabeltyp/@text"/></td>
		</tr>
	</table>
</xsl:template>

<!--ANLAGE FL-->
<xsl:template name="ANLAGE_FL">
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Anlagenname:</b></td>
			<td><xsl:value-of select="anl_name"/></td>
			<td></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Errichtungsjahr:</b></td>
			<td colspan="2"><xsl:value-of select="anl_baujahr"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Material der Masten:</b></td>
			<td colspan="2"><xsl:value-of select="anl_mastmat"/></td>
			<td colspan="2"><xsl:value-of select="anl_mastmat/@text"/></td>
		</tr>
	</table>
</xsl:template>


<!--SCHADENSORT-->
<xsl:template name="SCHADENSORT">
	<xsl:if test="$anlagentyp='Umspannwerk/Schaltstation'"><xsl:call-template name="SCHADENSORT_UW"/></xsl:if>
	<xsl:if test="$anlagentyp='Netzstation'"><xsl:call-template name="SCHADENSORT_NS"/></xsl:if>
	<xsl:if test="$anlagentyp='Kabelanlage'"><xsl:call-template name="SCHADENSORT_KA"/></xsl:if>
	<xsl:if test="$anlagentyp='Freileitung'"><xsl:call-template name="SCHADENSORT_FL"/></xsl:if>
</xsl:template>


<!--SCHADENSORT_UW-->
<xsl:template name="SCHADENSORT_UW">
	<h1><U>Schadenort</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Baujahr:</b></td>
			<td><xsl:value-of select="so_baujahr"/></td>
			<td></td>
			<td><b>Hersteller:</b></td>
			<td><xsl:value-of select="so_hersteller"/></td>
		</tr>
		<xsl:if test="$seort='1a'">
		<!--UW/SST Leistungsschalter-->  
		<tr bgcolor="#ffffff">
			<td><b>Herstellerbezeichnung:</b></td>
			<td colspan="2"><xsl:value-of select="so_herstellerbez"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Konstruktionstyp:</b></td>
			<td><xsl:value-of select="so_konst"/></td>
			<td><xsl:value-of select="so_konst/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Antriebstyp:</b></td>
			<td><xsl:value-of select="so_antrieb"/></td>
			<td><xsl:value-of select="so_antrieb/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Fahrwagenanlage:</b></td>
			<td><xsl:value-of select="so_fahrwagen"/></td>
			<td><xsl:value-of select="so_fahrwagen/@text"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='1b'">
		<!--HS/MS-Transformator-->  
		<tr bgcolor="#ffffff">
			<td><b>Herstellerbezeichnung:</b></td>
			<td colspan="2"><xsl:value-of select="so_herstellerbez"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Nennleistung:</b></td>
			<td colspan="2"><xsl:value-of select="so_sr"/> [MVA]</td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Durchschn. Tageshchstlast:</b></td>
			<td><xsl:value-of select="so_taglast"/></td>
			<td><xsl:value-of select="so_taglast/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Mittlere Jahresbenutzungsdauer:</b></td>
			<td colspan="2"><xsl:value-of select="so_jahrdauer"/> [h]</td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='1c'">
		<!--HS/MS-Transformator-->  
		<tr bgcolor="#ffffff">
			<td><b>Herstellerbezeichnung:</b></td>
			<td colspan="2"><xsl:value-of select="so_herstellerbez"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Nennleistung:</b></td>
			<td colspan="2"><xsl:value-of select="so_sr"/> [MVA]</td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Durchschn. Tageshchstlast:</b></td>
			<td><xsl:value-of select="so_taglast"/></td>
			<td><xsl:value-of select="so_taglast/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Mittlere Jahresbenutzungsdauer:</b></td>
			<td colspan="2"><xsl:value-of select="so_jahrdauer"/> [h]</td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='1d'">
		<!--UW/SST Sammelschiene-->  
		<tr bgcolor="#ffffff">
			<td><b>Konstruktionstyp:</b></td>
			<td><xsl:value-of select="so_konst"/></td>
			<td><xsl:value-of select="so_konst/@text"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='1e'">
		<!--UW/SST Trennschalter-->  
		<tr bgcolor="#ffffff">
			<td><b>Herstellerbezeichnung:</b></td>
			<td colspan="2"><xsl:value-of select="so_herstellerbez"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Antriebstyp:</b></td>
			<td><xsl:value-of select="so_antrieb"/></td>
			<td><xsl:value-of select="so_antrieb/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Funktionstyp:</b></td>
			<td><xsl:value-of select="so_funktion"/></td>
			<td><xsl:value-of select="so_funktion/@text"/></td>
		</tr>
		</xsl:if>
		<tr bgcolor="#ffffff">
			<td><b>Exakter Schadenort:</b></td>
			<td><xsl:value-of select="so_ort"/></td>
			<td><xsl:value-of select="so_ort/@text"/></td>
		</tr>
	</table>
</xsl:template>

<!--SCHADENSORT_NS-->
<xsl:template name="SCHADENSORT_NS">
	<h1><U>Schadenort</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<xsl:choose><xsl:when test="$seort='2a'">
				<td><b>Errichtungsjahr:</b></td>
			</xsl:when><xsl:otherwise>
				<td><b>Baujahr:</b></td>
			</xsl:otherwise></xsl:choose>      
			<td><xsl:value-of select="so_baujahr"/></td>
			<td></td>
			<td><b>Hersteller:</b></td>
			<td><xsl:value-of select="so_hersteller"/></td>
		</tr>
		<xsl:if test="$seort='2a'">
		<!--NST Gebude/Gehuse-->  
		<tr bgcolor="#ffffff">
			<td><b>Jahr der letzten Sanierung:</b></td>
			<td colspan="2"><xsl:value-of select="so_sanierung"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Konstruktionstyp:</b></td>
			<td><xsl:value-of select="so_konst"/></td>
			<td><xsl:value-of select="so_konst/@text"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='2b'">
		<!--NST Lastschalter-->  
		<tr bgcolor="#ffffff">
			<td><b>Herstellerbezeichnung:</b></td>
			<td colspan="2"><xsl:value-of select="so_herstellerbez"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Funktionstyp:</b></td>
			<td><xsl:value-of select="so_funktion"/></td>
			<td><xsl:value-of select="so_funktion/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Antriebstyp:</b></td>
			<td><xsl:value-of select="so_antrieb"/></td>
			<td><xsl:value-of select="so_antrieb/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Lastschalter-Sicherungskomb.:</b></td>
			<td><xsl:value-of select="so_lssicherkomb"/></td>
			<td><xsl:value-of select="so_lssicherkomb/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Exakter Schadenort:</b></td>
			<td><xsl:value-of select="so_ort"/></td>
			<td><xsl:value-of select="so_ort/@text"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='2c'">
		<!--MS/NS-Transformator-->  
		<tr bgcolor="#ffffff">
			<td><b>Herstellerbezeichnung:</b></td>
			<td colspan="2"><xsl:value-of select="so_herstellerbez"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Konstruktionstyp:</b></td>
			<td><xsl:value-of select="so_konst"/></td>
			<td><xsl:value-of select="so_konst/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Nennleistung:</b></td>
			<td colspan="2"><xsl:value-of select="so_sr"/> [kVA]</td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Durchschn. Tageshchstlast:</b></td>
			<td><xsl:value-of select="so_taglast"/></td>
			<td><xsl:value-of select="so_taglast/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Exakter Schadenort:</b></td>
			<td><xsl:value-of select="so_ort"/></td>
			<td><xsl:value-of select="so_ort/@text"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='2d'">
		<!--NST Sammelschiene-->  
		<tr bgcolor="#ffffff">
			<td><b>Konstruktionstyp:</b></td>
			<td><xsl:value-of select="so_konst"/></td>
			<td><xsl:value-of select="so_konst/@text"/></td>
		</tr>
		</xsl:if>
	</table>
</xsl:template>

<!--SCHADENSORT_KA-->
<xsl:template name="SCHADENSORT_KA">
	<h1><U>Schadenort</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<xsl:choose><xsl:when test="$seort='3b'">
				<td><b>Verlegejahr:</b></td>
			</xsl:when><xsl:otherwise>
				<td><b>Einbaujahr:</b></td>
			</xsl:otherwise></xsl:choose>      
			<td><xsl:value-of select="so_baujahr"/></td>
			<td></td>
			<td><b>Hersteller:</b></td>
			<td><xsl:value-of select="so_hersteller"/></td>
		</tr>
		<xsl:if test="$seort='3a'">
		<!--KA Endverschluss-->  
		<tr bgcolor="#ffffff">
			<td><b>Einbauort:</b></td>
			<td><xsl:value-of select="so_einbauort"/></td>
			<td><xsl:value-of select="so_einbauort/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Konstruktionstyp:</b></td>
			<td><xsl:value-of select="so_konst"/></td>
			<td><xsl:value-of select="so_konst/@text"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='3b'">
		<!--KA Kabel-->  
		<tr bgcolor="#ffffff">
			<td><b>Kabeltyp:</b></td>
			<td><xsl:value-of select="so_kabel"/></td>
			<td><xsl:value-of select="so_kabel/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Kabelkennz. nach VDE:</b></td>
			<td colspan="2"><xsl:value-of select="so_kabelbez"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='3c'">
		<!--KA Muffe-->  
		<tr bgcolor="#ffffff">
			<td><b>Herstellerbezeichnung:</b></td>
			<td colspan="2"><xsl:value-of select="so_herstellerbez"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Funktionstyp:</b></td>
			<td><xsl:value-of select="so_funktion"/></td>
			<td><xsl:value-of select="so_funktion/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Konstruktionstyp:</b></td>
			<td><xsl:value-of select="so_konst"/></td>
			<td><xsl:value-of select="so_konst/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Verbindertyp:</b></td>
			<td><xsl:value-of select="so_verbinder"/></td>
			<td><xsl:value-of select="so_verbinder/@text"/></td>
		</tr>
		</xsl:if>
	</table>
</xsl:template>

<!--SCHADENSORT_FL-->
<xsl:template name="SCHADENSORT_FL">
	<table>
		<xsl:if test="$seort='4d'">
		<!--FL Isolator-->  
		<h1><U>Schadenort</U></h1>
		<tr bgcolor="#ffffff">
			<td><b>Aughngeart:</b></td>
			<td><xsl:value-of select="so_flaufh"/></td>
			<td><xsl:value-of select="so_flaufh/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Isolationstyp:</b></td>
			<td><xsl:value-of select="so_fliso"/></td>
			<td><xsl:value-of select="so_fliso/@text"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='4f'">
		<!--FL Mast-->  
		<h1><U>Schadenort</U></h1>
		<tr bgcolor="#ffffff">
			<td><b>Masttyp:</b></td>
			<td><xsl:value-of select="so_flmast"/></td>
			<td><xsl:value-of select="so_flmast/@text"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$seort='4g'">
		<!--FL Mastschalter-->  
		<h1><U>Schadenort</U></h1>
		<tr bgcolor="#ffffff">
			<td><b>Baujahr:</b></td>
			<td><xsl:value-of select="so_baujahr"/></td>
			<td></td>
			<td><b>Hersteller:</b></td>
			<td><xsl:value-of select="so_hersteller"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Funktionstyp:</b></td>
			<td><xsl:value-of select="so_funktion"/></td>
			<td><xsl:value-of select="so_funktion/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Antriebstyp:</b></td>
			<td><xsl:value-of select="so_antrieb"/></td>
			<td><xsl:value-of select="so_antrieb/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Exakter Schadenort:</b></td>
			<td><xsl:value-of select="e_d_s_so_ort"/></td>
			<td><xsl:value-of select="e_d_s_so_ort/@text"/></td>
		</tr>
		</xsl:if>
	</table>
</xsl:template>


<!--STOERUNG-->
<xsl:template name="STOERUNG">
	<h1><U>Strung</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Schaden mit Strung:</b></td>
			<td><xsl:value-of select="ist_stoerung"/></td>
			<td><xsl:value-of select="ist_stoerung/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Betriebsbedingungen:</b></td>
			<td><xsl:value-of select="betrieb"/></td>
			<td><xsl:value-of select="betrieb/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Durch welche Manahme feststellbar:</b></td>
			<td><xsl:value-of select="feststellbar"/></td>
			<td><xsl:value-of select="feststellbar/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Aus-Dauer:</b></td>
			<td><xsl:value-of select="dauer"/> [h]</td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Ausfallmodell:</b></td>
			<td><xsl:value-of select="ausfallmodell"/></td>
			<td><xsl:value-of select="ausfallmodell/@text"/></td>
		</tr>
	</table>
</xsl:template>


<!--SCHADEN-->
<xsl:template name="SCHADEN">
	<h1><U>Schaden</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Anlass der Schadenmeldung:</b></td>
			<td><xsl:value-of select="anlass"/></td>
			<td><xsl:value-of select="anlass/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Erforderliche Maname:</b></td>
			<td><xsl:value-of select="massn"/></td>
			<td><xsl:value-of select="massn/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Schadenursache:</b></td>
			<td><xsl:value-of select="ursache"/></td>
			<td><xsl:value-of select="ursache/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Folgeereignis von:</b></td>
			<td colspan="2"><xsl:value-of select="folgeereignis"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Schadenpotential:</b></td>
			<td><xsl:value-of select="potential"/></td>
			<td><xsl:value-of select="potential/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Letzte Manahmen an schadensbetroffenen Komponente:</b></td>
			<td><xsl:value-of select="letztemassn"/></td>
			<td><xsl:value-of select="letztemassn/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Zeitpunkt der letzten Manahme:</b></td>
			<td colspan="2"><xsl:value-of select="zeitletztemassn"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Nchste geplante Manahme an schadensbetroffene Komponente:</b></td>
			<td><xsl:value-of select="naechstemassn"/></td>
			<td><xsl:value-of select="naechstemassn/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Zeitpunkt der nchsten Manahme:</b></td>
			<td colspan="2"><xsl:value-of select="zeitnaechstemassn"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Geschtzte Zeit bis Schaden zur Strung fhren wrde:</b></td>
			<td><xsl:value-of select="geschaetztezeit"/></td>
			<td><xsl:value-of select="geschaetztezeit/@text"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Manahmenkosten:</b></td>
			<td colspan="2"><xsl:value-of select="massnkosten"/> [Euro]</td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Folgekosten:</b></td>
			<td colspan="2"><xsl:value-of select="folgekosten"/> [Euro]</td>
		</tr>
		<xsl:if test="$anlagentyp='Umspannwerk/Schaltstation'">
		<tr bgcolor="#ffffff">
			<td><b>Zahl der beschdigten Felder:</b></td>
			<td colspan="2"><xsl:value-of select="anzfeld"/></td>
		</tr>
		</xsl:if>
		<xsl:if test="$anlagentyp='Freileitung'">
		<tr bgcolor="#ffffff">
			<td><b>Hhe der FL an Schadenstelle:</b></td>
			<td colspan="2"><xsl:value-of select="hoehefl"/></td>
		</tr>
		</xsl:if>
	</table>
</xsl:template>


  <!--SCHADENSBESCHREIBUNG-->
  <xsl:template name="SCHADENSBESCHREIBUNG">
    <h1>
      <U>Schaden</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Schaden mit Strung:</b>
        </td>
        <td>
          <xsl:value-of select="stoerung"/>
        </td>
        <td>
          <xsl:value-of select="stoerung/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Schadenort ist Fehlerort:</b>
        </td>
        <td>
          <xsl:value-of select="ist_fehlerort"/>
        </td>
        <td>
          <xsl:value-of select="ist_fehlerort/@text"/>
        </td>
      </tr>

      <xsl:variable name="ort" select="so_ort"/>
      <xsl:if test="$ort">
        <tr bgcolor="#ffffff">
          <td>
            <b>Exakter Schadensort:</b>
          </td>
          <td>
            <xsl:value-of select="so_ort"/>
          </td>
          <td>
            <xsl:value-of select="so_ort/@text"/>
          </td>
        </tr>
      </xsl:if>
      <tr bgcolor="#ffffff">
        <td>
          <b>Anlass der Schadenmeldung:</b>
        </td>
        <td>
          <xsl:value-of select="anlass"/>
        </td>
        <td>
          <xsl:value-of select="anlass/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Schadenursache:</b>
        </td>
        <td>
          <xsl:value-of select="ursache"/>
        </td>
        <td>
          <xsl:value-of select="ursache/@text"/>
        </td>
      </tr>
      <xsl:variable name="konst" select="so_konst"/>
      <xsl:if test="$konst">
        <tr bgcolor="#ffffff">
          <td>
            <b>Konstruktionstyp:</b>
          </td>
          <td>
            <xsl:value-of select="so_konst"/>
          </td>
          <td>
            <xsl:value-of select="so_konst/@text"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:variable name="funktion" select="so_funktion"/>
      <xsl:if test="$funktion">
        <tr bgcolor="#ffffff">
          <td>
            <b>Funktionstyp:</b>
          </td>
          <td>
            <xsl:value-of select="so_funktion"/>
          </td>
          <td>
            <xsl:value-of select="so_funktion/@text"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:variable name="ist_jahr_geschaetzt" select="ist_jahr_geschaetzt"/>
      <tr bgcolor="#ffffff">
        <td>
          <b>Baujahr:</b>
        </td>
        <td>
          <xsl:value-of select="so_baujahr"/>
        </td>
        <xsl:if test="$ist_jahr_geschaetzt='Ja'">
          <td>
            <b> ist geschtzt</b>
          </td>
        </xsl:if>
      </tr>
    </table>
  </xsl:template>


  <xsl:template name="BEMERKUNGEN">
<h3><U>Bemerkungen:</U></h3>
<table>
  <xsl:for-each select="kommentar/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:template>




</xsl:stylesheet>
