<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
  <!--
   Stylesheet fuer Stoerungsbericht

   Version 1.0.0.19
	
	...
   10.09.12         Qt4
   07.01.13 Brozio
   25.02.13 Pietsch VU_Stationserfassung: Stationskennung -> Stationsname, Ausgef. Leitung
   28.02.13         Abgleich OVAG, Bemerkungen mit URL
   13.03.13         VU_Stationserfassung: VU_statid, VU_statnam
   21.03.13         Hinweise zur Druckausgabe:
                    - Vorgabe Seitenrnder
                    - gesteuerter Seitenumbruch
   04.04.13         Vorlage zum Abfragen der Referenzversion (fuer Kundenspezifische Versionen im Verzeichnis "system" 
   23.09.13         sterreich: ECG -> ECA,VE,Naturkatastrophe
   24.03.14         sterreich: nicht gelieferten Energie
   09.10.14         Eliminierung Prefix $XWDIR bei Bild- und Textdokumenten
   09.12.14         OE - VU: betroffene_netzbetreiber...
   17.03.15         OE: Sonstige_ECG_Anmerkung_AN -> Stoerungseintritt/Sonstige_ECG_Anmerkung_AN
                        Naturkatastrophe_NK       -> Stoerungseintritt/Naturkatastrophe_NK
   27.09.18         Aktivierung des Seitenumbruchs vor Versorgungsunterbrechungen
                    (Funktioniert beim Drucken ber QWebengine und JAVA-saxon)
   


   ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                 substituiert ! (z.B. durch "./logo.gif")
                 Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Stoerungsberichts"
                 

   Gesteuerter Seitenumbruch beim Drucken:
   - <p style="page-break-before:always">&#160;</p>
     Beim DRUCKEN erfolgen diese Leerzeile und weitere Ausgaben auf einer neuen Seite
   - <p style="page-break-after:always">&#160;</p>
     Nach diesem Leerzeile erfolgen beim DRUCKEN weitere Ausgaben auf einer neuen Seite
     Siehe Ausgabe "Versorgungsunterbrechungen"
   - getestet:
     - funktioniert beim Drucken in Free-PDF
     - funktioniert beim Drucken auf HP Laserjet
     - funktioniert beim Speichern als PDF (manchmal fehlen Inhalte vor dem Seitenumbruch)           

  Vorgabe der Referzversion
  Wenn beim Kunden eine Version dieser Datei im Verzeichnis "system" generiert wird
  sollte die folgende Referenzversion angepasst werden, sowie in der folgende Zeile
  "check_version" der Wert '0' in '1' geaendert werden
-->
  <xsl:variable name="check_version">0</xsl:variable>
  <!-- Interass Referenzversion 4.3.0.12 -->
  <xsl:variable name="ref_version1">4</xsl:variable>
  <xsl:variable name="ref_version2">3</xsl:variable>
  <xsl:variable name="ref_version3">0</xsl:variable>
  <xsl:variable name="ref_version4">12</xsl:variable>

  <!-- variable "txt_list" will be evaluted by INTERASS.
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as textfiles
     and contents will be included,
     otherwise a link will be shown
     Default: do not show
     Example: insert "log txt" (without ") below
-->
  <xsl:variable name="txt_list"></xsl:variable>

  <!-- variable "img_list"
     We expect a SPACE separated list of file types (suffix,extension)
     Document files with these suffixes will be treated as IMG files,
     otherwise a link will be shown
     Default: do not show
     Example: insert "bmp gif jpg png" (without ") below
-->
  <xsl:variable name="img_list"></xsl:variable>



  <xsl:variable name="veoe" select="VEOE-Daten"/>
  <xsl:variable name="spgv" select="VEOE-Daten/Stoerungsdaten/Stoerung/Netzbeschreibung/Spannungsgruppe_XU"/>
  <xsl:variable name="spggv" select="VEOE-Daten/Stoerungsdaten/Stoerung/Netzbeschreibung/Spannungsgruppe"/>
  <xsl:variable name="schemav" select="VEOE-Daten/Stoerungsdaten/Stoerung/Netzbeschreibung/Erfassungsmodus"/>
  <xsl:variable name="vkundenv" select="VEOE-Daten/Stoerungsdaten/kundenversion"/>
  <xsl:variable name="ovstationen" select="VEOE-Daten/Stoerungsdaten/VU_Stationserfassung"/>
  <xsl:variable name="ovu_statid" select="VEOE-Daten/Stoerungsdaten/VU_statid"/>
  <xsl:variable name="ovu_statnam" select="VEOE-Daten/Stoerungsdaten/VU_statnam"/>

  <xsl:variable name="vkunden" select="VDN-Daten/Stoerungsdaten/kundenversion"/>
  <xsl:variable name="vstationen" select="VDN-Daten/Stoerungsdaten/VU_Stationserfassung"/>
  <xsl:variable name="vu_statid" select="VDN-Daten/Stoerungsdaten/VU_statid"/>
  <xsl:variable name="vu_statnam" select="VDN-Daten/Stoerungsdaten/VU_statnam"/>
  <xsl:variable name="spg" select="VDN-Daten/Stoerungsdaten/Stoerung/Netzbeschreibung/Spannungsgruppe_XU"/>
  <xsl:variable name="spgg" select="VDN-Daten/Stoerungsdaten/Stoerung/Netzbeschreibung/Spannungsgruppe"/>
  <xsl:variable name="schema" select="VDN-Daten/Stoerungsdaten/Stoerung/Netzbeschreibung/Erfassungsmodus"/>

  <xsl:variable name="berichtsjahr" select="VDN-Daten/Stoerungsdaten/Berichtsjahr"/>
  <!-- 
	<xsl:variable name="VDN_2006" select="VDN-Daten/Stoerungsdaten/Stoerung/Stoerungseintritt/Hoehere_Gewalt_HG"/>
-->
  <xsl:variable name="VDN_2006" select="VDN-Daten/Stoerungsdaten/Berichtsjahr"/>
  <xsl:variable name="Stationen_erfasstN" select="VDN-Daten/Stoerungsdaten/Stoerung/Versorgungsunterbrechungen/Versorgungsstufe/Unterbrochene_Stationen_Ortsnetztransformatoren_RN6"/>
  <xsl:variable name="Stationen_erfasstK" select="VDN-Daten/Stoerungsdaten/Stoerung/Versorgungsunterbrechungen/Versorgungsstufe/Unterbrochene_Stationen_Kundentransformatoren_RN7"/>
	<xsl:variable name="GVU" select="VDN-Daten/Stoerungsdaten/Stoerung/enbw_bekanntgabe"/>
	<xsl:variable name="STOCH_36" select="VDN-Daten/Stoerungsdaten/Stoerung/enbw_ortung"/>

	<xsl:variable name="Meldung_vorhanden" select="VDN-Daten/Stoerungsdaten/Stoerung/Meldung"/>

  <xsl:template match="*|/">
    <html>
      <head>
        <title>Strungsbericht</title>
        <style type="text/css">
          <!-- Vorgabe von Seitenrndern (Margins) bei der Druckausgabe
            
                 ACHTUNG die Margins gehen bei Qt4.6.3-Druckausgabe zunchst flten.
                 Daher wird beim Drucken das XSL geparst um die Margins zu ermitteln
                 es wird nur  margin-top, margin-bottom, margin-left und margin-right bercksichtigt
                 Wir untersttzen nur die Angabe "cm" !!
                 Bei der XML-Berichtsmethode wird das "page-Style" unverndert weitergegeben.
                 
                 ACHTUNG die Einhaltung der Margins hngt mglicherweise auch vom Druckertreiber ab

                 Die Default-Seitenrnder bei der Druckausgabe ber InterAss sind:
                 Steuervariable              Wert Bedeutung
                 /Privat/Print/margin_top    2.0  Drucken: Seitenrand oben (cm)
                 /Privat/Print/margin_bot    1.0  Drucken: Seitenrand unten (cm)
                 /Privat/Print/margin_left   2.0  Drucken: Seitenrand links (cm)
                 /Privat/Print/margin_right  2.0  Drucken: Seitenrand rechts (cm)
                 /Privat/Print/fusszeile     Ja   Drucken: bei Objektberichten Fusszeilenkasten verwenden
                 
                 
                 Diese Defaultwerte knnen z.B. ber die Tabelle "iq_einstellungen" oder ber die
                 Konfigurationsdatei "einstellungen_db.inf" modifiziert werden.
                 
                 
                 CSS-Anweisung zum Vergeben der Seitenrnder:
                 @page { margin-top:<wert1>; margin-bottom:<wert2>; margin-left:<wert3>; margin-right:<wert4>; }
                 Format fr wert<i>: Gleitkommazahl (mit PUNKT) gefolgt von "cm" (Einheit)
                 
                 Beispiel:
                 @page { margin-top:1cm; margin-bottom:1cm; margin-left:1.5cm; margin-right:1cm; }
            -->
        </style>
      </head>
      <xsl:apply-templates select="VDN-Daten"/>
      <xsl:apply-templates select="VEOE-Daten"/>
    </html>
  </xsl:template>

  <xsl:template match="VDN-Daten">
    <body LANG="de-DE">
      <xsl:apply-templates select="InterassVersion"/>
      <xsl:apply-templates select="Stoerungsdaten"/>
      <xsl:call-template name="Bemerkungen"/>
      <xsl:if test="$vkunden='1'">
        <xsl:call-template name="Leitsystem"/>
      </xsl:if>
      <xsl:if test="$vkunden='17'">
        <xsl:call-template name="Leitsystem"/>
      </xsl:if>
      <xsl:call-template name="Dokumente"/>
    </body>
  </xsl:template>


  <xsl:template match="VEOE-Daten">
    <body LANG="de-DE">
      <xsl:apply-templates select="InterassVersion"/>
      <xsl:apply-templates select="Stoerungsdaten"/>
      <xsl:call-template name="Bemerkungen"/>
      <xsl:call-template name="Dokumente"/>
    </body>
  </xsl:template>


  <!--Versionspruefung-->
  <xsl:template match="InterassVersion">
    <xsl:if test="$check_version='1'">
      <xsl:variable name="ist_version1" select="version1"/>
      <xsl:variable name="ist_version2" select="version2"/>
      <xsl:variable name="ist_version3" select="version3"/>
      <xsl:variable name="ist_version4" select="version4"/>
      <xsl:if test="$ist_version1 > $ref_version1 or $ist_version2 > $ref_version2 or $ist_version3 > $ref_version3 or $ist_version4 > $ref_version4">
        <table>
          <tr>
            <td nowrap="nowrap">
              <b>ACHTUNG die Interass Version ist </b>
            </td>
            <td>
              <xsl:value-of select="version1"/>.
              <xsl:value-of select="version2"/>.
              <xsl:value-of select="version3"/>.
              <xsl:value-of select="version4"/>
            </td>
          </tr>
          <tr>
            <td nowrap="nowrap">
              Referenzversion des Stylesheet ist
            </td>
            <td>
              <xsl:value-of select="$ref_version1"/>.
              <xsl:value-of select="$ref_version2"/>.
              <xsl:value-of select="$ref_version3"/>.
              <xsl:value-of select="$ref_version4"/>
            </td>
          </tr>
          <tr>
            <td colspan="2">
              <b>
                <font color="red">
                  ACHTUNG mglicherweise muss das Stylesheet 'stoerung.xsl' angepasst werden!
                </font>
              </b>
            </td>
          </tr>
        </table>
        <p>&#160;</p>
      </xsl:if>
    </xsl:if>
  </xsl:template>

  <!--Stoerungsdaten-->
  <xsl:template match="Stoerungsdaten">
    <table border="1" width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <td valign="TOP">
          <P align="CENTER">
            <img src="$LOGO"/>
          </P>
          <P align="CENTER">
            <nobr>InterAss</nobr>
            <br/>
            <nobr>&#169; FGH GmbH</nobr>
          </P>
        </td>
        <xsl:choose>
			  <xsl:when test="$vkunden='20'">
				  <td valign="TOP" width="80%">
					  <P align="CENTER">
						  <FONT size="5" style="font-size: 20pt">
							  <nobr>
								  <U>Bericht zur Strung</U>
							  </nobr>
						  </FONT>
					  </P>
				  </td>
			  </xsl:when>
			  <xsl:when test="$vkunden='11'">
				  <td valign="TOP" width="80%">
					  <P align="CENTER">
						  <FONT size="5" style="font-size: 20pt">
							  <nobr><U><b>Bericht zur Strung im Netz</b></U></nobr>
						  </FONT>
					  </P>
					  <P align="CENTER"><FONT size="5" style="font-size: 16pt"><nobr><b><xsl:value-of select="Stoerung/Netzbeschreibung/Netzname"/></b></nobr></FONT></P>
					  <P align="CENTER"><FONT size="5" style="font-size: 12pt"><nobr><b>Strungsbeginn:</b><xsl:value-of select="Stoerung/Stoerungsbeginn_TA"/></nobr></FONT></P>
				  </td>
			  </xsl:when>
			  <xsl:otherwise>
            <td align="center" valign="middle" width="60%">
              <b>Bericht zur Strung</b>
            </td>
          </xsl:otherwise>
        </xsl:choose>
        <td align="right" valign="TOP" width="20%">
          <table border="0">
				 <xsl:choose>
				 <xsl:when test="$vkunden='11'">
					 <tr bgcolor="#ffffff">
						<td><nobr>Erstellt am:</nobr></td>
						<td><nobr><xsl:value-of select="datum"/></nobr></td>
					 </tr>
					 <tr bgcolor="#ffffff">
						<td><nobr>Strungs-Nr.:</nobr></td>
						<td><nobr><xsl:value-of select="Stoerung/Organisationsinformationen/Stoerungsnummer_O"/></nobr></td>
					 </tr>
				 </xsl:when>
				 <xsl:otherwise>
					 <tr bgcolor="#ffffff">
						<td><nobr>Erstellt am:</nobr></td>
						<td><nobr><xsl:value-of select="datum"/></nobr></td>
					 </tr>
					 <tr bgcolor="#ffffff">
						<td></td>
						<td><nobr><xsl:value-of select="uhrzeit"/></nobr></td>
					 </tr>
				 </xsl:otherwise>
				 </xsl:choose>
          </table>
        </td>
      </tr>
		<xsl:choose>
		<xsl:when test="$vkunden='11'">
		<tr bgcolor="#ffffff">
			<td colspan="3">
				<P align="CENTER"><FONT size="5" style="font-size: 12pt"><nobr><b>Netz-Nr.: </b><xsl:value-of select="Stoerung/Organisationsinformationen/Netznummer_N"/> / <xsl:value-of select="Stoerung/Netzbeschreibung/Netzname"/><b>      ---      Spannung: </b><xsl:value-of select="Stoerung/Netzbeschreibung/Nennspannung"/> kV,   <xsl:value-of select="Stoerung/Netzbeschreibung/Netzart_XL/@text"/></nobr></FONT></P>
			</td>
		</tr>
		</xsl:when>
		<xsl:otherwise>
      <tr bgcolor="#ffffff">
        <td colspan="3">
          <table>
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzbetreiber</b>
              </td>
              <td>
                <xsl:value-of select="Stoerung/Organisationsinformationen/Netzbetreibernummer_XN"/>
              </td>
              <td>
                <xsl:value-of select="Stoerung/Netzbeschreibung/Netzbetreibername"/>
              </td>
              <td>
                <b>Netz</b>
              </td>
              <td>
                <xsl:value-of select="Stoerung/Organisationsinformationen/Netznummer_N"/>
              </td>
              <td>
                <xsl:value-of select="Stoerung/Netzbeschreibung/Netzname"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Berichtsjahr</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Berichtsjahr"/>
              </td>
              <td>
                <b>Spgs.gruppe</b>
              </td>
              <td>
                <xsl:value-of select="Stoerung/Netzbeschreibung/Spannungsgruppe_XU"/>
              </td>
              <td>
                <xsl:value-of select="Stoerung/Netzbeschreibung/Spannungsgruppe_XU/@text"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <xsl:apply-templates select="Stoerung/Netzbeschreibung/Nennspannung"/>
              <xsl:apply-templates select="Stoerung/Netzbeschreibung/Netzart_XL"/>
            </tr>
            <xsl:variable name="stp"  select="Stoerung/Netzbeschreibung/Sternpunktbehandlung_XS"/>
            <xsl:variable name="stpt" select="Stoerung/Netzbeschreibung/Sternpunktbehandlung_XS/@text"/>
            <xsl:variable name="esf"  select="Stoerung/Netzbeschreibung/ES_Erfassung_XE"/>
            <xsl:variable name="esft" select="Stoerung/Netzbeschreibung/ES_Erfassung_XE/@text"/>
            <tr bgcolor="#ffffff">
              <xsl:choose>
                <xsl:when test="$vkunden='33'">
                  <td>
                    <b>HSL-Nummer</b>
                  </td>
                  <td colspan="2">
                    <xsl:value-of select="Stoerung/Organisationsinformationen/Stoerungsnummer_O"/>
                    _
                    <xsl:value-of select="Stoerung/Organisationsinformationen/HSL_Kategorie"/>
                  </td>
                </xsl:when>
                <xsl:otherwise>
                  <td>
                    <b>Strungsnummer</b>
                  </td>
                  <td colspan="2">
                    <xsl:value-of select="Stoerung/Organisationsinformationen/Stoerungsnummer_O"/>
                  </td>
                </xsl:otherwise>
              </xsl:choose>
              <xsl:choose>
                <xsl:when test="$stp">
                  <td>
                    <b>Sternpunktb.</b>
                  </td>
                  <td>
                    <xsl:value-of select="$stp"/>
                  </td>
                  <td>
                    <xsl:value-of select="$stpt"/>
                  </td>
                </xsl:when>
              </xsl:choose>
            </tr>
            <xsl:choose>
              <xsl:when test="$stp">
                <tr bgcolor="#ffffff">
                  <td>
                    <b></b>
                  </td>
                  <td colspan="2"></td>
                  <td>
                    <b>ES-Erfassung</b>
                  </td>
                  <td>
                    <xsl:value-of select="$esf"/>
                  </td>
                  <td>
                    <xsl:value-of select="$esft"/>
                  </td>
                </tr>
              </xsl:when>
            </xsl:choose>
          </table>
        </td>
      </tr>
		</xsl:otherwise>
		</xsl:choose>
    </table>


    <xsl:call-template name="Admin"/>
    <xsl:call-template name="Status"/>


    <xsl:choose>
      <xsl:when test="$vkunden='1'">
        <xsl:call-template name="ENE"/>
        <xsl:call-template name="REST">
          <xsl:with-param name="kapein"  select="3 + 1"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vkunden='27'">
        <xsl:call-template name="Ereignis"/>
        <xsl:call-template name="Weiterleitung"/>
        <xsl:call-template name="REST">
          <xsl:with-param name="kapein"  select="4 + 1"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$vkunden='33'">
        <xsl:call-template name="Schutzdaten"/>
        <xsl:call-template name="REST">
          <xsl:with-param name="kapein"  select="3 + 1"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="REST">
          <xsl:with-param name="kapein"  select="2 + 1"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

  </xsl:template>


  <xsl:template match="Stoerung/Netzbeschreibung/Nennspannung">
    <td align="left">
      <b>Nennspannung</b>
    </td>
    <td align="left" colspan="2">
      <xsl:value-of select="."/> kV
    </td>
  </xsl:template>

  <xsl:template match="Stoerung/Netzbeschreibung/Netzart_XL">
    <td>
      <b>Netzart</b>
    </td>
    <td>
      <xsl:value-of select="."/>
    </td>
    <td>
      <xsl:value-of select="./@text"/>
    </td>
  </xsl:template>


  <xsl:template name="Admin">
    <!-- Administrative Angaben -->
    <h1>
      <U>1. Administrative Angaben</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum letzte nderung:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Organisationsinformationen/Zeitletzteaenderung"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Organisationsinformationen/Userletzteaenderung/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum erste nderung:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Organisationsinformationen/Zeitersteaenderung"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Organisationsinformationen/Userersteaenderung/@text"/>
        </td>
      </tr>
      <xsl:variable name="dbid" select="Stoerung/Organisationsinformationen/DatenbankID"/>
      <xsl:choose>
		  <xsl:when test="$vkunden='11'"></xsl:when>
        <xsl:when test="$dbid > 0">
          <tr bgcolor="#ffffff">
            <td>
              <b>Datenbank ID:</b>
            </td>
            <td>
              <xsl:value-of select="$dbid"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:if test="$vkunden='20'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Meldende Stelle:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/enbw_meldestelle"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Netzbereich:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Netzbereich"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$vkunden='36'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Meldende Stelle:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/enbw_meldestelle"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Organisationseinheit:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Netzbereich"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$vkundenv='6'">
        <tr bgcolor="#ffffff">
          <td>
            <b>OMS Nummer:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/auftragsnummer"/>
          </td>
        </tr>
      </xsl:if>

    </table>
  </xsl:template>


  <xsl:template name="Status">
    <!-- Status der Strung -->
    <h1>
      <U>2. Status der Strung</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Status der Prfung:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Organisationsinformationen/Status"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Bearbeitung abgeschlossen:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Organisationsinformationen/abgeschlossen"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <xsl:apply-templates select="Stoerung/Organisationsinformationen/vdnrelevant"/>
        <xsl:apply-templates select="Stoerung/Organisationsinformationen/bnarelevant"/>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="Stoerung/Organisationsinformationen/vdnrelevant">
    <xsl:choose>
      <xsl:when test="$veoe">
        <td>
          <b>Datensatz OE relevant:</b>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td>
          <b>Datensatz FNN relevant:</b>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <td>
      <xsl:value-of select="."/>
    </td>
  </xsl:template>

  <xsl:template match="Stoerung/Organisationsinformationen/bnarelevant">
      <xsl:choose>
      <xsl:when test="$veoe">
      </xsl:when>
     <xsl:otherwise>
    <td>
      <b>Datensatz BNetzA relevant:</b>
    </td>
    <td>
      <xsl:value-of select="."/>
    </td>

      </xsl:otherwise>
    </xsl:choose>	
  </xsl:template>


  <xsl:template name="REST">
    <xsl:param name="kapein" />
    <h1>
      <U>
        <xsl:value-of select="$kapein"/>. Strungseintritt
      </U>
    </h1>
    <h2>
      <U>
        <xsl:value-of select="$kapein"/>.1 Allgemeine Angaben
      </U>
    </h2>
    <xsl:choose>
      <xsl:when test="$veoe">
        <xsl:if test="$schemav='OA'">
          <xsl:call-template name="Eintritt_A"/>
        </xsl:if>
        <xsl:if test="$schemav='OB'">
          <xsl:call-template name="Eintritt_B"/>
        </xsl:if>

		  <xsl:choose>
		  <xsl:when test="$vkunden='11'">
		  </xsl:when>
		  <xsl:otherwise>
			  <h2><U><xsl:value-of select="$kapein"/>.2 Fehlerorte</U></h2>
        <xsl:choose>
          <xsl:when test="$spggv='NS'">
            <xsl:for-each select="Stoerung/Fehlerorte_Stoerungsverlauf/Fehlerort">
              <xsl:call-template name="Fehlerort_A"/>
            </xsl:for-each>
          </xsl:when>
          <xsl:otherwise>
            <xsl:for-each select="Stoerung/Fehlerorte_Stoerungsverlauf/Fehlerort">
              <h3>
                <U>
                  Fehlerort Nr.: <xsl:value-of select="Nummer"/>
                </U>
              </h3>
              <xsl:if test="$schemav='OA'">
                <xsl:call-template name="Fehlerort_A"/>
              </xsl:if>
              <xsl:if test="$schemav='OB'">
                <xsl:call-template name="Fehlerort_B"/>
              </xsl:if>
            </xsl:for-each>
          </xsl:otherwise>
        </xsl:choose>
		  </xsl:otherwise>
		  </xsl:choose>

	  <xsl:variable name="kapvu" select="$kapein + 1"/>
        <p style="page-break-before:always">&#160;</p>
        <h1><U><xsl:value-of select="$kapvu"/>. Versorgungsunterbrechungen</U></h1>
        <xsl:if test="$spggv='NS'">
          <xsl:call-template name="OVU_NS"/>
        </xsl:if>
        <xsl:if test="$spggv='MS'">
          <xsl:call-template name="OVU_MS"/>
        </xsl:if>
        <xsl:if test="$spggv='HS'">
          <xsl:call-template name="OVU_HS"/>
        </xsl:if>
        <xsl:if test="$spggv='HoeS'">
          <xsl:call-template name="OVU_HS"/>
        </xsl:if>

        <xsl:variable name="kapalg" select="$kapvu + 1"/>
        <h1>
          <U>
            <xsl:value-of select="$kapalg"/>. Allgemeine Angaben
          </U>
        </h1>

      </xsl:when>
      <xsl:otherwise>

        <xsl:if test="$schema='A'">
          <xsl:call-template name="Eintritt_A"/>
        </xsl:if>
        <xsl:if test="$schema='B'">
          <xsl:call-template name="Eintritt_B"/>
        </xsl:if>
			<xsl:if test="$schema='I'">
				<xsl:call-template name="Eintritt_I"/>
			</xsl:if>
		  <xsl:apply-templates select="Stoerung/Fehlerorte_Stoerungsverlauf">
          <xsl:with-param name="kapein" select="$kapein"/>
        </xsl:apply-templates>

        <xsl:variable name="kapvu" select="$kapein + 1"/>
        <p style="page-break-before:always">&#160;</p>
		  <xsl:choose><xsl:when test="$vkunden='11'">
            <h1><U><xsl:value-of select="$kapvu"/>. Wiederversorgungsstufen</U></h1>
		  </xsl:when><xsl:otherwise>
            <h1><U><xsl:value-of select="$kapvu"/>. Versorgungsunterbrechungen</U></h1>
		  </xsl:otherwise></xsl:choose>			
        <xsl:if test="$spgg='NS'">
          <xsl:call-template name="VU_NS"/>
        </xsl:if>
        <xsl:if test="$spgg='MS'">
          <xsl:call-template name="VU_MS"/>
        </xsl:if>
        <xsl:if test="$spgg='HS'">
          <xsl:call-template name="VU_HS"/>
        </xsl:if>
        <xsl:if test="$spgg='HoeS'">
          <xsl:call-template name="VU_HS"/>
        </xsl:if>
			
			<xsl:if test="$schema='I'">
				<xsl:variable name="Spannungseinbruch" select="Stoerung/Stoerungseintritt/Spannungseinbruch_UE"/>
				<xsl:if test="$Spannungseinbruch='1'">
					<xsl:variable name="kapse" select="$kapein + 1"/>
						<h1><U><xsl:value-of select="$kapse"/>. Spannungseinbrche</U></h1>
						<xsl:call-template name="Spannungseinbrueche"/>
					</xsl:if>
			</xsl:if>
        <xsl:variable name="kapalg" select="$kapvu + 1"/>
        <h1>
          <U>
            <xsl:value-of select="$kapalg"/>. Allgemeine Angaben
          </U>
        </h1>
      </xsl:otherwise>
    </xsl:choose>

  </xsl:template>

  <xsl:template match="Stoerung/Fehlerorte_Stoerungsverlauf">
	  <xsl:param name="kapein" />
	  <xsl:choose>
	 <xsl:when test="$vkunden='11'">
	 </xsl:when>
	 <xsl:otherwise>
    <h2>
      <U>
        <xsl:value-of select="$kapein"/>.2 Fehlerorte
      </U>
    </h2>
    <xsl:choose>
      <xsl:when test="$spgg='NS' and $schema='A'">
        <xsl:for-each select="./Fehlerort">
          <xsl:call-template name="Fehlerort_A"/>
        </xsl:for-each>
      </xsl:when>
      <xsl:otherwise>
        <xsl:for-each select="./Fehlerort">
          <h3>
            <U>
              Fehlerort Nr.: <xsl:value-of select="Nummer"/>
            </U>
          </h3>
          <xsl:if test="$schema='A'">
            <xsl:call-template name="Fehlerort_A"/>
          </xsl:if>
          <xsl:if test="$schema='B' or $schema='I'">
            <xsl:call-template name="Fehlerort_B"/>
          </xsl:if>
        </xsl:for-each>
      </xsl:otherwise>
    </xsl:choose>
	 </xsl:otherwise>
    </xsl:choose>
</xsl:template>


  <xsl:template name="Eintritt_A">
    <!-- Strungseintritt A -->
    <table>
      <!-- Bewag Version Kunde Nr. 24 -->
      <xsl:if test="$vkundenv='24'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Betroffener Einbauort:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/keyuw"/>
          </td>
          <td>
            <xsl:value-of select="Stoerung/uw"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Betroffener Abweig:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/keyleitung"/>
          </td>
          <td>
            <xsl:value-of select="Stoerung/leitung"/>
          </td>
        </tr>
      </xsl:if>

      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Strungsanlass A:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsanlass_A"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsanlass_A/@text"/>
        </td>
      </tr>
      <xsl:apply-templates select="Stoerung/Stoerungseintritt/Rueckwirkung_HR"/>
      <xsl:apply-templates select="Stoerung/Stoerungseintritt/hr_netzbetreiber"/>
      <xsl:if test="$VDN_2006 > 2005">
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>Hhere Gewalt HG:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Stoerungseintritt/Hoehere_Gewalt_HG"/>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Stoerungseintritt/Hoehere_Gewalt_HG/@text"/>
          </td>
          <tr bgcolor="#ffffff">
            <td align="left">
              <b>Hhere Gewalt Text:</b>
            </td>
            <td>
              <xsl:for-each select="Stoerung/Stoerungseintritt/Erlaeuterung_Hoehere_Gewalt_HGE">
                <xsl:value-of select="."/>
              </xsl:for-each>
            </td>
          </tr>
        </tr>
      </xsl:if>
      <xsl:choose>
        <xsl:when test="$veoe">
          <tr bgcolor="#ffffff">
            <td align="left">
              <b>ECA-Anmerkung:</b>
            </td>
            <td>
              <xsl:for-each select="Stoerung/Stoerungseintritt/Sonstige_ECG_Anmerkung_AN/item">
                <xsl:value-of select="."/>
              </xsl:for-each>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td align="left">
              <b>Regional auergewhnliches Ereignis:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Stoerungseintritt/Naturkatastrophe_NK"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>

      <xsl:if test="$vkunden='20'">
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>Fehlerart:</b>
          </td>
          <td>Kurzschluss</td>
          <td>
            <xsl:value-of select="Stoerung/enbw_l1/@text"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td align="left">&#160;</td>
          <td>Leitungsunterbrechung</td>
          <td>
            <xsl:value-of select="Stoerung/enbw_l2/@text"/>
          </td>
        </tr>
        <xsl:choose>
          <xsl:when test="$GVU">
            <tr bgcolor="#ffffff">
              <td>
                <b>Bekanntgabe durch:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Stoerung/enbw_cbekanntgabe"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Zeitpunkt der Bekanntgabe:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Stoerung/enbw_bekanntgabe"/>
              </td>
            </tr>
          </xsl:when>
          <xsl:otherwise>
            <tr bgcolor="#ffffff">
              <td>
                <b>Meldungseingang:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Stoerung/enbw_eintreffen"/>
              </td>
            </tr>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>

      <xsl:if test="$vkunden='36'">
        <xsl:choose>
          <xsl:when test="$STOCH_36">
				 <tr bgcolor="#ffffff">
					 <td>
						 <b>Meldung durch:</b>
					 </td>
					 <td colspan="2">
						 <xsl:value-of select="Stoerung/enbw_kuppel"/>
					 </td>
				 </tr>
				 <tr bgcolor="#ffffff">
					 <td>
						 <b>Meldung am:</b>
					 </td>
					 <td colspan="2">
						 <xsl:value-of select="Stoerung/enbw_eintreffen"/>
					 </td>
				 </tr>
				 <tr bgcolor="#ffffff">
					 <td>
						 <b>Kontaktinfo:</b>
					 </td>
					 <td colspan="2">
						 <xsl:value-of select="Stoerung/enbw_ortung"/>
					 </td>
				 </tr>				 
          </xsl:when>
          <xsl:otherwise>
				 <tr bgcolor="#ffffff">
					 <td>
						 <b>Bekanntgabe durch:</b>
					 </td>
					 <td colspan="2">
						 <xsl:value-of select="Stoerung/eonmitarbeiter"/>
					 </td>
				 </tr>
				 <tr bgcolor="#ffffff">
					 <td>
						 <b>Bekanntgabe am:</b>
					 </td>
					 <td colspan="2">
						 <xsl:value-of select="Stoerung/enbw_bekanntgabe"/>
					 </td>
				 </tr>
			 </xsl:otherwise>
        </xsl:choose>
      </xsl:if>		 
      <xsl:if test="$vkunden='1'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Strauswirkung B:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsauswirkung_B"/>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsauswirkung_B/@text"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Ttigkeit:</b>
          </td>
          <td colspan="2">
            <xsl:value-of select="Stoerung/Bemerkungen2/item"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$vkunden='11'">
			<xsl:variable name="eonfomess" select="Stoerung/eonfomess"/>
			<xsl:variable name="moart" select="Stoerung/moart"/>
			<xsl:variable name="Bemerkungen3" select="Stoerung/Bemerkungen3"/>
			<xsl:choose>
			<xsl:when test="$eonfomess">
			<tr bgcolor="#ffffff">
				<td>
					<b>Fehlertyp:</b>
				</td>
				<td colspan="2">
					<xsl:value-of select="$eonfomess"/>
				</td>
			</tr>
			</xsl:when>
			</xsl:choose>
			<xsl:choose>
			<xsl:when test="$moart">
			<tr bgcolor="#ffffff">
				<td>
					<b>Betroffene Orte:</b>
				</td>
				<td colspan="2">
					<xsl:value-of select="$moart"/>
				</td>
			</tr>
			</xsl:when>
			</xsl:choose>
			<xsl:choose>
			<xsl:when test="$Bemerkungen3">
			<tr bgcolor="#ffffff">
				<td>
					<b>Indirekt betroffene Orte:</b>
				</td>
				<td colspan="2">
					<xsl:value-of select="$Bemerkungen3"/>
				</td>
			</tr>
			</xsl:when>
			</xsl:choose>
			<tr bgcolor="#ffffff">
				<td>
					<b>Eintreffen am Strungsort:</b>
				</td>
				<td colspan="2">
					<xsl:value-of select="Stoerung/enbw_eintreffen"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Strungsbeginn:</b>
				</td>
				<td colspan="2">
					<xsl:value-of select="Stoerung/Stoerungsbeginn_TA"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
          <td>
            <b>Strungsende:</b>
          </td>
          <td colspan="2">
            <xsl:value-of select="Stoerung/Stoerungsende"/>
          </td>
        </tr>
      </xsl:if>
    </table>
  </xsl:template>


  <xsl:template name="Eintritt_B">
    <!-- Strungseintritt B -->
    <table>
      <!-- Bewag Version Kunde Nr. 24 -->
      <xsl:if test="$vkundenv='24'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Betroffenes UW:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/keyuw"/>
          </td>
          <td>
            <xsl:value-of select="Stoerung/uw"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Betroffener Abweig:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/keyleitung"/>
          </td>
          <td>
            <xsl:value-of select="Stoerung/leitung"/>
          </td>
        </tr>
      </xsl:if>
      
      <tr bgcolor="#ffffff">
        <td>
          <b>Strungsbeginn TA:</b>
        </td>
        <td colspan = "2">
          <xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsbeginn_TA"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Strungsanlass A:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsanlass_A"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsanlass_A/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Strauswirkung B:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsauswirkung_B"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsauswirkung_B/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Fehlerart C:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Fehlerart_C"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Fehlerart_C/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Versorgungsunterbrechung RE:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Versorgungsunterbrechung_RE"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Stoerungseintritt/Versorgungsunterbrechung_RE/@text"/>
        </td>
      </tr>
      <xsl:apply-templates select="Stoerung/Stoerungseintritt/Rueckwirkung_HR"/>
      <xsl:apply-templates select="Stoerung/Stoerungseintritt/hr_netzbetreiber"/>
      <xsl:if test="$VDN_2006 > 2005">
        <tr bgcolor="#ffffff">
          <td align="left">
            <b>Hhere Gewalt HG:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Stoerungseintritt/Hoehere_Gewalt_HG"/>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Stoerungseintritt/Hoehere_Gewalt_HG/@text"/>
          </td>
          <tr bgcolor="#ffffff">
            <td align="left">
              <b>Hhere Gewalt Text:</b>
            </td>
            <td>
              <xsl:for-each select="Stoerung/Stoerungseintritt/Erlaeuterung_Hoehere_Gewalt_HGE">
                <xsl:value-of select="."/>
              </xsl:for-each>
            </td>
          </tr>
        </tr>
      </xsl:if>
      <xsl:choose>
        <xsl:when test="$veoe">
          <tr bgcolor="#ffffff">
            <td align="left">
              <b>ECA-Anmerkung:</b>
            </td>
            <td>
              <xsl:for-each select="Stoerung/Stoerungseintritt/Sonstige_ECG_Anmerkung_AN/item">
                <xsl:value-of select="."/>
              </xsl:for-each>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td align="left">
              <b>Regional auergewhnliches Ereignis:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Stoerungseintritt/Naturkatastrophe_NK"/>
            </td>
          </tr>
          <xsl:variable name="c40" select="Stoerung/Stoerungseintritt/Fehlerart_C"/>
          <xsl:choose>
            <xsl:when test="$c40 = 40">
              <tr bgcolor="#ffffff">
                <td>
                  <b>Erdschlussdauer [in Sek.]:</b>
                </td>
                <td>
                  <xsl:value-of select="Stoerung/Stoerungseintritt/c40_dauer_e"/>
                </td>
              </tr>
              <tr bgcolor="#ffffff">
                <td>
                  <b>Doppelerdschlussdauer [in Sek.]:</b>
                </td>
                <td>
                  <xsl:value-of select="Stoerung/Stoerungseintritt/c40_dauer_de"/>
                </td>
              </tr>
              <tr bgcolor="#ffffff">
                <td>
                  <b>Erdschlussstrom [in A]:</b>
                </td>
                <td>
                  <xsl:value-of select="Stoerung/Stoerungseintritt/c40_strom_de"/>
                </td>
              </tr>           
            </xsl:when>

          </xsl:choose>

        </xsl:when>
      </xsl:choose>
      <xsl:if test="$vkunden='20'">
        <xsl:choose>
          <xsl:when test="$GVU">
            <tr bgcolor="#ffffff">
              <td>
                <b>Bekanntgabe durch:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Stoerung/enbw_cbekanntgabe"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Zeitpunkt der Bekanntgabe:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Stoerung/enbw_bekanntgabe"/>
              </td>
            </tr>
          </xsl:when>
          <xsl:otherwise>
            <tr bgcolor="#ffffff">
              <td>
                <b>Meldungseingang:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Stoerung/enbw_eintreffen"/>
              </td>
            </tr>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>
		 <xsl:if test="$vkunden='36'">
			 <xsl:choose>
				 <xsl:when test="$STOCH_36">
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>Meldung durch:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="Stoerung/enbw_kuppel"/>
						 </td>
					 </tr>
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>Meldung am:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="Stoerung/enbw_eintreffen"/>
						 </td>
					 </tr>
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>Kontaktinfo:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="Stoerung/enbw_ortung"/>
						 </td>
					 </tr>					 
				 </xsl:when>
				 <xsl:otherwise>
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>Schaltkommandostelle:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="Stoerung/betriebsstelle"/>
						 </td>
					 </tr>
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>AE-Verantwortlicher:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="Stoerung/verantwortlicher_bez"/>
						 </td>
					 </tr>
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>Bekanntgabe durch:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="Stoerung/eonmitarbeiter"/>
						 </td>
					 </tr>
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>Bekanntgabe am:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="Stoerung/enbw_bekanntgabe"/>
						 </td>
					 </tr>
				 </xsl:otherwise>
			 </xsl:choose>
		 </xsl:if>     
		 <xsl:if test="$vkunden='1'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Ttigkeit:</b>
          </td>
          <td colspan="2">
            <xsl:value-of select="Stoerung/Bemerkungen2/item"/>
          </td>
        </tr>
      </xsl:if>
		 <xsl:if test="$vkunden='11'">
			 <xsl:variable name="eonfomess" select="Stoerung/eonfomess"/>
			 <xsl:variable name="moart" select="Stoerung/moart"/>
			 <xsl:variable name="Bemerkungen3" select="Stoerung/Bemerkungen3"/>
			 <xsl:choose>
				 <xsl:when test="$eonfomess">
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>Fehlertyp:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="$eonfomess"/>
						 </td>
					 </tr>
				 </xsl:when>
			 </xsl:choose>
			 <xsl:choose>
				 <xsl:when test="$moart">
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>Betroffene Orte:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="$moart"/>
						 </td>
					 </tr>
				 </xsl:when>
			 </xsl:choose>
			 <xsl:choose>
				 <xsl:when test="$Bemerkungen3">
					 <tr bgcolor="#ffffff">
						 <td>
							 <b>Indirekt betroffene Orte:</b>
						 </td>
						 <td colspan="2">
							 <xsl:value-of select="$Bemerkungen3"/>
						 </td>
					 </tr>
				 </xsl:when>
			 </xsl:choose>
		 </xsl:if>
   </table>
    <table>
    <xsl:if test="$vkundenv='29' or test=$spgg='MS'">
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>KE Ja:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/eonl1"/>
        </td>
        <td align="left">
          &#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;<b>KE Erfolgreich:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/eonl2"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>KE Erfolglos:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/eonl3"/>
        </td>
        <td align="left">
          &#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;<b>Erdschluss in Kurtschluss:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/eonm"/>
        </td>
      </tr>
    </xsl:if>
    </table>

  </xsl:template>


	<xsl:template name="Eintritt_I">
		<!-- Strungseintritt I -->
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>Strungsbeginn TA:</b>
				</td>
				<td colspan = "2">
					<xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsbeginn_TA"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td align="left">
					<b>Strungsanlass A:</b>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsanlass_A"/>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsanlass_A/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Strauswirkung B:</b>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsauswirkung_B"/>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Stoerungsauswirkung_B/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Fehlerart C:</b>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Fehlerart_C"/>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Fehlerart_C/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Versorgungsunterbrechung RE:</b>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Versorgungsunterbrechung_RE"/>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Versorgungsunterbrechung_RE/@text"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Spannungseinbruch UE:</b>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Spannungseinbruch_UE"/>
				</td>
				<td>
					<xsl:value-of select="Stoerung/Stoerungseintritt/Spannungseinbruch_UE/@text"/>
				</td>
			</tr>
			<xsl:apply-templates select="Stoerung/Stoerungseintritt/Rueckwirkung_HR"/>
			<xsl:apply-templates select="Stoerung/Stoerungseintritt/hr_netzbetreiber"/>
			<xsl:if test="$VDN_2006 > 2005">
				<tr bgcolor="#ffffff">
					<td align="left">
						<b>Hhere Gewalt HG:</b>
					</td>
					<td>
						<xsl:value-of select="Stoerung/Stoerungseintritt/Hoehere_Gewalt_HG"/>
					</td>
					<td>
						<xsl:value-of select="Stoerung/Stoerungseintritt/Hoehere_Gewalt_HG/@text"/>
					</td>
					<tr bgcolor="#ffffff">
						<td align="left">
							<b>Hhere Gewalt Text:</b>
						</td>
						<td>
							<xsl:for-each select="Stoerung/Stoerungseintritt/Erlaeuterung_Hoehere_Gewalt_HGE">
								<xsl:value-of select="."/>
							</xsl:for-each>
						</td>
					</tr>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>


	<xsl:template name="Fehlerort_A">
    <!-- Fehlerort A -->
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Fehlerort E:</b>
        </td>
        <td>
          <xsl:value-of select="Fehlerort_E"/>&#160;&#160;
        </td>
        <td>
          <xsl:value-of select="Fehlerort_E/@text"/>
        </td>
      </tr>
      <xsl:if test="$vkunden='36'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Fehlerursache:</b>
          </td>
          <td>
            <xsl:value-of select="Fehlerursache"/>
          </td>
          <td>
            <xsl:value-of select="Fehlerursache/@text"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Ortsteil:</b>
          </td>
          <td>
            <xsl:value-of select="fe_ort"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Strae:</b>
          </td>
          <td>
            <xsl:value-of select="fe_strasse"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Sonstige Ortsangabe:</b>
          </td>
          <td>
            <xsl:value-of select="fe_netzgrp"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Ausfallbereiche:</b>
          </td>
          <td>
            <xsl:value-of select="fe_stkabk"/>
          </td>
        </tr>
      </xsl:if>		 
      <xsl:if test="$vkunden='20'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Fehlerursache:</b>
          </td>
          <td>
            <xsl:value-of select="Fehlerursache"/>
          </td>
          <td>
            <xsl:value-of select="Fehlerursache/@text"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Gemeinde:</b>
          </td>
          <td>
            <xsl:value-of select="fe_ort"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Ortsteil:</b>
          </td>
          <td>
            <xsl:value-of select="fe_uwsw"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Strae:</b>
          </td>
          <td>
            <xsl:value-of select="fe_strasse"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Sonstige Angaben:</b>
          </td>
          <td>
            <xsl:value-of select="fe_netzgrp"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Ausfallbereiche:</b>
          </td>
          <td>
            <xsl:value-of select="fe_stkabk"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Nhere Bezeichung der fehlerhaften bzw. beschdigten Betriebsmittels:</b>
          </td>
          <td>
            <xsl:value-of select="Fehlerort_Klartext"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$vkunden='1'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Gemeinde:</b>
          </td>
          <td>
            <xsl:value-of select="fe_zwischenstat"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Ortsteil:</b>
          </td>
          <td>
            <xsl:value-of select="fe_undstat"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>TS-Name:</b>
          </td>
          <td>
            <xsl:value-of select="Fehlerort_Klartext"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>TS-Nummer:</b>
          </td>
          <td>
            <xsl:value-of select="Fehlerort_Schluessel"/>
          </td>
        </tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>SAP BF Meldungsnr.:</b>
				</td>
				<td>
					<xsl:value-of select="fe_stkabk"/>
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>SAP BN Meldungsnr.:</b>
				</td>
				<td>
					<xsl:value-of select="fe_meldnum"/>
				</td>
			</tr>
      </xsl:if>
      <xsl:if test="$vkundenv='29'">
        <tr bgcolor="#ffffff">
          <td width="15%">
            <b>Betriebsmittel-ID:</b>
          </td>
          <td width="30%">
            <xsl:value-of select="Fehlerort_Schluessel"/>
          </td>
          <td>
            <xsl:value-of select="Fehlerort_Klartext"/>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="$vkunden='43'">
        <xsl:variable name="fe_netzgrp1" select="fe_netzgrp"/>
        <xsl:if test="$fe_netzgrp1">
          <tr bgcolor="#ffffff">
            <td width="15%">
              <b>Kabeltyp:</b>
            </td>
            <td width="30%">
              <xsl:value-of select="fe_netzgrp"/>
            </td>
          </tr>
        </xsl:if>
      </xsl:if>

      <xsl:variable name="einfach_schaden" select="Fehlerort_Schaden"/>
      <xsl:if test="$einfach_schaden">
        <tr bgcolor="#ffffff">
          <td>
            <b>
              <U>Schden:</U>
            </b>
          </td>
          <xsl:for-each select="Fehlerort_Schaden">
            <xsl:call-template name="einfachSchaden"/>
          </xsl:for-each>
        </tr>
      </xsl:if>


    </table>
  </xsl:template>


  <xsl:template name="Fehlerort_B">
    <!-- Fehlerort B -->

	  <xsl:if test="$vkundenv='5'">
		  <xsl:call-template name="Schutzdaten_TIWAG"/>
	  </xsl:if>

	  <table border="0" width="100%">
      <tr bgcolor="#ffffff">
        <td width="15%">
          <b>Fehlerort E:</b>
        </td>
        <td width= "5%">
          <xsl:value-of select="Fehlerort_E"/>
        </td>
        <td width="30%">
          <xsl:value-of select="Fehlerort_E/@text"/>
        </td>
        <td width="15%">
          <b>Aus-Dauer ED:</b>
        </td>
        <!-- <td width="35%"><xsl:value-of select="Aus_Dauer_ED"/> [h]</td> -->
        <td width="35%">
          <xsl:value-of select="Aus_Dauer_ED/@text"/> [h:mm]
        </td>
      </tr>
      <xsl:if test="$vkunden='43'">
        <xsl:variable name="fe_netzgrp1" select="fe_netzgrp"/>
        <xsl:if test="$fe_netzgrp1">
          <tr bgcolor="#ffffff">
            <td width="15%">
              <b>Kabeltyp:</b>
            </td>
            <td width="85%">
              <xsl:value-of select="fe_netzgrp"/>
            </td>
          </tr>
        </xsl:if>
      </xsl:if>
      <tr bgcolor="#ffffff">
        <td width="15%">
          <b>Ausfallart RAB:</b>
        </td>
        <td width= "5%">
          <xsl:value-of select="Ausfallart_RAB"/>
        </td>
        <td width="30%">
          <xsl:value-of select="Ausfallart_RAB/@text"/>
        </td>
        <td width="15%">
          <b>Schden EI:</b>
        </td>
        <!-- <td width="35%"><xsl:value-of select="Schaeden_EI"/></td> -->
        <td width="35%">
          <xsl:value-of select="Schaeden_EI/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td width="15%">
          <b>Fehlerursache:</b>
        </td>
        <td width= "5%">
          <xsl:value-of select="Fehlerursache"/>
        </td>
        <td width="80%" colspan="3">
          <xsl:value-of select="Fehlerursache/@text"/>
        </td>
      </tr>
      <xsl:choose>
        <xsl:when test="$vkunden='1'">
          <xsl:if test="$spgg='MS'">
            <tr bgcolor="#ffffff">
              <td>
                <b>Umspannwerk:</b>
              </td>
              <td colspan="4">
                <xsl:value-of select="fe_uwsw"/>
              </td>
            </tr>
          </xsl:if>
          <tr bgcolor="#ffffff">
            <td>
              <b>Skr./Feld-Name:</b>
            </td>
            <td>
              <xsl:value-of select="Fehlerort_Klartext"/>&#160;
            </td>
            <td></td>
            <td>
              <b>E-Gebiet:</b>
            </td>
            <td>
              <xsl:value-of select="fe_netzgrp"/>&#160;
            </td>
          </tr>
          <xsl:if test="$spgg='MS'">
            <tr bgcolor="#ffffff">
              <td>
                <b>Fehlerobjekt:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="fe_zwischenstat"/>&#160;
              </td>
              <td>
                <b>und Station:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="fe_undstat"/>&#160;
              </td>
            </tr>
          </xsl:if>
          <tr bgcolor="#ffffff">
            <td>
              <b>SAP BF Nr.:</b>
            </td>
            <td colspan="2">
              <xsl:value-of select="fe_stkabk"/>&#160;
            </td>
				<td>
				 <b>SAP BN Nr.:</b>
				</td>
				<td>
				 <xsl:value-of select="fe_meldnum"/>&#160;
				</td>
			 </tr>
        </xsl:when>
        <xsl:when test="$vkunden='20'">
          <xsl:if test="$spgg='MS'">
            <tr bgcolor="#ffffff">
              <td>
                <b>UW:</b>
              </td>
              <td>
                <xsl:value-of select="fe_uwsw"/>
              </td>
              <td>
                <b>Abgang:</b>
              </td>
              <td>
                <xsl:value-of select="fe_netzgrp"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Gemeinde:</b>
              </td>
              <td>
                <xsl:value-of select="fe_stkabk"/>
              </td>
              <td>
                <b>Ortsteil:</b>
              </td>
              <td>
                <xsl:value-of select="fe_ort"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>zwischen Station:</b>
              </td>
              <td>
                <xsl:value-of select="Fehlerort_Klartext"/>&#160;
              </td>
              <td>
                <xsl:value-of select="fe_zwischenstat"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Gemeinde:</b>
              </td>
              <td>
                <xsl:value-of select="fe_stknam"/>
              </td>
              <td>
                <b>Ortsteil:</b>
              </td>
              <td>
                <xsl:value-of select="fe_strasse"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>und Station:</b>
              </td>
              <td>
                <xsl:value-of select="Fehlerort_Schluessel"/>&#160;
              </td>
              <td>
                <xsl:value-of select="fe_undstat"/>
              </td>
            </tr>
          </xsl:if>
          <xsl:if test="$spgg='HS'">
            <tr bgcolor="#ffffff">
              <td>
                <b>Schlssel:</b>
              </td>
              <td>
                <xsl:value-of select="Fehlerort_Schluessel"/>&#160;
              </td>
              <td></td>
              <td>
                <b>Klartext:</b>
              </td>
              <td>
                <xsl:value-of select="Fehlerort_Klartext"/>&#160;
              </td>
            </tr>
          </xsl:if>
        </xsl:when>
        <xsl:when test="$vkunden='36'">
          <xsl:if test="$spgg='MS'">
            <tr bgcolor="#ffffff">
              <td>
                <b>UW/SSt:</b>
              </td>
					<td colspan="5">
                <xsl:value-of select="fe_uwsw"/>
              </td>
				</tr>
				<tr bgcolor="#ffffff">
					<td>
                <b>Abgang:</b>
              </td>
					<td colspan="5">
						<xsl:value-of select="fe_netzgrp"/>
					</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td>
						<b>Ortsteil von:</b>
					</td>
					<td colspan="5">
                <xsl:value-of select="fe_ort"/>
              </td>
				</tr>
				<tr bgcolor="#ffffff">
					<td>
                <b>Bereich von:</b>
              </td>
					<td colspan="5">
						<xsl:value-of select="fe_zwischenstat"/>
					</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td>
						<b>Ortsteil bis:</b>
					</td>
					<td colspan="5">
                <xsl:value-of select="fe_strasse"/>
              </td>
				</tr>
				<tr bgcolor="#ffffff">
					<td>
                <b>Bereich bis:</b>
              </td>
					<td colspan="5">
                <xsl:value-of select="fe_undstat"/>
              </td>
            </tr>
          </xsl:if>
          <xsl:if test="$spgg='HS'">
            <tr bgcolor="#ffffff">
              <td>
                <b>Schlssel:</b>
              </td>
              <td>
                <xsl:value-of select="Fehlerort_Schluessel"/>&#160;
              </td>
              <td></td>
              <td>
                <b>Klartext:</b>
              </td>
              <td>
                <xsl:value-of select="Fehlerort_Klartext"/>&#160;
              </td>
            </tr>
          </xsl:if>
        </xsl:when>			
        <xsl:when test="$vkundenv='29'">
          <tr bgcolor="#ffffff">
            <td>
              <b>Betriebsmittel-ID:</b>
            </td>
            <td colspan="2">
              <xsl:value-of select="Fehlerort_Schluessel"/>
            </td>
            <td colspan="3">
              <xsl:value-of select="Fehlerort_Klartext"/>
            </td>
          </tr>
         </xsl:when>
			<xsl:when test="$vkunden='33'">
          <xsl:variable name="feld1" select="fe_stknam"/>
          <xsl:if test="$feld1">
            <tr bgcolor="#ffffff">
              <td>
                <b>UA:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="fe_uwsw"/>
              </td>
              <td>
                <b>Feld/Stromkreis:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="fe_stknam"/>
              </td>
            </tr>
          </xsl:if>
          <xsl:variable name="feld2" select="fe_zwischenstat"/>
          <xsl:if test="$feld2">
            <tr bgcolor="#ffffff">
              <td>
                <b>UA:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="fe_netzgrp"/>
              </td>
              <td>
                <b>Feld/Stromkreis:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="fe_zwischenstat"/>
              </td>
            </tr>
          </xsl:if>
          <xsl:variable name="feld3" select="fe_undstat"/>
          <xsl:if test="$feld3">
            <tr bgcolor="#ffffff">
              <td>
                <b>UA:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="fe_stkabk"/>
              </td>
              <td>
                <b>Feld/Stromkreis:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="fe_undstat"/>
              </td>
            </tr>
          </xsl:if>
          <xsl:variable name="feld4" select="Fehlerort_Klartext"/>
          <xsl:if test="$feld4">
            <tr bgcolor="#ffffff">
              <td>
                <b>UA:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Fehlerort_Schluessel"/>
              </td>
              <td>
                <b>Feld/Stromkreis:</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Fehlerort_Klartext"/>
              </td>
            </tr>
          </xsl:if>
        </xsl:when>
        <xsl:otherwise>
          <tr bgcolor="#ffffff">
            <td width="15%">
              <b>Schlssel:</b>
            </td>
            <td width= "5%"></td>
            <td width="30%">
              <xsl:value-of select="Fehlerort_Schluessel"/>
            </td>
            <td width="15%">
              <b>Klartext:</b>
            </td>
            <td width="35%">
              <xsl:value-of select="Fehlerort_Klartext"/>
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
		<xsl:variable name="einfach_schaden" select="Fehlerort_Schaden"/>
      <xsl:if test="$einfach_schaden">
        <tr bgcolor="#ffffff">
          <td>
            <b>
              <U>Schden:</U>
            </b>
          </td>
          <xsl:for-each select="Fehlerort_Schaden">
            <xsl:call-template name="einfachSchaden"/>
          </xsl:for-each>
        </tr>
      </xsl:if>
    </table>
	 <xsl:if test="$vkunden='1'">
	   <xsl:call-template name="Schutzdaten_EON"/>
	 </xsl:if>
  </xsl:template>


  <xsl:template name="einfachSchaden">
    <!-- Fehlerort_Schaden  einfache Schadenerfassung -->
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="4">
          <xsl:value-of select="Fehlerort_Anzahl_erfasster_Schaeden"/>&#160;&#160;&#160;x&#160;&#160;&#160;
          <xsl:value-of select="Fehlerort_Schadenerfassung/@text"/>
        </td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template name="VU_NS">
    <!-- Versorgungsunterbrechungen Niederspannung -->
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Beginn der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitbeginn"/>
        </td>
        <td>
          <b>Dauer [h:mm]:</b>
        </td>
        <!-- <td><xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer"/> [h]</td> -->
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Berechn. Ende der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitende"/>
        </td>
      </tr>
		 <xsl:if test="$schema='I'">
			 <tr bgcolor="#ffffff">
				 <td>
					 <b>Unterbrochene LV-Abgnge:</b>
				 </td>
				 <td>
					 <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_lvab"/>
				 </td>
			 </tr>
			 <tr bgcolor="#ffffff">
				 <td>
					 <b>Unterbrochene LV-AbgngeMinuten:</b>
				 </td>
				 <td>
					 <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_lvabmin"/>
				 </td>
			 </tr>
		 </xsl:if>
		 <xsl:choose>
        <xsl:when test="$VDN_2006 > 2005">
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene Letztverbraucher:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kunden"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene LetztverbraucherMinuten:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kundenmin"/>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene Netzkunden:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kunden"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene KundenMinuten:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kundenmin"/>
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
		<xsl:choose>
		<xsl:when test="$vkunden='11'"></xsl:when>
		<xsl:when test="$berichtsjahr >2012 or $berichtsjahr >2011 and $vkunden='1'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Unterbrochene Weiterverteiler:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_lvwv"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Unterbrochene WeiterverteilerMinuten:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_lvwvmin"/>
          </td>
        </tr>
		</xsl:when>
	   </xsl:choose>
    </table>
    <br></br>
    <br></br>
    <table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <xsl:choose>
          <xsl:when test="$vkunden='20'">
          </xsl:when>
          <xsl:otherwise>
            <td width= "4%">
              <b>Nr.</b>
            </td>
          </xsl:otherwise>
        </xsl:choose>
			  <xsl:choose>
				<xsl:when test="$vkunden='11'">
				</xsl:when>
				<xsl:otherwise>
					<td>
						<b>Relevant</b>
					</td>
				</xsl:otherwise>
        </xsl:choose>
        <td width="10%">
          <b>Beginn</b>
        </td>
        <td width="10%">
          <b>Ende</b>
        </td>
        <xsl:choose>
          <xsl:when test="$vkunden='20'">
            <td width= "4%">
              <b>Nr.</b>
            </td>
          </xsl:when>
        </xsl:choose>
        <xsl:choose>
          <xsl:when test="$VDN_2006 > 2005">
            <td width="14%">
              <b>Unterbr. LV</b>
            </td>
            <td width="14%">
              <b>Unterbr. LVmin.</b>
            </td>
          </xsl:when>
          <xsl:otherwise>
            <td width="14%">
              <b>Unterbr. NK</b>
            </td>
            <td width="14%">
              <b>Unterbr. Kmin.</b>
            </td>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="$berichtsjahr >2012 or $berichtsjahr >2011 and $vkunden='1'">
          <td width="14%">
            <b>Unterbr. Typ</b>
          </td>
        </xsl:if>
        <xsl:choose>
          <xsl:when test="$vkunden='1'">
            <td width="24%">
              <b>TS-Name/Nummer</b>
            </td>
            <td width="12%">
              <b>Ortsteil</b>
            </td>
            <td width="12%">
              <b>Gemeinde</b>
            </td>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="$vkunden='43'">
                <td width="24%">
                  <b>Gemeinde</b>
                </td>
              </xsl:when>
              <xsl:otherwise>
              <xsl:choose>
              <xsl:when test="$vstationen='Ja'">
                <xsl:apply-templates select="VU_statid"/>
                <xsl:apply-templates select="VU_statnam"/>
              </xsl:when>
              <xsl:otherwise>
                <td width="48%">
                  <b>Stationskennung</b>
                </td>
              </xsl:otherwise>
              </xsl:choose>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
      <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
        <tr bgcolor="#ffffff">
          <xsl:choose>
            <xsl:when test="$vkunden='20'">
            </xsl:when>
            <xsl:otherwise>
              <td>
                <xsl:value-of select="Nummer"/>
              </td>
            </xsl:otherwise>
          </xsl:choose>
			  <xsl:choose>
				  <xsl:when test="$vkunden='11'">
				  </xsl:when>
				  <xsl:otherwise>
					  <td>
						  <xsl:value-of select="vu_vdnrelevant/@text"/>
					  </td>
				  </xsl:otherwise>
			  </xsl:choose>
        <xsl:choose>
          <xsl:when test="$vkunden='1'">
            <td>
              <xsl:value-of select="VU_Beginn_TVA"/>
            </td>
            <td>
              <xsl:value-of select="VU_Ende_TVE"/>
            </td>
          </xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="vu_beginn"/>
            </td>
            <td>
              <xsl:value-of select="vu_ende"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
          <xsl:choose>
            <xsl:when test="$vkunden='20'">
              <td width= "4%">
                <xsl:value-of select="Nummer"/>
              </td>
            </xsl:when>
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="$VDN_2006 > 2005">
              <xsl:choose>
                <xsl:when test="$berichtsjahr >2012 or $berichtsjahr >2011 and $vkunden='1'">
                  <xsl:variable name="vutyp" select="VUTyp"/>
                  <xsl:if test="$vutyp='0'">
                    <td>
                      <xsl:value-of select="Unterbrochene_Letztverbraucher_RT"/>
                    </td>
                    <td>
                      <xsl:value-of select="Unterbrochene_LetztverbraucherMinuten_RO3"/>
                    </td>
                  </xsl:if>
                  <xsl:if test="$vutyp='2'">
                    <td>
                      <xsl:value-of select="Unterbrochene_Letztverbraucher_Weiterverteiler_RN6"/>
                    </td>
                    <td>
                      <xsl:value-of select="Unterbrochene_LetztverbraucherMinuten_Weiterverteiler_RO6"/>
                    </td>
                  </xsl:if>
						 <xsl:if test="$vutyp='4'">
							 <td>
								 <xsl:value-of select="Unterbrochene_Letztverbraucherabgaenge_RNB"/>
							 </td>
							 <td>
								 <xsl:value-of select="Unterbrochene_LetztverbraucherabgaengeMinuten_ROB"/>
							 </td>
						 </xsl:if>
					 </xsl:when>
                <xsl:otherwise>
                  <td>
                    <xsl:value-of select="Unterbrochene_Letztverbraucher_RT"/>
                  </td>
                  <td>
                    <xsl:value-of select="Unterbrochene_LetztverbraucherMinuten_RO3"/>
                  </td>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
              <td>
                <xsl:value-of select="Unterbrochene_Kunden_RT"/>
              </td>
              <td>
                <xsl:value-of select="Unterbrochene_KundenMinuten_RO3"/>
              </td>
            </xsl:otherwise>
          </xsl:choose>
          <xsl:if test="$berichtsjahr >2012 or $berichtsjahr >2011 and $vkunden='1'">
            <td>
              <xsl:value-of select="VUTyp/@text"/>
            </td>
          </xsl:if>
          <xsl:choose>
            <xsl:when test="$vkunden='1'">
              <td>
                <xsl:value-of select="Kennung_Stationen"/>
              </td>
              <td>
                <xsl:value-of select="vu_abgang"/>
              </td>
              <td>
                <xsl:value-of select="vu_gemeinde"/>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <xsl:choose>
                <xsl:when test="$vkunden='43'">
                  <td width="24%">
                    <xsl:value-of select="vu_gemeinde"/>
                  </td>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:choose>
                <xsl:when test="$vstationen='Ja'">
                  <xsl:if test="$vu_statid">
                    <td>
                      <xsl:value-of select="Kennung_Stationen"/>&#160;
                    </td>
                  </xsl:if>
                  <xsl:if test="$vu_statnam">
                    <td>
                      <xsl:value-of select="Name_Stationen"/>&#160;
                    </td>
                  </xsl:if>
                </xsl:when>
                <xsl:otherwise>
                  <td>
                    <xsl:value-of select="Kennung_Stationen"/>&#160;
                  </td>
                </xsl:otherwise>
              </xsl:choose>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>


  <xsl:template name="VU_MS">
    <!-- Versorgungsunterbrechungen Mittelspannung -->

    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Beginn der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitbeginn"/>
        </td>
        <td>
          <b>Dauer [h:mm]:</b>
        </td>
        <!-- <td><xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer"/> [h]</td> -->
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Berechn. Ende der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitende"/>
        </td>
      </tr>
		 <xsl:if test="$schema='I'">
			 <tr bgcolor="#ffffff">
				 <td>
					 <b>Unterbrochene Sr (Sonstige LV):</b>
				 </td>
				 <td>
					 <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_sr_so"/>
				 </td>
			 </tr>
			 <tr bgcolor="#ffffff">
				 <td>
					 <b>Unterbrochene MVAMinuten (Sonstige LV):</b>
				 </td>
				 <td>
					 <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mvamin_so"/>
				 </td>
			 </tr>
		 </xsl:if>
		 <xsl:choose>
        <xsl:when test="$VDN_2006 > 2005">
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene Sr (Netztr.):</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_sr_netz"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene MVAMinuten (Netztr.):</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mvamin_netz"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene Sr (LV-Trafo):</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_sr_kunden"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene MVAMinuten (LV-Trafo):</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mvamin_kunden"/>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene Sr:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_sr"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene MVAMinuten:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mvamin"/>
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
		<xsl:choose>
		<xsl:when test="$vkunden='11'"></xsl:when>
		 <xsl:when test="$berichtsjahr >2012 or $berichtsjahr >2011 and $vkunden='1'">			
        <tr bgcolor="#ffffff">
          <td>
            <b>Unterbrochene Sr (Weitervert.):</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_sr_wv"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Unterbrochene MVAMinuten (Weitervert.):</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mvamin_wv"/>
          </td>
        </tr>
      </xsl:when>
		</xsl:choose>
    </table>
    <br></br>
    <br></br>
    <xsl:choose>
      <xsl:when test="$VDN_2006 > 2005">
        <table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
          <tr bgcolor="#ffffff">
            <xsl:choose>
              <xsl:when test="$vkunden='20'"></xsl:when>
              <xsl:otherwise>
                <td width= "4%">
                  <b>Nr.</b>
                </td>
              </xsl:otherwise>
            </xsl:choose>
				 <xsl:choose>
					 <xsl:when test="$vkunden='11'"></xsl:when>
					 <xsl:otherwise>
						 <td><b>Relevant</b></td>
					 </xsl:otherwise>
				 </xsl:choose>
           <td width=" 9%">
              <b>Beginn</b>
            </td>
            <td width=" 9%">
              <b>Ende</b>
            </td>
            <xsl:choose>
              <xsl:when test="$vkunden='20'">
                <td width= "4%">
                  <b>Nr.</b>
                </td>
              </xsl:when>
            </xsl:choose>
            <xsl:choose>
              <xsl:when test="$Stationen_erfasstN">
                <td width="13%">
                  <b>Unterbr. Stat.</b>
                </td>
                <td width="13%">
                  <b>Unterbr. StatMin.</b>
                </td>
              </xsl:when>
              <xsl:otherwise>
                <xsl:choose>
                  <xsl:when test="$Stationen_erfasstK">
                    <td width="13%">
                      <b>Unterbr. Stat.</b>
                    </td>
                    <td width="13%">
                      <b>Unterbr. StatMin.</b>
                    </td>
                  </xsl:when>
                  <xsl:otherwise>
                    <td width="13%">
                      <b>Unterbr. Sr</b>
                    </td>
                    <td width="13%">
                      <b>Unterbr. MVAmin.</b>
                    </td>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:otherwise>
            </xsl:choose>
            <td width=" 8%">
              <b>Unterbr. Typ</b>
            </td>
            <xsl:choose>
              <xsl:when test="$vkunden='1'">
                <td width="10%">
                  <b>Trafoname/Typ</b>
                </td>
                <td width="14%">
                  <b>TS-Name/Kennung/Typ</b>
                </td>
                <td width="5%">
                  <b>Gemeinde</b>
                </td>
                <td width="5%">
                  <b>E-Gebiet</b>
                </td>
                <td width="5%">
                  <b>Skr./Feld</b>
                </td>
                <td width="5%">
                  <b>UW/SW/SST</b>
                </td>
              </xsl:when>
					<xsl:when test="$vkunden='17'">
						<td width="44%">
							<b>Stationskennung</b>
						</td>
						<td>
							<b>TP SAP-PM</b>
						</td>
					</xsl:when>
					<xsl:when test="$vkunden='11'">
						<td colspan="2" width="44%">
							<b>Ort - Stationsname</b>
						</td>
					</xsl:when>
					<xsl:when test="$vkunden='20'">
						<td width="44%">
							<b>Stationskennung</b>
						</td>
						<td>
							<b>Stationsname</b>
						</td>
					</xsl:when>
          <xsl:when test="$vkunden='43'">
            <td width="44%">
              <b>Gemeinde</b>
            </td>
          </xsl:when>
					<xsl:when test="$vkunden='36'">
						<td width="44%">
							<b>Ortsteil</b>
						</td>
						<td>
							<b>Station</b>
						</td>
					</xsl:when>
					<xsl:when test="$vstationen='Ja'">
                <xsl:apply-templates select="VU_statid"/>
                <xsl:apply-templates select="VU_statnam"/>
              </xsl:when>
              <xsl:otherwise>
                <td width="44%">
                  <b>Stationskennung</b>
                </td>
              </xsl:otherwise>
            </xsl:choose>
			 </tr>
          <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
            <xsl:variable name="vutyp" select="VUTyp"/>
            <tr bgcolor="#ffffff">
              <xsl:choose>
                <xsl:when test="$vkunden='20'">
                </xsl:when>
                <xsl:otherwise>
                  <td>
                    <xsl:value-of select="Nummer"/>
                  </td>
                </xsl:otherwise>
              </xsl:choose>
					<xsl:choose>
						<xsl:when test="$vkunden='11'"></xsl:when>
						<xsl:otherwise>
							<td><xsl:value-of select="vu_vdnrelevant/@text"/></td>
						</xsl:otherwise>
					</xsl:choose>
          <xsl:choose>
            <xsl:when test="$vkunden='1'">
              <td>
                <xsl:value-of select="VU_Beginn_TVA"/>
              </td>
              <td>
                <xsl:value-of select="VU_Ende_TVE"/>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td>
                <xsl:value-of select="vu_beginn"/>
              </td>
              <td>
                <xsl:value-of select="vu_ende"/>
              </td>
            </xsl:otherwise>
          </xsl:choose>

              <xsl:choose>
                <xsl:when test="$vkunden='20'">
                  <td>
                    <xsl:value-of select="Nummer"/>
                  </td>
                </xsl:when>
              </xsl:choose>
              <xsl:choose>
                <xsl:when test="$Stationen_erfasstN">
                  <xsl:if test="$vutyp='1'">
                    <td>
                      <xsl:value-of select="Unterbrochene_Stationen_Kundentransformatoren_RN7"/>
                    </td>
                    <td>
                      <xsl:value-of select="Unterbrochene_StationsMinuten_Kundentransformatoren_RO7"/>
                    </td>
                    <td>
                      <xsl:value-of select="VUTyp/@text"/>
                    </td>
                  </xsl:if>
                  <xsl:if test="$vutyp='0'">
                    <td>
                      <xsl:value-of select="Unterbrochene_Stationen_Ortsnetztransformatoren_RN6"/>
                    </td>
                    <td>
                      <xsl:value-of select="Unterbrochene_StationsMinuten_Ortsnetztransformatoren_RO6"/>
                    </td>
                    <td>
                      <xsl:value-of select="VUTyp/@text"/>
                    </td>
                  </xsl:if>
                  <xsl:if test="$vutyp='2'">
                    <td>
                      <xsl:value-of select="Unterbrochene_Bemessungsscheinleistung_Weiterverteiler_RN7"/>
                    </td>
                    <td>
                      <xsl:value-of select="Unterbrochene_MVAmin_Weiterverteiler_RO7"/>
                    </td>
                    <td>
                      <xsl:value-of select="VUTyp/@text"/>
                    </td>
                  </xsl:if>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:choose>
                    <xsl:when test="$Stationen_erfasstK">
                      <xsl:if test="$vutyp='1'">
                        <td>
                          <xsl:value-of select="Unterbrochene_Stationen_Kundentransformatoren_RN7"/>
                        </td>
                        <td>
                          <xsl:value-of select="Unterbrochene_StationsMinuten_Kundentransformatoren_RO7"/>
                        </td>
                        <td>
                          <xsl:value-of select="VUTyp/@text"/>
                        </td>
                      </xsl:if>
                      <xsl:if test="$vutyp='0'">
                        <td>
                          <xsl:value-of select="Unterbrochene_Stationen_Ortsnetztransformatoren_RN6"/>
                        </td>
                        <td>
                          <xsl:value-of select="Unterbrochene_StationsMinuten_Ortsnetztransformatoren_RO6"/>
                        </td>
                        <td>
                          <xsl:value-of select="VUTyp/@text"/>
                        </td>
                      </xsl:if>
                      <xsl:if test="$vutyp='2'">
                        <td>
                          <xsl:value-of select="Unterbrochene_Bemessungsscheinleistung_Weiterverteiler_RN7"/>
                        </td>
                        <td>
                          <xsl:value-of select="Unterbrochene_MVAmin_Weiterverteiler_RO7"/>
                        </td>
                        <td>
                          <xsl:value-of select="VUTyp/@text"/>
                        </td>
                      </xsl:if>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:if test="$vutyp='1'">
                        <td>
                          <xsl:value-of select="Unterbrochene_Bemessungsscheinleistung_Letztverbrauchertransformatoren_RN4"/>
                        </td>
                        <td>
                          <xsl:value-of select="Unterbrochene_MVAmin_Letztverbrauchertransformatoren_RO4"/>
                        </td>
                        <td>
                          <xsl:value-of select="VUTyp/@text"/>
                        </td>
                      </xsl:if>
                      <xsl:if test="$vutyp='0'">
                        <td>
                          <xsl:value-of select="Unterbrochene_Bemessungsscheinleistung_Ortsnetztransformatoren_RN2"/>
                        </td>
                        <td>
                          <xsl:value-of select="Unterbrochene_MVAmin_Ortsnetztransformatoren_RO2"/>
                        </td>
                        <td>
                          <xsl:value-of select="VUTyp/@text"/>
                        </td>
                      </xsl:if>
                      <xsl:if test="$vutyp='2'">
                        <td>
                          <xsl:value-of select="Unterbrochene_Bemessungsscheinleistung_Weiterverteiler_RN7"/>
                        </td>
                        <td>
                          <xsl:value-of select="Unterbrochene_MVAmin_Weiterverteiler_RO7"/>
                        </td>
                        <td>
                          <xsl:value-of select="VUTyp/@text"/>
                        </td>
                      </xsl:if>
							  <xsl:if test="$vutyp='4'">
								  <td>
									  <xsl:value-of select="Unterbrochene_Bemessungsscheinleistung_SonstigeLetztverbraucher_RNA"/>
								  </td>
								  <td>
									  <xsl:value-of select="Unterbrochene_MVAmin_SonstigeLetztverbraucher_ROA"/>
								  </td>
								  <td>
									  <xsl:value-of select="VUTyp/@text"/>
								  </td>
							  </xsl:if>
						  </xsl:otherwise>
                  </xsl:choose>
                </xsl:otherwise>
              </xsl:choose>
              <xsl:choose>
                <xsl:when test="$vkunden='1'">
                  <td>
                    <xsl:value-of select="Name_Stationen"/>
                  </td>
                  <td>
                    <xsl:value-of select="Kennung_Stationen"/>
                  </td>
                  <td>
                    <xsl:value-of select="vu_gemeinde"/>
                  </td>
                  <td>
                    <xsl:value-of select="suewag_stationtext"/>
                  </td>
                  <td>
                    <xsl:value-of select="vu_abgang"/>
                  </td>
                  <td>
                    <xsl:value-of select="vu_uw"/>
                  </td>
                </xsl:when>
					  <xsl:when test="$vkunden='17'">
						  <td>
							  <xsl:value-of select="Kennung_Stationen"/>&#160;
						  </td>
						  <td>
							  <xsl:value-of select="tp_sap_pm"/>
						  </td>
					  </xsl:when>
					  <xsl:when test="$vkunden='11'">
						  <td colspan="2">
							  <xsl:value-of select="Kennung_Stationen"/>&#160;
						  </td>
					  </xsl:when>
					  <xsl:when test="$vkunden='20'">
						  <td>
							  <xsl:value-of select="Kennung_Stationen"/>&#160;
						  </td>
						  <td>
							  <xsl:value-of select="Name_Stationen"/>
						  </td>
					  </xsl:when>
                <xsl:when test="$vkunden='43'">
                  <td width="44%">
                    <xsl:value-of select="vu_gemeinde"/>&#160;
                  </td>
                </xsl:when>                
					  <xsl:when test="$vkunden='36'">
						  <td>
							  <xsl:value-of select="suewag_stationtext"/>&#160;
						  </td>
						  <td>
							  <xsl:value-of select="Name_Stationen"/>
						  </td>
					  </xsl:when>
					  <xsl:when test="$vstationen='Ja'">
                  <xsl:if test="$vu_statid">
                    <td>
                      <xsl:value-of select="Kennung_Stationen"/>&#160;
                    </td>
                  </xsl:if>
                  <xsl:if test="$vu_statnam">
                    <td>
                      <xsl:value-of select="Name_Stationen"/>&#160;
                    </td>
                  </xsl:if>
                </xsl:when>
                <xsl:otherwise>
                  <td>
                    <xsl:value-of select="Kennung_Stationen"/>&#160;
                  </td>
                </xsl:otherwise>
              </xsl:choose>
				</tr>
          </xsl:for-each>
        </table>
      </xsl:when>
      <xsl:otherwise>
        <table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
          <tr bgcolor="#ffffff">
            <td width="10%">
              <b>Beginn</b>
            </td>
            <td width="10%">
              <b>Ende</b>
            </td>
            <td width= "4%">
              <b>Nr.</b>
            </td>
            <td width="14%">
              <b>Unterbr. Sr</b>
            </td>
            <td width="14%">
              <b>Unterbr. MVAmin.</b>
            </td>
            <td width="48%">
              <b>Stationskennung</b>
            </td>
          </tr>
          <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
            <tr bgcolor="#ffffff">
              <td width="10%">
                <xsl:value-of select="vu_beginn"/>
              </td>
              <td width="10%">
                <xsl:value-of select="vu_ende"/>
              </td>
              <td width= "4%">
                <xsl:value-of select="Nummer"/>
              </td>
              <td width="14%">
                <xsl:value-of select="Unterbrochene_Bemessungsscheinleistung_RN2"/>
              </td>
              <td width="14%">
                <xsl:value-of select="Unterbrochene_MVAmin_RO2"/>
              </td>
              <td width="48%">
                <xsl:value-of select="Kennung_Stationen"/>&#160;
              </td>
              <!-- <td width="48%"><xsl:value-of select="Name_Stationen"/>&#160;</td> -->
            </tr>
          </xsl:for-each>
        </table>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>


  <xsl:template name="VU_HS">
    <!-- Versorgungsunterbrechungen Hochspannung -->
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Beginn der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitbeginn"/>
        </td>
        <td>
          <b>Dauer [h:mm]:</b>
        </td>
        <!-- <td><xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer"/> [h]</td> -->
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Berechn. Ende der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitende"/>
        </td>
      </tr>
		 <xsl:if test="$schema='I'">
			 <tr bgcolor="#ffffff">
				 <td>
					 <b>Unterbrochene Wirkleistung (Sonstige LV):</b>
				 </td>
				 <td>
					 <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mw_so"/>
				 </td>
			 </tr>
			 <tr bgcolor="#ffffff">
				 <td>
					 <b>Unterbrochene MWMinuten (Sonstige LV):</b>
				 </td>
				 <td>
					 <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mwmin_so"/>
				 </td>
			 </tr>
		 </xsl:if>		 
      <xsl:choose>
        <xsl:when test="$VDN_2006 > 2005">
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene Wirkleistung (Netztr.):</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mw_netz"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene MWMinuten (Netztr.):</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mwmin_netz"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene Wirkleistung (LV-Trafo):</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mw_kunden"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene MWMinuten (LV-Trafo):</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mwmin_kunden"/>
            </td>
          </tr>
        </xsl:when>
        <xsl:otherwise>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene Wirkleistung:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mw"/>
            </td>
          </tr>
          <tr bgcolor="#ffffff">
            <td>
              <b>Unterbrochene MWMinuten:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mwmin"/>
            </td>
          </tr>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:if test="$berichtsjahr >2012 or $berichtsjahr >2011 and $vkunden='1'">
        <tr bgcolor="#ffffff">
          <td>
            <b>Unterbrochene Wirkleistung (Weitervert.):</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mw_wv"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Unterbrochene MWMinuten (Weitervert.):</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mwmin_wv"/>
          </td>
        </tr>
      </xsl:if>
    </table>
    <br></br>
    <br></br>
    <xsl:choose>
      <xsl:when test="$VDN_2006 > 2005">
        <table border="1" width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
          <tr bgcolor="#ffffff">
            <xsl:choose>
              <xsl:when test="$vkunden='20'">
              </xsl:when>
              <xsl:otherwise>
                <td width= "4%">
                  <b>Nr.</b>
                </td>
              </xsl:otherwise>
            </xsl:choose>
            <td>
              <b>Relevant</b>
            </td>
            <td>
              <b>Beginn</b>
            </td>
            <td>
              <b>Ende</b>
            </td>
            <xsl:choose>
              <xsl:when test="$vkunden='20'">
                <td width= "4%">
                  <b>Nr.</b>
                </td>
              </xsl:when>
            </xsl:choose>
            <td>
              <b>Unterbr. Wirkl.</b>
            </td>
            <td>
              <b>Unterbr. MWmin.</b>
            </td>
            <td>
              <b>Unterbr. Typ.</b>
            </td>
            <xsl:choose>
              <xsl:when test="$vstationen='Ja'">
                <xsl:apply-templates select="VU_statid"/>
                <xsl:apply-templates select="VU_statnam"/>
              </xsl:when>
              <xsl:otherwise>
                <td>
                  <b>Stationskennung</b>
                </td>
              </xsl:otherwise>
            </xsl:choose>
          </tr>
          <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
            <xsl:variable name="vutyp" select="VUTyp"/>
            <tr bgcolor="#ffffff">
              <xsl:choose>
                <xsl:when test="$vkunden='20'">
                </xsl:when>
                <xsl:otherwise>
                  <td>
                    <xsl:value-of select="Nummer"/>
                  </td>
                </xsl:otherwise>
              </xsl:choose>
              <td>
                <xsl:value-of select="vu_vdnrelevant/@text"/>
              </td>
              <td>
                <xsl:value-of select="vu_beginn"/>
              </td>
              <td>
                <xsl:value-of select="vu_ende"/>
              </td>
              <xsl:choose>
                <xsl:when test="$vkunden='20'">
                  <td>
                    <xsl:value-of select="Nummer"/>
                  </td>
                </xsl:when>
              </xsl:choose>
              <xsl:if test="$vutyp='1'">
                <td>
                  <xsl:value-of select="Unterbrochene_Wirkleistung_Letztverbrauchertransformatoren_RN5"/>
                </td>
                <td>
                  <xsl:value-of select="Unterbrochene_MWmin_Letztverbrauchertransformatoren_RO5"/>
                </td>
                <td>
                  <xsl:value-of select="VUTyp/@text"/>
                </td>
              </xsl:if>
              <xsl:if test="$vutyp='0'">
                <td>
                  <xsl:value-of select="Unterbrochene_Wirkleistung_Netzkuppeltransformatoren_RN1"/>
                </td>
                <td>
                  <xsl:value-of select="Unterbrochene_MWmin_Netzkuppeltransformatoren_RO1"/>
                </td>
                <td>
                  <xsl:value-of select="VUTyp/@text"/>
                </td>
              </xsl:if>
              <xsl:if test="$vutyp='2'">
                <td>
                  <xsl:value-of select="Unterbrochene_Wirkleistung_Weiterverteiler_RN8"/>
                </td>
                <td>
                  <xsl:value-of select="Unterbrochene_MWmin_Weiterverteiler_RO8"/>
                </td>
                <td>
                  <xsl:value-of select="VUTyp/@text"/>
                </td>
              </xsl:if>
              <xsl:if test="$vutyp='3'">
                <td>
                  <xsl:value-of select="Unterbrochene_Wirkleistung_Weiterverteiler_RN8"/>
                </td>
                <td>
                  <xsl:value-of select="Unterbrochene_MWmin_Weiterverteiler_RO8"/>
                </td>
                <td>
                  <xsl:value-of select="VUTyp/@text"/>
                </td>
              </xsl:if>
					<xsl:if test="$vutyp='4'">
						<td>
							<xsl:value-of select="Unterbrochene_Wirkleistung_SonstigeLetztverbraucher_RNC"/>
						</td>
						<td>
							<xsl:value-of select="Unterbrochene_MWmin_SonstigeLetztverbraucher_ROC"/>
						</td>
						<td>
							<xsl:value-of select="VUTyp/@text"/>
						</td>
					</xsl:if>              <xsl:choose>
                <xsl:when test="$vstationen='Ja'">
                  <xsl:if test="$vu_statid">
                    <td>
                      <xsl:value-of select="Kennung_Stationen"/>&#160;
                    </td>
                  </xsl:if>
                  <xsl:if test="$vu_statnam">
                    <td>
                      <xsl:value-of select="Name_Stationen"/>&#160;
                    </td>
                  </xsl:if>
                </xsl:when>
                <xsl:otherwise>
                  <td>
                    <xsl:value-of select="Kennung_Stationen"/>
                  </td>
                  <!-- <td><xsl:value-of select="Name_Stationen"/></td> -->
                </xsl:otherwise>
              </xsl:choose>
            </tr>
          </xsl:for-each>
        </table>
      </xsl:when>
      <xsl:otherwise>
        <table border="1" width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
          <tr bgcolor="#ffffff">
            <xsl:choose>
              <xsl:when test="$vkunden='20'">
              </xsl:when>
              <xsl:otherwise>
                <td width= "4%">
                  <b>Nr.</b>
                </td>
              </xsl:otherwise>
            </xsl:choose>
         <td>
          <b>Relevant</b>
        </td>
            <td width="10%">
              <b>Beginn</b>
            </td>
            <td width="10%">
              <b>Ende</b>
            </td>
            <xsl:choose>
              <xsl:when test="$vkunden='20'">
                <td width= "4%">
                  <b>Nr.</b>
                </td>
              </xsl:when>
            </xsl:choose>
            <td width="14%">
              <b>Unterbr. Wirkl.</b>
            </td>
            <td width="14%">
              <b>Unterbr. MWmin.</b>
            </td>
            <xsl:choose>
              <xsl:when test="$vstationen='Ja'">
                <xsl:apply-templates select="VU_statid"/>
                <xsl:apply-templates select="VU_statnam"/>
              </xsl:when>
              <xsl:otherwise>
                <td width="48%">
                  <b>Stationskennung</b>
                </td>
              </xsl:otherwise>
            </xsl:choose>
          </tr>
          <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
            <tr bgcolor="#ffffff">
              <xsl:choose>
                <xsl:when test="$vkunden='20'">
                </xsl:when>
                <xsl:otherwise>
                  <td>
                    <xsl:value-of select="Nummer"/>
                  </td>
                </xsl:otherwise>
              </xsl:choose>
          <td>
            <xsl:value-of select="vu_vdnrelevant/@text"/>
          </td>		  
              <td>
                <xsl:value-of select="vu_beginn"/>
              </td>
              <td>
                <xsl:value-of select="vu_ende"/>
              </td>
              <xsl:choose>
                <xsl:when test="$vkunden='20'">
                  <td>
                    <xsl:value-of select="Nummer"/>
                  </td>
                </xsl:when>
              </xsl:choose>
              <td>
                <xsl:value-of select="Unterbrochene_Wirkleistung_RN1"/>
              </td>
              <td>
                <xsl:value-of select="Unterbrochene_MWmin_RO1"/>
              </td>
              <xsl:choose>
                <xsl:when test="$vstationen='Ja'">
                  <xsl:if test="$vu_statid">
                    <td>
                      <xsl:value-of select="Kennung_Stationen"/>&#160;
                    </td>
                  </xsl:if>
                  <xsl:if test="$vu_statnam">
                    <td>
                      <xsl:value-of select="Name_Stationen"/>&#160;
                    </td>
                  </xsl:if>
                </xsl:when>
                <xsl:otherwise>
                  <td>
                    <xsl:value-of select="Kennung_Stationen"/>
                  </td>
                  <!-- <td><xsl:value-of select="Name_Stationen"/></td> -->
                </xsl:otherwise>
              </xsl:choose>
            </tr>
          </xsl:for-each>
        </table>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="OVU_NS">
    <!-- Versorgungsunterbrechungen Niederspannung -->
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Beginn der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitbeginn"/>
        </td>
        <td>
          <b>Dauer [h:mm]:</b>
        </td>
        <!-- <td><xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer"/> [h]</td> -->
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Berechn. Ende der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitende"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene Netzbenutzer:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kunden"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene NetzbenutzerMinuten:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kundenmin"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Nicht gelieferte Energie [MWh]:</b>
        </td>
        <td> <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_energie"/>
        </td>
      </tr>
    </table>
    <br></br>
    <br></br>
    <table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <!-- <td width= "4%"><b>Nr.</b></td>  -->
        <td width="6%">
          <b>OE relev.</b>
        </td>
        <td width="10%">
          <b>Beginn</b>
        </td>
        <td width="10%">
          <b>Ende</b>
        </td>
        <td width="10%">
          <b>
            Dauer<br />[h:mm:ss]
          </b>
        </td>
        <td width="14%">
          <b>Unterbr. Netzbenutzer</b>
        </td>
        <td width="14%">
          <b>Unterbr. Netzbenutzer<br />Minuten
        </b>
        </td>
        <td>
          <b>Nicht gel. Energie [MWh]</b>
        </td>
        <xsl:choose>
          <xsl:when test="$ovstationen='Ja'">
            <xsl:apply-templates select="VU_statid"/>
            <xsl:apply-templates select="VU_statnam"/>
          </xsl:when>
          <xsl:otherwise>
           <!-- <td width="48%">
              <b>Stationskennung</b>
            </td> -->
          </xsl:otherwise>
        </xsl:choose>
        </tr>
      <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
        <tr bgcolor="#ffffff">
          <!-- <td><xsl:value-of select="Nummer"/></td> -->
          <td>
            <xsl:value-of select="vu_vdnrelevant/@text"/>
          </td>
          <td>
            <xsl:value-of select="vu_beginn"/>
          </td>
          <td>
            <xsl:value-of select="vu_ende"/>
          </td>
          <td>
            <xsl:value-of select="vu_dauer/@text"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Kunden_RT"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_KundenMinuten_RO3"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Energie"/>
          </td>
          <xsl:choose>
            <xsl:when test="$ovstationen='Ja'">
              <xsl:if test="$ovu_statid">
                <td>
                  <xsl:value-of select="Kennung_Stationen"/>&#160;
                </td>
              </xsl:if>
              <xsl:if test="$ovu_statnam">
                <td>
                  <xsl:value-of select="Name_Stationen"/>&#160;
                </td>
              </xsl:if>
            </xsl:when>
            <xsl:otherwise>
              <!-- <td>
                <xsl:value-of select="Kennung_Stationen"/>&#160;
              </td> -->
            </xsl:otherwise>
          </xsl:choose>
        </tr>
        <xsl:call-template name="OVU_VUext"/>
      </xsl:for-each>
    </table>
  </xsl:template>


  <xsl:template name="OVU_MS">
    <!-- VeOe Versorgungsunterbrechungen Mittelspannung -->

    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Beginn der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitbeginn"/>
        </td>
        <td>
          <b>Dauer [h:mm]:</b>
        </td>
        <!-- <td><xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer"/> [h]</td> -->
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Berechn. Ende der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitende"/>
        </td>
        <td>&#160;</td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene Sr:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_sr"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_ms_sr"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene MVAMinuten:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mvamin"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_ms_mvamin"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene Netzbenutzer:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kunden"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_ms_kunden"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene NetzbenutzerMinuten:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kundenmin"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_ms_kundenmin"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene Umspannstationen:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_stat"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_ms_stat"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Nicht gelieferte Energie [MWh]:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_energie"/>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_ms_energie"/>
        </td>
      </tr>

    </table>
    <br></br>
    <br></br>
    <table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <!-- <td><b>Nr.</b></td> -->
        <td width="6%">
          <b>OE relev.</b>
        </td>
       <td>
          <b>Beginn</b>
        </td>
        <td>
          <b>Ende</b>
        </td>
        <td>
          <b>Dauer</b>
        </td>
        <td>
          <b>Unterbr. Netzbenutzer</b>
        </td>
        <td>
          <b>Unterbr. Sr [MVA]</b>
        </td>
        <td>
          <b>Nicht gel. Energie [MWh]</b>
        </td>
        <td>
          <b>Unterbr. Stationen</b>
        </td>
        <td>
          <b>Tr. MS-MS</b>
        </td>
        <xsl:choose>
          <xsl:when test="$ovstationen='Ja'">
            <xsl:apply-templates select="VU_statid"/>
            <xsl:apply-templates select="VU_statnam"/>
          </xsl:when>
          <xsl:otherwise>
            <!-- <td>
              <b>Stations-Name</b>
            </td> -->
          </xsl:otherwise>
        </xsl:choose>
      </tr>
      <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
        <tr bgcolor="#ffffff">
          <!-- <td><xsl:value-of select="Nummer"/></td> -->
          <td>
            <xsl:value-of select="vu_vdnrelevant/@text"/>
          </td>		  
          <td>
            <xsl:value-of select="vu_beginn"/>
          </td>
          <td>
            <xsl:value-of select="vu_ende"/>
          </td>
          <td>
            <xsl:value-of select="vu_dauer/@text"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Kunden_RT"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Bemessungsscheinleistung_RN2"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Energie"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Stationen_RN4"/>
          </td>
          <td>
            <xsl:value-of select="MS_MS_Transformator_MST"/>
          </td>
          <xsl:choose>
            <xsl:when test="$ovstationen='Ja'">
              <xsl:if test="$ovu_statid">
                <td>
                  <xsl:value-of select="Kennung_Stationen"/>&#160;
                </td>
              </xsl:if>
              <xsl:if test="$ovu_statnam">
                <td>
                  <xsl:value-of select="Name_Stationen"/>&#160;
                </td>
              </xsl:if>
            </xsl:when>
            <xsl:otherwise>
              <!-- <td>
                <xsl:value-of select="Name_Stationen"/>&#160;
              </td> -->
            </xsl:otherwise>
          </xsl:choose>
        </tr>
        <xsl:variable name="ms_ms" select="MS_MS_Transformator_MST"/>
        <xsl:if test="$ms_ms='Nein'">
          <xsl:call-template name="OVU_VUext"/>
        </xsl:if>
      </xsl:for-each>
    </table>
    <xsl:choose>
      <xsl:when test="$vkundenv='16'">
        <br></br>
        <table border="1"  width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
          <tr bgcolor="#ffffff">
            <td>
              <b>Nr.</b>
            </td>
            <td>
              <b>Stations-Kennung</b>
            </td>
            <td>
              <b>Stations-Name</b>
            </td>
            <td>
              <b>UW-Kennung</b>
            </td>
            <td>
              <b>UW-Name</b>
            </td>
            <td>
              <b>Abgang-Kennung</b>
            </td>
            <td>
              <b>Abgang-Name</b>
            </td>
          </tr>
          <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
            <tr bgcolor="#ffffff">
              <td>
                <xsl:value-of select="Nummer"/>
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Name_Stationen"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen/@uwid"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen/@uwnam"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen/@abgid"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen/@abgnam"/>&#160;
              </td>
            </tr>
          </xsl:for-each>
        </table>
      </xsl:when>
    </xsl:choose>
  </xsl:template>


  <xsl:template name="OVU_HS">
    <!-- VeOe Versorgungsunterbrechungen Hochspannung -->
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Beginn der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitbeginn"/>
        </td>
        <td>
          <b>Dauer [h:mm]:</b>
        </td>
        <!-- <td><xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer"/> [h]</td> -->
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/sdauer/@text"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Berechn. Ende der Versorgungsunterbr.:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_ausfallzeitende"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene Wirkleistung:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mw"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene MWMinuten:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_mwmin"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene Netzbenutzer:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kunden"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene NetzbenutzerMinuten:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_kundenmin"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Unterbrochene Umspannstationen:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_stat"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Nicht gelieferte Energie [MWh]:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Versorgungsunterbrechungen/vu_sum_unterb_energie"/>
        </td>
      </tr>

    </table>
    <br></br>
    <br></br>
    <table border="1" width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <!--<td> <b>Nr.</b> </td> -->
        <td width="6%">
          <b>OE relev.</b>
        </td>
        <td>
          <b>Beginn</b>
        </td>
        <td>
          <b>Ende</b>
        </td>
        <td>
          <b>Dauer</b>
        </td>
        <td>
          <b>Unterbr. Netzbenutzer</b>
        </td>
        <td>
          <b>Unterbr. Wirkl.</b>
        </td>
        <td>
          <b>Nicht gel. Energie [MWh]</b>
        </td>
        <td>
          <b>Unterbr. Stationen</b>
        </td>
        <xsl:choose>
          <xsl:when test="$ovstationen='Ja'">
            <xsl:apply-templates select="VU_statid"/>
            <xsl:apply-templates select="VU_statnam"/>
          </xsl:when>
          <xsl:otherwise>
            <!-- <td>
              <b>Stations-Name</b>
            </td> -->
          </xsl:otherwise>
        </xsl:choose>
      </tr>
      <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
        <tr bgcolor="#ffffff">
          <!-- <td> <xsl:value-of select="Nummer"/> </td> -->
          <td>
            <xsl:value-of select="vu_vdnrelevant/@text"/>
          </td>			  
          <td>
            <xsl:value-of select="vu_beginn"/>
          </td>
          <td>
            <xsl:value-of select="vu_ende"/>
          </td>
          <td>
            <xsl:value-of select="vu_dauer/@text"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Kunden_RT"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Wirkleistung_RN1"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Energie"/>
          </td>
          <td>
            <xsl:value-of select="Unterbrochene_Stationen_RN4"/>
          </td>
          <xsl:choose>
            <xsl:when test="$ovstationen='Ja'">
              <xsl:if test="$ovu_statid">
                <td>
                  <xsl:value-of select="Kennung_Stationen"/>&#160;
                </td>
              </xsl:if>
              <xsl:if test="$ovu_statnam">
                <td>
                  <xsl:value-of select="Name_Stationen"/>&#160;
                </td>
              </xsl:if>
            </xsl:when>
            <xsl:otherwise>
              <!-- <td>
                <xsl:value-of select="Name_Stationen"/>&#160;
              </td> -->
            </xsl:otherwise>
          </xsl:choose>
        </tr>
        <xsl:call-template name="OVU_VUext"/>
      </xsl:for-each>
    </table>
    <xsl:choose>
      <xsl:when test="$vkundenv='16'">
        <br></br>
        <table border="1" width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
          <tr bgcolor="#ffffff">
            <td>
              <b>Nr.</b>
            </td>
            <td>
              <b>Stations-Kennung</b>
            </td>
            <td>
              <b>Stations-Name</b>
            </td>
            <td>
              <b>UW-Kennung</b>
            </td>
            <td>
              <b>UW-Name</b>
            </td>
            <td>
              <b>Abgang-Kennung</b>
            </td>
            <td>
              <b>Abgang-Name</b>
            </td>
          </tr>
          <xsl:for-each select="Stoerung/Versorgungsunterbrechungen/Versorgungsstufe">
            <tr bgcolor="#ffffff">
              <td>
                <xsl:value-of select="Nummer"/>
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Name_Stationen"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen/@uwid"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen/@uwnam"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen/@abgid"/>&#160;
              </td>
              <td>
                <xsl:value-of select="Ext_Stationen/@abgnam"/>&#160;
              </td>
            </tr>
          </xsl:for-each>
        </table>
      </xsl:when>
    </xsl:choose>
  </xsl:template>


  <xsl:template name="OVU_VUext">
    <!-- VeOe weitere VU-Daten ab 2014:  -->
         <tr>
          <td colspan="3" >&#160;</td>
          <td colspan="6">
            <table width="100%">
              <tr>
                <td align="left"><b>Betroffene(r) Netzbetreiber:</b></td>
                <td align="left">
                  <xsl:value-of select="betroffene_netzbetreiber/@text"/>
                </td>
              </tr>
              <xsl:choose>
                <xsl:when test="$spggv='HoeS'">
                </xsl:when>
              <xsl:otherwise>
                <tr>
                <td colspan=""><b>Klassifizierung der Netzkunden:</b></td>
              </tr>
              <tr>
                <td>
                  <table width="100%">
                    <tr>
                      <td colspan="3" align="center"><b>Regionale Klassifikation</b></td>
                    </tr>
                    <tr>
                      <td>stdtisch</td>
                      <td>intermedir</td>
                      <td>lndlich</td>
                    </tr>
                    <tr>
                      <td>
                        <xsl:value-of select="unterbrochene_kunden_staedtisch"/>
                      </td>
                      <td>
                        <xsl:value-of select="unterbrochene_kunden_intermediaer"/>
                      </td>
                      <td>
                        <xsl:value-of select="unterbrochene_kunden_laendlich"/>
                      </td>
                    </tr>
                  </table>
                </td>
                <td>
                  <table width="100%">
                    <tr>
                      <td colspan="5" align="center"><b>Komponenten der Verwendung</b></td>
                    </tr>
                    <tr>
                      <td>lastg.gem. Endverbr.</td>
                      <td>Haushalte</td>
                      <td>Gewerbe</td>
                      <td>Landwirtschaft</td>
                      <td>sonstige</td>
                    </tr>
                    <tr>
                      <td>
                        <xsl:value-of select="unterbrochene_kunden_lastgang"/>
                      </td>
                      <td>
                        <xsl:value-of select="unterbrochene_kunden_haushalt"/>
                      </td>
                      <td>
                        <xsl:value-of select="unterbrochene_kunden_gewerbe"/>
                      </td>
                      <td>
                        <xsl:value-of select="unterbrochene_kunden_landwirtschaft"/>
                      </td>
                      <td>
                        <xsl:value-of select="unterbrochene_kunden_sonstige"/>
                      </td>
                    </tr>            
                  </table>
                </td>
              </tr>
                </xsl:otherwise>
              </xsl:choose>
            </table>
          </td>
          <xsl:if test="$ovstationen='Ja'">
            <td>&#160;</td>
          </xsl:if>
        </tr>
   
  </xsl:template>


  <xsl:template name="Bemerkungen">
    <xsl:choose>
		 <xsl:when test="$vkunden='33'">
			 <h3>
				 <U>Info Strung:</U>
			 </h3>
		 </xsl:when>
		 <xsl:when test="$vkunden='11'">
			 <h3>
				 <U>Kurzbericht/Bemerkungen:</U>
			 </h3>
		 </xsl:when>
		 <xsl:otherwise>
        <h3>
          <U>Bemerkungen:</U>
        </h3>
      </xsl:otherwise>
    </xsl:choose>
    <table>
      <xsl:for-each select="Stoerungsdaten/Stoerung/Bemerkungen/item">
        <tr bgcolor="#ffffff">
          <td>
            <!-- xsl:value-of select="position()" / -->
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each>
      <xsl:for-each select="Stoerungsdaten/Stoerung/Bemerkungen/zeile">
        <xsl:call-template name="ZEILE"/>
      </xsl:for-each>
    </table>
  </xsl:template>


  <xsl:template name="Dokumente">
    <h3>
      <U>Dokumente:</U>
    </h3>
    <table>
      <xsl:for-each select="Stoerungsdaten/Stoerung/documents/doc">
        <xsl:variable name="vopt" select="./@type"/>
        <xsl:call-template name="test_txt_filetypes">
          <xsl:with-param name="list">
            <xsl:value-of select="$txt_list" />
          </xsl:with-param>
          <xsl:with-param name="ist_typ">
            <xsl:value-of select="$vopt" />
          </xsl:with-param>
          <xsl:with-param name="cur_name" select="." />
          <xsl:with-param name="cur_desc" select="./@desc" />
        </xsl:call-template>
        <tr bgcolor="#ffffff">
          <td>&#160;</td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>

  <xsl:template name="test_txt_filetypes">
    <xsl:param name="list" />
    <xsl:param name="ist_typ" />
    <xsl:param name="cur_name" />
    <xsl:param name="cur_desc" />

    <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" />
    <xsl:variable name="first" select="substring-before($newlist, ' ')" />
    <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
    <xsl:variable name="vreftyp" select="$first"/>
    <xsl:choose>
      <xsl:when test="$vreftyp=$ist_typ">

        <!-- txt Filetype gefunden -->
        <xsl:call-template name="mtext"/>

      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="$remaining">
            <!-- weiteres Listenelement vorhanden, also weitersuchen -->

            <xsl:call-template name="test_txt_filetypes">
              <xsl:with-param name="list" select="$remaining" />
              <xsl:with-param name="ist_typ" select="$ist_typ" />
              <xsl:with-param name="cur_name" select="$cur_name" />
              <xsl:with-param name="cur_desc" select="$cur_desc" />
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>

            <!-- Dateityp nicht in der Liste   img_list -->

            <xsl:call-template name="test_img_filetypes">
              <xsl:with-param name="list">
                <xsl:value-of select="$img_list" />
              </xsl:with-param>
              <xsl:with-param name="ist_typ"  select="$ist_typ" />
              <xsl:with-param name="cur_name" select="$cur_name" />
              <xsl:with-param name="cur_desc" select="$cur_desc" />
            </xsl:call-template>

          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>


  <xsl:template name="test_img_filetypes">
    <xsl:param name="list" />
    <xsl:param name="ist_typ" />
    <xsl:param name="cur_name" />
    <xsl:param name="cur_desc" />

    <xsl:variable name="newlist" select="concat(normalize-space($list), ' ')" />
    <xsl:variable name="first" select="substring-before($newlist, ' ')" />
    <xsl:variable name="remaining" select="substring-after($newlist, ' ')" />
    <xsl:variable name="vreftyp" select="$first"/>
    <xsl:choose>
      <xsl:when test="$vreftyp=$ist_typ">

        <!-- IMG Filetype gefunden -->
        <xsl:call-template name="mimage"/>

      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="$remaining">
            <!-- weiteres Listenelement vorhanden, also weitersuchen -->

            <xsl:call-template name="test_img_filetypes">
              <xsl:with-param name="list" select="$remaining" />
              <xsl:with-param name="ist_typ" select="$ist_typ" />
              <xsl:with-param name="cur_name" select="$cur_name" />
              <xsl:with-param name="cur_desc" select="$cur_desc" />
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>

            <!-- Dateityp nicht in der Liste   img_list -->

            <tr bgcolor="#ffffff">
              <td>
                <a>
                  <xsl:attribute name="href">
                    <!-- $XWDIR --><xsl:value-of select="$cur_name"/>
                  </xsl:attribute>
                  <xsl:value-of select="$cur_desc"/>
                </a>
              </td>
            </tr>

          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>


  <xsl:template name="mimage">
    <tr bgcolor="#ffffff">
      <td>
        Bilddokument "<xsl:value-of select="./@desc"/>"
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td>
        <xsl:element name="IMG">
          <xsl:attribute name="SRC">
            <!-- $XWDIR -->
            <xsl:value-of select="."/>
          </xsl:attribute>
        </xsl:element>
      </td>
    </tr>
  </xsl:template>

  <xsl:template name="mtext">
    <tr bgcolor="#ffffff">
      <td>
        Textdokument "<xsl:value-of select="./@desc"/>"
      </td>
    </tr>
    <tr bgcolor="#ffffff">
      <td>
        <table>
          <xsl:for-each select="./item">
            <tr bgcolor="#ffffff">
              <td>&#160;</td>
              <td>
                <xsl:value-of select="."/>
              </td>
            </tr>
          </xsl:for-each>
        </table>
      </td>
    </tr>
  </xsl:template>


  <xsl:template name="Leitsystem">
    <br></br>
    <br></br>
    <h3>
      <U>Leitsystem:</U>
    </h3>
    <table>
      <xsl:for-each select="Stoerungsdaten/Stoerung/Meldetext/item">
        <tr bgcolor="#ffffff">
          <td>
            <!-- xsl:value-of select="position()" / -->
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each>
      <xsl:for-each select="Stoerungsdaten/Stoerung/Meldetext/zeile">
        <xsl:call-template name="ZEILE"/>
      </xsl:for-each>
    </table>
  </xsl:template>


  <xsl:template name="ENE">
    <!-- ENE -->
    <h1>
      <U>3. E.ON</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Schaltleitung:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Organisationsinformationen/gruppeusererst"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Strung erfasst durch:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Organisationsinformationen/Userersteaenderung"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Betroffenes KC:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/ENE/eoneinsatz"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Gebietsservice:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/ENE/eongservice"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Verstndigter Mitarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/ENE/eonmitarbeiter"/>
        </td>
      </tr>
      <xsl:if test="$spgg='MS'">
        <tr bgcolor="#ffffff">
          <td>
            <b>E-Gebiet:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonegebiet"/>
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Ausfall in MW:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonausfall"/>
          </td>
        </tr>
      </xsl:if>
    </table>
    <xsl:if test="$spgg='MS'">
      <h3>
        <U>Schutzdaten</U>
      </h3>
      <table>
        <tr bgcolor="#ffffff">
          <td>
            <b>L1:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonl1"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>L2:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonl2"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>L3:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonl3"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>M:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonm"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>AUS:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonaus"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>t>t1:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eont1"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Zwangsgleichlauf:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonzwang"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Fehlerorter:</b>
          </td>
          <td colspan = "5">
            <xsl:value-of select="Stoerung/ENE/eonfomess"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>US-Auslsung:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonusausl"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>Diff-Schutz:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eondiffschutz"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>SS-Schutz:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonssschutz"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>erfolglose Probesch.:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonerflprobesch"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>Buchholz:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonbuchholz"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>berstr. Trafo:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonueberstrtrafo"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>KU-Tastung:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonkutastung"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
      </table>
    </xsl:if>
    <xsl:if test="$spgg='HS'">
      <h3>
        <U>Schutzdaten</U>
      </h3>
      <table>
        <tr bgcolor="#ffffff">
          <td>
            <b>L1:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonl1"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>L2:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonl2"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>L3:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonl3"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>M:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonm"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>AUS:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonaus"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>t>t1:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eont1"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Zwangsgleichlauf:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonzwang"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>bergriff:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonueber"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td colspan = "2">
            <xsl:value-of select="Stoerung/ENE/eonuebergriff"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>Fehlerorter:</b>
          </td>
          <td colspan = "5">
            <xsl:value-of select="Stoerung/ENE/eonfomess"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>US-Auslsung:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonusausl"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>Diff-Schutz:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eondiffschutz"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>SS-Schutz:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonssschutz"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>erfolglose Probesch.:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonerflprobesch"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>Buchholz:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonbuchholz"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
          <td>
            <b>berstr. Trafo:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonueberstrtrafo"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
        <tr bgcolor="#ffffff">
          <td>
            <b>KU-Tastung:</b>
          </td>
          <td>
            <xsl:value-of select="Stoerung/ENE/eonkutastung"/>&#160;&#160;&#160;&#160;&#160;&#160;
          </td>
        </tr>
      </table>
    </xsl:if>
    <br></br>
  </xsl:template>



  <xsl:template name="Ereignis">
    <!-- Ereignis der Strung -->
    <h1>
      <U>3. Ereignis</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Meldungszeitpunkt:</b>
        </td>
        <td colspan="4">
          <xsl:value-of select="Stoerung/Meldung/meldzeit"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Meldung erfasst von:</b>
        </td>
        <td colspan="4">
          <xsl:value-of select="Stoerung/Meldung/melderfasser"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td colspan="2">
          <b>Anrufer:</b>
        </td>
        <td>&#160;</td>
        <td colspan="2">
          <b>Strungsort:</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Name/Firma:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/meldname"/>
        </td>
        <td>&#160;</td>
        <td>
          <b>Name/Firma:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/stoername"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Telefon:</b>
        </td>
        <td colspan="4">
          <xsl:value-of select="Stoerung/Meldung/meldtelefon"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Strasse:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/meldstrasse"/>
        </td>
        <td>&#160;</td>
        <td>
          <b>Strasse:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/stoerstrasse"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Hausnummer:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/meldhausnr"/>
        </td>
        <td>&#160;</td>
        <td>
          <b>Hausnummer:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/stoerhausnr"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>PLZ:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/meldplz"/>
        </td>
        <td>&#160;</td>
        <td>
          <b>PLZ:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/stoerplz"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Ort:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/meldort"/>
        </td>
        <td>&#160;</td>
        <td>
          <b>Ort:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/stoerort"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Ortsteil:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/meldortsteil"/>
        </td>
        <td>&#160;</td>
        <td>
          <b>Ortsteil:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/stoerortsteil"/>
        </td>
      </tr>
    </table>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Meldungsinhalt:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/meldinhalt"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Meldungstext:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/meldtext"/>
        </td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template name="Weiterleitung">
    <!-- Weiterleitung der Strung -->
    <h1>
      <U>4. Weiterleitung</U>
    </h1>
    <table>
      <xsl:variable name="wl_an1" select="Stoerung/Meldung/wl_an1"/>
      <xsl:variable name="wl_an2" select="Stoerung/Meldung/wl_an2"/>
      <xsl:variable name="wl_an3" select="Stoerung/Meldung/wl_an3"/>
      <xsl:variable name="wl_an4" select="Stoerung/Meldung/wl_an4"/>
      <xsl:variable name="wl_an5" select="Stoerung/Meldung/wl_an5"/>
      <xsl:variable name="wl_an6" select="Stoerung/Meldung/wl_an6"/>
      <xsl:variable name="wl_an7" select="Stoerung/Meldung/wl_an7"/>
      <xsl:variable name="wl_an8" select="Stoerung/Meldung/wl_an8"/>
      <xsl:variable name="wl_an9" select="Stoerung/Meldung/wl_an9"/>
      <xsl:choose>
        <xsl:when test="$wl_an1">
          <tr bgcolor="#ffffff">
            <td>
              <b>Weiterl. Ersteinsatz an:</b>
            </td>
            <td>
              <xsl:value-of select="$wl_an1"/>
            </td>
            <td>
              <b>um:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Meldung/wl_um1"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="$wl_an2">
          <tr bgcolor="#ffffff">
            <td>
              <b>Ankunft vor Ort von:</b>
            </td>
            <td>
              <xsl:value-of select="$wl_an2"/>
            </td>
            <td>
              <b>um:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Meldung/wl_um2"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="$wl_an3">
          <tr bgcolor="#ffffff">
            <td>
              <b>Verst. Strungsbehebung:</b>
            </td>
            <td>
              <xsl:value-of select="$wl_an3"/>
            </td>
            <td>
              <b>um:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Meldung/wl_um3"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="$wl_an4">
          <tr bgcolor="#ffffff">
            <td>
              <b>Verst. Koordination:</b>
            </td>
            <td>
              <xsl:value-of select="$wl_an4"/>
            </td>
            <td>
              <b>um:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Meldung/wl_um4"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="$wl_an5">
          <tr bgcolor="#ffffff">
            <td>
              <b>Verst. Polizei:</b>
            </td>
            <td>
              <xsl:value-of select="$wl_an5"/>
            </td>
            <td>
              <b>um:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Meldung/wl_um5"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="$wl_an6">
          <tr bgcolor="#ffffff">
            <td>
              <b>Verst. Feuerwehr:</b>
            </td>
            <td>
              <xsl:value-of select="$wl_an6"/>
            </td>
            <td>
              <b>um:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Meldung/wl_um6"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="$wl_an7">
          <tr bgcolor="#ffffff">
            <td>
              <b>Verst. Notarzt:</b>
            </td>
            <td>
              <xsl:value-of select="$wl_an7"/>
            </td>
            <td>
              <b>um:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Meldung/wl_um7"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="$wl_an8">
          <tr bgcolor="#ffffff">
            <td>
              <b>Verst. zus. Person1:</b>
            </td>
            <td>
              <xsl:value-of select="$wl_an8"/>
            </td>
            <td>
              <b>um:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Meldung/wl_um8"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="$wl_an9">
          <tr bgcolor="#ffffff">
            <td>
              <b>Verst. zus. Person2:</b>
            </td>
            <td>
              <xsl:value-of select="$wl_an9"/>
            </td>
            <td>
              <b>um:</b>
            </td>
            <td>
              <xsl:value-of select="Stoerung/Meldung/wl_um9"/>
            </td>
          </tr>
        </xsl:when>
      </xsl:choose>
    </table>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Strung abgeschlossen um:</b>
        </td>
        <td>
          <xsl:value-of select="Stoerung/Meldung/wl_um10"/>
        </td>
      </tr>
    </table>
  </xsl:template>


  <xsl:template name="Schutzdaten">
    <!-- Schutzdaten der Strung -->
    <h1>
      <U>3. Schutzdaten</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Nr.</b>
        </td>
        <td>
          <b>Beginn</b>
        </td>
        <td>
          <b>Ende</b>
        </td>
        <td>
          <b>UA/Station</b>
        </td>
        <td>
          <b>Feld/Abgang</b>
        </td>
        <td>
          <b>Schutzart</b>
        </td>
        <td>
          <b>Anregungsart</b>
        </td>
      </tr>
      <xsl:for-each select="Stoerung/Schutzdaten/Schutz">
        <xsl:variable name="schutzart" select="schutzart"/>
        <xsl:variable name="abgang" select="abgang"/>
        <xsl:choose>
          <xsl:when test="$schutzart">
            <xsl:choose>
              <xsl:when test="$abgang">
                <tr bgcolor="#ffffff">
                  <td>
                    <xsl:value-of select="num"/>
                  </td>
                  <td>
                    <xsl:value-of select="beginn"/>
                  </td>
                  <td>
                    <xsl:value-of select="ende"/>
                  </td>
                  <td>
                    <xsl:value-of select="anlage"/>
                  </td>
                  <td>
                    <xsl:value-of select="abgang"/>
                  </td>
                  <td>
                    <xsl:value-of select="$schutzart/@text"/>
                  </td>
                  <xsl:variable name="lsaus" select="lsaus"/>
                  <xsl:variable name="aweme" select="aweme"/>
                  <xsl:variable name="aweoe" select="aweoe"/>
                  <xsl:variable name="anreg_l1" select="anreg_l1"/>
                  <xsl:variable name="anreg_l2" select="anreg_l2"/>
                  <xsl:variable name="anreg_l3" select="anreg_l3"/>
                  <xsl:variable name="handaus" select="handaus"/>
                  <td>
                    <xsl:if test="$lsaus='1'">
                      LS Aus&#160;&#160;
                    </xsl:if>
                    <xsl:if test="$aweme='1'">
                      AWE m. Erfolg&#160;&#160;
                    </xsl:if>
                    <xsl:if test="$aweoe='1'">
                      AWE o. Erfolg&#160;&#160;
                    </xsl:if>
                    <xsl:if test="$anreg_l1='1'">
                      Anr. L1&#160;&#160;
                    </xsl:if>
                    <xsl:if test="$anreg_l2='1'">
                      Anr. L2&#160;&#160;
                    </xsl:if>
                    <xsl:if test="$anreg_l3='1'">
                      Anr. L3&#160;&#160;
                    </xsl:if>
                    <xsl:if test="$handaus='1'">
                      Hand aus&#160;&#160;
                    </xsl:if>
                  </td>
                </tr>
              </xsl:when>
            </xsl:choose>
          </xsl:when>
        </xsl:choose>
      </xsl:for-each>
    </table>
  </xsl:template>

  <xsl:template name="ZEILE">
    <tr>
      <td>
        <xsl:for-each select="part">
          <xsl:value-of select="itemp"/>
          <xsl:apply-templates select="url"/>
        </xsl:for-each>
      </td>
    </tr>
  </xsl:template>
  <xsl:template match="url">
    <a>
      <xsl:attribute name="href">
        <xsl:value-of select="." />
      </xsl:attribute>
      <xsl:value-of select="." />
    </a>
  </xsl:template>

  <xsl:template match="VU_statid">
    <td>
      <b>
        <xsl:value-of select="."/>
      </b>
    </td>
  </xsl:template>
  <xsl:template match="VU_statnam">
    <td>
      <b>
        <xsl:value-of select="."/>
      </b>
    </td>
  </xsl:template>


<xsl:template name="Schutzdaten_TIWAG">
	<!-- Schutzdaten der Strung -->
	<h4>Schutzdaten</h4>
	<xsl:variable name="feld1" select="fe_uwsw"/>
	<xsl:variable name="feld2" select="fe_netzgrp"/>
	<xsl:variable name="feld3" select="fe_stkabk"/>
	<table>
	<xsl:if test="$feld1">
		<tr bgcolor="#ffffff">
			<td>
				<b>Nr.</b>
			</td>
			<td>
				<b>Anlage</b>
			</td>
			<td>
				<b>Abzweig</b>
			</td>
			<td>
				<b>Anzahl</b>
			</td>
		</tr>
		<tr bgcolor="#ffffff">
			<td>
				<b>1</b>
			</td>
			<td>
				<xsl:value-of select="fe_uwsw"/>
			</td>
			<td>
				<xsl:value-of select="fe_stknam"/>
			</td>
			<td>
				<xsl:value-of select="fe_mast1"/>
			</td>
		</tr>
		<xsl:if test="$feld2">
			<tr bgcolor="#ffffff">
				<td>
					<b>2</b>
				</td>
				<td>
					<xsl:value-of select="fe_netzgrp"/>
				</td>
				<td>
					<xsl:value-of select="fe_zwischenstat"/>
				</td>
				<td>
					<xsl:value-of select="fe_mast2"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="$feld3">
			<tr bgcolor="#ffffff">
			<td>
				<b>3</b>
			</td>
				<td>
					<xsl:value-of select="fe_stkabk"/>
				</td>
				<td>
					<xsl:value-of select="fe_undstat"/>
				</td>
				<td>
					<xsl:value-of select="fe_mast3"/>
				</td>
			</tr>
		</xsl:if>	
	</xsl:if>
	</table>
	<table>
		<tr bgcolor="#ffffff">
		<td>Anzahl AWE:</td>
		<td>
			<xsl:value-of select="fe_anz_awe"/>
		</td>
		<td>&#160;&#160;&#160;&#160;&#160;&#160;Fehlerortimpedanz [Ohm]:</td>
		<td>
			<xsl:value-of select="fe_impedanz"/>
		</td>
		<xsl:variable name="fe_phase_l1" select="fe_phase_l1"/>
		<xsl:variable name="fe_phase_l2" select="fe_phase_l2"/>
		<xsl:variable name="fe_phase_l3" select="fe_phase_l3"/>
		<xsl:variable name="fe_phase_n" select="fe_phase_n"/>
		<td>&#160;&#160;&#160;&#160;&#160;&#160;Phasen:</td>
			<td>
			<xsl:if test="$fe_phase_l1='1'">
				L1&#160;&#160;
			</xsl:if>
			<xsl:if test="$fe_phase_l2='1'">
				L2&#160;&#160;
			</xsl:if>
			<xsl:if test="$fe_phase_l3='1'">
				L3&#160;&#160;
			</xsl:if>
			<xsl:if test="$fe_phase_n='1'">
				N&#160;&#160;
			</xsl:if>
		</td>			

	</tr>
		<tr bgcolor="#ffffff">
			<td>&#160;</td>
		</tr>
	</table>

</xsl:template>

<xsl:template match="Rueckwirkung_HR">
  <tr bgcolor="#ffffff">
    <td align="left">
      <b>Rckwirkung aus nicht betr. Netz HR:</b>
    </td>
    <td>
      <xsl:value-of select="."/>
    </td>
    <td>
      <xsl:value-of select="./@text"/>
    </td>
  </tr>
 <!--  <tr bgcolor="#ffffff">
    <td align="left">
      <b>Netzbetreiber HR:</b>
    </td>
    <td colspan="2">
      <xsl:value-of select="../hr_netzbetreiber/@text"/>
    </td>
  </tr> -->
</xsl:template>

<xsl:template match="hr_netzbetreiber">
  <tr bgcolor="#ffffff">
    <td align="left">
      <b>Netzbetreiber HR:</b>
    </td>
    <td colspan="2">
      <xsl:value-of select="./@text"/>
    </td>
  </tr>
</xsl:template>


<xsl:template name="Spannungseinbrueche">
	<!-- Spannungseinbrueche -->
	<br></br>
	<table border="1" width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
		<tr bgcolor="#ffffff">
			<td width="20%">
				<b>Beginn</b>
			</td>
			<td width="5%">
				<b>Dauer</b>
			</td>
			<td width="12%">
				<b>Restspannung</b>
			</td>
			<td width="12%">
				<b>Werklast</b>
			</td>
			<td width="12%">
				<b>Werklastausfall</b>
			</td>
			<td width="14%">
				<b>Anzahl betr. Abgnge</b>
			</td>
			<td width="25%">
				<b>Kommentar</b>
			</td>
		</tr>
		<xsl:for-each select="Stoerung/Spannungseinbrueche/Spannungseinbruch">
			<tr bgcolor="#ffffff">
				<td>
					<xsl:value-of select="SE_Beginn_TEA"/>
				</td>
				<td>
					<xsl:value-of select="SE_Dauer_TEU"/>
				</td>
				<td>
					<xsl:value-of select="SE_Restspannung_RES"/>
				</td>
				<td>
					<xsl:value-of select="SE_Werkslast_RWL"/>
				</td>
				<td>
					<xsl:value-of select="SE_Werkslastausfall_RWA"/>
				</td>
				<td>
					<xsl:value-of select="SE_Letztverbraucherabgaenge_RLA"/>
				</td>
				<td>
					<xsl:value-of select="SE_Kommentar_REK"/>
				</td>
			</tr>
		</xsl:for-each>
	</table>

</xsl:template>


	<xsl:template name="Schutzdaten_EON">
		<!-- Schutzdaten E.ON -->
		<br></br>
		<h4>
			<U>Schutzdaten</U>
		</h4>
		<table>
			<tr bgcolor="#ffffff">
				<td>
					<b>L1:</b>
				</td>
				<td>
					<xsl:value-of select="fe_phase_l1"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<td>
					<b>L2:</b>
				</td>
				<td>
					<xsl:value-of select="fe_phase_l2"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<td>
					<b>L3:</b>
				</td>
				<td>
					<xsl:value-of select="fe_phase_l3"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>M:</b>
				</td>
				<td>
					<xsl:value-of select="fe_phase_n"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<td>
					<b>AUS:</b>
				</td>
				<td>
					<xsl:value-of select="fe_aus"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<td>
					<b>t>t1:</b>
				</td>
				<td>
					<xsl:value-of select="fe_t1"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Zwangsgleichlauf:</b>
				</td>
				<td>
					<xsl:value-of select="fe_zwang"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<xsl:if test="$spgg='HS'">				
				<td>
					<b>bergriff:</b>
				</td>
				<td>
					<xsl:value-of select="fe_ueber"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<td colspan = "2">
					<xsl:value-of select="fe_uebergriff"/>
				</td>
				</xsl:if>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>Fehlerorter:</b>
				</td>
				<td colspan = "5">
					<xsl:value-of select="fe_fehlerorter"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>US-Auslsung:</b>
				</td>
				<td>
					<xsl:value-of select="fe_usausl"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<td>
					<b>Diff-Schutz:</b>
				</td>
				<td>
					<xsl:value-of select="fe_diffschutz"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<td>
					<b>SS-Schutz:</b>
				</td>
				<td>
					<xsl:value-of select="fe_ssschutz"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>erfolglose Probesch.:</b>
				</td>
				<td>
					<xsl:value-of select="fe_erflprobesch"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<td>
					<b>Buchholz:</b>
				</td>
				<td>
					<xsl:value-of select="fe_buchholz"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
				<td>
					<b>berstr. Trafo:</b>
				</td>
				<td>
					<xsl:value-of select="fe_ueberstr"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
			</tr>
			<tr bgcolor="#ffffff">
				<td>
					<b>AWE::</b>
				</td>
				<td>
					<xsl:value-of select="fe_awe"/>&#160;&#160;&#160;&#160;&#160;&#160;
				</td>
			</tr>
		</table>
	</xsl:template>

</xsl:stylesheet>
