<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Strukturbericht

    Version 1.0.0.5
    
    22.11.13 Pie    1.0.0.5    


    ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
	
-->

	<xsl:template match="*|/">
		<html>
			<xsl:apply-templates select="VDN-Daten"/>
		</html>
	</xsl:template>

	<xsl:template match="VDN-Daten">
		<head>
			<title>Strukturdatenbericht</title>
		</head>
		<body LANG="de-DE">
			<xsl:apply-templates select="Strukturdaten/Netzgebiet"/>
		</body>
	</xsl:template>

	<xsl:template match="Strukturdaten/Netzgebiet">
		<xsl:call-template name="KOPF"/>
		<xsl:call-template name="ADMIN"/>
		<xsl:call-template name="BETRACHTETES_NETZGEBIET"/>
		<xsl:call-template name="NACHGELAGERTE_NETZBETREIBER"/>
		<xsl:call-template name="AUFNAHME_NETZTEILE_IN_MS"/>
		<xsl:call-template name="ABGABE_NETZTEILE_IN_MS"/>
		<xsl:call-template name="AUFNAHME_NETZTEILE_IN_NS"/>
		<xsl:call-template name="ABGABE_NETZTEILE_IN_NS"/>
	</xsl:template>


<!--KOPF-->
<xsl:template name="KOPF">
	<table border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" width="100%">
      <tr>
         <td valign="TOP" width="120">
            <P align="CENTER"><img src="$LOGO"/></P>
            <P align="CENTER">
              <nobr>InterAss</nobr>
              <br/>
              <nobr>&#169; FGH GmbH</nobr>
            </P>
         </td>
         <td valign="TOP">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr>Strukturdatenbericht</nobr></FONT></P>
         </td>
         <td align="right" valign="TOP" width="100">
             <table border="0">
               <tr>
				   <td><nobr>Erstellt am:</nobr></td>
				   <td><nobr><xsl:value-of select="Allgemeine_Angaben/Zeitletzteaenderung"/></nobr></td>
               </tr>
             </table>
         </td>
      </tr>
      <tr>
		<td colspan="3">
        <table width="100%">
				<tr>
					<td><b>Netzbetreiber</b></td>
					<td><xsl:value-of select="Allgemeine_Angaben/Netzbetreibernummer"/></td>
              <td colspan="2">
                <xsl:value-of select="Allgemeine_Angaben/Netzbetreibername"/>
              </td>
            </tr>
            <tr>
              <td>
                <b>Berichtsjahr</b>
              </td>
              <td colspan="4">
               <xsl:value-of select="Allgemeine_Angaben/Berichtsjahr"/>
             </td>
           </tr>
           <tr>
             <td><b>BNetzA Betriebsnummer</b></td>
             <td><xsl:value-of select="Allgemeine_Angaben/BNANetzbetreibernummer"/></td>
             <td><b>BNetzA Netznummer</b></td>
					<td><xsl:value-of select="Allgemeine_Angaben/Netzgebietsnummer"/></td>
					<td><xsl:value-of select="Allgemeine_Angaben/Netzname"/></td>
				</tr>
			</table>
		</td>
      </tr>
	</table>
</xsl:template>


<xsl:template name="ADMIN">
	<h1>
		<U>Administrative Angaben</U>
	</h1>
	<table width="100%">
		<tr  width="50%">
			<td><b>Datum letzte nderung:</b></td>
			<td><xsl:value-of select="Allgemeine_Angaben/Zeitletzteaenderung"/></td>
			<td></td>
			<td><b>Sachberarbeiter:</b></td>
			<td><xsl:value-of select="Allgemeine_Angaben/Userletzteaenderung"/></td>
		</tr>
		<tr width="50%">
			<td><b>Datum erste nderung:</b></td>
			<td><xsl:value-of select="Allgemeine_Angaben/Zeitersteaenderung"/></td>
			<td></td>
			<td><b>Sachberarbeiter:</b></td>
			<td><xsl:value-of select="Allgemeine_Angaben/Userersteaenderung"/></td>
		</tr>
		<xsl:variable name="dbid" select="Allgemeine_Angaben/DatenbankID"/>
		<xsl:if test="$dbid > 0">
			<tr>
				<td><b>Datenbank ID</b></td>
				<td><xsl:value-of select="$dbid"/></td>
			</tr>
		</xsl:if>
	</table>
</xsl:template>


<xsl:template name="BETRACHTETES_NETZGEBIET">
	<h1><U>Strukturdaten betrachtetes Netzgebiet</U></h1>
	<table>
		<tr>
			<td><b>Geografische Flche ,MS [km2]:</b></td>
			<td><xsl:value-of select="Betrachtetes_Netzgebiet/Geografische_Flaeche_MS"/></td>
		</tr>
		<tr>
			<td><b>Versorgte Flche ,NS [km2]:</b></td>
			<td><xsl:value-of select="Betrachtetes_Netzgebiet/Versorgte_Flaeche_NS"/></td>
		</tr>
		<tr>
			<td><b>Zeitgleiche Jahreshchstlast aller Entnahmen ,MS [kW]:</b></td>
			<td><xsl:value-of select="Betrachtetes_Netzgebiet/JHL_MS"/></td>
		</tr>
		<tr>
			<td><b>Zeitgleiche Jahreshchstlast aller Entnahmen ,NS [kW]:</b></td>
			<td><xsl:value-of select="Betrachtetes_Netzgebiet/JHL_NS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl der Letztverbraucher der eigenen MS-Ebene:</b></td>
			<td><xsl:value-of select="Betrachtetes_Netzgebiet/Eigene_MS-Letztverbraucher"/></td>
		</tr>
		<tr>
			<td><b>Stromkreislnge MS-Kabel in offen betriebenen MS-Abgngen von Umspannwerken/Schaltstationen [km]:</b></td>
			<td><xsl:value-of select="Betrachtetes_Netzgebiet/SKL_Kabel_offen_betriebene_MS-Abgaenge"/></td>
		</tr>
		<tr>
			<td><b>Stromkreislnge MS-Freileitung in offen betriebenen MS-Abgngen von Umspannwerken/Schaltstationen [km]:</b></td>
			<td><xsl:value-of select="Betrachtetes_Netzgebiet/SKL_Freileitung_offen_betriebene_MS-Abgaenge"/></td>
		</tr>
		<tr>
			<td><b>Anzahl offen betriebener MS-Abgnge von Umspannwerken/Schaltstationen:</b></td>
			<td><xsl:value-of select="Betrachtetes_Netzgebiet/Anzahl_offen_betriebene_MS-Abgaenge"/></td>
		</tr>
		<tr>
			<td><b>Anteil fernsteuerbaren MS-Netzstationen [%]:</b></td>
			<td><xsl:value-of select="Betrachtetes_Netzgebiet/Anteil_fernsteuerbare_MS-Stationen"/></td>
		</tr>
		<tr>
			<td align="left"><b>&#160;</b></td>
		</tr>
	</table>
</xsl:template>

<xsl:template name="NACHGELAGERTE_NETZBETREIBER">
	<h1>
		<U>Strukturdaten betrachtetes Netzbetreiber</U>
	</h1>
	<table>
		<tr>
			<td><b>Anzahl aller Letztverbraucher der nachgelagerten Stromnetzbetreiber - Anschluss an MS-Ebene:</b></td>
			<td><xsl:value-of select="Nachgelagerte_NB/Nachgelagerte_MS-Letztverbraucher"/></td>
		</tr>
		<tr>
			<td><b>Anzahl aller Letztverbraucher der nachgelagerten Stromnetzbetreiber - Anschluss an NS-Ebene:</b></td>
			<td><xsl:value-of select="Nachgelagerte_NB/Nachgelagerte_NS-Letztverbraucher"/></td>
		</tr>
		<tr>
			<td align="left"><b>&#160;</b></td>
		</tr>
	</table>
</xsl:template>


<xsl:template name="AUFNAHME_NETZTEILE_IN_MS">
	<h1>
		<U>Aufnahme von Netzteilen in der MS</U>
	</h1>
	<table>
		<tr>
			<td><b>Installierte Bemessungsscheinleistung der Ortsnetztransformatoren [MVA]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Ortsnetztransformatoren_Bemessungsscheinleistung_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Installierte Bemessungsscheinleistung der Letztverbrauchertransformatoren [MVA]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Letztverbrauchertransformatoren_Bemessungsscheinleistung_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Installierte Bemessungsscheinleistung Weiterverteiler auf gleicher Spannungsebene [MVA]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Weiterverteiler_Bemessungsscheinleistung_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Unterbrochene Bemessungsscheinleistung Ortsnetztransformatoren [MVA]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Unterbrochene_Bemessungsscheinleistung_Ortsnetztransformatoren_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Unterbrochene Bemessungsscheinleistung Letztverbrauchertransformatoren [MVA]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Unterbrochene_Bemessungsscheinleistung_Letztverbrauchertransformatoren_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Unterbrochene Bemessungsscheinleistung Weiterverteiler auf gleicher Spannungsebene [MVA]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Unterbrochene_Bemessungsscheinleistung_Weiterverteiler_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene MVAmin Ortsnetztransformatoren [MVAmin]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Unterbrochene_MVAmin_Ortsnetztransformatoren_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene MVAmin Letztverbrauchertransformatoren [MVAmin]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Unterbrochene_MVAmin_Letztverbrauchertransformatoren_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene MVAmin Weiterverteiler auf gleicher Spannungsebene [MVAmin]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Unterbrochene_MVAmin_Weiterverteiler_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Geografische Flche, MS [km2]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Geografische_Flaeche_MS_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl der Letztverbraucher, MS:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Letztverbraucher_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl aller Letztverbraucher der direkt mit der eigenen Netzebene verbundenen, nachgelagerten Stromnetzbetreiber, MS:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/Nachgelagerte_MS-Letztverbraucher_AufMS"/></td>
		</tr>
		<tr>
			<td><b>Zeitgleiche Jahreshchstlast aller Entnahmen, MS [kW]:</b></td>
			<td><xsl:value-of select="Aufnahme_MS/JHL_MS_AufMS"/></td>
		</tr>
		<tr>
			<td align="left"><b>&#160;</b></td>
		</tr>
	</table>
</xsl:template>


<xsl:template name="ABGABE_NETZTEILE_IN_MS">
	<h1>
		<U>Abgabe von Netzteilen in der MS</U>
	</h1>
	<table>
		<tr>
			<td><b>Installierte Bemessungsscheinleistung der Ortsnetztransformatoren [MVA]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Ortsnetztransformatoren_Bemessungsscheinleistung_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Installierte Bemessungsscheinleistung der Letztverbrauchertransformatoren [MVA]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Letztverbrauchertransformatoren_Bemessungsscheinleistung_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Installierte Bemessungsscheinleistung Weiterverteiler auf gleicher Spannungsebene [MVA]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Weiterverteiler_Bemessungsscheinleistung_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Unterbrochene Bemessungsscheinleistung Ortsnetztransformatoren [MVA]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Unterbrochene_Bemessungsscheinleistung_Ortsnetztransformatoren_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Unterbrochene Bemessungsscheinleistung Letztverbrauchertransformatoren [MVA]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Unterbrochene_Bemessungsscheinleistung_Letztverbrauchertransformatoren_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Unterbrochene Bemessungsscheinleistung Weiterverteiler auf gleicher Spannungsebene [MVA]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Unterbrochene_Bemessungsscheinleistung_Weiterverteiler_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene MVAmin Ortsnetztransformatoren [MVAmin]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Unterbrochene_MVAmin_Ortsnetztransformatoren_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene MVAmin Letztverbrauchertransformatoren [MVAmin]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Unterbrochene_MVAmin_Letztverbrauchertransformatoren_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene MVAmin Weiterverteiler auf gleicher Spannungsebene [MVAmin]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Unterbrochene_MVAmin_Weiterverteiler_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Geografische Flche, MS [km2]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Geografische_Flaeche_MS_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl der Letztverbraucher, MS:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Letztverbraucher_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl aller Letztverbraucher der direkt mit der eigenen Netzebene verbundenen, nachgelagerten Stromnetzbetreiber, MS:</b></td>
			<td><xsl:value-of select="Abgabe_MS/Nachgelagerte_MS-Letztverbraucher_AbMS"/></td>
		</tr>
		<tr>
			<td><b>Zeitgleiche Jahreshchstlast aller Entnahmen, MS [kW]:</b></td>
			<td><xsl:value-of select="Abgabe_MS/JHL_MS_AbMS"/></td>
		</tr>
		<tr>
			<td align="left"><b>&#160;</b></td>
		</tr>
	</table>
</xsl:template>	


<xsl:template name="AUFNAHME_NETZTEILE_IN_NS">
	<h1>
		<U>Aufnahme von Netzteilen in der NS</U>
	</h1>
	<table>
		<tr>
			<td><b>Anzahl unterbrochener Letztverbraucher:</b></td>
			<td><xsl:value-of select="Aufnahme_NS/Unterbrochene_Letztverbraucher_AufNS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl unterbrochener Letztverbraucher Weiterverteiler auf gleicher Spannungsebene:</b></td>
			<td><xsl:value-of select="Aufnahme_NS/Unterbrochene_Letztverbraucher_Weiterverteiler_AufNS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene LetztverbraucherMinuten [LVmin]:</b></td>
			<td><xsl:value-of select="Aufnahme_NS/Unterbrochene_LetztverbraucherMinuten_AufNS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene LetztverbraucherMinuten Weiterverteiler auf gleicher Spannungsebene [LVmin]:</b></td>
			<td><xsl:value-of select="Aufnahme_NS/Unterbrochene_LetztverbraucherMinuten_Weiterverteiler_AufNS"/></td>
		</tr>
		<tr>
			<td><b>Versorgte Flche, NS [km2]:</b></td>
			<td><xsl:value-of select="Aufnahme_NS/Versorgte_Flaeche_NS_AufNS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl der Letztverbraucher, NS:</b></td>
			<td><xsl:value-of select="Aufnahme_NS/Letztverbraucher_AufNS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl aller Letztverbraucher der direkt mit der eigenen Netzebene verbundenen, nachgelagerten Stromnetzbetreiber, NS:</b></td>
			<td><xsl:value-of select="Aufnahme_NS/Letztverbraucher_Weiterverteiler_AufNS"/></td>
		</tr>
		<tr>
			<td><b>Zeitgleiche Jahreshchstlast aller Entnahmen, NS [kW]:</b></td>
			<td><xsl:value-of select="Aufnahme_NS/JHL_NS_AufNS"/></td>
		</tr>
		<tr>
			<td align="left"><b>&#160;</b></td>
		</tr>
	</table>
</xsl:template>


<xsl:template name="ABGABE_NETZTEILE_IN_NS">
	<h1>
		<U>Abgabe von Netzteilen in der NS</U>
	</h1>
	<table>
		<tr>
			<td><b>Anzahl unterbrochener Letztverbraucher:</b></td>
			<td><xsl:value-of select="Abgabe_NS/Unterbrochene_Letztverbraucher_AbNS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl unterbrochener Letztverbraucher Weiterverteiler auf gleicher Spannungsebene:</b></td>
			<td><xsl:value-of select="Abgabe_NS/Unterbrochene_Letztverbraucher_Weiterverteiler_AbNS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene LetztverbraucherMinuten [LVmin]:</b></td>
			<td><xsl:value-of select="Abgabe_NS/Unterbrochene_LetztverbraucherMinuten_AbNS"/></td>
		</tr>
		<tr>
			<td><b>Gesamte unterbrochene LetztverbraucherMinuten Weiterverteiler auf gleicher Spannungsebene [LVmin]:</b></td>
			<td><xsl:value-of select="Abgabe_NS/Unterbrochene_LetztverbraucherMinuten_Weiterverteiler_AbNS"/></td>
		</tr>
		<tr>
			<td><b>Versorgte Flche, NS [km2]:</b></td>
			<td><xsl:value-of select="Abgabe_NS/Versorgte_Flaeche_NS_AbNS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl der Letztverbraucher, NS:</b></td>
			<td><xsl:value-of select="Abgabe_NS/Letztverbraucher_AbNS"/></td>
		</tr>
		<tr>
			<td><b>Anzahl aller Letztverbraucher der direkt mit der eigenen Netzebene verbundenen, nachgelagerten Stromnetzbetreiber, NS:</b></td>
			<td><xsl:value-of select="Abgabe_NS/Letztverbraucher_Weiterverteiler_AbNS"/></td>
		</tr>
		<tr>
			<td><b>Zeitgleiche Jahreshchstlast aller Entnahmen, NS [kW]:</b></td>
			<td><xsl:value-of select="Abgabe_NS/JHL_NS_AbNS"/></td>
		</tr>
	</table>
</xsl:template>


	
	
</xsl:stylesheet>
