<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                              xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Pruefprotokoll VDN Datenpruefung und Konvertierung

    Version 1.0.0.7
	
	
   25.01.05 Pietsch FGH Version 1.0.0.0
   09.02.05 Pietsch Netze
   14.02.05 Pietsch ohne style
   28.02.03 Pietsch Zusatzinfo Version 1.0.0.1
   08.04.05	Pietsch Zusatzinfo Stoerungsdaten
   31.05.05 Pietsch 1.0.0.2 zusammenfassung
   02.06.05 Pietsch 1.0.0.3 zusammenfassung
   13.02.07	Brozio  1.0.0.4 Anpassung an die neue Ausgabe des Prfprogramms 2_0_5
   19.06.07	Brozio  1.0.0.5 Anpassung an die neue Ausgabe des Prfprogramms 3_04_1
   21.06.07 Pietsch 1.0.0.6 Protokoll Konvertierung und Senden
   01.02.08 Pietsch 1.0.0.7 Reihenfolge der Ausgabe, bnetza_transaktionsnummer

-->
<xsl:template match="*|/">
	<html>
	<head>
		<title>Protokoll VDN Netz- und Strungdaten Prfen-Konvertieren-Senden</title>
	</head>
	  <body>
		<xsl:apply-templates select="result/details_senden"/>
		<xsl:apply-templates select="result/details_konvertierung"/>
		<xsl:apply-templates select="result"/>
		<xsl:call-template name="zusammenfassung_gesamt"/>
		<xsl:call-template name="datei"/>
	  </body>
	</html>
</xsl:template>


<xsl:template match="result">
	<p>&#160;</p>
	<table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
      <xsl:choose><xsl:when test="zusammenfassung_gesamt/@fehlerhaft='0'">
      </xsl:when><xsl:otherwise>
		   <tr>
			   <td bgcolor="#FF5555">Fehler:</td>
			   <td bgcolor="#FF9999">Prfung fehlgeschlagen !!!</td>
		   </tr>
		   <tr>
			   <td bgcolor="#FFFFFF">&#160;</td>
			   <td bgcolor="#FFFFFF">&#160;</td>
		   </tr>
      </xsl:otherwise></xsl:choose>
      <xsl:choose><xsl:when test="details_konvertierung/@fehler='true'">
		   <tr>
			   <td bgcolor="#FF5555">Fehler:</td>
			   <td bgcolor="#FF9999">Konvertierung fehlgeschlagen !!!</td>
		   </tr>
		   <tr>
			   <td bgcolor="#FFFFFF">&#160;</td>
			   <td bgcolor="#FFFFFF">&#160;</td>
		   </tr>
      </xsl:when></xsl:choose>
      <xsl:choose><xsl:when test="details_senden/@fehler='true'">
		   <tr>
			   <td bgcolor="#FF5555">Fehler:</td>
			   <td bgcolor="#FF9999">Senden fehlgeschlagen !!!</td>
		   </tr>
		   <tr>
			   <td bgcolor="#FFFFFF">&#160;</td>
			   <td bgcolor="#FFFFFF">&#160;</td>
		   </tr>
      </xsl:when></xsl:choose>
	</table>

</xsl:template>

<!--Zusammenfassung_gesamt-->
<xsl:template name="zusammenfassung_gesamt">
	<H2>Protokoll der VDN Netz- und Strungsdatenprfung</H2>
	<table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
      <xsl:choose><xsl:when test="/result/zusammenfassung_gesamt/@fehlerhaft='0'">
      </xsl:when><xsl:otherwise>
		   <tr>
			   <td bgcolor="#FF5555">Fehler:</td>
			   <td bgcolor="#FF9999">XML oder Datenfehler !!!</td>
		   </tr>
      </xsl:otherwise></xsl:choose>
		<tr>
			<td bgcolor="#FFFFE0">Prfprogramm:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="/result/zusammenfassung_gesamt/programm"/></td>
		</tr>
		<tr>
			<td bgcolor="#E4EEFF">Version:</td>
			<td bgcolor="#E4EEFF"><xsl:value-of select="/result/zusammenfassung_gesamt/version"/></td>
		</tr>
		<tr>
			<td bgcolor="#FFFFE0">Prfdatum:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="/result/zusammenfassung_gesamt/datum"/></td>
		</tr>
	</table>
</xsl:template>


<!--Dateien-->
<xsl:template name="datei">
	<xsl:for-each select="/result/datei">
	   <table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
	    <td bgcolor="#FFFFFF">&#160;</td>
		<tr>
			  <xsl:if test="string(zusammenfassung/Netzdaten)">
			     <td bgcolor="#FFFFE0">Datei:</td>
			     <td bgcolor="#FFFFE0"><xsl:value-of select="@name"/></td>
	             <table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
		           <thead>
			         <tr>
				       <th bgcolor="#FFFFE0">Art</th>
				       <th bgcolor="#E4EEFF">Meldungen gesamt</th>
				       <th bgcolor="#FFFFE0">fehlerhaft</th>
				       <th bgcolor="#E4EEFF">Fehler</th>
			         </tr>
		           </thead>
		          <tbody>
			        <tr>
				      <td bgcolor="#FFFFE0">Netze</td>
				      <td bgcolor="#E4EEFF"><xsl:value-of select="zusammenfassung/Netzdaten/bericht/verarbeitet"/></td>
				      <td bgcolor="#FFFFE0"><xsl:value-of select="zusammenfassung/Netzdaten/bericht/fehlerhaft"/></td>
				      <td bgcolor="#E4EEFF"><xsl:value-of select="zusammenfassung/Netzdaten/bericht/fehleranzahl"/></td>
			        </tr>
		          </tbody>
	             </table>
                 <xsl:choose><xsl:when test="zusammenfassung/Netzdaten/bericht/fehlerhaft='0'">
                 </xsl:when><xsl:otherwise>
				    <xsl:apply-templates select="Netzdaten"/>
                 </xsl:otherwise></xsl:choose>
				 
			  </xsl:if>
			  <xsl:if test="string(zusammenfassung/Stoerungsdaten)">
			     <td bgcolor="#FFFFE0">Datei:</td>
			     <td bgcolor="#FFFFE0"><xsl:value-of select="@name"/></td>
	             <table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
		           <thead>
			         <tr>
				       <th bgcolor="#FFFFE0">Art</th>
				       <th bgcolor="#E4EEFF">Meldungen gesamt</th>
				       <th bgcolor="#FFFFE0">fehlerhaft</th>
				       <th bgcolor="#E4EEFF">Fehler</th>
			         </tr>
		           </thead>
		          <tbody>
			        <tr>
				      <td bgcolor="#FFFFE0">Str.</td>
				      <td bgcolor="#E4EEFF"><xsl:value-of select="zusammenfassung/Stoerungsdaten/bericht/verarbeitet"/></td>
				      <td bgcolor="#FFFFE0"><xsl:value-of select="zusammenfassung/Stoerungsdaten/bericht/fehlerhaft"/></td>
				      <td bgcolor="#E4EEFF"><xsl:value-of select="zusammenfassung/Stoerungsdaten/bericht/fehleranzahl"/></td>
			        </tr>
		          </tbody>
	             </table>
                 <xsl:choose><xsl:when test="zusammenfassung/Stoerungsdaten/bericht/fehlerhaft='0'">
                 </xsl:when><xsl:otherwise>
				    <xsl:apply-templates select="Stoerungsdaten"/>
                 </xsl:otherwise></xsl:choose>
			  </xsl:if>
		</tr>
	   </table>
	</xsl:for-each>
</xsl:template>



<!--Netzdaten-->
<xsl:template match="Netzdaten">
	<b>Netzdaten <xsl:value-of select="bericht/@jahr"/></b>
	<table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
		<!--Kopfzeile-->
		<thead>
			<tr>
				<th bgcolor="#FFFFE0">EVU</th>
				<th bgcolor="#E4EEFF">NNr</th>
				<th bgcolor="#FFFFE0">Schema</th>
				<th bgcolor="#FFFFE0">Fehler</th>
			</tr>
		</thead>
		<!--Tabellenzeilen und -spalten-->
		<tbody>
			<xsl:for-each select="bericht/fehler">
				<tr>
					<td bgcolor="#FFFFE0"><xsl:value-of select="netzbetreibernummer"/></td>
					<td bgcolor="#E4EEFF"><xsl:value-of select="netznummer"/></td>
					<td bgcolor="#FFFFE0"><xsl:value-of select="schema"/></td>
					<td bgcolor="#E4EEFF"><xsl:value-of select="beschreibung"/></td>
				</tr>
			</xsl:for-each>
		</tbody>
	</table>
	<BR/>
</xsl:template>



<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">
	<b>Strungsdaten <xsl:value-of select="bericht/@jahr"/></b>
	<table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
		<!--Kopfzeile-->
		<thead>
			<tr>
				<th bgcolor="#FFFFE0">EVU</th>
				<th bgcolor="#E4EEFF">NNr</th>
				<th bgcolor="#FFFFE0">SNr</th>
				<th bgcolor="#FFFFE0">Schema</th>
				<th bgcolor="#E4EEFF">Fehler</th>
				<th bgcolor="#FFFFE0">Strungsbeginn</th>
			</tr>
		</thead>
		<!--Tabellenzeilen und -spalten-->
		<tbody>
			<xsl:for-each select="bericht/fehler">
				<tr>
					<td bgcolor="#FFFFE0"><xsl:value-of select="netzbetreibernummer"/></td>
					<td bgcolor="#E4EEFF"><xsl:value-of select="netznummer"/></td>
					<td bgcolor="#FFFFE0"><xsl:value-of select="stoerungsnummer"/></td>
					<td bgcolor="#FFFFE0"><xsl:value-of select="schema"/></td>
					<td bgcolor="#E4EEFF"><xsl:value-of select="beschreibung"/></td>
					<td bgcolor="#FFFFE0"><xsl:value-of select="stoerungsbeginn"/></td>
				</tr>
			</xsl:for-each>
		</tbody>
	</table>
</xsl:template>


<!--Konvertierung-->
<xsl:template match="result/details_konvertierung">
	<p>&#160;</p>
	<H2>Protokoll der Konvertierung in das BNA Format</H2>
	<table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
		<tr>
			<td bgcolor="#FFFFE0">Zusatzdatei:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="vdn_zusatzdatendatei"/></td>
		</tr>
		<tr>
			<td bgcolor="#E4EEFF">Ausgabeordner:</td>
			<td bgcolor="#E4EEFF"><xsl:value-of select="bnetza_ausgabeordner"/></td>
		</tr>
		<tr>
			<td bgcolor="#FFFFE0">Anzahl BNA Netze:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="bnetza_anzahl_netze"/></td>
		</tr>
		<tr>
			<td bgcolor="#E4EEFF">Anzahl BNA VUs:</td>
			<td bgcolor="#E4EEFF"><xsl:value-of select="bnetza_anzahl_vus"/></td>
		</tr>
	</table>
</xsl:template>


<!--Senden-->
<xsl:template match="result/details_senden">
	<p>&#160;</p>
    <H1>Datenmeldung an die Bundesnetzagentur</H1>
	<H2>Sende Protokoll</H2>
	<table class="margin" cellpadding="3" cellspacing="1" border="1" bgcolor="#C0C0C0">
      <xsl:choose><xsl:when test="testoption/@status='true'">
		   <tr>
			   <td bgcolor="#FF5555">ACHTUNG:</td>
			   <td bgcolor="#FF9999">Testoption aktiviert</td>
		   </tr>
      </xsl:when></xsl:choose>
		<tr>
			<td bgcolor="#FFFFE0">Netzdaten:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="bnetza_netzdaten_datei"/></td>
		</tr>
        <xsl:choose><xsl:when test="bnetza_netzdaten_gesendet='true'">
		    <tr>
			    <td bgcolor="#FFFFE0">Netzdaten gesendet</td>
			    <td bgcolor="#FFFFE0">&#160;</td>
		    </tr>
        </xsl:when><xsl:otherwise>
		    <tr>
		        <td bgcolor="#FF5555">Fehler:</td>
			    <td bgcolor="#FF9999">Netzdaten nicht gesendet !!</td>
		    </tr>
        </xsl:otherwise></xsl:choose>
		<tr>
			<td bgcolor="#E4EEFF">Stoerungen:</td>
			<td bgcolor="#E4EEFF"><xsl:value-of select="bnetza_stoerungen_datei"/></td>
		</tr>
        <xsl:choose><xsl:when test="bnetza_vus_gesendet='true'">
		    <tr>
			    <td bgcolor="#E4EEFF">Stoerungsdaten gesendet</td>
			    <td bgcolor="#E4EEFF">&#160;</td>
		    </tr>
		    <tr>
			    <td bgcolor="#E4EEFF">Anzahl VU gesendet:</td>
			    <td bgcolor="#E4EEFF"><xsl:value-of select="bnetza_anzahl_vus"/></td>
		    </tr>
            </xsl:when><xsl:otherwise>
		    <tr>
		        <td bgcolor="#FF5555">Fehler:</td>
			    <td bgcolor="#FF9999">Stoerungsdaten nicht gesendet !!</td>
		    </tr>
        </xsl:otherwise></xsl:choose>
		<tr>
			<td bgcolor="#FFFFE0">Sendedatum:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="datum"/></td>
		</tr>
		<tr>
			<td bgcolor="#FFFFE0">Anzahl Transaktionen:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="bnetza_transaktionsanzahl"/></td>
		</tr>
		<tr>
			<td bgcolor="#FFFFE0">Transaktionsnummer:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="bnetza_transaktionsnummer"/></td>
		</tr>
		<tr>
			<td bgcolor="#FFFFE0">Nichtverfgbarkeit:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="Nichtverfuegbarkeit"/></td>
		</tr>

	</table>
</xsl:template>

</xsl:stylesheet>
