<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                              xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Pruefprotokoll VDN Datenpruefung

    Version 1.0.0.4
	
	
	25.01.2005 Pietsch FGH Version 1.0.0.0
   09.02.05   Pietsch Netze
   14.02.05   Pietsch ohne style
   28.02.03   Pietsch Zusatzinfo Version 1.0.0.1
   08.04.05	  Pietsch Zusatzinfo Stoerungsdaten
   31.05.05   Pietsch 1.0.0.2 zusammenfassung
   02.06.05   Pietsch 1.0.0.3 zusammenfassung
   13.02.07	  Brozio  1.0.0.4 Anpassung an die neue Ausgabe des Prfprogramms 2_0_5

-->
<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="result/datei"/>
	</html>
</xsl:template>


<xsl:template match="result/datei">
	<head>
		<title>Prfprotokoll VDN Netz- und Strungdaten</title>
	</head>
	<body>
		<!--Aufruf der Datenausgabe -->
			<xsl:apply-templates select="zusammenfassung"/>
			<xsl:apply-templates select="Netzdaten"/>
			<xsl:apply-templates select="Stoerungsdaten"/>
	</body>
</xsl:template>


<!--Netzdaten-->
<xsl:template match="Netzdaten">
	<b>Netzdaten <xsl:value-of select="bericht/@jahr"/></b>
	<table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
		<!--Kopfzeile-->
		<thead>
			<tr>
				<th bgcolor="#FFFFE0">EVU</th>
				<th bgcolor="#E4EEFF">NNr</th>
				<th bgcolor="#FFFFE0">Fehler</th>
				<th bgcolor="#E4EEFF">Zusatzinformation</th>
			</tr>
		</thead>
		<!--Tabellenzeilen und -spalten-->
		<tbody>
			<xsl:for-each select="fehler">
				<tr>
					<td bgcolor="#FFFFE0"><xsl:value-of select="netzbetreibernummer"/></td>
					<td bgcolor="#E4EEFF"><xsl:value-of select="netznummer"/></td>
					<td bgcolor="#FFFFE0"><xsl:value-of select="beschreibung"/></td>
					<td bgcolor="#E4EEFF"><xsl:value-of select="zusatz"/></td>
				</tr>
			</xsl:for-each>
		</tbody>
	</table>
	<BR/>
</xsl:template>



<!--Stoerungsdaten-->
<xsl:template match="Stoerungsdaten">
	<b>Strungsdaten <xsl:value-of select="bericht/@jahr"/></b>
	<table cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
		<!--Kopfzeile-->
		<thead>
			<tr>
				<th bgcolor="#FFFFE0">EVU</th>
				<th bgcolor="#E4EEFF">NNr</th>
				<th bgcolor="#FFFFE0">SNr</th>
				<th bgcolor="#E4EEFF">Fehler</th>
				<th bgcolor="#FFFFE0">Zusatzinformation</th>
			</tr>
		</thead>
		<!--Tabellenzeilen und -spalten-->
		<tbody>
			<xsl:for-each select="fehler">
				<tr>
					<td bgcolor="#FFFFE0"><xsl:value-of select="netzbetreibernummer"/></td>
					<td bgcolor="#E4EEFF"><xsl:value-of select="netznummer"/></td>
					<td bgcolor="#FFFFE0"><xsl:value-of select="stoerungsnummer"/></td>
					<td bgcolor="#E4EEFF"><xsl:value-of select="beschreibung"/></td>
					<td bgcolor="#FFFFE0"><xsl:value-of select="zusatz"/></td>
				</tr>
			</xsl:for-each>
		</tbody>
	</table>
</xsl:template>


<!--Zusammenfassung-->
<xsl:template match="zusammenfassung">
	<b>Protokoll der VDN Netz- und Strungsdatenprfung</b>
	<table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
      <xsl:choose><xsl:when test="/result/zusammenfassung_gesamt/@fehlerhaft='0'">
      </xsl:when><xsl:otherwise>
		   <tr>
			   <td bgcolor="#FF5555">Fehler:</td>
			   <td bgcolor="#FF9999">XML oder Datenfehler !!!</td>
		   </tr>
      </xsl:otherwise></xsl:choose>
		<tr>
			<td bgcolor="#FFFFE0">Prfprogramm:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="/result/zusammenfassung_gesamt/programm"/></td>
		</tr>
		<tr>
			<td bgcolor="#E4EEFF">Version:</td>
			<td bgcolor="#E4EEFF"><xsl:value-of select="/result/zusammenfassung_gesamt/version"/></td>
		</tr>
		<tr>
			<td bgcolor="#FFFFE0">Datei:</td>
			<td bgcolor="#FFFFE0"><xsl:value-of select="/result/datei/@name"/></td>
		</tr>
		<tr>
			<td bgcolor="#E4EEFF">Prfdatum:</td>
			<td bgcolor="#E4EEFF"><xsl:value-of select="/result/zusammenfassung_gesamt/datum"/></td>
		</tr>
      <xsl:if test="/result/zusammenfassung_gesamt/fehler">
		   <tr>
			   <td bgcolor="#FF5555">Fehler:</td>
			   <td bgcolor="#FF9999"><xsl:value-of select="/result/zusammenfassung_gesamt/fehler"/></td>
		   </tr>
      </xsl:if>
	</table>
	<table class="margin" cellpadding="3" cellspacing="1" border="0" bgcolor="#C0C0C0">
		<thead>
			<tr>
				<th bgcolor="#FFFFE0">Art</th>
				<th bgcolor="#E4EEFF">Meldungen gesamt</th>
				<th bgcolor="#FFFFE0">fehlerhaft</th>
				<th bgcolor="#E4EEFF">Fehler</th>
			</tr>
		</thead>
		<tbody>
      <xsl:choose><xsl:when test="/result/datei/zusammenfassung/Stoerungsdaten">
			<tr>
				<td bgcolor="#FFFFE0">Str.</td>
				<td bgcolor="#E4EEFF"><xsl:value-of select="/result/datei/zusammenfassung/Stoerungsdaten/bericht/verarbeitet"/></td>
				<td bgcolor="#FFFFE0"><xsl:value-of select="/result/datei/zusammenfassung/Stoerungsdaten/bericht/fehlerhaft"/></td>
				<td bgcolor="#E4EEFF"><xsl:value-of select="/result/datei/zusammenfassung/Stoerungsdaten/bericht/fehleranzahl"/></td>
			</tr>
      </xsl:when></xsl:choose>
      <xsl:choose><xsl:when test="/result/datei/zusammenfassung/Netzdaten">
			<tr>
				<td bgcolor="#FFFFE0">Netze</td>
				<td bgcolor="#E4EEFF"><xsl:value-of select="/result/datei/zusammenfassung/Netzdaten/bericht/verarbeitet"/></td>
				<td bgcolor="#FFFFE0"><xsl:value-of select="/result/datei/zusammenfassung/Netzdaten/bericht/fehlerhaft"/></td>
				<td bgcolor="#E4EEFF"><xsl:value-of select="/result/datei/zusammenfassung/Netzdaten/bericht/fehleranzahl"/></td>
			</tr>
      </xsl:when></xsl:choose>
		</tbody>
	</table>
	<BR/>
</xsl:template>

</xsl:stylesheet>
