<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:fo="http://www.w3.org/1999/XSL/Format"
                              xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
                              xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" >
  <xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
  <!--root-->
  <!--

    Stylesheet fuer Gasetzbericht
    Wird auch verwendet zum Anzeigen der an den DVGW uebertragenen Daten

    Version 1.0.0.6
		
	21.08.08 Brozio FGH Version 1.0.0.0	
   16.11.10 Pietsch 1.0.0.1 VDN-Daten -> WASSER-Daten
   01.10.12         1.0.0.2 DVGW Tags, WASSER_Daten
   07.11.12         1.0.0.3 Anschlussleitungen Anzahl -> km
   04.04.13         1.0.0.4
   27.06.14         1.0.0.6 SOAP W402 2.0
   

    ACHTUNG Logo: Platzhalter "./.logo.png" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
-->

  <xsl:variable name="fghformat" select="WASSER_Daten"/>
  <xsl:variable name="wassernetz" select="WASSER_Daten/Netzdaten"/>
  <xsl:variable name="bericht_datum" select="WASSER_Daten/Netzdaten/datum"/>
  <xsl:variable name="bericht_zeit" select="WASSER_Daten/Netzdaten/uhrzeit"/>
  <xsl:variable name="opt_grauguss" select="WASSER_Daten/Netzdaten/Netz/Allgemeine_Angaben/opt_grauguss"/>
  <xsl:variable name="opt_guss" select="WASSER_Daten/Netzdaten/Netz/Allgemeine_Angaben/opt_guss"/>
  <xsl:variable name="opt_stahl" select="WASSER_Daten/Netzdaten/Netz/Allgemeine_Angaben/opt_stahl"/>
  <xsl:variable name="opt_pe" select="WASSER_Daten/Netzdaten/Netz/Allgemeine_Angaben/opt_pe"/>
  <xsl:variable name="netz_ab2013" select="WASSER_Daten/Netzdaten/Netz/Allgemeine_Angaben/netz_ab2013"/>

  <xsl:template match="*|/">
    <html>
      <head>
        <title>DVGW Wasser Daten / Datenübertragung Senden/Statusabfrage</title>
      </head>
      <body>
        <xsl:apply-templates select="WASSER-Daten"/>
        <xsl:apply-templates select="WASSER_Daten/Netzdaten/Netz"/>
        <xsl:apply-templates select="SOAP-ENV:Envelope"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="WASSER_Daten/Netzdaten/Netz">
    <table border="0" width="100%">
      <tr>
        <td>
          <table border="1" width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
            <tr bgcolor="#ffffff">
              <td valign="TOP">
                <P align="CENTER">
                  <img src="$LOGO"/>
                </P>
                <P align="CENTER">
                  <nobr>InterAss</nobr>
                  <br/>
                  <nobr>&#169; FGH GmbH</nobr>
                </P>
              </td>
              <td valign="TOP" width="60%">
                <P align="CENTER">
                  <FONT size="5" style="font-size: 20pt">
                    <nobr>
                      <U>Bericht zum Wasser-Netz</U>
                    </nobr>
                  </FONT>
                </P>
              </td>
              <td align="right" valign="TOP">
                <table border="0">
                  <tr bgcolor="#ffffff">
                    <td>
                      <nobr>Erstellt am:</nobr>
                    </td>
                    <td>
                      <nobr>
                        <xsl:value-of select="$bericht_datum"/>
                      </nobr>
                    </td>
                  </tr>
                  <tr bgcolor="#ffffff">
                    <td></td>
                    <td>
                      <nobr>
                        <xsl:value-of select="$bericht_zeit"/>
                      </nobr>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <table width="100%" border="0">
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzbetreiber</b>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/Netzbetreibernummer"/>
              </td>
              <td colspan="3">
                <xsl:value-of select="Allgemeine_Angaben/Netzbetreibername"/>
              </td>
              <td>
                <b>Letzte Bearbeitung</b>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/lastedit_name"/>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/aktuelldatum"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Berichtsjahr</b>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/erfassungsjahr"/>
              </td>
              <td>
                <b>Netznummer</b>
              </td>
              <td colspan="2">
                <xsl:value-of select="Allgemeine_Angaben/Netznummer"/>
              </td>
              <td>
                <b>Erste Bearbeitung</b>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/ersteller"/>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/erstelldatum"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzname</b>
              </td>
              <td colspan="5">
                <xsl:value-of select="Allgemeine_Angaben/netzname"/>
              </td>
              <td>
                <b>Netz-ID</b>
              </td>
              <td>
                <xsl:value-of select="Allgemeine_Angaben/netzid"/>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td>
          <table border="1" width="100%" bordercolor="#111111" cellpadding="4" cellspacing="0" >
            <xsl:choose>
              <xsl:when test="$netz_ab2013='1'">
                <xsl:apply-templates select="LeseStrukturResult"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:apply-templates select="LeseAWSTResult"/>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:apply-templates select="LeseAWResult"/>
          </table>
        </td>
      </tr>
      <tr>
        <td>&#160;</td>
      </tr>
      <tr>
        <td>
          <table border="0" width="100%">
            <xsl:choose>
              <xsl:when test="$netz_ab2013='1'">
                <tr>
                  <td>
                    <H2>Daten Fern- und Zubringerleitungen</H2>
                  </td>
                </tr>
                <tr>
                  <td>
                    <xsl:apply-templates select="LeseBefezuResult"/>
                  </td>
                </tr>
                <tr>
                  <td>&#160;</td>
                </tr>
                <tr>
                  <td>
                    <H2>Daten Haupt- und Versorgungsleitungen</H2>
                  </td>
                </tr>
                <tr>
                  <td>
                    <xsl:apply-templates select="LeseBehaveResult"/>
                  </td>
                </tr>
              </xsl:when>
              <xsl:otherwise>
                <tr>
                  <td>
                    <H2>Daten Leitungsnetz mit Fern- und Zubringerleitungen</H2>
                  </td>
                </tr>
                <tr>
                  <td>
                    <xsl:apply-templates select="LeseAWST1Result"/>
                  </td>
                </tr>
              </xsl:otherwise>
            </xsl:choose>
          </table>
        </td>
      </tr>
      <tr>
        <td>&#160;</td>
      </tr>
      <tr>
        <td>
          <table border="0" width="100%">
            <tr>
              <td>
                <H2>Daten Anschlussleitungen</H2>
              </td>
            </tr>
            <tr>
              <td>
                <xsl:choose>
                <xsl:when test="$netz_ab2013='1'">
                  <xsl:apply-templates select="LeseBeanleResult"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:apply-templates select="LeseAWST2Result"/>
                </xsl:otherwise>
              </xsl:choose>
            </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td>&#160;</td>
      </tr>
      <tr>
        <td>
          <H2>Daten Bauteile</H2>
        </td>
      </tr>
      <tr>
        <td>
          <xsl:choose>
            <xsl:when test="$netz_ab2013='1'">
              <xsl:apply-templates select="LeseBebauResult"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:apply-templates select="LeseW3Result"/>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </tr>
      <tr>
        <td>&#160;</td>
      </tr>
      <tr>
        <td>
          <H2>Bemerkungen</H2>
        </td>
      </tr>
      <tr>
        <td>
          <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
            <tr>
              <td>
                <table border="0">
                  <xsl:for-each select="kommentar/item">
                    <tr bgcolor="#ffffff">
                      <td>
                        <!-- xsl:value-of select="position()" / -->
                        <xsl:value-of select="."/>&#160;
                      </td>
                    </tr>
                  </xsl:for-each>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="LeseAWSTResult">
    <tr>
      <td>Name des Sachbearbeiters</td>
      <td>
        <xsl:value-of select="AWST_SACHBEARBEITER"/>
      </td>
      <td>Telefonnummer</td>
      <td>
        <xsl:value-of select="AWST_TELEFON"/>
      </td>
    </tr>
    <tr>
      <td>Mittleres Alter der Leitungen [Jahre]</td>
      <td>
        <xsl:value-of select="AWST_MITL_ALTER"/>
      </td>
      <td>Spezifische reale Wasserverluste [m&#179;]</td>
      <td>
        <xsl:value-of select="AWST_VERLUST_M3"/>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="LeseStrukturResult">
    <xsl:choose>
      <xsl:when test="$netz_ab2013='1'">
      </xsl:when>
      <xsl:otherwise>
        <tr>
      <td>Name des Sachbearbeiters</td>
      <td>
        <xsl:value-of select="STRUK_SACHBEARBEITER"/>
      </td>
      <td>Telefonnummer</td>
      <td>
        <xsl:value-of select="STRUK_TELEFON"/>
      </td>
    </tr>
      </xsl:otherwise>
    </xsl:choose>
    <tr>
      <td>Wasserabgabe an Verbraucher (Endkunden) [1000m&#179;]</td>
      <td>
        <xsl:value-of select="STRUK_WASSER_ENDK"/>
      </td>
      <td>Wasserabgabe an Weiterverteiler [1000m&#179;]</td>
      <td>
        <xsl:value-of select="STRUK_WASSER_WEITER"/>
      </td>
    </tr>
    <xsl:choose>
      <xsl:when test="$netz_ab2013='1'">
      </xsl:when>
      <xsl:otherwise>
        <tr>
      <td>Mittleres Alter der Leitungen [Jahre]</td>
      <td>
        <xsl:value-of select="STRUK_MITL_ALTER"/>
      </td>
      <td>Spezifische reale Wasserverluste [m&#179;/(h x km)]</td>
      <td>
        <xsl:value-of select="STRUK_VERLUST_M3"/>
      </td>
    </tr>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="LeseAWResult">
    <tr>
      <td>Länge der Fern- und Zubringerleitungen [km]</td>
      <td>
        <xsl:value-of select="LAENG_ZL_AW"/>
      </td>
      <td>Länge Leitungsnetz ohne Anschlussleitungen [km]</td>
      <td>
        <xsl:value-of select="LAENG_NL_AW"/>
      </td>
    </tr>
    <tr>
      <td>Anzahl der Hausanschlüsse/Abgabestellen [Anzahl]</td>
      <td>
        <xsl:value-of select="ANZ_HAUSA_AW"/>
      </td>
      <td>Anzahl Zähler [Anzahl]</td>
      <td>
        <xsl:value-of select="ANZ_ZAEHLER_AW"/>
      </td>
    </tr>
    <tr>
      <td>Wasserabgabe an Endversorgung oder -verbraucher [m&#179;]</td>
      <td>
        <xsl:value-of select="WA_ENDV_AW"/>
      </td>
      <td>Wasserabgabe an Weiterverteiler [m&#179;]</td>
      <td>
        <xsl:value-of select="WA_WEITERV_AW"/>
      </td>
    </tr>
  </xsl:template>

  <xsl:template match="LeseAWST1Result">
    <H3>Grauguss</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_4_AWST1"/>
        </td>
      </tr>
    </table>
    <xsl:if test="$opt_grauguss='1'">
      <H3>Graugussrohre 1. Generation</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="GG_LE_1_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss11s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss11n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss11w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss11o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss11g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="GG_LE_2_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss12s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss12n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss12w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss12o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss12g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="GG_LE_3_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss13s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss13n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss13w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss13o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss13g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="GG_LE_4_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss14s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss14n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss14w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss14o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss14g"/>
          </td>
        </tr>
      </table>
      <H3>Graugussrohre 2. Generation</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="GG_LE_1_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss21s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss21n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss21w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss21o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss21g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="GG_LE_2_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss22s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss22n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss22w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss22o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss22g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="GG_LE_3_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss23s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss23n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss23w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss23o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss23g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="GG_LE_4_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss24s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss24n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss24w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss24o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss24g"/>
          </td>
        </tr>
      </table>
      <H3>Graugussrohre mit nachträglicher Zementmörtelauskleidung</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="GG_LE_1_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss31s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss31n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss31w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss31o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss31g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="GG_LE_2_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss32s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss32n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss32w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss32o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss32g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="GG_LE_3_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss33s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss33n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss33w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss33o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss33g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="GG_LE_4_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="grauguss34s"/>
          </td>
          <td>
            <xsl:value-of select="grauguss34n"/>
          </td>
          <td>
            <xsl:value-of select="grauguss34w"/>
          </td>
          <td>
            <xsl:value-of select="grauguss34o"/>
          </td>
          <td>
            <xsl:value-of select="grauguss34g"/>
          </td>
        </tr>
      </table>
    </xsl:if>

    <H3>Duktiler Guss</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="GGG_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GGG_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="GGG_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="GGG_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_4_AWST1"/>
        </td>
      </tr>
    </table>
    <xsl:if test="$opt_guss='1'">
      <H3>Duktiler Guss 1. Generation</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="DG_LE_1_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss11s"/>
          </td>
          <td>
            <xsl:value-of select="guss11n"/>
          </td>
          <td>
            <xsl:value-of select="guss11w"/>
          </td>
          <td>
            <xsl:value-of select="guss11o"/>
          </td>
          <td>
            <xsl:value-of select="guss11g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="DG_LE_2_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss12s"/>
          </td>
          <td>
            <xsl:value-of select="guss12n"/>
          </td>
          <td>
            <xsl:value-of select="guss12w"/>
          </td>
          <td>
            <xsl:value-of select="guss12o"/>
          </td>
          <td>
            <xsl:value-of select="guss12g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="DG_LE_3_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss13s"/>
          </td>
          <td>
            <xsl:value-of select="guss13n"/>
          </td>
          <td>
            <xsl:value-of select="guss13w"/>
          </td>
          <td>
            <xsl:value-of select="guss13o"/>
          </td>
          <td>
            <xsl:value-of select="guss13g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="DG_LE_4_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss14s"/>
          </td>
          <td>
            <xsl:value-of select="guss14n"/>
          </td>
          <td>
            <xsl:value-of select="guss14w"/>
          </td>
          <td>
            <xsl:value-of select="guss14o"/>
          </td>
          <td>
            <xsl:value-of select="guss14g"/>
          </td>
        </tr>
      </table>
      <H3>Duktiler Guss 2. Generation</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="DG_LE_1_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss21s"/>
          </td>
          <td>
            <xsl:value-of select="guss21n"/>
          </td>
          <td>
            <xsl:value-of select="guss21w"/>
          </td>
          <td>
            <xsl:value-of select="guss21o"/>
          </td>
          <td>
            <xsl:value-of select="guss21g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="DG_LE_2_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss22s"/>
          </td>
          <td>
            <xsl:value-of select="guss22n"/>
          </td>
          <td>
            <xsl:value-of select="guss22w"/>
          </td>
          <td>
            <xsl:value-of select="guss22o"/>
          </td>
          <td>
            <xsl:value-of select="guss22g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="DG_LE_3_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss23s"/>
          </td>
          <td>
            <xsl:value-of select="guss23n"/>
          </td>
          <td>
            <xsl:value-of select="guss23w"/>
          </td>
          <td>
            <xsl:value-of select="guss23o"/>
          </td>
          <td>
            <xsl:value-of select="guss23g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="DG_LE_4_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss24s"/>
          </td>
          <td>
            <xsl:value-of select="guss24n"/>
          </td>
          <td>
            <xsl:value-of select="guss24w"/>
          </td>
          <td>
            <xsl:value-of select="guss24o"/>
          </td>
          <td>
            <xsl:value-of select="guss24g"/>
          </td>
        </tr>
      </table>
      <H3>Duktiler Guss mit nachträglicher Zementmörtelauskleidung</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="DG_LE_1_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss31s"/>
          </td>
          <td>
            <xsl:value-of select="guss31n"/>
          </td>
          <td>
            <xsl:value-of select="guss31w"/>
          </td>
          <td>
            <xsl:value-of select="guss31o"/>
          </td>
          <td>
            <xsl:value-of select="guss31g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="DG_LE_2_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss32s"/>
          </td>
          <td>
            <xsl:value-of select="guss32n"/>
          </td>
          <td>
            <xsl:value-of select="guss32w"/>
          </td>
          <td>
            <xsl:value-of select="guss32o"/>
          </td>
          <td>
            <xsl:value-of select="guss32g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="DG_LE_3_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss33s"/>
          </td>
          <td>
            <xsl:value-of select="guss33n"/>
          </td>
          <td>
            <xsl:value-of select="guss33w"/>
          </td>
          <td>
            <xsl:value-of select="guss33o"/>
          </td>
          <td>
            <xsl:value-of select="guss33g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="DG_LE_4_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="guss34s"/>
          </td>
          <td>
            <xsl:value-of select="guss34n"/>
          </td>
          <td>
            <xsl:value-of select="guss34w"/>
          </td>
          <td>
            <xsl:value-of select="guss34o"/>
          </td>
          <td>
            <xsl:value-of select="guss34g"/>
          </td>
        </tr>
      </table>
    </xsl:if>

    <H3>Stahl</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_4_AWST1"/>
        </td>
      </tr>
    </table>
    <xsl:if test="$opt_stahl='1'">
      <H3>Stahl 1. Generation</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="SL_LE_1_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl11s"/>
          </td>
          <td>
            <xsl:value-of select="stahl11n"/>
          </td>
          <td>
            <xsl:value-of select="stahl11w"/>
          </td>
          <td>
            <xsl:value-of select="stahl11o"/>
          </td>
          <td>
            <xsl:value-of select="stahl11g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="SL_LE_2_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl12s"/>
          </td>
          <td>
            <xsl:value-of select="stahl12n"/>
          </td>
          <td>
            <xsl:value-of select="stahl12w"/>
          </td>
          <td>
            <xsl:value-of select="stahl12o"/>
          </td>
          <td>
            <xsl:value-of select="stahl12g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="SL_LE_3_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl13s"/>
          </td>
          <td>
            <xsl:value-of select="stahl13n"/>
          </td>
          <td>
            <xsl:value-of select="stahl13w"/>
          </td>
          <td>
            <xsl:value-of select="stahl13o"/>
          </td>
          <td>
            <xsl:value-of select="stahl13g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="SL_LE_4_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl14s"/>
          </td>
          <td>
            <xsl:value-of select="stahl14n"/>
          </td>
          <td>
            <xsl:value-of select="stahl14w"/>
          </td>
          <td>
            <xsl:value-of select="stahl14o"/>
          </td>
          <td>
            <xsl:value-of select="stahl14g"/>
          </td>
        </tr>
      </table>
      <H3>Stahl 2. Generation</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="SL_LE_1_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl21s"/>
          </td>
          <td>
            <xsl:value-of select="stahl21n"/>
          </td>
          <td>
            <xsl:value-of select="stahl21w"/>
          </td>
          <td>
            <xsl:value-of select="stahl21o"/>
          </td>
          <td>
            <xsl:value-of select="stahl21g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="SL_LE_2_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl22s"/>
          </td>
          <td>
            <xsl:value-of select="stahl22n"/>
          </td>
          <td>
            <xsl:value-of select="stahl22w"/>
          </td>
          <td>
            <xsl:value-of select="stahl22o"/>
          </td>
          <td>
            <xsl:value-of select="stahl22g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="SL_LE_3_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl23s"/>
          </td>
          <td>
            <xsl:value-of select="stahl23n"/>
          </td>
          <td>
            <xsl:value-of select="stahl23w"/>
          </td>
          <td>
            <xsl:value-of select="stahl23o"/>
          </td>
          <td>
            <xsl:value-of select="stahl23g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="SL_LE_4_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl24s"/>
          </td>
          <td>
            <xsl:value-of select="stahl24n"/>
          </td>
          <td>
            <xsl:value-of select="stahl24w"/>
          </td>
          <td>
            <xsl:value-of select="stahl24o"/>
          </td>
          <td>
            <xsl:value-of select="stahl24g"/>
          </td>
        </tr>
      </table>
      <H3>Stahl 3. Generation</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="SL_LE_1_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl31s"/>
          </td>
          <td>
            <xsl:value-of select="stahl31n"/>
          </td>
          <td>
            <xsl:value-of select="stahl31w"/>
          </td>
          <td>
            <xsl:value-of select="stahl31o"/>
          </td>
          <td>
            <xsl:value-of select="stahl31g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="SL_LE_2_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl32s"/>
          </td>
          <td>
            <xsl:value-of select="stahl32n"/>
          </td>
          <td>
            <xsl:value-of select="stahl32w"/>
          </td>
          <td>
            <xsl:value-of select="stahl32o"/>
          </td>
          <td>
            <xsl:value-of select="stahl32g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="SL_LE_3_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl33s"/>
          </td>
          <td>
            <xsl:value-of select="stahl33n"/>
          </td>
          <td>
            <xsl:value-of select="stahl33w"/>
          </td>
          <td>
            <xsl:value-of select="stahl33o"/>
          </td>
          <td>
            <xsl:value-of select="stahl33g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="SL_LE_4_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl34s"/>
          </td>
          <td>
            <xsl:value-of select="stahl34n"/>
          </td>
          <td>
            <xsl:value-of select="stahl34w"/>
          </td>
          <td>
            <xsl:value-of select="stahl34o"/>
          </td>
          <td>
            <xsl:value-of select="stahl34g"/>
          </td>
        </tr>
      </table>
      <H3>Stahl mit nachträglicher Zementmörtelauskleidung</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="SL_LE_1_OPT4_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl41s"/>
          </td>
          <td>
            <xsl:value-of select="stahl41n"/>
          </td>
          <td>
            <xsl:value-of select="stahl41w"/>
          </td>
          <td>
            <xsl:value-of select="stahl41o"/>
          </td>
          <td>
            <xsl:value-of select="stahl41g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="SL_LE_2_OPT4_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl42s"/>
          </td>
          <td>
            <xsl:value-of select="stahl42n"/>
          </td>
          <td>
            <xsl:value-of select="stahl42w"/>
          </td>
          <td>
            <xsl:value-of select="stahl42o"/>
          </td>
          <td>
            <xsl:value-of select="stahl42g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="SL_LE_3_OPT4_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl43s"/>
          </td>
          <td>
            <xsl:value-of select="stahl43n"/>
          </td>
          <td>
            <xsl:value-of select="stahl43w"/>
          </td>
          <td>
            <xsl:value-of select="stahl43o"/>
          </td>
          <td>
            <xsl:value-of select="stahl43g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="SL_LE_4_OPT4_W1"/>
          </td>
          <td>
            <xsl:value-of select="stahl44s"/>
          </td>
          <td>
            <xsl:value-of select="stahl44n"/>
          </td>
          <td>
            <xsl:value-of select="stahl44w"/>
          </td>
          <td>
            <xsl:value-of select="stahl44o"/>
          </td>
          <td>
            <xsl:value-of select="stahl44g"/>
          </td>
        </tr>
      </table>
    </xsl:if>

    <H3>PE</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PE_GL_4_AWST1"/>
        </td>
      </tr>
    </table>
    <xsl:if test="$opt_pe='1'">
      <H3>PE LD, PE HD und PE 63</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="PE_LE_1_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe11s"/>
          </td>
          <td>
            <xsl:value-of select="pe11n"/>
          </td>
          <td>
            <xsl:value-of select="pe11w"/>
          </td>
          <td>
            <xsl:value-of select="pe11o"/>
          </td>
          <td>
            <xsl:value-of select="pe11g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="PE_LE_2_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe12s"/>
          </td>
          <td>
            <xsl:value-of select="pe12n"/>
          </td>
          <td>
            <xsl:value-of select="pe12w"/>
          </td>
          <td>
            <xsl:value-of select="pe12o"/>
          </td>
          <td>
            <xsl:value-of select="pe12g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="PE_LE_3_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe13s"/>
          </td>
          <td>
            <xsl:value-of select="pe13n"/>
          </td>
          <td>
            <xsl:value-of select="pe13w"/>
          </td>
          <td>
            <xsl:value-of select="pe13o"/>
          </td>
          <td>
            <xsl:value-of select="pe13g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="PE_LE_4_OPT1_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe14s"/>
          </td>
          <td>
            <xsl:value-of select="pe14n"/>
          </td>
          <td>
            <xsl:value-of select="pe14w"/>
          </td>
          <td>
            <xsl:value-of select="pe14o"/>
          </td>
          <td>
            <xsl:value-of select="pe14g"/>
          </td>
        </tr>
      </table>
      <H3>PE 80, PE 100</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="PE_LE_1_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe21s"/>
          </td>
          <td>
            <xsl:value-of select="pe21n"/>
          </td>
          <td>
            <xsl:value-of select="pe21w"/>
          </td>
          <td>
            <xsl:value-of select="pe21o"/>
          </td>
          <td>
            <xsl:value-of select="pe21g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="PE_LE_2_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe22s"/>
          </td>
          <td>
            <xsl:value-of select="pe22n"/>
          </td>
          <td>
            <xsl:value-of select="pe22w"/>
          </td>
          <td>
            <xsl:value-of select="pe22o"/>
          </td>
          <td>
            <xsl:value-of select="pe22g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="PE_LE_3_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe23s"/>
          </td>
          <td>
            <xsl:value-of select="pe23n"/>
          </td>
          <td>
            <xsl:value-of select="pe23w"/>
          </td>
          <td>
            <xsl:value-of select="pe23o"/>
          </td>
          <td>
            <xsl:value-of select="pe23g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="PE_LE_4_OPT2_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe24s"/>
          </td>
          <td>
            <xsl:value-of select="pe24n"/>
          </td>
          <td>
            <xsl:value-of select="pe24w"/>
          </td>
          <td>
            <xsl:value-of select="pe24o"/>
          </td>
          <td>
            <xsl:value-of select="pe24g"/>
          </td>
        </tr>
      </table>
      <H3>PE weitere Werkstoffe</H3>
      <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
        <xsl:call-template name="wst1_header"/>
        <tr>
          <td>
            DN &#8804; 100
          </td>
          <td>
            <xsl:value-of select="PE_LE_1_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe31s"/>
          </td>
          <td>
            <xsl:value-of select="pe31n"/>
          </td>
          <td>
            <xsl:value-of select="pe31w"/>
          </td>
          <td>
            <xsl:value-of select="pe31o"/>
          </td>
          <td>
            <xsl:value-of select="pe31g"/>
          </td>
        </tr>
        <tr>
          <td>
            100  &#60; DN  &#8804; 200
          </td>
          <td>
            <xsl:value-of select="PE_LE_2_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe32s"/>
          </td>
          <td>
            <xsl:value-of select="pe32n"/>
          </td>
          <td>
            <xsl:value-of select="pe32w"/>
          </td>
          <td>
            <xsl:value-of select="pe32o"/>
          </td>
          <td>
            <xsl:value-of select="pe32g"/>
          </td>
        </tr>
        <tr>
          <td>
            200  &#60; DN  &#8804; 400
          </td>
          <td>
            <xsl:value-of select="PE_LE_3_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe33s"/>
          </td>
          <td>
            <xsl:value-of select="pe33n"/>
          </td>
          <td>
            <xsl:value-of select="pe33w"/>
          </td>
          <td>
            <xsl:value-of select="pe33o"/>
          </td>
          <td>
            <xsl:value-of select="pe33g"/>
          </td>
        </tr>
        <tr>
          <td>
            400  &#62; DN
          </td>
          <td>
            <xsl:value-of select="PE_LE_4_OPT3_W1"/>
          </td>
          <td>
            <xsl:value-of select="pe34s"/>
          </td>
          <td>
            <xsl:value-of select="pe34n"/>
          </td>
          <td>
            <xsl:value-of select="pe34w"/>
          </td>
          <td>
            <xsl:value-of select="pe34o"/>
          </td>
          <td>
            <xsl:value-of select="pe34g"/>
          </td>
        </tr>
      </table>
    </xsl:if>

    <H3>PVC</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PVC_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PVC_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PVC_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PVC_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>Faserzement</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="FZ_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="FZ_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="FZ_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="FZ_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>GFK</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="GFK_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GFK_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="GFK_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_GL_3_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="GFK_LE_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SL_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EN_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_EW_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_OF_4_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_GL_4_AWST1"/>
        </td>
      </tr>
    </table>

    <H3>Spannbeton/Stahlbeton</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="wst1_header"/>
      <tr>
        <td>
          DN &#8804; 500
        </td>
        <td>
          <xsl:value-of select="SB_LE_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SL_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EN_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EW_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_OF_1_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_GL_1_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          500  &#60; DN  &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="SB_LE_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SL_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EN_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EW_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_OF_2_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_GL_2_AWST1"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="SB_LE_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SL_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EN_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_EW_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_OF_3_AWST1"/>
        </td>
        <td>
          <xsl:value-of select="SB_GL_3_AWST1"/>
        </td>
      </tr>
    </table>

  </xsl:template>
  
  <xsl:template match="LeseBefezuResult">
    <H3>Grauguss</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="GG_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="GG_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="GG_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>
    
    <H3>Duktiler Guss mit passivem Korrosionsschutz</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DGM_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200 
        </td>
        <td>
          <xsl:value-of select="DGM_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="DGM_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="DGM_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="DGM_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="DGM_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="DGM_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss ohne passivem Korrosionsschutz</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DGO_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200 
        </td>
        <td>
          <xsl:value-of select="DGO_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="DGO_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="DGO_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="DGO_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="DGO_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="DGO_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Stahl mit passivem Korrosionsschutz</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="STM_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200 
        </td>
        <td>
          <xsl:value-of select="STM_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="STM_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="STM_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="STM_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="STM_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="STM_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Stahl ohne passivem Korrosionsschutz</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="STO_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200 
        </td>
        <td>
          <xsl:value-of select="STO_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="STO_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="STO_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="STO_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="STO_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="STO_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>

    <H3>PE bis 1980</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE80_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200 
        </td>
        <td>
          <xsl:value-of select="PE80_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="PE80_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="PE80_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="PE80_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="PE80_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PE80_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>

    <H3>PE ab 1981</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE81_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200 
        </td>
        <td>
          <xsl:value-of select="PE81_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="PE81_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="PE81_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="PE81_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="PE81_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PE81_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>

    <H3>PVC</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PVC_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200 
        </td>
        <td>
          <xsl:value-of select="PVC_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="PVC_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="PVC_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="PVC_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="PVC_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PVC_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Faserzement</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="FZ_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200 
        </td>
        <td>
          <xsl:value-of select="FZ_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="FZ_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="FZ_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="FZ_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="FZ_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="FZ_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Sonstige</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SONST_LE_1_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_1_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200 
        </td>
        <td>
          <xsl:value-of select="SONST_LE_2_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_2_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400 
        </td>
        <td>
          <xsl:value-of select="SONST_LE_3_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_3_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600 
        </td>
        <td>
          <xsl:value-of select="SONST_LE_4_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_4_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000 
        </td>
        <td>
          <xsl:value-of select="SONST_LE_5_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_5_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="SONST_LE_6_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_6_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="SONST_LE_7_BEFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_7_BEFEZU"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="LeseAWST2Result">
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="wst2_header"/>
      <tr>
        <td>
          <b>Graugruss</b>
        </td>
        <td>
          <xsl:value-of select="GG_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GG_GL_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>Duktiler Guss</b>
        </td>
        <td>
          <xsl:value-of select="GGG_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GGG_GL_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>Stahl</b>
        </td>
        <td>
          <xsl:value-of select="SL_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SL_GL_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>PE-LD</b>
        </td>
        <td>
          <xsl:value-of select="PELD_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_GL_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>PE-HD (einschl. PE 80 und PE 100)</b>
        </td>
        <td>
          <xsl:value-of select="PEHD_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_GL_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>PE-X</b>
        </td>
        <td>
          <xsl:value-of select="PEX_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_GL_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>PVC</b>
        </td>
        <td>
          <xsl:value-of select="PVC_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_GL_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>Blei</b>
        </td>
        <td>
          <xsl:value-of select="PB_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="PB_GL_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>Sonstiges</b>
        </td>
        <td>
          <xsl:value-of select="SO_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="SO_GL_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>Gesamt</b>
        </td>
        <td>
          <xsl:value-of select="GS_LE_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_SL_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_EN_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_EW_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_OF_AWST2"/>
        </td>
        <td>
          <xsl:value-of select="GS_GL_AWST2"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="LeseBeanleResult">
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <tr>
        <td>
          <b>Material</b>
        </td>
        <td>
          <b>
            Anschlussleitungen [St&#252;ckzahl]
          </b>
        </td>
        <td>
          <b>Rehabilitation (Erneuerung und Sanierung) [St&#252;ckzahl]</b>
        </td>
      </tr>
      <tr>
        <td>Graugruss
        </td>
        <td>
          <xsl:value-of select="GG_AL_BEANLE"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_BEANLE"/>
        </td>
      </tr>
      <tr>
        <td>Duktiler Guss
        </td>
        <td>
          <xsl:value-of select="DG_AL_BEANLE"/>
        </td>
        <td>
          <xsl:value-of select="DG_REHA_BEANLE"/>
        </td>
      </tr>
      <tr>
        <td>Stahl
        </td>
        <td>
          <xsl:value-of select="ST_AL_BEANLE"/>
        </td>
        <td>
          <xsl:value-of select="ST_REHA_BEANLE"/>
        </td>
      </tr>
      <tr>
        <td>PE bis Baujahr 1980
        </td>
        <td>
          <xsl:value-of select="PE80_AL_BEANLE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_BEANLE"/>
        </td>
      </tr>
      <tr>
        <td>PE ab Baujahr 1981
        </td>
        <td>
          <xsl:value-of select="PE81_AL_BEANLE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_BEANLE"/>
        </td>
      </tr>
      <tr>
        <td>PVC
        </td>
        <td>
          <xsl:value-of select="PVC_AL_BEANLE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_BEANLE"/>
        </td>
      </tr>
      <tr>
        <td>Sonstiges
        </td>
        <td>
          <xsl:value-of select="SONST_AL_BEANLE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_BEANLE"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="LeseBebauResult">
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <tr>
        <td>
          <b>Bauteile </b>
        </td>
        <td>
          <b>
            Anzahl [St&#252;ck]
          </b>
        </td>
      </tr>
      <tr>
        <td>
          Absperrarmaturen (ohne Armaturen in Anschlussleitungen)
        </td>
        <td>
          <xsl:value-of select="ABAL_BEBAU"/>
        </td>
      </tr>
      <tr>
        <td>
          Unterirdische Armaturen in Anschlussleitungen
        </td>
        <td>
          <xsl:value-of select="UAAL_BEBAU"/>
        </td>
      </tr>
      <tr>
        <td>
          Hydranten
        </td>
        <td>
          <xsl:value-of select="HYD_BEBAU"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="LeseBehaveResult">
    <H3>Grauguss</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="GG_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss mit passivem Korrosionsschutz</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DGM_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DGM_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DGM_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="DGM_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="DGM_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss ohne passivem Korrosionsschutz</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DGO_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DGO_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DGO_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="DGO_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="DGO_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Stahl mit passivem Korrosionsschutz</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="STM_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="STM_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="STM_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="STM_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="STM_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Stahl ohne passivem Korrosionsschutz</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="STO_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="STO_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="STO_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="STO_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="STO_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

    <H3>PE bis 1980</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE80_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE80_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE80_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="PE80_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PE80_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

    <H3>PE ab 1981</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE81_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE81_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE81_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="PE81_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PE81_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

    <H3>PVC</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PVC_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PVC_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PVC_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="PVC_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PVC_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Faserzement</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="FZ_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="FZ_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="FZ_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="FZ_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="FZ_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Sonstige</H3>
    <table width="100%" cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="be1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SONST_LE_1_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_1_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SONST_LE_2_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_2_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SONST_LE_3_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_3_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="SONST_LE_4_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_4_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="SONST_LE_5_BEHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_REHA_5_BEHAVE"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="LeseW3Result">

    <table cellpadding="4" cellspacing="0" border="1" bordercolor="#111111">
      <xsl:call-template name="w3_header"/>
      <tr>
        <td>
          <B>Schieber</B>
        </td>
        <td>
          <xsl:value-of select="SCH_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="SCH_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="SCH_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="SCH_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="SCH_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="SCH_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Klappen</B>
        </td>
        <td>
          <xsl:value-of select="KLA_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="KLA_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="KLA_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="KLA_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="KLA_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="KLA_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Regelarmaturen (Durchflussregelung)</B>
        </td>
        <td>
          <xsl:value-of select="RA_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="RA_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="RA_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="RA_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="RA_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="RA_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Anbohramaturen</B>
        </td>
        <td>
          <xsl:value-of select="ANB_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="ANB_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="ANB_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="ANB_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="ANB_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="ANB_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Be- und Entlüfter</B>
        </td>
        <td>
          <xsl:value-of select="BEEN_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="BEEN_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="BEEN_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="BEEN_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="BEEN_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="BEEN_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Druckminderer</B>
        </td>
        <td>
          <xsl:value-of select="DMA_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="DMA_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="DMA_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="DMA_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="DMA_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="DMA_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Überflurhydranten</B>
        </td>
        <td>
          <xsl:value-of select="OBE_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="OBE_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="OBE_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="OBE_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="OBE_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="OBE_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Unterflurhydranten</B>
        </td>
        <td>
          <xsl:value-of select="UNT_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="UNT_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="UNT_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="UNT_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="UNT_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="UNT_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Bleimantel-Kabel (Fern- und Zubringerleitungen)</B> [km]
        </td>
        <td>
          <xsl:value-of select="BMK_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="BMK_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="BMK_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="BMK_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="BMK_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="BMK_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Kunststoffmantel-Kabel (Fern- und Zubringerleitungen)</B> [km]
        </td>
        <td>
          <xsl:value-of select="KMK_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="KMK_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="KMK_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="KMK_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="KMK_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="KMK_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>

      <tr>
        <td>
          <B>Sonstige</B>
        </td>
        <td>
          <xsl:value-of select="SO_AN_1_W3"/>
        </td>
        <xsl:choose>
          <xsl:when test="$wassernetz"></xsl:when>
          <xsl:otherwise>
            <td>
              <xsl:value-of select="SO_FR_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="SO_UN_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="SO_FU_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="SO_SO_1_W3"/>
            </td>
            <td>
              <xsl:value-of select="SO_SUMME_1_W3"/>
            </td>
          </xsl:otherwise>
        </xsl:choose>
      </tr>
    </table>


  </xsl:template>

  <xsl:template name="be1_header">
    <tr>
      <td>
        <b>DN</b>
      </td>
      <td>
        <b>
          Leitungsl&#228;nge [km]
        </b>
      </td>
      <td>
        <b>Rehabilitation (Erneuerung und Sanierung) [km]</b>
      </td>
    </tr>
  </xsl:template>

  <xsl:template name="wst1_header">
    <tr>
      <td colspan="2" rowspan="2">
        <b>
          Leitungsl&#228;nge [km]
          <xsl:choose>
            <xsl:when test="$fghformat">
            </xsl:when>
            <xsl:otherwise>
              &#160;(aus Schadenstatistik)
            </xsl:otherwise>
          </xsl:choose>
        </b>
      </td>
      <td colspan="3">
        <b>&#196;nderungen des Leitungsbestandes [km]</b>
      </td>
      <td colspan="2">
        <b>Bei Erneuerung/Erweiterung bevorzugte Verlegungsart [km]</b>
      </td>
    </tr>
    <tr>
      <td>
        <b>Stilllegung</b>
      </td>
      <td>
        <b>Erneuerung</b>
      </td>
      <td>
        <b>Erweiterung</b>
      </td>
      <td>
        <b>offen</b>
      </td>
      <td>
        <b>grabenlos</b>
      </td>
    </tr>
  </xsl:template>

  <xsl:template name="wst2_header">
    <tr>
      <td rowspan="2" colspan="2">
        <b>
          Anschlussleitungen
          <xsl:choose>
            <xsl:when test="$fghformat">
              &#160;[km]
            </xsl:when>
            <xsl:otherwise>
              &#160;[km&#160;(aus Schadenstatistik)]
            </xsl:otherwise>
          </xsl:choose>
        </b>
      </td>
      <td colspan="3">
        <b>&#196;nderungen des Leitungsbestandes [km]</b>
      </td>
      <td colspan="2">
        <b>Bei Erneuerung/Erweiterung bevorzugte Verlegemethode [km]</b>
      </td>
    </tr>
    <tr>
      <td>
        <b>Stilllegung</b>
      </td>
      <td>
        <b>Erneuerung</b>
      </td>
      <td>
        <b>Erweiterung</b>
      </td>
      <td>
        <b>offen</b>
      </td>
      <td>
        <b>grabenlos</b>
      </td>
    </tr>
  </xsl:template>

  <xsl:template name="sltg_header">
    <tr>
      <td>
        <b>DN</b>
      </td>
      <td>
        <b>
          Anzahl Sch&#228;den ohne Fremdverursachung
        </b>
      </td>
      <td>
        <b>Anzahl fremdverursachte Sch&#228;den</b>
      </td>
    </tr>
  </xsl:template>

  <xsl:template name="w3_header">
    <xsl:choose>
      <xsl:when test="$wassernetz">
        <tr>
          <td>&#160;</td>
          <td>
            <b>Anzahl Bauteile, Kabellängen</b>
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <tr>
          <td rowspan="2">&#160;</td>
          <td>
            <b>Anzahl Bauteile, Kabellängen</b>
          </td>
          <td colspan="5">
            <b>Anzahl der Sch&#228;den je Schadenskategorie</b>
          </td>
        </tr>
        <tr>
          <td>&#160;</td>
          <td>
            <b>Mechanische und thermische Fremdein- wirkungen</b>
          </td>
          <td>
            <b>Undichtigkeit</b>
          </td>
          <td>
            <b>Funktions- untüchtigkeit</b>
          </td>
          <td>
            <b>Sonstiges</b>
          </td>
          <td>
            <b>Summe</b>
          </td>
        </tr>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>


  <!-- altes XML-Format -->
  <xsl:template match="WASSER-Daten">
    <head>
      <title>Netzbericht</title>
    </head>
    <body LANG="de-DE">
      <xsl:apply-templates select="Netzdaten"/>
    </body>
  </xsl:template>
  <!--Netzdaten-->
  <xsl:template match="Netzdaten">
    <table border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
        <td valign="TOP">
          <P align="CENTER">
            <img src="./.logo.png"/>
          </P>
          <P align="CENTER">
            <nobr>InterAss</nobr>
            <br/>
            <nobr>&#169; FGH GmbH</nobr>
          </P>
        </td>
        <td valign="TOP" width="60%">
          <P align="CENTER">
            <FONT size="5" style="font-size: 20pt">
              <nobr>
                <U>Bericht zum Netz</U>
              </nobr>
            </FONT>
          </P>
        </td>
        <td align="right" valign="TOP">
          <table border="0">
            <tr bgcolor="#ffffff">
              <td>
                <nobr>Erstellt am:</nobr>
              </td>
              <td>
                <nobr>
                  <xsl:value-of select="datum"/>
                </nobr>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td></td>
              <td>
                <nobr>
                  <xsl:value-of select="uhrzeit"/>
                </nobr>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td colspan="4">
          <table>
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzbetreiber</b>
              </td>
              <td colspan="1">
                <xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibernummer"/>
              </td>
              <td colspan="3">
                <xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibername"/>
              </td>
              <td></td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Berichtsjahr</b>
              </td>
              <td colspan="1">
                <xsl:value-of select="Netz/Allgemeine_Angaben/erfassungsjahr"/>
              </td>
              <td></td>
              <td>
                <b>Netznummer</b>
              </td>
              <td>
                <xsl:value-of select="Netz/Allgemeine_Angaben/Netznummer"/>
              </td>
            </tr>
            <tr bgcolor="#ffffff">
              <td>
                <b>Netzname</b>
              </td>
              <td colspan="1">
                <xsl:value-of select="Netz/Allgemeine_Angaben/netzname"/>
              </td>
              <td></td>
            </tr>

            <xsl:variable name="druckstufe" select="Netz/Allgemeine_Angaben/Druckstufe"/>
            <xsl:choose>
              <xsl:when test="$druckstufe">
                <tr bgcolor="#ffffff">
                  <td>
                    <b>Druckstufe</b>
                  </td>
                  <td>
                    <xsl:value-of select="Netz/Allgemeine_Angaben/Druckstufe"/>
                  </td>
                  <td>
                    <xsl:value-of select="Netz/Allgemeine_Angaben/Druckstufe/@text"/>
                  </td>
                  <td align="left">
                    <b>Nenndruck</b>
                  </td>
                  <td align="left">
                    <xsl:value-of select="Netz/Allgemeine_Angaben/Nenndruck"/> bar
                  </td>
                </tr>
              </xsl:when>
            </xsl:choose>

          </table>
        </td>
      </tr>
    </table>
    <h1>
      <U>1. Administrative Angaben</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum letzte Änderung:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/aktuelldatum"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/lastedit_name"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td>
          <b>Datum erste Änderung:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/erstelldatum"/>
        </td>
        <td></td>
        <td>
          <b>Sachberarbeiter:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Allgemeine_Angaben/ersteller"/>
        </td>
      </tr>
      <xsl:variable name="dbid" select="Netz/Allgemeine_Angaben/netzid"/>
      <xsl:if test="$dbid > 0">
        <tr bgcolor="#ffffff">
          <td>
            <b>Datenbank ID</b>
          </td>
          <td>
            <xsl:value-of select="$dbid"/>
          </td>
        </tr>
      </xsl:if>
    </table>
    <h1>
      <U>2. Allgemeine Angaben</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Bearbeiter (für Meldung an DVGW):</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/melder"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Telefonnummer Bearbeiter:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/melder_tel"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Länge Zubringer-Leitungen:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/lzubringer"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Länge Netzleitungen (ohne Hausanschlüsse):</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/lnetz"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Hausanschlüsse:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/hausanschluesse"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anzahl Zähler:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/zaehler"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Wasserabgabe an Letztverbraucher:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/abgabelv"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Wasserabgabe an Weiterverteiler:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/abgabewv"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Mittleres Alter:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/mittl_alter"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Spez. reale Wasserverluste [m3]:</b>
        </td>
        <td align="right">
          <xsl:value-of select="Netz/Daten/verluste"/>
        </td>
      </tr>
    </table>

    <xsl:variable name="jahr" select="Netz/Allgemeine_Angaben/erfassungsjahr"/>
    <xsl:choose>
      <xsl:when test="$jahr > 2011">
        <xsl:call-template name="LeitungenDVGW"/>
        <xsl:call-template name="AnschlussleitungenDVGW"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="Leitungen"/>
        <xsl:call-template name="Anschlussleitungen"/>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:call-template name="Bauteile"/>
    <xsl:call-template name="Bemerkungen">
      <xsl:with-param name="kapein" select="3"/>
    </xsl:call-template>

  </xsl:template>

  <!--Leitungen-->
  <xsl:template name="Leitungen">
    <h1>
      <U>3. Leitungen</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Material</b>
        </td>
        <td align="left">
          <b>
            <p align="left">DN &#60;= 100</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">DN > 100 &#60;= 200</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">DN > 200 &#60;= 400</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">DN > 400</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Grauguss:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_grauguss1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_grauguss2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_grauguss3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_grauguss4"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Duktiler Guss:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_guss1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_guss2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_guss3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_guss4"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Stahl:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_stahl1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_stahl2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_stahl3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_stahl4"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pe1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pe2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pe3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pe4"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PVC:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pvc1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pvc2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pvc3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pvc4"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Faserzement:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_fz1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_fz2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_fz3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_fz4"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>GFK:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_gfk1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_gfk2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_gfk3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_gfk4"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Material</b>
        </td>
        <td align="left">
          <b>
            <p align="left">DN &#60;= 500</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">DN > 500 &#60;= 1000</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">DN > 1000</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Spannbeton:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_sb1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_sb2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_sb3"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">Alle Angaben in km</td>
      </tr>
    </table>
  </xsl:template>


  <!--Leitungen DVGW-->
  <xsl:template name="LeitungenDVGW">
    <h1>
      <U>3. Leitungen</U>
    </h1>
    <h2>
      <U>3.1 Grauguss</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="2" align="left" width="20%">
          <b>&#160;</b>
        </td>
        <td colspan="3" align="left">
          <b>Anzahl Änderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2" align="left">
          <b>Erneuerung/Erweiterung bevorzugter Werkstoff</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&#160;</b>
        </td>
        <td align="left">
          <b>
            <p align="left">Länge</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Stillegung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erneuerung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erweiterung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">offen</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">grabenlos</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN &#60;= 100</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_grauguss1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss1s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss1n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss1w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss1o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss1g"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 100 &#60;= 200</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_grauguss2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss2s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss2n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss2w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss2o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss2g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 200 &#60;= 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_grauguss3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss3s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss3n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss3w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss3o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss3g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_grauguss4"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss4s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss4n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss4w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss4o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_grauguss4g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>

    </table>

    <h2>
      <U>3.2 Duktiler Guss</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="2" align="left" width="20%">
          <b>&#160;</b>
        </td>
        <td colspan="3" align="left">
          <b>Anzahl Änderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2" align="left">
          <b>Erneuerung/Erweiterung bevorzugter Werkstoff</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&#160;</b>
        </td>
        <td align="left">
          <b>
            <p align="left">Länge</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Stillegung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erneuerung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erweiterung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">offen</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">grabenlos</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN &#60;= 100</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_guss1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss1s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss1n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss1w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss1o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss1g"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 100 &#60;= 200</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_guss2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss2s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss2n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss2w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss2o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss2g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 200 &#60;= 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_guss3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss3s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss3n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss3w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss3o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss3g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_guss4"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss4s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss4n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss4w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss4o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_guss4g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>

    </table>

    <h2>
      <U>3.2 Stahl</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="2" align="left" width="20%">
          <b>&#160;</b>
        </td>
        <td colspan="3" align="left">
          <b>Anzahl Änderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2" align="left">
          <b>Erneuerung/Erweiterung bevorzugter Werkstoff</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&#160;</b>
        </td>
        <td align="left">
          <b>
            <p align="left">Länge</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Stillegung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erneuerung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erweiterung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">offen</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">grabenlos</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN &#60;= 100</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_stahl1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl1s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl1n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl1w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl1o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl1g"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 100 &#60;= 200</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_stahl2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl2s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl2n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl2w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl2o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl2g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 200 &#60;= 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_stahl3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl3s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl3n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl3w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl3o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl3g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_stahl4"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl4s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl4n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl4w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl4o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_stahl4g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>

    </table>

    <h2>
      <U>3.4 PE</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="2" align="left" width="20%">
          <b>&#160;</b>
        </td>
        <td colspan="3" align="left">
          <b>Anzahl Änderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2" align="left">
          <b>Erneuerung/Erweiterung bevorzugter Werkstoff</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&#160;</b>
        </td>
        <td align="left">
          <b>
            <p align="left">Länge</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Stillegung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erneuerung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erweiterung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">offen</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">grabenlos</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN &#60;= 100</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pe1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe1s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe1n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe1w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe1o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe1g"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 100 &#60;= 200</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pe2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe2s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe2n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe2w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe2o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe2g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 200 &#60;= 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pe3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe3s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe3n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe3w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe3o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe3g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pe4"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe4s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe4n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe4w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe4o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pe4g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>

    </table>

    <h2>
      <U>3.5 PVC</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="2" align="left" width="20%">
          <b>&#160;</b>
        </td>
        <td colspan="3" align="left">
          <b>Anzahl Änderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2" align="left">
          <b>Erneuerung/Erweiterung bevorzugter Werkstoff</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&#160;</b>
        </td>
        <td align="left">
          <b>
            <p align="left">Länge</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Stillegung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erneuerung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erweiterung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">offen</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">grabenlos</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN &#60;= 100</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pvc1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc1s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc1n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc1w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc1o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc1g"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 100 &#60;= 200</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pvc2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc2s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc2n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc2w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc2o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc2g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 200 &#60;= 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pvc3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc3s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc3n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc3w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc3o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc3g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_pvc4"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc4s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc4n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc4w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc4o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_pvc4g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>

    </table>

    <h2>
      <U>3.6 Faserzement</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="2" align="left" width="20%">
          <b>&#160;</b>
        </td>
        <td colspan="3" align="left">
          <b>Anzahl Änderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2" align="left">
          <b>Erneuerung/Erweiterung bevorzugter Werkstoff</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&#160;</b>
        </td>
        <td align="left">
          <b>
            <p align="left">Länge</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Stillegung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erneuerung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erweiterung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">offen</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">grabenlos</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN &#60;= 100</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_fz1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz1s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz1n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz1w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz1o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz1g"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 100 &#60;= 200</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_fz2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz2s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz2n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz2w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz2o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz2g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 200 &#60;= 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_fz3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz3s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz3n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz3w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz3o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz3g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_fz4"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz4s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz4n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz4w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz4o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_fz4g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>

    </table>

    <h2>
      <U>3.7 GFK</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="2" align="left" width="20%">
          <b>&#160;</b>
        </td>
        <td colspan="3" align="left">
          <b>Anzahl Änderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2" align="left">
          <b>Erneuerung/Erweiterung bevorzugter Werkstoff</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&#160;</b>
        </td>
        <td align="left">
          <b>
            <p align="left">Länge</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Stillegung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erneuerung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erweiterung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">offen</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">grabenlos</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN &#60;= 100</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_gfk1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk1s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk1n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk1w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk1o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk1g"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 100 &#60;= 200</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_gfk2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk2s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk2n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk2w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk2o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk2g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 200 &#60;= 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_gfk3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk3s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk3n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk3w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk3o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk3g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_gfk4"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk4s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk4n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk4w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk4o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_gfk4g"/>
        </td>
      </tr>
    </table>
    <h2>
      <U>3.8 Spannbeton</U>
    </h2>
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="2" align="left" width="20%">
          <b>&#160;</b>
        </td>
        <td colspan="3" align="left">
          <b>Anzahl Änderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2" align="left">
          <b>Erneuerung/Erweiterung bevorzugter Werkstoff</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>&#160;</b>
        </td>
        <td align="left">
          <b>
            <p align="left">Länge</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Stillegung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erneuerung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erweiterung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">offen</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">grabenlos</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN &#60;= 100</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_sbn1"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb1s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb1n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb1w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb1o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb1g"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 100 &#60;= 200</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_sbn2"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb2s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb2n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb2w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb2o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb2g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 200 &#60;= 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_sbn3"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb3s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb3n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb3w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb3o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb3g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <nobr>
            <b>DN > 400</b>
          </nobr>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/l_sbn4"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb4s"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb4n"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb4w"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb4o"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/l_sb4g"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>

    </table>

  </xsl:template>


  <!--Anschlussleitungen-->
  <xsl:template name="Anschlussleitungen">
    <h1>
      <U>4. Anschlußleitungen</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Material</b>
        </td>
        <td align="left">
          <b>Anzahl</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE-HD:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_pe_hd"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE-LG:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_pe_ld"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE-X:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_pe_x"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PVC:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_pvc"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Stahl:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_stahl"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Duktiler Guss:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_ggg"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Grauguss:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_gg"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Blei:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_blei"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Sonstige:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_sonst"/>
        </td>
      </tr>
    </table>

  </xsl:template>


  <!--Anschlussleitungen-->
  <xsl:template name="AnschlussleitungenDVGW">
    <h1>
      <U>4. Anschlußleitungen</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td colspan="2" align="left">
          <b>&#160;</b>
        </td>
        <td colspan="3" align="left">
          <b>Anzahl Änderungen des Leitungsbestandes</b>
        </td>
        <td colspan="2" align="left">
          <b>Erneuerung/Erweiterung bevorzugter Werkstoff</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Material</b>
        </td>
        <td align="left">
          <b>
            <p align="left">Anzahl</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Stillegung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erneuerung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">Erweiterung</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">offen</p>
          </b>
        </td>
        <td align="left">
          <b>
            <p align="left">grabenlos</p>
          </b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Grauguss:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_gg"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_graugusss"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_graugussn"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_graugussw"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_graugusso"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_graugussg"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Duktiler Guss:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_ggg"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_gusss"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_gussn"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_gussw"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_gusso"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_gussg"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Stahl:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_stahl"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_stahls"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_stahln"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_stahlw"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_stahlo"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_stahlg"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE-LD:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_pe_ld"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_lds"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_ldn"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_ldw"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_ldo"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_ldg"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE-HD:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_pe_hd"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_hds"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_hdn"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_hdw"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_hdo"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_hdg"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PE-X:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_pe_x"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_xs"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_xn"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_xw"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_xo"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pe_xg"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <b>PVC:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_pvc"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pvcs"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pvcn"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pvcw"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pvco"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_pvcg"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Blei:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_blei"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_bleis"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_blein"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_bleiw"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_bleio"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_bleig"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Sonstige:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anschl_sonst"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_sonsts"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_sonstn"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_sonstw"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_sonsto"/>
        </td>
        <td>
          <xsl:value-of select="Netz/DatenDVGW/a_sonstg"/>
        </td>
      </tr>

      <tr bgcolor="#ffffff">
        <td align="left">&#160;</td>
      </tr>

    </table>

  </xsl:template>

  <!--Bauteile-->
  <xsl:template name="Bauteile">
    <h1>
      <U>5. Bauteile</U>
    </h1>
    <table>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Typ</b>
        </td>
        <td align="left">
          <b>Anzahl</b>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Schieber:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/schieber"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Klappen:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/klappen"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Anbohrarmaturen:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/anbohrarma"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Regelarmaturen:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/regelarma"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>DM-Armaturen:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/dm_arma"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Oberflurhydranten:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/oberflurhyd"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Unterflurhydranten:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/unterflurhyd"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Be- und Entlüfter:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/beentluefter"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Bleimantelkabel:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/bleikabel"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Kunststoffmantelkabel:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/kunststoffkabel"/>
        </td>
      </tr>
      <tr bgcolor="#ffffff">
        <td align="left">
          <b>Sonstige Bauteile:</b>
        </td>
        <td>
          <xsl:value-of select="Netz/Daten/sonstige"/>
        </td>
      </tr>
    </table>

  </xsl:template>


  <xsl:template name="Bemerkungen">
    <h1>
      <U>5. Bemerkungen</U>
    </h1>
    <table>
      <xsl:for-each select="Netz/kommentar/item">
        <tr bgcolor="#ffffff">
          <td>
            <!-- xsl:value-of select="position()" / -->
            <xsl:value-of select="."/>
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>


  <xsl:template match="SOAP-ENV:Envelope">
    <xsl:apply-templates select="SOAP-ENV:Body"/>
  </xsl:template>

  <xsl:template match="SOAP-ENV:Body">
    <xsl:apply-templates select="LeseStrukturResponse"/>
    <xsl:apply-templates select="LeseBefezuResponse"/>
    <xsl:apply-templates select="LeseBehaveResponse"/>
    <xsl:apply-templates select="LeseBeanleResponse"/>
    <xsl:apply-templates select="LeseBebauResponse"/>
    <xsl:apply-templates select="LeseShaveResponse/LeseShaveResult"/>
    <xsl:apply-templates select="LeseSfezuResponse/LeseSfezuResult"/>
    <xsl:apply-templates select="LeseSanleResponse/LeseSanleResult"/>
    <xsl:apply-templates select="LeseSbauResponse/LeseSbauResult"/>
    <xsl:apply-templates select="LeseAWST2Response"/>
    <xsl:apply-templates select="LeseAWResponse"/>
    <xsl:apply-templates select="LeseW1Response/LeseW1Result"/>
    <xsl:apply-templates select="LeseW2Response/LeseW2Result"/>
    <xsl:apply-templates select="LeseW3Response"/>
  </xsl:template>

  <xsl:template match="LeseStrukturResponse">
    <H2>Bestandsdaten Wasser - Strukturelle Unternehmensdaten</H2>
    <table class="margin" cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="LeseStrukturResult/STRUK_JAHR"/>
        </td>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="LeseStrukturResult/STRUK_SUS_CORP_ID"/>
        </td>
      </tr>
      <xsl:apply-templates select="LeseStrukturResult"/>
    </table>
  </xsl:template>

  <xsl:template match="LeseBefezuResponse">
    <H2>Bestandsdaten Wasser - Bestand Fern- und Zubringerleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="LeseBefezuResult/JAHR_BEFEZU"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="LeseBefezuResult/KONG_BEFEZU"/>
        </td>
      </tr>
    </table>
    <xsl:apply-templates select="LeseBefezuResult"/>
  </xsl:template>

  <xsl:template match="LeseAWST2Response">
    <H2>Daten Anschlussleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="LeseAWST2Result/JAHR_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="LeseAWST2Result/KONG_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="LeseAWST2Result/SACHG_AWST2"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="LeseAWST2Result/TELG_AWST2"/>
        </td>
      </tr>
    </table>
    <xsl:apply-templates select="LeseAWST2Result"/>
  </xsl:template>
  
  <xsl:template match="LeseBeanleResponse">
    <H2>Bestandsdaten Wasser - Bestand Anschlussleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="LeseBeanleResult/JAHR_BEANLE"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="LeseBeanleResult/KONG_BEANLE"/>
        </td>
      </tr>
    </table>
    <xsl:apply-templates select="LeseBeanleResult"/>
  </xsl:template>

  <xsl:template match="LeseBebauResponse">
    <H2>Bestandsdaten Wasser - Bestand Bauteile</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="LeseBebauResult/JAHR_BEBAU"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="LeseBebauResult/KONG_BEBAU"/>
        </td>
      </tr>
    </table>
    <xsl:apply-templates select="LeseBebauResult"/>
  </xsl:template>

  <xsl:template match="LeseBehaveResponse">
    <H2>Bestandsdaten Wasser - Bestand Haupt- und Versorgungsleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="LeseBehaveResult/JAHR_BEHAVE"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="LeseBehaveResult/KONG_BEHAVE"/>
        </td>
      </tr>
    </table>
    <xsl:apply-templates select="LeseBehaveResult"/>
  </xsl:template>

  <xsl:template match="LeseAWResponse">
    <H2>Schadensstatistik Wasser Unternehmensdaten</H2>
    <table class="margin" cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="LeseAWResult/JAHR_ADR"/>
        </td>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="LeseAWResult/KONG_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="LeseAWResult/SACHG_AW"/>
        </td>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="LeseAWResult/TELG_AW"/>
        </td>
      </tr>
      <xsl:apply-templates select="LeseAWResult"/>
    </table>
  </xsl:template>
  
  <xsl:template match="LeseSfezuResponse/LeseSfezuResult">
    <H2>Schadensstatistik Wasser - Schäden Fern- und Zubringerleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_SFEZU"/>
        </td>
      </tr>
    </table>
    <H3>Grauguss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td><xsl:value-of select="GG_SOF_1_SFEZU"/></td>
        <td><xsl:value-of select="GG_SMF_1_SFEZU"/></td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GG_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="GG_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="GG_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="GG_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="GG_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="GG_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss mit passivem Korrosionsschutz</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_1_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_1_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss ohne passivem Korrosionsschutz</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_1_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_1_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Stahl mit passivem Korrosionsschutz</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="STM_SOF_1_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_1_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="STM_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="STM_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="STM_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="STM_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="STM_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="STM_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Stahl ohne passivem Korrosionsschutz</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="STO_SOF_1_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_1_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="STO_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="STO_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="STO_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="STO_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="STO_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="STO_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

    <H3>PE bis 1980</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_1_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_1_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

    <H3>PE ab 1981</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_1_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_1_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

    <H3>PVC</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_1_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_1_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Faserzement</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_1_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_1_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

    <H3>Sonstige</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_1_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_1_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_2_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_2_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_3_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_3_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400 und DN &#8804; 600
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_4_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_4_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 600 und DN &#8804; 1000
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_5_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_5_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 1000
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_6_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_6_SFEZU"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_7_SFEZU"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_7_SFEZU"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="LeseShaveResponse/LeseShaveResult">
    <H2>Schadensstatistik Wasser - Schäden Haupt- und Versorgungsleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_SHAVE"/>
        </td>
      </tr>
    </table>
    <H3>Grauguss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="GG_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GG_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="GG_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="GG_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="GG_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss mit passivem Korrosionsschutz</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="DGM_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Duktiler Guss ohne passivem Korrosionsschutz</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="DGO_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="DGO_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Stahl mit passivem Korrosionsschutz</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="STM_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="STM_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="STM_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="STM_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="STM_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STM_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Stahl ohne passivem Korrosionsschutz</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="STO_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="STO_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="STO_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="STO_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="STO_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="STO_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

    <H3>PE bis 1980</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

    <H3>PE ab 1981</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

    <H3>PVC</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Faserzement</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="FZ_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

    <H3>Sonstige</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="sltg_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_1_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_1_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 100 und DN &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_2_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_2_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 200 und DN &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_3_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_3_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          DN &#62; 400
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_4_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_4_SHAVE"/>
        </td>
      </tr>
      <tr>
        <td>
          unbekannt / keine Angabe
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_5_SHAVE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_5_SHAVE"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="LeseSanleResponse/LeseSanleResult">
    <H2>Schadensstatistik Wasser - Schäden Anschlussleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_SANLE"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_SANLE"/>
        </td>
      </tr>
    </table>
    <table cellpadding="3" cellspacing="1" border="1">
      <tr>
        <td>
          <b>Material</b>
        </td>
        <td>
          <b>
            Anzahl Sch&#228;den ohne Fremdverursachung
          </b>
        </td>
        <td>
          <b>Anzahl fremdverursachte Sch&#228;den</b>
        </td>
      </tr>
      <tr>
        <td>
          Grauguss
        </td>
        <td>
          <xsl:value-of select="GG_SOF_SANLE"/>
        </td>
        <td>
          <xsl:value-of select="GG_SMF_SANLE"/>
        </td>
      </tr>
      <tr>
        <td>
          Duktiler Guss
        </td>
        <td>
          <xsl:value-of select="DG_SOF_SANLE"/>
        </td>
        <td>
          <xsl:value-of select="DG_SMF_SANLE"/>
        </td>
      </tr>
      <tr>
        <td>
          Stahl
        </td>
        <td>
          <xsl:value-of select="ST_SOF_SANLE"/>
        </td>
        <td>
          <xsl:value-of select="ST_SMF_SANLE"/>
        </td>
      </tr>
      <tr>
        <td>
          PE bis Baujahr 1980
        </td>
        <td>
          <xsl:value-of select="PE80_SOF_SANLE"/>
        </td>
        <td>
          <xsl:value-of select="PE80_SMF_SANLE"/>
        </td>
      </tr>
      <tr>
        <td>
          PE ab Baujahr 1981
        </td>
        <td>
          <xsl:value-of select="PE81_SOF_SANLE"/>
        </td>
        <td>
          <xsl:value-of select="PE81_SMF_SANLE"/>
        </td>
      </tr>
      <tr>
        <td>
          PVC
        </td>
        <td>
          <xsl:value-of select="PVC_SOF_SANLE"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SMF_SANLE"/>
        </td>
      </tr>
      <tr>
        <td>
          Sonstiges / unbekannt
        </td>
        <td>
          <xsl:value-of select="SONST_SOF_SANLE"/>
        </td>
        <td>
          <xsl:value-of select="SONST_SMF_SANLE"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="LeseSbauResponse/LeseSbauResult">
    <H2>Schadensstatistik Wasser - Schäden Bauteile</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_SBAU"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_SBAU"/>
        </td>
      </tr>
    </table>
    <table cellpadding="3" cellspacing="1" border="1">
      <tr>
        <td>
          <b>Bauteile</b>
        </td>
        <td>
          <b>
            Anzahl Sch&#228;den ohne Fremdverursachung
          </b>
        </td>
        <td>
          <b>Anzahl fremdverursachte Sch&#228;den</b>
        </td>
      </tr>
      <tr>
        <td>
          Absperrarmaturen (ohne Armaturen in Anschlussleitungen)
        </td>
        <td>
          <xsl:value-of select="ABAL_SOF_SBAU"/>
        </td>
        <td>
          <xsl:value-of select="ABAL_SMF_SBAU"/>
        </td>
      </tr>
      <tr>
        <td>
          Unterirdische Armaturen in Anschlussleitungen
        </td>
        <td>
          <xsl:value-of select="UAAL_SOF_SBAU"/>
        </td>
        <td>
          <xsl:value-of select="UAAL_SMF_SBAU"/>
        </td>
      </tr>
      <tr>
        <td>
          Hydranten
        </td>
        <td>
          <xsl:value-of select="HYD_SOF_SBAU"/>
        </td>
        <td>
          <xsl:value-of select="HYD_SMF_SBAU"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template match="LeseW1Response/LeseW1Result">
    <H2>W1-Formular: Schäden Leitungsnetz mit Fern- und Zubringerleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="SACHG_W1"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="TELG_W1"/>
        </td>
      </tr>
    </table>
    <H3>Grauguss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Graugussrohre 1. Generation - Sandgussrohre (wenn nicht bekannt, GG vor 1930)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_1_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_2_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_3_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_4_OPT1_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Graugussrohre 2. Generation - Schleudergussrohre (wenn nicht bekannt, GG von 1930 bis 1960)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_1_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_2_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_3_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_4_OPT2_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Graugussrohre mit nachträglicher Zementmörtelauskleidung (wenn nicht bekannt, ab Dez 1981 nach DVGW W 343 (A))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804;100
        </td>
        <td>
          <xsl:value-of select="GG_LE_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_1_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100 &#60;DN &#8804;200
        </td>
        <td>
          <xsl:value-of select="GG_LE_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_2_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200 &#60;DN &#8804;400
        </td>
        <td>
          <xsl:value-of select="GG_LE_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_3_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400 &#62;DN
        </td>
        <td>
          <xsl:value-of select="GG_LE_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_FR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_BB_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_KO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_DR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_ML_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GG_SUMME_4_OPT3_W1"/>
        </td>
      </tr>
    </table>


    <H3>Duktiler Guss</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DG_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DG_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DG_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="DG_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Duktiler Guss 1. Generation - mit einfachem Korrosionsschutz z.B. aus Bitumen (wenn nicht bekannt, GGG von 1960-1970 (alte BL) und bis 1990 (neue BL))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DG_LE_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_1_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DG_LE_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_2_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DG_LE_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_3_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="DG_LE_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_4_OPT1_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Duktiler Guss 2. Generation - mit hochwertigem Korrosionsschutz aus PE/ZM-Umhüllung (wenn nicht bekannt, GGG von 1970 (alte BL) und ab 1990 (neue BL))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DG_LE_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_1_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DG_LE_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_2_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DG_LE_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_3_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="DG_LE_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_4_OPT2_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Duktiler Guss mit nachträglicher Zementmörtelauskleidung, ab Dez. 1981 nach DVGW W 343 (A)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="DG_LE_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_1_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="DG_LE_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_2_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="DG_LE_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_3_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="DG_LE_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_FR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_BB_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_KO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_DR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_ML_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="DG_SUMME_4_OPT3_W1"/>
        </td>
      </tr>
    </table>


    <H3>Stahl</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Stahl 1. Generation - mit einfachem Korrosionsschutz, z.B. aus Bitumen (wenn nicht bekannt, Stahlrohre bis 1940) - mit einfachem Korrosionsschutz, z.B. aus Bitumen (wenn nicht bekannt, Stahlrohre bis 1940)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_OPT1_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Stahl 2. Generation - mit besserem Korrosionsschutz - ohne PE/ZM-Umhüllung (wenn nicht bekannt, Stahlrohre von 1940-1980 (alte BL) / bis 1990 (neue Bundesländer))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_OPT2_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Stahl 3. Generation - mit besserem Korrosionsschutz - mit PE/ZM-Umhüllung (wenn nicht bekannt, Stahlrohre ab 1980 (alte BL) / ab 1990 (neue Bundesländer))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_OPT3_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: Stahl mit nachträglicher Zementmörtelauskleidung, ab Dez. 1981 nach DVGW W 343 (A)</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SL_LE_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_1_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_1_OPT4_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SL_LE_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_2_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_2_OPT4_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SL_LE_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_3_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_3_OPT4_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SL_LE_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_FR_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_BB_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_KO_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_DR_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_ML_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SO_4_OPT4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SL_SUMME_4_OPT4_W1"/>
        </td>
      </tr>
    </table>


    <H3>PE</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: PE LD, PE HD und PE 63 bis 1980 (alte BL) und bis 1990 (neue BL))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_1_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_1_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_2_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_2_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_3_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_3_OPT1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_4_OPT1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_4_OPT1_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: PE 80, PE 100 ab 1980 (alte BL) und ab 1990 (neue BL))</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_1_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_1_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_2_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_2_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_3_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_3_OPT2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_4_OPT2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_4_OPT2_W1"/>
        </td>
      </tr>
    </table>

    <H3>Optional: PE weitere Werkstoffe und Werkstoffkombinationen nach 1990</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PE_LE_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_1_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_1_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PE_LE_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_2_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_2_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PE_LE_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_3_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_3_OPT3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PE_LE_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_FR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_BB_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_KO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_DR_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_ML_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SO_4_OPT3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PE_SUMME_4_OPT3_W1"/>
        </td>
      </tr>
    </table>


    <H3>PVC</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="PV_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="PV_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="PV_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="PV_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="PV_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Faserzement</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="FZ_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="FZ_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="FZ_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="FZ_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="FZ_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>GFK</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="GFK_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="GFK_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="GFK_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="GFK_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="GFK_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

    <H3>Spannbeton/Stahlbeton</H3>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w1_header"/>
      <tr>
        <td>
          DN &#8804; 100
        </td>
        <td>
          <xsl:value-of select="SB_LE_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_FR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_BB_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_KO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_DR_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_ML_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SO_1_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SUMME_1_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          100  &#60; DN  &#8804; 200
        </td>
        <td>
          <xsl:value-of select="SB_LE_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_FR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_BB_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_KO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_DR_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_ML_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SO_2_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SUMME_2_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          200  &#60; DN  &#8804; 400
        </td>
        <td>
          <xsl:value-of select="SB_LE_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_FR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_BB_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_KO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_DR_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_ML_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SO_3_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SUMME_3_W1"/>
        </td>
      </tr>
      <tr>
        <td>
          400  &#62; DN
        </td>
        <td>
          <xsl:value-of select="SB_LE_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_FR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_BB_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_KO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_DR_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_ML_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SO_4_W1"/>
        </td>
        <td>
          <xsl:value-of select="SB_SUMME_4_W1"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name="w1_header">
    <tr>
      <td colspan="2">
        <b>Leitungsl&#228;ngen in km</b>
      </td>
      <td colspan="7">
        <b>Anzahl der Sch&#228;den je Schadenskategorie</b>
      </td>
    </tr>
    <tr>
      <td colspan="2">&#160;</td>
      <td>
        <b>Mechanische und thermische Fremdein- wirkungen</b>
      </td>
      <td>
        <b>Boden- bewegungen</b>
      </td>
      <td>
        <b>Korrosion oder Werksstoff- alterung</b>
      </td>
      <td>
        <b>Verlege- und Einbaufehler</b>
      </td>
      <td>
        <b>Werkstofffehler</b>
      </td>
      <td>
        <b>Sonstiges</b>
      </td>
      <td>
        <b>Summe</b>
      </td>
    </tr>
  </xsl:template>


  <xsl:template match="LeseW2Response/LeseW2Result">
    <H2>W2-Formular: Schäden Anschlussleitungen</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="JAHR_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="KONG_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="SACHG_W2"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="TELG_W2"/>
        </td>
      </tr>
    </table>
    <table cellpadding="3" cellspacing="1" border="1">
      <xsl:call-template name="w2_header"/>
      <tr>
        <td>
          <b>Graugruss</b>
        </td>
        <td>
          <xsl:value-of select="DGM_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="DGM_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="DGM_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="DGM_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="DGM_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="DGM_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="DGM_SUMME_1_W2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>Duktiler Guss</b>
        </td>
        <td>
          <xsl:value-of select="GDGM_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GDGM_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GDGM_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GDGM_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GDGM_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GDGM_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GDGM_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="GDGM_SUMME_1_W2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>Stahl</b>
        </td>
        <td>
          <xsl:value-of select="STHL_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="STHL_SUMME_1_W2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>PE-LD</b>
        </td>
        <td>
          <xsl:value-of select="PELD_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PELD_SUMME_1_W2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>PE-HD (einschl. PE 80 und PE 100)</b>
        </td>
        <td>
          <xsl:value-of select="PEHD_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEHD_SUMME_1_W2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>PE-X</b>
        </td>
        <td>
          <xsl:value-of select="PEX_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PEX_SUMME_1_W2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>PVC</b>
        </td>
        <td>
          <xsl:value-of select="PVC_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PVC_SUMME_1_W2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>Blei</b>
        </td>
        <td>
          <xsl:value-of select="PLUM_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="PLUM_SUMME_1_W2"/>
        </td>
      </tr>
      <tr>
        <td>
          <b>Sonstiges</b>
        </td>
        <td>
          <xsl:value-of select="SONS_AN_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_FR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_BB_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_KO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_DR_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_ML_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_SO_1_W2"/>
        </td>
        <td>
          <xsl:value-of select="SONS_SUMME_1_W2"/>
        </td>
      </tr>
    </table>

  </xsl:template>

  <xsl:template name="w2_header">
    <tr>
      <td colspan="2">
        <b>Anschluss-leitungen</b>
      </td>
      <td colspan="7">
        <b>Anzahl der Sch&#228;den je Schadenskategorie</b>
      </td>
    </tr>
    <tr>
      <td>&#160;</td>
      <td>[km]</td>
      <td>
        <b>Mechanische und thermische Fremdein- wirkungen</b>
      </td>
      <td>
        <b>Boden- bewegungen</b>
      </td>
      <td>
        <b>Korrosion oder Werksstoff- alterung</b>
      </td>
      <td>
        <b>Verlege- und Einbaufehler</b>
      </td>
      <td>
        <b>Werkstofffehler</b>
      </td>
      <td>
        <b>Sonstiges</b>
      </td>
      <td>
        <b>Summe</b>
      </td>
    </tr>
  </xsl:template>


  <xsl:template match="LeseW3Response">
    <H2>W3-Formular: Schäden Bauteile</H2>
    <table cellpadding="3" cellspacing="1" border="0">
      <tr>
        <td>Jahresmeldung Wasser</td>
        <td>
          <xsl:value-of select="LeseW3Result/JAHR_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Firmenkennung</td>
        <td>
          <xsl:value-of select="LeseW3Result/KONG_ADR"/>
        </td>
      </tr>
      <tr>
        <td>Name des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="LeseW3Result/SACHG_W3"/>
        </td>
      </tr>
      <tr>
        <td>Telefonnummer des Sachbearbeiters</td>
        <td>
          <xsl:value-of select="LeseW3Result/TELG_W3"/>
        </td>
      </tr>
      <tr>
        <td>
        </td>
      </tr>
    </table>
    <xsl:apply-templates select="LeseW3Result"/>

  </xsl:template>


</xsl:stylesheet>
